package com.sifang.modules.changes.dao;

import com.jfinal.plugin.activerecord.Db;
import com.jfinal.plugin.activerecord.Record;
import com.sifang.modules.changes.entity.CrmCustomerEntryChangeDesignDetail;
import com.sifang.modules.sys.common.persistence.BaseDao;
import com.sifang.modules.sys.common.persistence.Parameter;
import com.sifang.modules.sys.util.SqlBuilder;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class CrmCustomerEntryChangeDesignDetailDao extends BaseDao<CrmCustomerEntryChangeDesignDetail> {
    public List<Record> getDesignDetailsByNumber(String number){
        SqlBuilder builder = new SqlBuilder();
        builder.line(" select * from crm_customer_entry_change_design_detail  where number = ?",number);
        return Db.find(builder.build(),builder.params());
    }

}
