package com.sifang.modules.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import redis.clients.jedis.JedisPool;

@Configuration
public class SfJedisPoolConfig {

    @Autowired
    private SfJedisPoolParameterConfig sfJedisPoolParameterConfig;

    @Qualifier("lock")
    @Bean
    public JedisPool jedisPool2() {
        return SfJedisPool.instance.getPool(sfJedisPoolParameterConfig);
    }

}
