package com.sifang.modules.customer.constant;

public class CustomerEntryConstants {



    //1.添加 2.修改 3.审核 4.下单 5.收货 6.安装 7.并网 8.交付 9. 归档

    /**
     * 新增
    */
    public static final short ADVANCE_TYPE_OPT_ADD = 1;
    /**
     * 修改
     */
    public static final short ADVANCE_TYPE_OPT_AUDIT = 2;
    /**
     * 审核
     */
    public static final short ADVANCE_TYPE_OPT_CONFIRM = 3;
    /**
     * 下单
     */
    public static final short ADVANCE_TYPE_OPT_XIADAN= 4;
    /**
     * 收货
     */
    public static final short ADVANCE_TYPE_OPT_SHOUHUO  = 5;
    /**
     * 安装
     */
    public static final short ADVANCE_TYPE_OPT_CANCEL_AUDIT = 6;

    /**
     * 并网
     */
    public static final short ADVANCE_TYPE_OPT_BINGW = 7;
    /**
     * 交付
     */
    public static final short ADVANCE_TYPE_OPT_JIOAFU  = 8;
    /**
     * 归档
     */
    public static final short ADVANCE_TYPE_OPT_GUIDANG= 9;

    /**
     * 删除
     */
    public static final short ADVANCE_TYPE_OPT_DELETE= 10;
    /**
     * 审核不通过
     */
    public static final short ADVANCE_TYPE_OPT_FAILEDS= 11;

    /**
     * 验收通过
     */
    public static final short ADVANCE_TYPE_OPT_PASS= 13;

    /**
     * 验收退回
     */
    public static final short ADVANCE_TYPE_OPT_BACK= 14;

    /**
     * 归档退回
     */
    public static final short ADVANCE_TYPE_OPT_IN_DOC_BACK= 15;

    /**
     * 待交付退回
     */
    public static final short ADVANCE_TYPE_OPT_DJFRETURN= 16;

    /**
     * 申请重审
     */
    public static final short ADVANCE_TYPE_OPT_SQCS= 17;
    /**
     * 申请重审通过
     */
    public static final short ADVANCE_TYPE_OPT_SHSQCHTG= 18;
    /**
     * 申请重审不通过
     */
    public static final short ADVANCE_TYPE_OPT_SHSQCHBTG= 19;
    /**
     * 申请整改通过
     */
    public static final short ADVANCE_TYPE_OPT_TWENTY= 20;
    /**
     * 申请整改不通过
     */
    public static final short ADVANCE_TYPE_OPT_TWENTY_ONE= 21;
    /**
     * 申请整改
     */
    public static final short ADVANCE_TYPE_OPT_SQBG= 22;

    /**
     * 提交进件申请
     */
    public static final short ADVANCE_TYPE_INCOMING_TYPE_SUBMIT= 50;

    /**
     * 进件申请审核通过
     */
    public static final short ADVANCE_TYPE_INCOMING_TYPE_APPROVE= 51;

    /**
     * 进件申请审核不通过
     */
    public static final short ADVANCE_TYPE_INCOMING_TYPE_FAIL= 52;

    /**
     * 上传发用电合同
     */
    public static final short ADVANCE_TYPE_UPLOAD_CONTRACT= 56;

    /**
     * 签署完成
     */
    public static final short ADVANCE_TYPE_QSWC= 60;

    /**
     * 上传发票
     */
    public static final short ADVANCE_TYPE_UPLOAD_BILL= 61;

    /**
     * 安装验收退回
     */
    public static final short ADVANCE_TYPE_FIX_ACCEPT_REFUSE = 62;

    /**
     * 安装验收通过
     */
    public static final short ADVANCE_TYPE_FIX_ACCEPT_PASS = 63;

    /**
     * 验收审核通过
     */
    public static final short ACCEPTANCE_REVIEW_PASS = 621;

    /**
     * 验收审核驳回
     */
    public static final short ACCEPTANCE_REVIEW_REFUSE = 622;

    /**
     * 并网暂存
     */
    public static final short ADVANCE_TYPE_MERGE_TEMP = 64;

    /**
     * 并网提交
     */
    public static final short ADVANCE_TYPE_MERGE_SUBMIT = 65;

    /**
     * 并网验收驳回
     */
    public static final short ADVANCE_TYPE_MERGE_ACCEPT_REFUSE = 66;

    /**
     * 并网验收通过
     */
    public static final short ADVANCE_TYPE_MERGE_ACCEPT_PASS = 67;

    /**
     * 验收审核通过（并网验收的审核）
     */
    public static final short MERGE_ACCEPTANCE_PASS= 661;

    /**
     * 验收审核驳回（并网验收的审核）
     */
    public static final short MERGE_ACCEPTANCE_REFUSE= 662;

    /**
     * 国网用户方案审核
     */
    public static final short ADVANCE_TYPE_OPT_GWSH = 77;
    /**
     * 国网安装审核
     */
    public static final short ADVANCE_TYPE_OPT_GWANSH = 78;
    /**
     * 国网并网审核
     */
    public static final short ADVANCE_TYPE_OPT_GWBWSH = 79;

    public static final short ADVANCE_TYPE_OPT_ANSH = 68;

    /**
     * 邀请签约
     */
    public static final short SIGN_INVITE= 80;

    public static final short ADVANCE_TYPE_FIX_ACCEPT_PASSTG = 99;

    //农户签约
    public static final short SIGN_TENANT_DONE= 81;
    //农户拒签
    public static final short SIGN_TENANT_REFUSE= 82;
    //公司签约
    public static final short SIGN_COMPANY_DONE= 83;
    //合同作废
    public static final short SIGN_REVOKE= 84;

    public static final short ENTRY_DISPATCH = 110;

    public static final short ENTRY_DISPATCH_QUASH = 111;

    //电站初勘
    public static final short ENTRY_CK = 85;

    public static final short AUTH_SIGN = 86;
    //提交档案
    public static final short ENTRY_DA = 87;
    //档案审核通过
    public static final short ENTRY_DA_PASS = 88;
    //档案不通过
    public static final short ENTRY_DA_REFUSE = 89;
    //设计审核通过
    public static final short DESIGN_AUDIT_PASS = 90;
    //设计自审通过
    public static final short DESIGN_SELF_AUDIT_PASS = 91;
    //设计自审驳回
    public static final short DESIGN_SELF_AUDIT_REFUSE = 92;
    //安装自审通过
    public static final short INSTALL_SELF_AUDIT_PASS = 93;
    //安装自审驳回
    public static final short INSTALL_SELF_AUDIT_REFUSE = 94;

    public static short INCOMING_CANCEL=500;  //取消进件
    public static short INCOMING_ONE=501;  //第一次进件

    public static short INCOMING_TWO_PASS=502;  //第二次进件审核通过
    public static short INCOMING_TWO_FAIL=519;  //第二次进件审核失败

    public static short INCOMING_WGJJ_TG=520;  //提交完工进件成功
    public static short INCOMING_WGJJ_BTG=521; //提交完工进件失败

    public static short INCOMING_THREE=503;  //第三次进件
    public static short INCOMING_OVER_AGAIN=504;  //重新进件

    public static short ENTRY_ZF_YSTG=506; //资方预审通过
    public static short ENTRY_ZF_YSBTG=507; //资方预审不通过

    public static short ENTRY_CHANGE_PASS=505; //电站变更审核通过
    public static short ENTRY_ADD_CHANGE=508; //发起电站变更
    public static short ENTRY_CHANGE_CANCEL=509; //取消电站变更
    public static short ENTRY_CHANGE_REFUSE=510; //电站变更审核驳回

    public static short ENTRY_DESIGN_ZC=511; //设计暂存
    public static short ENTRY_DESIGN_TJ=512; //设计提交
    public static final short ENTRY_DESIGN_BACK=513; //驳回勘测
    public static final short ENTRY_SURVEY_DESIGN=514; //勘测提交设计

    // 农户投放审核不通过
    public static final short ADVANCE_TYPE_TWO_JJ_TYPE_FAIL= 515;
    // 农户投放审核通过
    public static final short ADVANCE_TYPE_TWO_JJ_TYPE_APPROVE= 516;

    //建档补充资料
    public static final short ENTRY_HR_JDBCZL=517;
    public static final short ENTRY_CHANGE_FIND=518;
    //终止进件通过
    public static final short INCOMING_CANCEL_PASS=522;
    //终止进件不通过
    public static final short INCOMING_CANCEL_REFUSE=523;
    //提交预审
    public static  final  short ENTRY_SUBMIT=524;
    //补充并网资料
    public static final short ENTRY_HR_BWBCZL=525;
    //竣工进件
    public static final short ACCEPT_INCOMING=526;
    //竣工提交失败
    public static final short ACCEPT_INCOMING_FAIL=527;
    //竣工提交中
    public static final short ACCEPT_INCOMING_ING=528;
    //竣工审核中
    public static final short ACCEPT_INCOMING_CHECKING=529;
    //竣工待审核
    public static final short ACCEPT_INCOMING_WAITCHECK=530;
    //竣工通过
    public static final short ACCEPT_SUCESS=531;
    //整改提交
    public static final short REFORMED_INCOMING=532;
    //整改提交失败
    public static final short REFORMED_INCOMING_FAIL=533;
    //整改核实不通过
    public static final short REFORMED_CHECK_FAIL=534;
    //整改中
    public static final short REFORMED_ING=535;
    //整改提交中
    public static final short REFORMED_SUBMIT_ING=536;
    //整改核实中
    public static final short REFORMED_CHECKING=537;
    //整改已完成
    public static final short REFORMED_SUCESS=538;
    //退回勘测
    public static final short RETURN_DKC=539;
    //设为历史电站
    public static final short SET_HISTORY_ENTRY=540;
    //广发历史电站推送客户信息
    public static final short GDF_HISTORY_ENTRY=541;
    //广发历史电站推送电站信息
    public static final short GDF_HISTORY_ENTRY_INFO=542;
    //电站退回待安装
    public static final short BACK_DAZ=543;


    /*状态   0.待审核，1.已审核 2.已记账 3.已删除
    */
    public static final String ADVANCE_STATUS_ZERO="0";

    public static final String ADVANCE_STATUS_ONE="1";

    public static final String ADVANCE_STATUS_TWO="2";

    public static final String ADVANCE_STATUS_THREE="3";

    public static final String ADVANCE_STATUS_FIVE="5";



    /**
     * management_type资方类型 1.越秀 2.浙江浙银金融租赁股份有限公司 3.中信
     */

    public static final String TYPE_YX="1";

    public static final String TYPE_ZJYL="2";

    public static final String TYPE_ZX="3";

    /**
     *  进件状态  0.待预审 1.预审中 2.预审成功 3.预审驳回 4.待进件 5.进件审核中 6.进件审核成功 7.进件审核驳回 8.合同待签约 9.合同已签约
     *  10.合同审核中 11.合同签约驳回 12.合同已审核 13.待提交完工资料 14.完工资料审核中 15.完工资料审核通过 16.完工资料审核驳回
     *  17.待提交并网资料 18.并网资料已提交 19.并网资料审核中  20.并网资料审批通过 21.并网资料审批拒绝
     */

    public static final String APPLY_STATUS_DYS="0";
    public static final String APPLY_STATUS_YSZ="1";
    public static final String APPLY_STATUS_YSCG="2";
    public static final String APPLY_STATUS_YSBH="3";
    public static final String APPLY_STATUS_DJJ="4";
    public static final String APPLY_STATUS_JJSH="5";
    public static final String APPLY_STATUS_JJTG="6";
    public static final String APPLY_STATUS_JJBH="7";
    public static final String APPLY_STATUS_HTDQ="8";
    public static final String APPLY_STATUS_HTYQ="9";
    public static final String APPLY_STATUS_HTSH="10";
    public static final String APPLY_STATUS_HTBH="11";
    public static final String APPLY_STATUS_HTTG="12";
    public static final String APPLY_STATUS_WGTJ="13";
    public static final String APPLY_STATUS_WGSH="14";
    public static final String APPLY_STATUS_WGSHTG="15";
    public static final String APPLY_STATUS_WGSHBH="16";
    public static final String APPLY_STATUS_DBWTJ="17";
    public static final String APPLY_STATUS_BWYTJ="18";
    public static final String APPLY_STATUS_BWSHZ="19";
    public static final String APPLY_STATUS_BWSHTG="20";
    public static final String APPLY_STATUS_BWSHBH="21";
    public static final String APPLY_STATUS_BCBWZL="31";//待补充并网资料  针对华融


    /**
     *next_apply_status 第二次进件申请状态 (0 暂存 1提交 2.已审核 3.审核不通过)
     */
    public static final String NEXT_STATUS_ZC="0";
    public static final String NEXT_STATUS_TJ="1";
    public static final String NEXT_STATUS_SH="2";


    /**
     * 方案类型 1.标准方案 2.组合方案
     */
    public static final String SCHEME_TYPE_ONE="1";

    public static final String SCHEME_TYPE_TWO="2";


    /**
     * 状态 0.暂存 1.待审核 2.审核不通过 3.待下单 4.待安装 5.待安装验收 f.安装验收退回 6.待并网 d.待上传发票 e.待签署合同 7.待并网验收  10.并网验收驳回 a.已完成 b.已删除
     *
     * 最新的：
     * 大数据筛查：w    信息登记: 0,2  电站安装:4,f 电站并网：6，10  设计审核：1  赊销下单：3  安装验收：5  发票上传：d 合同签署：e 并网验收：7  电站整改：apply_change=2  项目归档：a
     */
    public static final String ENTRY_STATUS_ZC="0";
    public static final String ENTRY_STATUS_DSH="1";
    public static final String ENTRY_STATUS_SHBTG="2";
    public static final String ENTRY_STATUS_DXD="3";
    public static final String ENTRY_STATUS_DAZ="4";
    public static final String ENTRY_STATUS_DAZYS="5";
    public static final String ENTRY_STATUS_AZYSTH="f";
    public static final String ENTRY_STATUS_DBW="6";

    public static final String ENTRY_STATUS_DYS="7";
    public static final String ENTRY_STATUS_DZF="8";
    public static final String ENTRY_STATUS_DGD="9";
    public static final String ENTRY_STATUS_YSBH="10";
    public static final String ENTRY_STATUS_GDBH="11";
    public static final String ENTRY_STATUS_YWC="a";
    public static final String ENTRY_STATUS_DELETED = "b";
    public static final String ENTRY_STATUS_DQR="c";
    public static final String ENTRY_STATUS_ZRDJ="w";

    public static final String ENTRY_STATUS_DSCFP="d"; //待上传发票
    public static final String ENTRY_STATUS_DQS="e";  //待签署合同
    public static final String ENTRY_STATUS_SH="q";  //收货 --暂无用

    public static final String ENTRY_STATUS_KCZS="h";  //设计自审

    public static final String ENTRY_STATUS_AZZS="i";  //安装自审


    public static final String CREDIT_MOREN="0";


    /**
     * 预审状态 0.暂存 1.待预审 2.预审待审批 3.预审审批中 4.预审通过 5.预审拒绝
     */

    public static final String CREDIT_ZANCUN="0";
    public static final String CREDIT_WAIT="1";
    public static final String CREDIT_SUBMITTED="2";
    public static final String CREDIT_APPROVE="3";
    public static final String CREDIT_APPROVED="4";
    public static final String CREDIT_REJECT="5";

    /**
     * 设计审核状态：1.待踏勘 2.待自审 3.自审驳回 4.自审通过 5.设计审核驳回 6.设计审核通过 7.进件审核驳回 8.进件审核中 9.进件审核通过/已完成 a.待设计
     */
    public static final String DESIGN_AUDIT_FLAG_DTK="1";
    public static final String DESIGN_AUDIT_FLAG_DZS="2";
    public static final String DESIGN_AUDIT_FLAG_ZSBH="3";
    public static final String DESIGN_AUDIT_FLAG_ZSTG="4";
    public static final String DESIGN_AUDIT_FLAG_SJSHBH="5";
    public static final String DESIGN_AUDIT_FLAG_SJSHTG ="6";
    public static final String DESIGN_AUDIT_FLAG_JJSHBH ="7";
    public static final String DESIGN_AUDIT_FLAG_JJSHZ ="8";
    public static final String DESIGN_AUDIT_FLAG_JJSHTG ="9";
    public static final String DESIGN_AUDIT_FLAG_DSJ ="a";

    /**
     * 安装状态：0.未开始 1.待派工 2.待安装 3.自审驳回 4.安装完成
     */
    public static final String INSTALL_FLAG_DPG="1";
    public static final String INSTALL_FLAG_DAZ="2";
    public static final String INSTALL_FLAG_ZSBH="3";
    public static final String INSTALL_FLAG_AZWC="4";

    /**
     * 安装验收状态：0.未开始 1.待自审 2.自审通过 3.验收驳回 4.验收通过 5.资方审核中 6.资方审核通过 7.资方审核驳回
     */
    public static final String FLAG_INIT ="0";
    public static final String CHECK_ACCEPT_FLAG_DZS="1";
    public static final String CHECK_ACCEPT_FLAG_ZSTG="2";
    public static final String CHECK_ACCEPT_FLAG_YSBH="3";
    public static final String CHECK_ACCEPT_FLAG_YSTG="4";
    public static final String CHECK_ACCEPT_FLAG_ZFSHZ="5";
    public static final String CHECK_ACCEPT_FLAG_ZFSHTG="6";
    public static final String CHECK_ACCEPT_FLAG_ZFSHBH="7";

    /**
     * 并网状态 0.未开始 1.待并网 2.并网验收驳回   3.资方审核驳回 4.已并网
    */
    public static final String  ON_GRID_FLAG_DBW="1";
    public static final String  ON_GRID_FLAG_BWYSBH="2";
    public static final String  ON_GRID_FLAG_ZFSHBH="3";
    public static final String  ON_GRID_FLAG_YBW="4";

    /**
     * 并网验收状态：0.未开始 1.待并网验收 3.资方审核中 4.资方审核通过
     */
    public static final String MERGE_FLAG_DBW="1";
    public static final String MERGE_FLAG_ZFSHZ="3";
    public static final String MERGE_FLAG_ZFSHTG="4";


    /**
     *信息使用授权状态：1.未授权 2.已发起 3.已授权 4.无授权
     */
    public static final String AUTHORIZATION_WAIT="1";
    public static final String AUTHORIZATION_SUBMITTED="2";
    public static final String AUTHORIZATION_SUCCESS="3";
    public static final String AUTHORIZATION_NONE="4";

    /**
     * 是否提交准入 0.否 1.是
     */
    public static final String ADMIT_FLAG_NOT_SUBMITTED = "0";
    public static final String ADMIT_FLAG_SUBMITTED = "1";

    /**
     * 0 暂存  1 提交  2 准入登记（小程序）3.审核（小程序） 4.勘测暂存
     */
    public static final String TYPE_ZC="0";
    public static final String TYPE_TJ="1";
    public static final String TYPE_ZCTJ="2";
    public static final String TYPE_SH="3";
    public static final String TYPE_ZC_SURVEY = "4";


    /**
     * apply_change 申请整改 1.否 2.是 3.已通过申请 4.未通过',
     */
    public static final String APPLY_CHANGE_NO="1";
    public static final String APPLY_CHANGE_YES="2";
    public static final String APPLY_CHANGE_APPROVE="3";
    public static final String APPLY_CHANGE_FAIL="4";

    /**
     * retrial 申请重审 1.否 2.是 3.已通过申请 4.未通过',
     */
    public static final String RETRIAL_NO="1";
    public static final String RETRIAL_YES="2";
    public static final String RETRIAL_APPROVE="3";
    public static final String RETRIAL_FAIL="4";

    /**
     * img_upload 附件是否上传(0 未上传 1已上传 2.第二次已上传)
     */
    public static final String IMG_UPLOAD_NO="0";
    public static final String IMG_UPLOAD_YES="1";
    public static final String IMG_UPLOAD_TWICE="2";
    public static final String IMG_UPLOAD_THREE="3";

    /**
     * 状态 0.待验收 1.已验收
     */
    public static final String REPORT_STATUS_DYS="0";

    public static final String REPORT_STATUS_YYS="1";

    /**
     * 匹配状态 1.未匹配 2.已匹配
     */
    public static final String CONTRACT_STATUS_PP="2";

    /**
     *业务属性 1.纯租25年业务、2.经营性租赁、3.融资租赁、4.光伏贷、5.全款、6.其他
     */
    public static final String PRODUCT_ONE ="1";
    public static final String PRODUCT_TWO ="2";
    public static final String PRODUCT_THREE ="3";
    public static final String PRODUCT_FOUR ="4";
    public static final String PRODUCT_FIVE ="5";
    public static final String PRODUCT_SIX ="6";


    /**
     * 合同签署状态：0.未邀请 1.待农户签约 2.待公司签约 3.已完成 5、公司拒绝签约 6、农户拒绝签约
     * 华融状态：0.未邀请 1.待农户签约 2.待公司签约(待共签人签约) 4 拒签 5.已完成  6待生成（待发起）
     */
    public static final String SIGN_STATUS_UNSTART="0";
    public static final String SIGN_STATUS_TENANT_ING="1";
    public static final String SIGN_STATUS_COMPANY_ING="2";
    public static final String SIGN_STATUS_COMPLETED="3";
    public static final String SIGN_STATUS_REFUSE ="4";
    public static final String SIGN_STATUS_FINISH ="5";
    public static final String SIGN_STATUS_WAIT_CREATE ="6";

    /**
     * 回款状态 0.默认 页面显示-- 1.等待放款 2.请款完成 3.已放款
     */
    public static final String PAYMENT_STATUS_DEFAULT="0";
    public static final String PAYMENT_STATUS_WAIT="1";
    public static final String PAYMENT_STATUS_FINISH="2";
    public static final String PAYMENT_STATUS_PAID="3";


    /**
     * 购售电地址是否一致 Y:是、N:否
     */
    public static final String ADDESS_CONSISTENT_YES ="Y";
    public static final String ADDESS_CONSISTENT_NO ="N";

    /**
     * 备案类型:1.农户备案 2.项目公司备案
     */
    public static final String FILING_TYPE_FARMER = "1";
    public static final String FILING_TYPE_COMPANY = "2";

    /**
     * 租户分类: 1.个人 2.单位
     */
    public static final String TENANT_TYPE_PERSON = "1";
    public static final String TENANT_TYPE_COMPANY = "2";

    /**
     * 物料安装状态:0.未完成 1.已完成
     */
    public static final String FIX_FLAG_INCOMPLETION = "0";
    public static final String FIX_FLAG_FINISH = "1";

    /**
     * 物料并网状态:0.未完成 1.已完成
     */
    public static final String MERGE_FLAG_INCOMPLETION = "0";
    public static final String MERGE_FLAG_FINISH = "1";

}
