package com.sifang.modules.customer.constant;

public class UserConstants {

    /**
     *  1.正常 2.禁用
     */
    public static final String STATUS_USE="1";
    public static final String STATUS_DISABLED="2";

    /**
     * user_type 1.能辉光伏 2.注册用户
     */
    public static final String USER_TYPE_ONE="1";
    public static final String USER_TYPE_TWO="2";

    /**
     * 用户类型(0.超级管理员1.平台管理员 3.服务商 4.平台员工 5.服务商人员 6.代理商 7.代理商人员 8.供应商 9.合作商 a.合作商员工)
     */

    public static final String TYPE_ADMIN="1";
    public static final String TYPE_SIT="3";
    public static final String TYPE_PLAT_EMP="4";
    public static final String TYPE_TRADER="6";
    public static final String TYPE_JXS_EMP="7";
    public static final String TYPE_SUPPLIER="8";
    public static final String TYPE_TEAM="9";
    /**
     * 状态(0.正常1.删除2.离职)3.禁用
     */
    public static final String USER_STATUS_NORMAL="0";
    public static final String USER_STATUS_DELETE="1";
    public static final String USER_STATUS_DISABLE = "3";


    public static final String TRADER_STATUS_NORMAL="0";
    public static final String TRADER_STATUS_THREE="3";

    /**
     * 数据权限 data_authority  1、仅看自己数据 2、看所有数据（指当前服务商的所有数据）
     */
    public static final String DATA_AUTHORITY_ONLY="1";

    public static final String DATA_AUTHORITY_ALL="2";
}
