package com.sifang.modules.customer.dao;

import com.jfinal.plugin.activerecord.Db;
import com.sifang.modules.customer.entity.CrmYxProcess;
import com.sifang.modules.sys.common.persistence.BaseDao;
import org.springframework.stereotype.Service;

@Service
public class CrmYxProcessDao extends BaseDao<CrmYxProcess> {

    /**
     * 添加越秀接口请求日志
     * @param entryId 电站id
     * @param type 节点 1预审 2进件 3完工资料提交 4并网资料提交  5开卡
     * @param urlName 接口名称
     * @param requestParam 请求参数
     * @param responseParam 返回参数
     * @param status 请求状态 0 成功 1失败
     */
    public static void addProcess(String entryId,String type,String urlName,String requestParam,String responseParam,String status) {
        Db.update("INSERT INTO crm_yx_process(id,entry_id,`type`,url_name,create_time,request_param,response_param,`status`) VALUES(MD5(UUID()),?,?,?,NOW(),?,?,?)"
        ,entryId,type,urlName,requestParam,responseParam,status);
    }


}
