package com.sifang.modules.factory.aiswei.dto.createStation;

import lombok.Data;

@Data
public class CreateStationProReq {

    private String entryId;
    private String key;
    private String secret;
    private String token;

    /** 采集器序列号 Y **/
    private String psno;
    /** 采集器注册码 Y **/
    private String registno;
    /** 电站名称 Y **/
    private String name;
    /** 电站装机容量，默认0  单位：KW  Double  N **/
    private String totalpower;
    /** 电站类型：1户用电站，2商用电站 N **/
    private String area;
    /** 省名称 N **/
    private String province;
    /** 城市 N **/
    private String city;
    /** 电站所在地区经度. default 0.  Double  N **/
    private String jd;
    /** 电站所在地区纬度. default 0.  Double  N **/
    private String wd;
    /** 地址 N **/
    private String street;
    /** 组织编码 882574 N **/
    private String orgCode;
}
