package com.sifang.modules.flowable.dao;

import com.jfinal.plugin.activerecord.Db;
import com.jfinal.plugin.activerecord.Record;
import com.sifang.modules.sys.common.persistence.BaseDao;
import org.springframework.stereotype.Repository;
import com.sifang.modules.flowable.entity.ProcessDefSubmitStep;

/**
 * *DAO接口
 * @author Ivan
 * @version 2023-04-11
 */
@Repository
public class ProcessDefSubmitStepDao extends BaseDao<ProcessDefSubmitStep> {


    public Record getSubmitStep(String processId) {
        Record submitStep = Db.findFirst("   SELECT s.visible_fields AS visibleFields,s.operate_fields AS operateFields," +
                "s.role_id AS roleId,s.item_name,s.submit_type,s.role_id,s.emp_user_id FROM `crm_process_def_submit_step` s WHERE s.proc_def_id=? ", processId);
        return submitStep;
    }

}
