/**
 */
package com.sifang.modules.order.dao;

import com.jfinal.plugin.activerecord.Db;
import com.sifang.modules.order.entity.CustomerTelephoneIncome;
import com.sifang.modules.sys.common.persistence.BaseDao;
import org.springframework.stereotype.Repository;

/**
 * 用户来电次数记录。
 *
 * @author lzp
 * @version 2019-12-10
 */
@Repository
public class CustomerTelephoneIncomeDao extends BaseDao<CustomerTelephoneIncome> {

    public Long getIncomingTimes(String tel) {
        return Db.queryLong("select count(1) as cnt from crm_customer_telephone_income where  telephone=?",  tel);
    }
}
