package com.sifang.modules.platform.service;

import com.sifang.modules.sunshine.financialManagement.dao.SiteAssetDao;
import com.sifang.modules.sys.common.service.BaseService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;


@Service
public class OnlineRechargeService extends BaseService{

    @Autowired
    private SiteAssetDao siteAssetDao;

    public static final String ORDER_STATUS_YXD = "0";
    public static final String ORDER_STATUS_DFP = "1";

    private static final Logger logger = LoggerFactory.getLogger(OnlineRechargeService.class);



    @Transactional(rollbackFor=Exception.class)
    public  void handleNanDaoNotify(String outTradeNo, Map<String, String> parasMap ,boolean isPaySuccess,String zftype){
        logger.error(String.format("check sign[%s] passed", parasMap.get("out_trade_no")));


    }

}
