package com.sifang.modules.supply.stock.dao;

import com.sifang.modules.supply.stock.entity.MaterialStockWarning;
import com.sifang.modules.sys.common.persistence.BaseDao;
import com.sifang.modules.sys.common.persistence.Parameter;
import org.springframework.stereotype.Repository;

/**
 * @author hongzq
 */
@Repository
public class MaterialStockWarningDao extends BaseDao<MaterialStockWarning> {

    public MaterialStockWarning findByMaterialIdAndAscriptionId(String materialId, String ascriptionId){
        return getByHql("from MaterialStockWarning where materialId=:p1 and ascriptionId=:p2", new Parameter(materialId, ascriptionId));
    }

}
