package com.sifang.modules.supply.warehouse.constant;

public class MaterialKeepConstants {
    /**
     * 入库
     */
    public static final String IN = "1";

    /**
     * 出库
     */
    public static final String OUT = "2";

    /**
     * 数据来源 采购
     */
    public static final String PURCHASE = "1";

    /**
     * 数据来源 订单入库
     */
    public static final String ORDER_IN = "2";

    /**
     * 数据来源 调拨入库
     */
    public static final String ALLOT_IN = "3";

    /**
     * 数据来源 发货
     */
    public static final String DELIVER = "4";

    /**
     * 数据来源 使用出库
     */
    public static final String USED_OUT = "5";

    /**
     * 数据来源 调拨出库
     */
    public static final String ALLOT_OUT = "6";

    /**
     * 数据来源 盘点
     */
    public static final String INVENTORY = "7";

    /**
     * 数据来源 入库单
     */
    public static final String IN_STOCK_ORDER = "8";

    /**
     * 数据来源 退货出库
     */
    public static final String OUT_RETURN_ORDER = "9";
    /**
     * 数据来源 退货入库
     */
    public static final String IN_RETURN_ORDER = "a";

    /**
     * 数据来源 企企
     */
    public static final String IN_RETURN_QQ = "b";

    /**
     * 数据来源 初始库存
     */
    public static final String IN_RETURN_INIT = "c";
    /**
     * type 类型：0入库，1出库，2归还 3库存调整 4服务商零售,5删除,6新件返厂 7出库到二级网点 8中心网点入库9厂家到货入库，a确认新件到厂 b仓库调拨 c.总部调拨
     */
    public static final String TYPE_IN="0";
    public static final String TYPE_OUT="1";
    public static final String TYPE_CHANGE="3";

    /**
     * 数据类型 1.供应链记录 2.代理商记录
     */
    public static final String BELONGING_TYPE_SUPPLY = "1";
    public static final String BELONGING_TYPE_TRADER = "2";
}
