package com.sifang.modules.sys.util.insurance;

public class InsuranceConst {

    /**
     * 个人
     */
    public static final String INSURE_TYPE_PERSONAL = "1";
    /**
     * 企业
     */
    public static final String INSURE_TYPE_ENTERPRISE = "2";

    /**
     * 营业执照
     */
    public static final String ID_TYPE_BIZ_LICENSE = "70";

    /**
     * 法人
     */
    public static final String INSURE_NATURE_LEGAL_PERSON = "4";
    /**
     * 自然人
     */
    public static final String INSURE_NATURE_PERSON = "3";

    /**
     * 与投保人关系
     * 00本人；01配偶；02父母；03子女；05兄弟姐妹；06雇主；07雇员；10监护人；11被监护人；12朋友；99其它
     */
    public static final String INSURE_REL_SELF = "00";
    public static final String INSURE_REL_SPOUSE = "01";
    public static final String INSURE_REL_PARENT = "02";
    public static final String INSURE_REL_CHILD = "03";
    public static final String INSURE_REL_BROTHER = "05";
    public static final String INSURE_REL_EMPLOYER = "06";
    public static final String INSURE_REL_EMPLOYEE = "07";
    public static final String INSURE_REL_GUARDIAN = "10";
    public static final String INSURE_REL_GUARDEE = "11";
    public static final String INSURE_REL_FRIEND = "12";
    public static final String INSURE_REL_OTHER = "99";

    /**
     * 被保险人
     */
    public static final String INSURE_FLAG_INSURED = "1";
    /**
     * 投保人
     */
    public static final String INSURE_FLAG_INSURE_PAYER = "2";

    /**
     * 接口创建
     */
    public static final String INSURE_SRC_INTERFACE = "0";
    /**
     * 线下生成
     */
    public static final String INSURE_SRC_OFFLINE = "1";

//    1投被保人 2标的地址 3保额 4保费 5特别约定第一受益人
//    注：类型125可以多传，3、4只能单独批改，多传时使用 | 隔开，如1|2|5
    public static final String ENDORSE_TYPE_INSURE = "1";
    public static final String ENDORSE_TYPE_HOUSE_DETAIL = "2";
    public static final String ENDORSE_TYPE_SUM_AMOUNT = "3";
    public static final String ENDORSE_TYPE_REMARK = "5";

}
