package com.sifang.modules.taskdispatch.constant;

public class ReviewDispatchConst {

    /**
     * / 0 进行中，1.已完成 , 2 已转派
     */
    public static final String STATUS_ONGOING = "0";
    public static final String STATUS_FINISHED = "1";
    public static final String STATUS_REDISPATCHED = "2";

    /**
     * 派工类型，0 自动 1 手动
     */
    public static final String DISPATCH_TYPE_AUTO = "0";
    public static final String DISPATCH_TYPE_MANUAL = "1";

    /**
     * 待办事项不能为空
     */
    public static final String ERR_CODE_ITEM_REQUIRED = "D001";
    /**
     * 待办事项已经被分配
     */
    public static final String ERR_CODE_ITEM_CONSUMED = "D002";
    /**
     * 待办事项不是同一类型
     */
    public static final String ERR_CODE_ITEM_NOT_SAME_TYPE = "D003";
    /**
     * 待办事项分配失败
     * 可能是待办事项已经被分配、或者其他数据异常导致分配失败。
     */
    public static final String ERR_CODE_ITEM_ASSIGN_ERROR = "D004";
    /**
     * 待办事项类型和删单组成员所在组不匹配
     */
    public static final String ERR_CODE_ITEM_MISMATCH = "D005";
    /**
     * 审单员关联的用户有误
     */
    public static final String ERR_CODE_MEMBER_STATE_ERROR = "M001";
    public static final String ERR_CODE_MEMBER_OFFLINE = "M002";
    /**
     * 审单员关联的用户有误
     */
    public static final String ERR_CODE_ITEM_COUNT = "M003";

}
