<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
</head>
<body class="">
<div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body">
            <h1 class="title mb-20">下单流程</h1>
            <ul class="process mb-20">
                <li><span></span>1、下载工单模板</li>
                <li><span></span>2、模板中填写相关数据 <b></b></li>
                <li><span></span>3、导入Excel表</li>
            </ul>
            <hr class="layui-bg-green">
            <div>
                <button class="layui-btn mr-50">下载安装模板</button>
                <button class="layui-btn mr-50">下载维修模板</button>
                <button class="layui-btn mr-50">下载送修模板</button>
                <button class="layui-btn mr-50">下载清洗模板</button>
            </div>
            <hr class="layui-bg-green">
            <div class="text-c">

                <button class="layui-btn layui-btn-lg layui-btn-danger mr-50">导入数据</button>
            </div>
        </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'console']);
</script>
</body>
</html>