<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>备件申请-待出库</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
</head>
<body>

<div class="layui-fluid">
    <div class="layui-form layui-card">
      <div class="layui-tab layui-tab-brief">
          <ul class="layui-tab-title">
              <sfTags:pagePermission authFlag="WDGD_DJD_DJD_T" html='<a href="${ctx}/order/getWaitingforOrders"><li class="layui-this">待接单</li></a>'/>
              <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10" id="searchBtn" lay-submit lay-filter="LAY-user-back-search">
                  <i class="layui-icon fs-12">&#xe615;</i>
                  查询
              </button>
          </ul>
      </div>
      <div class="layui-card-body layuiadmin-card-header-auto" id="searchForm">
          <div class="layui-form-item">
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">工单编号：</label>
                  <div class="layui-input-block">
                      <input type="text" name="number" class="layui-input" >
                  </div>
              </div>

              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">服务类型：</label>
                  <div class="layui-input-block" >
                      <select name="service_type" lay-filter="aihao">
                          <option value="">请选择</option>
                          <option value="安装" >安装</option>
                          <option value="维修" >维修</option>
                          <option value="咨询" >咨询</option>
                      </select>
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">产品品牌：</label>
                  <div class="layui-input-block" >
                      <select name="appliance_brand">
                          <option value="">请选择</option>
                          <c:forEach var="brand" items="${brandList}">
                              <option value="${brand.columns.brand}">${brand.columns.name}</option>
                          </c:forEach>
                      </select>
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">产品品类：</label>
                  <div class="layui-input-block" >
                      <select name="appliance_category">
                          <option value="">请选择</option>
                          <c:forEach var="cate" items="${cateList}">
                              <option value="${cate.columns.category}">${cate.columns.category}</option>
                          </c:forEach>
                      </select>
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">产品型号：</label>
                  <div class="layui-input-block">
                      <input type="text" name="appliance_model" class="layui-input" >
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">用户姓名：</label>
                  <div class="layui-input-block">
                      <input type="text" name="customer_name" class="layui-input" >
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">用户电话：</label>
                  <div class="layui-input-block">
                      <input type="text" name="customer_mobile" class="layui-input" >
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">用户地址：</label>
                  <div class="layui-input-block">
                      <input type="text" name="customer_address" class="layui-input" >
                  </div>
              </div>
              <div class="layui-col-lg2 layui-col-sm3">
                  <label class="layui-form-label">保修类型：</label>
                  <div class="layui-input-block" >
                      <select name="warranty_type" lay-filter="aihao">
                          <option value="">请选择</option>
                          <option value="1" >保内</option>
                          <option value="2" >保外</option>
                      </select>
                  </div>
              </div>

              <div class="layui-col-lg4 layui-col-sm6">
                  <label class="layui-form-label">报修时间：</label>
                  <div class="layui-input-block">
                      <div class="layui-col-xs5">
                          <input type="text" name="repairTimeSta" class="layui-input" id="repairTime" placeholder="开始日期">
                      </div>
                      <div class="layui-col-xs2 text-c lh-30">
                          —
                      </div>
                      <div class="layui-col-xs5">
                          <input type="text" name="repairTimeEnd" class="layui-input" id="endTime" placeholder="结束日期">
                      </div>
                  </div>
              </div>
      </div>
      </div>
    </div>
    <div class="layui-card">
        <div class="layui-card-body">
            <table class="layui-hide" lay-skin="row" id="test" lay-filter="test"></table>
            <script type="text/html" id="toolbarDemo">
                <div class="layui-btn-container">
                    <sfTags:pagePermission authFlag="DJD_ZP_B" html=' <button class="layui-btn layui-btn-sm" lay-event="transfer"><i class="layui-icon layui-icon-export"></i>转派</button>'/>
                    <sfTags:pagePermission authFlag="DJD_WX_B" html=' <button class="layui-btn layui-btn-sm" lay-event="invalid"><i class="layui-icon layui-icon-export"></i>无效</button>'/>
                    <sfTags:pagePermission authFlag="DJD_DC_B" html=' <button class="layui-btn layui-btn-sm" lay-event="export"><i class="layui-icon layui-icon-export"></i>导出</button>'/>

                </div>
            </script>
        </div>
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script>
    layui.use(['table','layer','laypage','laydate','form'], function(){
        $ = layui.$;
        table = layui.table;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;

        //开始日期
        var insStart = laydate.render({
            elem: '#repairTime'
            ,done: function(value, date){
                //更新结束日期的最小日期
                insEnd.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });

                //自动弹出结束日期的选择器
                insEnd.config.elem[0].focus();
            }
        });

        //结束日期
        var insEnd = laydate.render({
            elem: '#endTime'
            ,done: function(value, date){
                //更新开始日期的最大日期
                insStart.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });
            }
        });

        table.render({
            elem: '#test'
            , height: 'full-240'
            , toolbar: '#toolbarDemo'
            , defaultToolbar: false
            , limits : [ 20, 50, 100 ]
            , limit:20
            , page : true //开启分页
            , url: '${ctx}/order/platform/waitingforOrders'
            , cols: [[
                {type: 'numbers',fixed:'left',title:'序号'}
                , {field: 'id', type: 'checkbox',fixed: 'left'}
                , {field: 'number', title: '工单编号', minWidth:'200',sort: false, align: 'center',templet:function(d){
                    var flag = d.flag;
                    var html;
                    if(isBlank(flag)){//
                        html ="<i class=\"layui-icon layui-icon-flag\" onclick=\"orderFlag('"+d.id+"')\"></i>";
                    }else{
                        html ="<i class=\"layui-icon layui-icon-flag\" style=\"color: "+d.flag_type+";\" onclick=\"orderFlag('"+d.id+"')\"></i>";
                    }
                    return html + "&nbsp;&nbsp;<a href=\"#\" class=\"layui-table-link\" onclick=\"orderDetail('"+d.id+"')\">"+d.number+"</a>";
                }}
                , {field: 'site_name', title: '服务商', sort: false, align: 'center'}
                , {field: 'status', title: '工单状态', sort: false, align: 'center',templet:function(d){
                    var status = d.status;
                    //1.待派工 2.服务中 3.待回访 4.待结算 5.已完成 6.无效工单 7.取消工单，默认1
                    var siteStatus= d.site_status;
                    if(status == 1){
                        return "待派工";
                    }else if(status == 2){
                        //0尚未指派给服务商 1待服务商接单 2服务商已拒单 3待服务商派工 4待工程师接单 5待上门 6服务中 7已完工 8派工取消
                        if(siteStatus == 1){
                            return "待服务商接单";
                        }else if(siteStatus == 2){
                            return "服务商已拒单";
                        }else if(siteStatus == 3){
                            return "待服务商派工";
                        }else if(siteStatus == 4){
                            return "待工程师接单";
                        }else if(siteStatus == 5){
                            return "待上门";
                        }
                        return "服务中";
                    }else if(status == 3){
                        return "待回访";
                    }else if(status == 4){
                        return "待结算";
                    }else if(status == 5){
                        return "已完成";
                    }else if(status == 6){
                        return "无效工单";
                    }else if(status == 7){
                        return "取消工单";
                    }
                    }}
                , {field: 'customer_name', title: '用户姓名', sort: false, align: 'center'}
                , {field: 'customer_mobile', title: '用户电话', sort: false, align: 'center'}
                , {field: 'customer_address', title: '用户地址',minWidth:'200', sort: false, align: 'center',templet:function(d){
                            return d.province+d.city+d.area+d.customer_address;
                    }}
                , {field: 'service_type', title: '服务类型', sort: false, align: 'center'}
                , {field: 'appliance_category', title: '产品品类', sort: false, align: 'center'}
                , {field: 'appliance_brand', title: '产品品牌', sort: false, align: 'center'}
                , {field: 'appliance_model', title: '产品型号', minWidth:'150',sort: false, align: 'center'}
                , {field: 'appliance_num', title: '产品数量', sort: false, align: 'center'}
                , {field: 'warranty_type', title: '保修类型', sort: false, align: 'center',templet:function(d){
                    if(d.warranty_type == 1){
                        return "保内";
                    }else{
                        return "保外";
                    }                }}
                , {field: 'repair_time', title: '报修时间',minWidth:'150', sort: false, align: 'center'}
            ]] ,done:function(res,cuss,count){
                $('.layui-table-header .laytable-cell-checkbox input').attr('disabled','disabled');
                $('.layui-table-header .laytable-cell-checkbox div').hide();
            }
        });

        //头工具栏事件
        table.on('toolbar(test)', function(obj){
            switch(obj.event){
                case 'export':

                    break;
                case 'invalid':
                    var checkStatus = table.checkStatus(obj.config.id);
                    var data = checkStatus.data;
                    if (data.length != 1) {
                        layer.msg("请选择一条数据",{icon:5,anim:6});
                        return;
                    }
                    var orderId = data[0].id;
                    var indexla = layer.confirm('您确定要操作无效工单吗？', {
                        icon:3,
                        btn: ['确定','取消'] //按钮
                    }, function(){
                        $.ajax({
                            type:"POST",
                            url:"${ctx}/order/invalidOrder",
                            data:{
                                orderId:orderId
                            },
                            success:function(result){
                                if(result.code == "200"){
                                    layer.msg('操作成功！', {icon:1,time:1000},function(){
                                        window.location.reload();
                                    });
                                }else if(result.code =="400"){
                                    layer.msg('该工单已派工不可操作无效！', {icon:2})
                                }else{
                                    layer.msg('操作失败！', {icon:2})
                                }
                            }
                        });

                    }, function(){
                        layer.close(indexla)
                    });
                    break;
                case 'transfer':
                    var checkStatus = table.checkStatus(obj.config.id);
                    var data = checkStatus.data;
                    if (data.length != 1) {
                        layer.msg("请选择一条数据",{icon:5,anim:6});
                        return;
                    }
                    var status = data[0].status;
                    if(status != 2){
                        layer.msg("该工单为不可派工",{icon:5,anim:6});
                        return;
                    }
                    var orderId = data[0].id;
                    layer.open({
                        type: 2,
                        content: "${ctx}/dispatch/getturnDisOrderSite?orderId="+data[0].id  //这里content是一个DOM，注意：最好该元素要存放在body最外层，否则可能被其它的相对元素所影响
                        ,title: "转派"
                        ,btn:['确认转派']
                        ,area:["700px","430px"]
                        ,yes: function(index, layero){
                            var iframeWindow = window['layui-layer-iframe'+ index]
                                ,submitID = 'sureSubmit'
                                ,submit = layero.find('iframe').contents().find('#'+ submitID);

                            //监听提交
                            iframeWindow.layui.form.on('submit('+ submitID +')', function(data){
                                var siteId=  layero.find('iframe').contents().find("#zhijiepaidan tr").find("input[name='siteId']:checked").val();
                                var textarea=  layero.find('iframe').contents().find("#remarks").val();
                                if(isBlank(siteId)){
                                    layer.msg('请选择服务商', {icon:2});
                                    return false
                                }
                                if(isBlank(textarea)){
                                    layer.msg('请输入转派原因', {icon:2});
                                    return false
                                }
                                $.ajax({
                                    type:"POST",
                                    url:"${ctx}/dispatch/turnDispatchOrderSite",
                                    data:{
                                        orderId:orderId,
                                        siteId:siteId,
                                        remarks:textarea
                                    },
                                    success:function(result){
                                        if(result.code ==200){
                                            layer.closeAll()
                                            layer.msg('转派成功！', {icon:1,time:1000},function(){
                                                window.location.reload();
                                            });
                                        }else if(result.code == "505"){
                                            layer.msg('转派失败!', {icon:2,time:1000},function(){
                                                layer.closeAll()
                                            });
                                        }else if(result.code == "203"){
                                            layer.msg('转派原因为空!', {icon:2,time:1000});
                                        }else if(result.code == "400"){
                                            layer.msg('该工单不可转派，请刷新页面!', {icon:2,time:1000});
                                        }else{
                                            layer.msg('转派失败,数据有误', {icon:2,time:1000});
                                        }
                                    }
                                });

                            });
                            submit.trigger('click');
                        },
                        success : function(layero) {
                            layero.find('.layui-layer-btn').css('text-align', 'center');
                            layero.find('.layui-layer-btn').find(".layui-layer-btn0").css("background-color","#009688");
                        }
                    });
                    break;
            };
        });

        //监听行单击事件
        table.on('row(test)', function(obj){
            var data = obj.data;
            var oldData = table.cache["test"];
            var checkCell=obj.tr.find(".layui-form-checkbox");
            var CHECKED;
            if(obj.tr.hasClass("xuanzhong-special")){
                CHECKED = false;
                obj.tr.removeAttr("style");
                obj.tr.removeClass("xuanzhong-special");
                obj.tr.removeClass('layui-table-click');
                checkCell.removeClass('layui-form-checked');
            }else{
                CHECKED=true
                $(obj.tr).css('background-color','#CCEAEA');
                $(obj.tr).addClass("xuanzhong-special");
                obj.tr.addClass('layui-table-click');
                checkCell.addClass('layui-form-checked');
            }
            $.each(oldData,function(i,val){
                if(val.id == data.id){
                    oldData[i].LAY_CHECKED=CHECKED
                }
            })

        });

        //监听搜索
        form.on('submit(LAY-user-back-search)', function(data){
            var field = data.field;
            //执行重载
            table.reload('test', {
                where: field,
                page:{
                    curr:1
                }
            });
        });

    });

    //标记工单
    function orderFlag(id){
        layer.open({
            type: 2,
            content: "${ctx}/order/getFlagOrder?orderId="+id //这里content是一个DOM，注意：最好该元素要存放在body最外层，否则可能被其它的相对元素所影响
            ,offset: ['350px', '200px']
            ,title: "标记工单"
            ,area:["200px","340px"]
            ,closeBtn: 0
            ,shadeClose:true

        });
    }


    /*工单详情*/
    function orderDetail(id) {
        layer.open({
            type: 2,
            title:" 工单信息",
            skin: 'layui-layer-rim', //加上边框
            area: ['1100px', '81%'],
            content: '${ctx}/order/getplatformOrderForm?orderId='+id+"&type=8"
        });
    }

    //备件详情
    function fittingDetail(id){
        layer.open({
            type: 2
            , title: '备件信息'
            , content: '${ctx}/platform/fitting/toFittingDetailNo?id=' + id
            , area: ['1000px', '50%']
            , yes: function(index, layero){

            }
        });
    }

    function reset(){
        $("#searchForm").find("select").val("");
        $("#searchForm").find("input").val("");
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
</script>
</body>
</html>

