<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>服务商—转派</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
</head>
<body>
<div class="layui-card mb-0">
    <div class="layui-card-body">
        <div class="layui-form mt-10">

            <div class="layui-col-lg2 layui-col-sm3">
                <label class="layui-form-label"><i class="mark">*</i>预约时间：</label>
                <div class="layui-input-block" >
                    <input type="text" name="promiseTime"  id="promiseTime"  placeholder=""
                           autocomplete="off" class="layui-input " value="<fmt:formatDate value="${order.promiseTime}" pattern="yyyy-MM-dd" />">
                </div>
            </div>
            <div class="layui-col-lg2 layui-col-sm3">
                <label class="layui-form-label"><i class="mark">*</i>时间要求：</label>
                <div class="layui-input-block">
                    <select  name="promiseLimit" id="promiseLimit"  lay-filter="aihao" class=""  lay-search>
                        <option value="">请选择</option>
                        <c:forEach items="${promiseLimit}" var="timeList">
                            <option value="${timeList}" <c:if test="${timeList == order.promiseLimit}">selected</c:if>>${timeList}</option>
                        </c:forEach>
                    </select>
                </div>
            </div>

            <div class="layui-form-item layui-hide">
                <input type="button" lay-submit lay-filter="sureSubmit" id="sureSubmit" value="确认">
            </div>

        </div>
        <input type="hidden" id="orderId" value="${orderId}">
    </div>

</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script>
    layui.use(['table','layer','form','laydate'], function(){
        $ = layui.$;
        table = layui.table;
        layer = layui.layer;
        form = layui.form;
    laydate = layui.laydate;
        laydate.render({
        elem: '#promiseTime'
            ,trigger: 'click'
        });


    });



    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
</script>
</body>
</html>

