<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css" media="all">
    <style>
        .layui-form-select dl{
            max-height:200px;
            width: 80%;
        }
        html{
            background-color: #fff;
        }
    </style>
</head>
<body>
<div class="layui-form">
    <div class="layui-card">
        <div class="layui-card-body over pt-20 pb-40 h-250" id="detailSet">
            <div class="layui-col-xs12 mb-10 pr-30">
                <div class="layui-inline layui-col-xs6">
                    <label class="layui-form-label w-130">结算总额：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="mobile"  autocomplete="off" placeholder="请输入手机号" class="layui-input layui-bg-gray" value="${total_costs}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs6">
                    <label class="layui-form-label w-130">维修费用：</label>
                    <div class="layui-input-block w-200" >
                        <input type="text" name="years"   autocomplete="off" class="layui-input layui-bg-gray" value="${c.serviceCosts}" disabled >
                    </div>
                </div>
            </div>
            <div class="layui-col-xs12 mb-10 pr-30">
                <div class="layui-inline layui-col-xs6">
                    <label class="layui-form-label w-130">快速奖励费：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="mobile"  autocomplete="off"  class="layui-input layui-bg-gray" value="${c.rewardCosts}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs6">
                    <label class="layui-form-label w-130">差旅费用：</label>
                    <div class="layui-input-block w-200" >
                        <input type="text" name="years"   autocomplete="off" class="layui-input layui-bg-gray" value="${c.mileageCost}" disabled>
                    </div>
                </div>
            </div>
            <div class="layui-col-xs12 mb-10 pr-30">
                <div class="layui-inline layui-col-xs6">
                    <label class="layui-form-label w-130">其他费用：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="mobile"  autocomplete="off"  class="layui-input layui-bg-gray" value="${c.otherCost}" disabled>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="operate-footer">
        <input type="button"  class="layui-btn layui-btn-primary" value="取消" onclick="closeDiv();">
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/data.js"></script>
<script type="text/javascript">
    //初始数据
    var $form;
    var form;
    var upload;
    var $;
    layui.use(['form', 'table', 'upload', 'jquery'], function () {
        $ = layui.jquery;
        form = layui.form;
        upload = layui.upload;
        $form = $('form');
    })

    function  closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
    }



</script>
</body>
</html>
