<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html {background-color: #fff;padding-bottom: 50px;}td, th {text-align: center !important;}
        .layui-btn-danger {
            background-color: #cd2323;
        }
    </style>
</head>

<body>
<div class="layui-form">
    <div class="layui-card-body layui-col-xs12" id="LAY_app">
        <div class="layui-card-body">

            <div class="layui-row layui-col-space12 layui-form-item mt-5">
                <div class="layui-col-xs12">
                    <label class="layui-form-label">凭证：</label>
                    <div class="layui-input-block">
                        <div class="moreDiv">
                            <c:if test="${not empty detail.unAcceptFile}">
                                <c:forEach var="quaim" items="${detail.unAcceptFile.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                        <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                    </div>
                                </c:forEach>
                            </c:if>
                            <c:if test="${empty detail.unAcceptFile}">
                                <div class="bj-img imgSpan">
                                    <i class="blank-img"></i>
                                </div>
                            </c:if>
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mt-5">
                    <label class="layui-form-label">无法验收原因：</label>
                    <div class="layui-input-block">
                        <textarea name="remark" class="layui-textarea" style="min-height: 60px">${detail.unAcceptReason}</textarea>
                    </div>
                </div>
            </div>
        </div>

        <div class="layui-form-item operate-footer" style="text-align: center;">
            <input type="button"   value="取消" class="layui-btn layui-btn-primary " onclick="closeDiv();" >
        </div>

    </div>

</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script type="text/javascript">
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    //初始数据
    var $form;
    var form;
    var $;
    var imgs = '';
    var myreg = /^[1][3,4,5,6,7,8,9][0-9]{9}$/;
    var matypeList ;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['form', 'layedit', 'laydate', 'jquery', 'layer','element'], function () {
        $ = layui.jquery;
        form = layui.form;
        $form = $('form');


    })

    function closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
    }

</script>
</body>
</html>


