<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/formSelects-v4.css" media="all">
    <style>
        html{background-color: #fff;padding-bottom: 50px;}
        .layui-form-select dl{
            max-height:200px;
            width: 80%;
        }
        .border-s{padding: 6px 0; width: 95%; margin: 0 auto; border-radius: 10px;margin-bottom: 10px}
        .xm-select-parent .xm-select {
            min-height: 32px;
        }
        .layui-btn.black-cloth{display: block}
        .bzInp {
            width: 50px;
            border-color: #ddd;
            border-width: 1px;
            border-style: solid;
            background-color: #fff;
            border-radius: 2px;
            height: 24px;
            padding-left: 10px
        }
        .remoDiv{
            display: none;
        }

        .layui-span-unit {
            right: 65px;
            top: -3px;
        }
        .layui-table td{
            border-width: 0px;
        }
        .layui-table thead tr{
            background-color:#FFFFFF;
        }
    </style>
</head>
<body>

<div class="layui-form">
    <div class="layui-card">
        <div id="anyDiv" class="">
            <div class="layui-row border-s">
                <div class="layui-col-xs12">
                    <div class="layui-col-xs12 pr-30">
                        <table class="layui-table">
                            <thead>
                            <tr>
                                <td width="15%">变更时间</td>
                                <td width="10%">操作人</td>
                                <td width="75%">变更内容</td>
                            </tr>
                            </thead>
                            <tbody>
                            <c:forEach items="${msgs}" var="msg">
                                <tr>
                                    <td>${msg.columns.updateTime}</td>
                                    <td>${msg.columns.update_by_name}</td>
                                    <td>${msg.columns.content}</td>
                                </tr>
                            </c:forEach>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>

        <div class="layui-col-xs12 mb-20 pr-30 mt-20">
        </div>
    </div>
    <div class="operate-footer" >
        <input type="button" lay-submit lay-filter="confirm" id="confirm" class="layui-btn " value="保存">
        <input type="button"   value="取消" class="layui-btn layui-btn-primary " onclick="closeDiv();" >
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/lib/formSelects-v4.js"></script>
<script type="text/javascript">
    //初始数据
    var form;
    var formSelects;
    var cou=0;
    var addIndex = '';
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laypage','laydate','form','formSelects'], function(){
        $ = layui.jquery;
        form = layui.form;
        formSelects = layui.formSelects;
        var laydate = layui.laydate;

    })

    function  closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function closeThisDiv(){
        $("#trades tr").remove();
        $("#choiceTrader").addClass("layui-hide")
        layer.close(addIndex);
    }
</script>
</body>
</html>





