<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>备件申请-待出库</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
</head>
<body>
<div class="layui-fluid">
    <div class="layui-form layui-card">
        <div class="layui-tab layui-tab-brief">
            <ul class="layui-tab-title">
                <sfTags:pagePermission authFlag="SIT_BJGL_BJSQ_DFH_T" html='<a href="${ctx}/service/fitting/waiteDispatch"><li class="layui-this">待发货</li></a>'/>
                <sfTags:pagePermission authFlag="SIT_BJGL_BJSQ_ZTBJ_T" html='<a href="${ctx}/service/fitting/onTheWay"><li>在途备件</li></a>'/>
                <sfTags:pagePermission authFlag="SIT_BJGL_BJSQ_YWC_T" html='<a href="${ctx}/service/fitting/finishFitting"><li>已完成</li></a>'/>
                <%--<button style="float: right;margin-left: 5px;" type="reset" onclick="reset()" class="layui-btn layuiadmin-btn-admin layui-btn-sm">重置</button>--%>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10" id="searchBtn" lay-submit lay-filter="LAY-user-back-search"><i class="layui-icon fs-12">&#xe615;</i>查询</button>

            </ul>
        </div>
        <div class="layui-card-body layuiadmin-card-header-auto" id="searchForm">
            <div class="layui-form-item">
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">工单编号：</label>
                    <div class="layui-input-block">
                        <input type="text" name="orderNumber" class="layui-input" >
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">备件条码：</label>
                    <div class="layui-input-block">
                        <input type="text" name="fittingCode" class="layui-input" >
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">备件名称：</label>
                    <div class="layui-input-block">
                        <input type="text" name="fittingName" class="layui-input" >
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">产品品牌：</label>
                    <div class="layui-input-block">
                        <select name="applianceBrand"   lay-search>
                            <option value="">请选择</option>
                            <c:forEach var="brand" items="${brandList}">
                                <option value="${brand.columns.brand}">${brand.columns.brand}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">产品品类：</label>
                    <div class="layui-input-block">
                        <select name="applianceCategory" lay-search>
                            <option value="">请选择</option>
                            <c:forEach var="cate" items="${cateList}">
                                <option value="${cate.columns.category}">${cate.columns.category}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">产品型号：</label>
                    <div class="layui-input-block">
                        <input type="text" name="applianceModel" class="layui-input" >
                    </div>
                </div>
                <div class="layui-col-lg4 layui-col-sm6">
                    <label class="layui-form-label">申请时间：</label>
                    <div class="layui-input-block">
                        <div class="layui-col-xs5">
                            <input type="text" name="applyTimeSta" class="layui-input" id="startTime"
                                   placeholder="开始日期">
                        </div>
                        <div class="layui-col-xs2 text-c lh-30">
                            —
                        </div>
                        <div class="layui-col-xs5">
                            <input type="text" name="applyTimeEnd" class="layui-input" id="endTime" placeholder="结束日期">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="layui-card">
        <div class="layui-card-body">
            <table class="layui-hide" lay-skin="row" id="test" lay-filter="test"></table>
            <script type="text/html" id="toolbarDemo">
                <div class="layui-btn-container">
        <sfTags:pagePermission authFlag="SIT_BJGL_BJSQ_DFH_SC_B" html='<button class="layui-btn layui-btn-sm" lay-event="delete"><i class="layui-icon layui-icon-delete"></i>删除</button>'/>
        <sfTags:pagePermission authFlag="SIT_BJGL_BJSQ_DFH_DC_B" html='<button class="layui-btn layui-btn-sm" id="exportBtn" lay-event="exports"><i class="layui-icon layui-icon-export"></i>导出</button>'/>
                </div>
            </script>
        </div>
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laypage','laydate','form'], function(){
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;
        var table = tableExt.getLayTable();

        //开始日期
        var insStart = laydate.render({
            elem: '#startTime'
            ,done: function(value, date){
                //更新结束日期的最小日期
                insEnd.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });

                //自动弹出结束日期的选择器
                insEnd.config.elem[0].focus();
            }
        });

        //结束日期
        var insEnd = laydate.render({
            elem: '#endTime'
            ,done: function(value, date){
                //更新开始日期的最大日期
                insStart.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });
            }
        });
        var fitTag = '${fns:checkPagePermission(request, "SIT_BJGL_BJSQ_DFH_BJMC_B")}';
        tableExt.render({
            elem: '#test'
            , title:'备件申请-待发货'
            , height: 'full-250'
            , toolbar: '#toolbarDemo'
            , defaultToolbar: false
            , limits : [ 20, 50, 100 ]
            , limit:20
            , page : true //开启分页
            , url: '${ctx}/service/fitting/getWaiteDispatchList?status=1'
            , cols: [[
                {type: 'numbers',fixed: 'left',title:'序号'}
                , {field: 'id', type: 'checkbox',fixed: 'left'}
                , {field: 'fitting_name', title: '备件名称',minWidth:'100', sort: false, align: 'center', exportable:true
                    ,templet:function(d){
                    if(fitTag=='0'){
                        return '<a style="color:#D9B589" href="javascript:fittingDetail(\''+d.id+'\');">'+d.fitting_name+'</a>'
                    }else{
                        return d.fitting_name;
                    }
                    }
                }
                , {field: 'fitting_code', title: '备件条码',minWidth:'100', sort: false, align: 'center', exportable:true}
                , {field: 'apply_num', title: '备件数量',minWidth:'100', sort: false, align: 'center', exportable:true}
                , {field: 'order_number', title: '工单编号',minWidth:'180', sort: false, align: 'center', exportable:true
                    ,templet:function(d){
                        return '<a href="javascript:orderDetail(\''+d.id+'\');">'+d.order_number+'</a>'
                    }
                }
                , {field: 'payTime', title: '产品信息',minWidth:'150', sort: false, align: 'center'
                    ,templet:function(d){
                        return d.appliance_brand + d.appliance_category;
                    }
                    , exportable: true
                    ,expFormat: function(d){
                        return d.appliance_brand + d.appliance_category;
                    }
                }
                , {field: 'appliance_model', title: '产品型号',minWidth:'150', sort: false, align: 'center', exportable:true}
                , {field: 'delivery_name', title: '收货人',minWidth:'100', sort: false, align: 'center', exportable:true}
                , {field: 'delivery_mobile', title: '联系方式',minWidth:'100', sort: false, align: 'center', exportable:true}
                , {field: 'delivery_address', title: '收货地址',minWidth:'200', sort: false, align: 'center', exportable:true}
                , {field: 'createTime', title: '申请时间',minWidth:'200', sort: false, align: 'center', exportable:true}
            ]]
            ,exportOpt:{                           //导出选项配置
                ele:'#exportBtn',                   //导出的Dom元素
                headerTitle: '备件申请-待发货',             //excel表格的标题
                pageData:false,                     //true:导出的数据为页面数据，false:最大导出maxAmount条数据
                maxAmount: 1000,                    //当pageData为false生效
                fileName: '备件申请-待发货',
                where: function (){                 //当pageData为false时生效，过滤的条件
                    return _serializeJson($("#searchForm"));
                }
            }
        });

        //头工具栏事件
        table.on('toolbar(test)', function(obj){
            var checkStatus = table.checkStatus(obj.config.id);
            switch(obj.event){
                case 'delete':
                    var data = checkStatus.data;
                    if (data.length < 1) {
                        layer.msg("请先选择数据",{icon:5,anim:6});
                        return;
                    }
                    var ids="";
                    for(var i=0;i<data.length;i++){
                        ids+=data[i].id+",";
                    }
                    var indexla = layer.confirm('您确定要删除待发货备件吗？', {
                        icon: 3,
                        btn: ['确定', '取消'] //按钮
                    }, function () {
                        $.ajax({
                            type: "POST",
                            url: "${ctx}/service/fitting/deleteFitting",
                            data: {
                                ids: ids
                            },
                            success: function (result) {
                                if(result.code=='200'){
                                    layer.msg('操作成功！', {icon: 1, time: 1000}, function () {
                                        window.location.reload();
                                    });
                                }else{
                                    layer.msg('操作失败！', {icon: 2});
                                }
                            },
                            error:{

                            }
                        })
                    }, function () {
                        layer.close(indexla);
                    });
                    break;
            };
        });


        //监听搜索
        form.on('submit(LAY-user-back-search)', function(data){
            var field = data.field;
            //执行重载
            tableExt.reload('test', {
                where: field,
                page: {
                    curr: 1
                }
            });
        });

    });


    /*工单详情*/
    function orderDetail(data) {

    }


    /*备件详情*/
    function fittingDetail(id){
        layer.open({
            type: 2
            , title: '备件信息'
            , content: '${ctx}/service/fitting/fittingDetail?id=' + id
            , area: ['1000px', '450px']
            , yes: function(index, layero){

            },
            cancel:function(){
                window.location.href="${ctx}/service/fitting/waiteDispatch";
            }
        });
    }
    function reset(){
        $("#searchForm").find("select").val("");
        $("#searchForm").find("input").val("");
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function layerIFrameReload(layerIndex) {
        window['layui-layer-iframe' + layerIndex].location.reload();
    }
</script>
</body>
</html>

