﻿﻿<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <title>能辉光伏</title>
    <meta name="decorator" content="base" />
    <link rel="Bookmark" href="${ctxPlugin}/favicon.ico">
    <link rel="Shortcut Icon" href="${ctxPlugin}/favicon.ico"/>
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/lib/font/iconfont.css" />
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">

</head>
<body class="layui-layout-body">

<div id="LAY_app">
    <div class="layui-layout layui-layout-admin">
        <div class="layui-header">
            <!-- 头部区域 -->
            <ul class="layui-nav layui-layout-left">
                <li class="layui-nav-item layadmin-flexible" lay-unselect>
                    <a href="javascript:;" layadmin-event="flexible" title="侧边伸缩">
                        <i class="layui-icon layui-icon-shrink-right" id="LAY_app_flexible"></i>
                    </a>
                </li>

                <li class="layui-nav-item" lay-unselect>
                    <a href="javascript:;" layadmin-event="refresh" title="刷新">
                        <i class="layui-icon layui-icon-refresh-3"></i>
                    </a>
                </li>

            </ul>
            <ul class="layui-nav layui-layout-right" lay-filter="layadmin-layout-right">
                <li class="layui-nav-item layui-hide-xs" lay-unselect>
                    <a href="javascript:;" layadmin-event="fullscreen">
                        <i class="layui-icon layui-icon-screen-full"></i>
                    </a>
                </li>
                <li class="layui-nav-item" lay-unselect>
                    <a href="javascript:;">
                        <cite>${site}</cite>
                    </a>
                    <dl class="layui-nav-child right-nav">
                        <dd><a lay-href="${ctx}/siteCompany/companyInfo">基本资料</a></dd>
                        <hr>
                        <dd><a href="${ctx}/redirect/logout">退出</a></dd>
                    </dl>
                </li>

                <li class="layui-nav-item layui-show-xs-inline-block layui-hide-sm" lay-unselect>
                    <a href="javascript:;" layadmin-event="more"><i class="layui-icon layui-icon-more-vertical"></i></a>
                </li>
            </ul>
        </div>

        <!-- 侧边菜单 -->
        <div class="layui-side layui-side-menu">
            <div class="layui-side-scroll">
                <div class="layui-logo" >
                   <%-- <img src="${ctxPlugin}/static/img1/logo.png" class="f-1" height="100%" width="100%"/>--%>
                </div>

                <ul class="layui-nav layui-nav-tree" lay-shrink="all" id="LAY-system-side-menu" lay-filter="layadmin-system-side-menu">

                   <c:forEach var="menu" items="${fns:getSiteLeftMainMenus()}" varStatus="step">
                          <li data-name="home" class="layui-nav-item" >
                              <a href="javascript:;" lay-tips="${menu.columns.name}" lay-direction="2">

                                      <i class="left-icon ${menu.columns.icon}"></i>
                                  <cite>${menu.columns.name}</cite>
                              </a>
                              <dl class="layui-nav-child">
                                  <c:forEach var="subMenu" items="${menu.columns.subMenus}">
                                      <dd data-name="console" class="">
                                          <a lay-href="${ctx}${subMenu.columns.href}" class="nav">${subMenu.columns.name}</a>
                                      </dd>
                                  </c:forEach>
                              </dl>
                          </li>
                      </c:forEach>
                </ul>
            </div>
        </div>

        <!-- 页面标签 -->
        <div class="layadmin-pagetabs" id="LAY_app_tabs">
            <div class="layui-icon layadmin-tabs-control layui-icon-prev" layadmin-event="leftPage"></div>
            <div class="layui-icon layadmin-tabs-control layui-icon-next" layadmin-event="rightPage"></div>
            <div class="layui-icon layadmin-tabs-control layui-icon-down">
                <ul class="layui-nav layadmin-tabs-select" lay-filter="layadmin-pagetabs-nav">
                    <li class="layui-nav-item" lay-unselect>
                        <a href="javascript:;"></a>
                        <dl class="layui-nav-child layui-anim-fadein">
                            <dd layadmin-event="closeThisTabs"><a href="javascript:;">关闭当前标签页</a></dd>
                            <dd layadmin-event="closeOtherTabs"><a href="javascript:;">关闭其它标签页</a></dd>
                            <dd layadmin-event="closeAllTabs"><a href="javascript:;">关闭全部标签页</a></dd>
                        </dl>
                    </li>
                </ul>
            </div>
            <div class="layui-tab" lay-unauto lay-allowClose="true" lay-filter="layadmin-layout-tabs">
                <ul class="layui-tab-title" id="LAY_app_tabsheader">
                    <li lay-id="${ctx}/main/redirect/serviceConsole" lay-attr="${ctx}/main/redirect/serviceConsole" class="layui-this"><i class="layui-icon layui-icon-home"></i></li>
                </ul>
            </div>
        </div>


        <!-- 主体内容 -->
        <div class="layui-body" id="LAY_app_body">
            <div class="layadmin-tabsbody-item layui-show">
                <iframe src="${ctx}/main/redirect/serviceConsole" frameborder="0" class="layadmin-iframe"></iframe>
            </div>
        </div>

        <!-- 辅助元素，一般用于移动设备下遮罩 -->
        <div class="layadmin-body-shade" layadmin-event="shade"></div>
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script type="text/javascript">
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'jquery'], function(){
        var $ = layui.jquery;

        var fromWhere = '${fromWhere}';
     //   alert(fromWhere)
        if ("system" == fromWhere) {
                $.post("${ctx}/sys/excellentMember/clearLoginSession", function () {
                    setTimeout(function () {
                        fromWhere = "";
                     //   location.reload();
                    }, 500);
                });
            }

        $("#LAY-system-side-menu").find("*[lay-href]").click(function(e){
            var thisDom = $(this);
            var url = thisDom.attr("lay-href");
            var tabs = $("#LAY_app_tabsheader").find("li");
            var e=window.event || arguments.callee.caller.arguments[0];

            $.each(tabs, function(idx, tab){
                if(url == $(tab).attr("lay-attr")){
                    e.preventDefault();
                    e.stopPropagation();
                    $(tab).click();
                    return ;
                }
            });
        });

        $('.nav').click(function () {
            if($(this).hasClass('refresh')){
                $('.layadmin-iframe').eq($('.layui-tab-title .layui-this').index()).get(0).contentWindow.location.reload(true);
            }else {
                $(this).addClass('refresh')
            }
        })
    });
</script>
</body>
</html>
