<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        .layui-table th {
            text-align: center;
        }
    </style>
</head>

<body>
<div class="layui-form">
    <div class="layui-card">
        <div class="layui-card-body layui-col-xs12" id="LAY_app">
            <div class="layui-card">
                <blockquote class="layui-elem-quote">价格明细</blockquote>
                <div class="layui-card-body" style="margin-bottom: 60px">
                    <table class="layui-table">
                        <thead>
                        <tr>
                            <th>序号</th>
                            <th>项目编码</th>
                            <th>项目名称</th>
                            <th>含税单价（元）</th>
                        </tr>
                        </thead>
                        <tbody id="priceTable">
                        <c:forEach items="${list}" varStatus="vs" var="d">
                            <tr>
                                <td style="text-align: center">${vs.count}</td>
                                <td style="text-align: center">${d.projectCode}</td>
                                <td style="text-align: center">${d.projectName}</td>
                                <td style="text-align: center">${d.taxPrice}</td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="operate-footer">
        <input type="button"   value="取消" class="layui-btn layui-btn-primary " onclick="closeDiv();" >
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script type="text/javascript">
    //初始数据
    var $form;
    var form;
    var $;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['form', 'layedit', 'laydate','jquery','layer'], function () {
        $ = layui.jquery;
        form = layui.form;
        $form = $('form');


    })

    function  closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }



</script>
</body>
</html>
