<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>html {
        background-color: #fff;
        padding-bottom: 50px;
    }

    td, th {
        text-align: center !important;
    }</style>
</head>

<body>
<div class="layui-form" >
    <div class="layui-tab-content" id="LAY_app">
        <div class="layui-card">
            <div class="layui-elem-quote" style="display: flex;justify-content: space-between;">
                <p>订单信息</p>
                <p style="color: #666;">下单时间：${order.columns.place_time}</p>
            </div>
            <div class="layui-tab-content">
                <div class="layui-row">
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">订单编号：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="inWarehouseName" readonly autocomplete="off"
                                   placeholder="请输入"
                                   class="layui-input layui-bg-gray" value="${order.columns.number}">
                        </div>
                    </div>

                    <c:if test="${inAscriptionId eq 'a'}">
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">订单状态：</label>
                        <div class="layui-input-block ">
                            <c:choose>
                                <c:when test="${order.columns.status eq '1'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="待审批"></c:when>
                                <c:when test="${order.columns.status eq '2'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="采购分配"></c:when>
                                <c:when test="${order.columns.status eq '3'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="分配打回"></c:when>
                                <c:when test="${order.columns.status eq '4'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="采购审批"></c:when>
                                <c:when test="${order.columns.status eq '5'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="待发货"></c:when>
                                <c:when test="${order.columns.status eq '6'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="待签收"></c:when>
                                <c:when test="${order.columns.status eq '7'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="已完成"></c:when>
                            </c:choose>
                        </div>
                    </div>
                    </c:if>

                    <c:if test="${inAscriptionId ne 'a'}">
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">订单来源：</label>
                        <div class="layui-input-block">
                            <c:if test="${order.columns.type eq '1'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="项目订单"></c:if>
                            <c:if test="${order.columns.type eq '2'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="物料储备"></c:if>
                            <c:if test="${order.columns.type eq '3'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="平台采购"></c:if>
                            <c:if test="${order.columns.type eq '4'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="合并发货"></c:if>
                            <c:if test="${order.columns.type eq '5'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="材料下单"></c:if>
                        </div>
                    </div>
                    </c:if>

                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">订单类型：</label>
                        <div class="layui-input-block">
                            <c:if test="${order.columns.pattern eq '1'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="平台采购"></c:if>
                            <c:if test="${order.columns.pattern eq '2'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="供应商直发"></c:if>
                            <c:if test="${order.columns.pattern eq '3'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="平台发货"></c:if>
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">入库仓库：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="inWarehouseName" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.inWarehouseName}">
                        </div>
                    </div>
                    <div class="layui-col-xs4">
                        <c:if test="${inAscriptionId eq 'a'}">
                        <label class="layui-form-label ">接货人：</label>
                        </c:if>
                        <c:if test="${inAscriptionId ne 'a'}">
                        <label class="layui-form-label ">联系人：</label>
                        </c:if>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="personInCharge" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.person_in_charge}">
                        </div>
                    </div>
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">联系电话：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="mobile" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.mobile}">
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs8">
                        <label class="layui-form-label ">仓库地址：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="mobile" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.w_address}">
                        </div>
                    </div>
                    <c:if test="${inAscriptionId eq 'a'}">
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">代理商名称：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="mobile" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.applyOrderTrader}">
                        </div>
                    </div>
                    </c:if>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs12">
                        <label class="layui-form-label">订单备注：</label>
                        <div class="layui-input-block ">
                            <textarea readonly class="layui-textarea layui-bg-gray">${order.columns.remarks}</textarea>
                        </div>
                    </div>
                </div>

                <c:if test="${inAscriptionId eq 'a'}">
                <div class="layui-row">
                    <div class="layui-col-xs12">
                        <label class="layui-form-label">分配说明：</label>
                        <div class="layui-input-block ">
                            <textarea readonly class="layui-textarea layui-bg-gray">${order.columns.allocation_remark}</textarea>
                        </div>
                    </div>
                </div>
                </c:if>
            </div>
            <!-- 发货信息 -->
            <div class="layui-elem-quote" style="display: flex;justify-content: space-between;">
                <p>发货信息</p>
                <p>发货时间：<fmt:formatDate value="${order.columns.deliver_time}" pattern="yyyy-MM-dd HH:mm:ss"/></p>
            </div>
            <div class="layui-tab-content">
                <div class="layui-row">
                    <c:if test="${inAscriptionId eq 'a' && order.columns.pattern ne '2'}">
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">发货仓库：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="outWarehouseName" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.outWarehouseName}">
                        </div>
                    </div>
                    </c:if>

                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">发货方式：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="deliverType" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.deliver_method_name}">
                        </div>
                    </div>
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">物流单号：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="expressNo" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.express_no}">
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs4 layui-hide">
                        <label class="layui-form-label ">司机：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="deliverDriver" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.deliver_driver}">
                        </div>
                    </div>
                    <div class="layui-col-xs4 layui-hide">
                        <label class="layui-form-label ">联系方式：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="deliverMobile" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.deliver_mobile}">
                        </div>
                    </div>
                    <div class="layui-col-xs4 layui-hide">
                        <label class="layui-form-label ">车牌号：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="deliverCarNum" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.deliver_car_num}">
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs12 layui-form-item  mb-5">
                        <label class="layui-form-label">送货单：</label>
                        <div class="layui-input-block">
                            <div id="qualificationsImgsDev">
                                <c:if test="${not empty order.columns.delivery_voucher}">
                                    <c:forEach var="quaim" items="${quaimgs}">
                                        <div class="bj-img imgSpan">
                                           <%-- <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploaderQuali')"></span>--%>
                                            <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                            <input type="hidden" class="quaImgPicker" value="${quaim}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="layui-row">
                    <div class="layui-col-xs12">
                        <label class="layui-form-label ">发货说明：</label>
                        <div class="layui-input-block ">
<%--                            <textarea class="layui-textarea" id="deliverRemark" name="deliverRemark"></textarea>--%>
                            <input type="text" disabled name="deliverRemark" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.deliver_remark}">
                        </div>
                    </div>
                </div>
            </div>

            <div class="layui-elem-quote" style="display: flex;justify-content: space-between;">
                <p>物料清单</p>
<%--                <p>采购总额：<span>${total}</span>元</p>--%>
            </div>
            <div class="layui-tab-content">
                <div class="layui-row">
                    <table class="layui-table">
                        <thead>
                        <th>序号</th>
                        <th>物料代码</th>
                        <th>物料名称</th>
                        <th>物料类型</th>
                        <th>物料品牌</th>
                        <th>物料规格</th>
                        <th>单位</th>
                        <th>发货数量</th>
                        </thead>
                        <tbody id="materialTbody">
                        <c:forEach items="${details}" var="applyDetail" varStatus="vs">
                            <tr data-id="${applyDetail.columns.id}" data-materialId="${applyDetail.columns.material_id}"
                                data-applyAmount="${applyDetail.columns.apply_amount}">
                                <td>${vs.count}</td>
                                <td>${applyDetail.columns.code}</td>
                                <td>${applyDetail.columns.material_name}</td>
                                <td>${applyDetail.columns.materialTypeName}</td>
                                <td>${applyDetail.columns.material_brand}</td>
                                <td>${applyDetail.columns.material_spec}</td>
                                <td>${applyDetail.columns.unit_name}</td>
                                <td>${applyDetail.columns.out_amount}</td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="layui-card">
        <div class="layui-col-xs12">
            <label class="layui-form-label ">备注：</label>
            <div class="layui-input-block ">
                <%--                            <textarea class="layui-textarea" id="deliverRemark" name="deliverRemark"></textarea>--%>
                <input type="text" name="examineRemark" id="examineRemark" class="layui-input "
                       value="${order.columns.examine_remark}">
            </div>
        </div>
    </div>
    <div class="operate-footer">
        <input type="button" lay-submit lay-filter="inStock" value="同意" class="layui-btn ">
        <input type="button" onclick="notPass()" value="驳回" class="layui-btn ">
        <button type="button" class="layui-btn layui-btn-primary " onclick="closeDiv();">取消</button>
    </div>
</div>
<div class="hide pd-10" style="padding: 10px" id="ideaDiv">
    <label class="layui-form-label w-130"><span class="red">*</span>打回原因：</label>
    <div class="layui-input-block ">
        <textarea id="idea" class="idea-text f-l layui-textarea"></textarea>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script type="text/javascript">
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    //初始数据
    var $form;
    var form;
    var $;
    var imgs = '';
    var myreg = /^[1][3,4,5,6,7,8,9][0-9]{9}$/;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['form', 'layedit', 'laydate', 'jquery', 'layer', 'element', 'upload'], function () {
        $ = layui.jquery;
        form = layui.form;
        var element = layui.element;
        $form = $('form');

        var upload = layui.upload;
        //执行实例
        var uploadInst = upload.render({
            elem: '#uploader' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            ,before: function(obj){
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {

                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path);
            }
            , error: function () {
                //请求异常回调
            }
        });

        var submitFlag = true;
        form.on('submit(inStock)', function (d) {
            if (!submitFlag) {
                return;
            }
            var loadingIndex = layer.load(1, {
                shade: [0.1,'#fff'] //0.1透明度的白色背景
            });
        var examineRemark = $("#examineRemark").val();
            submitFlag = false;
            $.ajax({
                type: 'post',
                url: '${ctx}/material/order/passThrough',
                data: {
                    id:'${id}',
                    type:'1',
                    examineRemark:examineRemark
                },
                success: function (data) {
                    afterSuccess(data);
                },
                error: function (data){
                    layer.closeAll("loading");
                },
                complete: function () {
                    submitFlag = true;
                    layer.close(loadingIndex);
                }
            });
        });


        changeMethodType('${methodType}');
    })

    function changeMethodType(type) {
        if (type === "0") {
            $('input[name=expressNo]').closest('.layui-col-xs4').removeClass('layui-hide');
            $('input[name=deliverDriver]').closest('.layui-col-xs4').removeClass('layui-hide').addClass('layui-hide');
            $('input[name=deliverMobile]').closest('.layui-col-xs4').removeClass('layui-hide').addClass('layui-hide');
            $('input[name=deliverCarNum]').closest('.layui-col-xs4').removeClass('layui-hide').addClass('layui-hide');
        } else {
            $('input[name=expressNo]').closest('.layui-col-xs4').removeClass('layui-hide').addClass('layui-hide');
            $('input[name=deliverDriver]').closest('.layui-col-xs4').removeClass('layui-hide');
            $('input[name=deliverMobile]').closest('.layui-col-xs4').removeClass('layui-hide');
            $('input[name=deliverCarNum]').closest('.layui-col-xs4').removeClass('layui-hide');
        }
    }

    /*function giveBack() {
        layer.open({
            type: 1,
            area: ['450px', '280px'],
            content: $("#ideaDiv"),
            title: '打回',
            btn: ['确认', '取消'],
            btnAlign: 'c',
            yes: function () {
                var idea = $('#idea').val();
                if (isBlank(idea)) {
                    layer.msg('请输入打回原因', {icon: 2});
                    return;
                }
                sureGiveBack(idea);
            }
        })
    }*/

    var backFlag = true;
    function notPass() {
        if (!backFlag) {
            return;
        }
        var examineRemark = $("#examineRemark").val();
        if(isBlank(examineRemark)){
            layer.msg('请输入备注', {icon: 2});
            return;
        }
        backFlag = false;
        $.ajax({
            type: 'post',
            url: '${ctx}/material/order/passThrough',
            data: {
                id:'${id}',
                type:'2',
                examineRemark:examineRemark
            },
            success: function (data) {
                afterSuccess(data);
            },
            complete: function () {
                backFlag = true;
            }
        });
    }

    function afterSuccess(data) {
        if (data.code === '200') {
            parent.layer.closeAll();
            parent.layer.msg('操作成功');
            parent.searchOrder();
        } else {
            layer.msg(data.errMsg);
        }
    }

    function closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
    }

    var imgsCount = 0;
    function addImg(data){
        imgs = '';
        imgsCount++;
        if (imgsCount >= 5) {
            $("#uploader").hide();
        }else{
            $("#uploader").show();
        }
        var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this)"></span>';
        html += '<img src="${commonStaticImgPath}'+data+'" height="700" width="1200"/>';
        html += '<input type="hidden" class="imgPicker" value="'+data+'"/> </div>';
        $("#imgsDiv").append(html);
        var imgSelector = $(".imgPicker");
        imgSelector.each(function (index) {
            var img = $(this).val();
            if (!isBlank(img)) {
                imgs += img + ",";
            }
        });
        $("#imgs").val(imgs);
    }

    function delImg(that){
        imgs = '';
        imgsCount--;
        if (imgsCount < 5) {
            $("#uploader").show();
        }
        $(that).parent().remove();
        var imgSelector = $(".imgPicker");
        imgSelector.each(function (index) {
            var img = $(this).val();
            if (!isBlank(img)) {
                imgs += img + ",";
            }
        });
        $("#imgs").val(imgs);
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }


</script>
</body>
</html>
