<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
</head>
<body class="">
<div class="layui-fluid ">
    <div class="layui-card pl-30 pr-30 pt-10 over">
        <form class="layui-form" id="orderForm">
            <div class="layui-card-body layui-col-xs11">

                <div class="layui-card">
                    <div class="layui-card-header pt-10">
                        <h1 class="title">工单信息</h1>
                    </div>
                    <input class="layui-input layui-hide" name="siteId" id="siteId">
                    <div class="layui-card-body">
                        <%-- <div class="layui-col-lg2 layui-col-sm4">
                             <label>工单编号：${order.number}</label>
                         </div>
                         <div class="layui-col-lg2 layui-col-sm4 layui-form" lay-filter="component-form-element">
                             &lt;%&ndash;     <label >下单时间：<fmt:formatDate value="${order.createTime}" pattern="yyyy-MM-dd HH:mm"/></label>&ndash;%&gt;
                             <label >服务类型：${order.serviceType}</label>
                         </div>
                         <div class="layui-col-lg2 layui-col-sm4" style="position: relative">
                             <label >冻结金额：${order.frozenCost}</label>
                         </div>--%>
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>信息来源：</label>
                                <div class="layui-input-block">
                                    <select name="orderType" id="orderType">
                                        <option value="">请选择</option>
                                        <option value="1" <c:if test="${order.orderType eq 1}">selected</c:if>>用户</option>
                                        <option value="2" <c:if test="${order.orderType eq 2}">selected</c:if>>平台录入</option>
                                        <option value="4" <c:if test="${order.orderType eq 4}">selected</c:if>>电子商务</option>
                                    </select>
                                </div>
                            </div>
                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>服务类型：</label>
                                <div class="layui-input-block">
                                    <select name="serviceType" id="serviceType" lay-filter="serviceType">
                                        <option value="">请选择</option>
                                        <option value="安装" <c:if test="${order.serviceType eq '安装'}">selected</c:if>>安装</option>
                                        <option value="维修" <c:if test="${order.serviceType eq '维修'}">selected</c:if>>维修</option>
                                        <option value="咨询" <c:if test="${map.service_type eq '咨询'}">selected</c:if>>咨询</option>
                                    </select>
                                </div>
                            </div>
                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label">服务措施：</label>
                                <div class="layui-input-block">
                                    <select name="serviceMeasures" id="serviceMeasures" lay-filter="aihao" lay-search>
                                        <option value="">请选择</option>
                                    </select>
                                </div>
                            </div>

                            <div class="layui-col-lg2 layui-col-sm3 layui-hide" id="hideCapacity">
                                <label class="layui-form-label"><i class="mark">*</i>容量：</label>
                                <div class="layui-input-block pos-r">
                                    <input type="text" name="applianceCapacity"  id="applianceCapacity" placeholder=""
                                           autocomplete="off" class="layui-input" value="">
                                    <span class="pos-a h-32 lh-32 layui-span-unit" >KW</span>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="layui-card jibenxinxi ">
                    <div class="layui-card-header pt-10">
                        <h1 class="title">用户信息</h1>
                    </div>
                    <div class="layui-card-body ">
                        <div>
                            <div class="layui-row layui-col-space12 layui-form-item">

                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label"><i class="mark">*</i>用户姓名：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="customerName" id="customerName" lay-verify="required" placeholder=""
                                               autocomplete="off" class="layui-input" value="${order.customerName}">
                                    </div>
                                </div>


                                <div class="layui-col-lg3 layui-col-sm4" style="position: relative">
                                    <label class="layui-form-label"><i class="mark">*</i>联系方式1：</label>
                                    <div class="layui-input-block pr-30">
                                        <input type="text" name="customerMobile" value="${order.customerMobile}" lay-verify="recevierMobile" class="layui-input" >
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label">联系方式2：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="customerTelephone"  id="customerTelephone"  placeholder=""
                                               autocomplete="off" class="layui-input " value="${order.customerTelephone}" >
                                    </div>
                                </div>
                                <div class="layui-col-lg8">
                                    <div class="layui-col-xs12 layui-form-item">
                                        <label class="layui-form-label"><i class="mark">*</i>用户地址：</label>
                                        <div class="layui-input-block">
                                            <div class="layui-col-lg3 layui-col-sm3 pr-30">
                                                <select name="province" id="province" lay-verify="required" lay-filter="province" lay-search >
                                                    <option value="">请选择省</option>
                                                    <c:forEach items="${pros}" var="pro">
                                                        <option value="${pro.columns.ProvinceName}" title="${pro.columns.ProvinceID }">${pro.columns.ProvinceName}</option>
                                                    </c:forEach>
                                                </select>
                                            </div>
                                            <div class="layui-col-lg2 layui-col-sm3 pr-30">
                                                <select name="city" id="city" lay-verify="required" lay-filter="city" lay-search >
                                                    <option value="">请选择市</option>
                                                </select>
                                            </div>
                                            <div class="layui-col-lg2 layui-col-sm3 pr-30">
                                                <select name="area" id="area" lay-verify="required" lay-filter="aihao" lay-search >
                                                    <option value="">请选择县/区</option>
                                                    <%-- <c:forEach items="${areas}" var="area">
                                                         <option value="${area.columns.DistrictName}"  title="${area.columns.DistrictID}">${area.columns.DistrictName}</option>
                                                     </c:forEach>--%>
                                                </select>
                                            </div>
                                            <div class="layui-col-lg5 layui-col-sm3">
                                                <input type="text" name="customerAddress" lay-verify="required" placeholder=""
                                                       autocomplete="off" class="layui-input layui-col-lg2 "  >
                                            </div>
                                        </div>

                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="layui-card jibenxinxi">
                    <div class="layui-card-header pt-10">
                        <h1 class="title">服务信息</h1>
                    </div>
                    <div class="layui-card-body">
                        <div >
                            <div class="layui-row layui-col-space12 layui-form-item">

                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label">电站名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="powerStationName" id="powerStationName"  placeholder=""
                                               autocomplete="off" class="layui-input" value="${order.powerStationName}">
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">设备类型：</label>
                                    <div class="layui-input-block">
                                        <select name="applianceCategory" id="applianceCategory">
                                            <option value="">请选择</option>
                                            <option value="光伏组件">光伏组件</option>
                                            <option value="逆变器">逆变器</option>
                                            <option value="通讯模块">通讯模块</option>
                                            <option value="并网箱">并网箱</option>
                                            <option value="线缆">线缆</option>
                                            <option value="配件">配件</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label">设备型号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceModel" id="applianceModel"  placeholder=""
                                               autocomplete="off" class="layui-input " value="${order.applianceModel}" >
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">投运时间：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceBuyTime" id="applianceBuyTime"   placeholder=""
                                               autocomplete="off" class="layui-input" value="<fmt:formatDate value="${order.applianceBuyTime}" pattern="yyyy-MM-dd" />" >
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">设备品牌：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceBrand" id="applianceBrand"  placeholder=""
                                               autocomplete="off" class="layui-input "  value="${order.applianceBrand}">
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">设备序列号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceMachineCode" id="applianceMachineCode"  placeholder=""
                                               autocomplete="off" class="layui-input " value="${order.applianceMachineCode}">
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">保修类型：</label>
                                    <div class="layui-input-block">
                                        <select  name="warrantyType" id="warrantyType"  lay-filter="aihao">
                                            <option value="">请选择</option>
                                            <option value="1" <c:if test="${order.warrantyType eq 1}">selected</c:if>>保内</option>
                                            <option value="2" <c:if test="${order.warrantyType eq 2}">selected</c:if>>保外</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">预约时间：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="promiseTime"  id="promiseTime"  placeholder=""
                                               autocomplete="off" class="layui-input" value="<fmt:formatDate value="${order.promiseTime}" pattern="yyyy-MM-dd" />">
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">时间要求：</label>
                                    <div class="layui-input-block">
                                        <select  name="promiseLimit" id="promiseLimit"  lay-filter="aihao">
                                            <option value="">请选择</option>
                                            <c:forEach items="${promiseLimit}" var="timeList">
                                                <option value="${timeList}" <c:if test="${timeList == order.promiseLimit}">selected</c:if>>${timeList}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                </div>

                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">销售商：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="pleaseReferMall" id="pleaseReferMall"  placeholder=""
                                               autocomplete="off" class="layui-input" value="${order.pleaseReferMall}">
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">发票号码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="invoice"  id="invoice"  placeholder=""
                                               autocomplete="off" class="layui-input" value="${order.invoice}">
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">重要程度：</label>
                                    <div class="layui-input-block">
                                        <select  name="level" id="level">
                                            <option value="">请选择</option>
                                            <option value="1" <c:if test="${1 == order.level}">selected</c:if>>紧急</option>
                                            <option value="2" <c:if test="${2 == order.level}">selected</c:if>>一般</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm4">
                                    <label class="layui-form-label"><i class="red">*</i>报单时间：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="repairTime" id="repairTime"  placeholder=""
                                               autocomplete="off" class="layui-input">
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label"><i class="red">*</i>报单人：</label>
                                    <div class="layui-input-block">
                                        <select  name="createName" id="createName">
                                            <option value="">请选择</option>
                                            <c:forEach items="${employes}" var="employe">
                                                <option value="${employe.columns.user_id}" >${employe.columns.name}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                </div>


                                <div class="layui-col-xs12">
                                    <label class="layui-form-label">故障描述：</label>
                                    <div class="layui-input-block">
                                        <textarea name="remarks" id="remarks" placeholder="" class="layui-textarea" lay-verify="required">${order.remarks}</textarea>
                                    </div>
                                </div>
                                <div class="layui-col-xs12 layui-form-item">
                                    <label class="layui-form-label">故障图片：</label>
                                    <div class="layui-input-block">
                                        <div id="imgsDiv">
                                            <c:forEach var="image" items="${images}">
                                                <div  class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon " onclick="delImg(this)"></span>
                                                    <img src="${commonStaticImgPath}${image}"  height="700" width="1200"/>
                                                    <input type="hidden" class="imgPicker" value="${image}">
                                                </div>
                                            </c:forEach>
                                        </div>
                                        <div class="upload-container layui-hide" id="uploader">
                                            <img src="" alt="img placeholder" id="imgsAdd">
                                        </div>
                                    </div>

                                </div>
                                <div class="layui-col-xs12 layui-form-item">
                                    <label class="layui-form-label"></label>
                                    <div class="layui-input-block" style="color: #cc2a2c">
                                        提示：最多可上传4张照片
                                    </div>
                                </div>
                                <input class="layui-hide" value="sfimg02/M00/00/3F/wKgCF11KJ4CAGjysAAKQF2GgG6g23..jpg," name="bdImgs">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="layui-card-body layui-col-xs1 right-btn pr-10">
                <div class="layui-btn-container">
                    <%--   <button type="button" class="layui-btn xiugaiOrder" >编辑</button>--%>
                    <button type="button" class="layui-btn  saveOrder" >保存</button>
                 <%--   <button type="reset" class="layui-btn  reset" >重置</button>
                    <button type="button" class="layui-btn assign" >直接派单</button>--%>
                </div>
            </div>
        </form>
    </div>
</div>

<%--<div class="layui-card mb-0 layui-hide" id="type-content">
    <div class="layui-card-body">
        <div class="" style="position: relative;">
            <div class=" pr-50">
                <input type="text" name="customerMobile" autocomplete="off" placeholder="请输入服务商名称" class="layui-input"  id="filterName">
            </div>
            <button type="button" class="layui-btn f-r chamobi" style="position:absolute;top:0px;right: 0; padding: 0 10px;"><i class="layui-icon fs-16">&#xe615;</i></button>
        </div>
        <div class="layui-form mt-10">
            <table class="layui-table " >
                <colgroup>
                    <col width="30%">
                    <col width="20%">
                    <col width="30%">
                    <col width="20%">
                </colgroup>
                <thead>
                <tr>
                    <th>服务商名称</th>
                    <th>预计里程</th>
                    <th>选择</th>
                </tr>
                </thead>
                <tbody id="zhijiepaidan">
                </tbody>
            </table>
            <div>
                <span id="paigongzhi">指派至：</span>
            </div>
            <div class="layui-form-item " style="text-align: center;">
                <input type="button" lay-submit lay-filter="sureSubmit" id="sureSubmit" value="确认指派" class="layui-btn">
            </div>
        </div>
    </div>

</div>--%>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script>
    var imgsCount="${imgNumber}";
    var reg = /^(?:[1-9]\d*|0)(?:\.\d+)?$/;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'layedit', 'laydate','jquery','upload','layer'], function () {
        $ = layui.$
            , element = layui.element
            , form = layui.form
            , layer = layui.layer
            ,laydate = layui.laydate;
        var  upload = layui.upload;


        $(function(){
            var serviceT="${order.serviceType}";
            if(!isBlank(serviceT)){
                $("#serviceType").val(serviceT);
                serviceTypeOrder(serviceT,"${order.serviceMeasures}");
                if(serviceT == '安装'){
                    $("#hideCapacity").removeClass("layui-hide");
                    $("#applianceCapacity").val("${order.applianceCapacity}");
                }
            }
            var provin="${order.province}";
            var cit="${order.city}";
          if(!isBlank(provin)){
                $("#province").val(provin);
                var provinceId =  $("#province option[value='"+provin+"']").attr("title");
                provinceOrder(provinceId);
                $("#city").val(cit);
              var cityId = $("#city option[value='" + cit + "']").attr("title");
                cityOrder(cityId);
                $("#area").val("${order.area}");
                form.render('select');
                $("input[name='customerAddress']").val("${order.customerAddress}");
            }
            if(!isBlank("${order.applianceCategory}")){
              $("#applianceCategory").val("${order.applianceCategory}");
            }
            if(imgsCount<4){
                $("#uploader").removeClass("layui-hide");
            }
        })



        //执行实例
        var uploadInst = upload.render({
            elem: '#uploader' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            ,before: function(obj){
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {

                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path);
            }
            , error: function () {
                //请求异常回调
            }
        });

        function addImg(data){
            imgsCount++;
            if (imgsCount >= 4) {
                $("#uploader").hide();
            }else{
                $("#uploader").show();
            }
            var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this)"></span>';
            html += '<img src="${commonStaticImgPath}'+data+'" height="700" width="1200"/>';
            html += '<input type="hidden" class="imgPicker" value="'+data+'"/> </div>';
            $("#imgsDiv").append(html);
        }

        //日期
        laydate.render({
            elem: '#applianceBuyTime'
            ,trigger: 'click'
        });
        //预约时间
        laydate.render({
            elem: '#promiseTime'
            ,trigger: 'click'
            ,min:'0'
        });
        laydate.render({
            elem: '#repairTime'
            ,value: '${data}'
            ,type: 'datetime'
            ,trigger: 'click'
        });
        form.render(null, 'component-form-element');
        //自定义验证规则
        form.verify({
            title: function(value){
                if(value.length < 5){
                    return '标题至少得5个字符啊';
                }
            }
            ,pass: [
                /^[\S]{6,12}$/
                ,'密码必须6到12位，且不能出现空格'
            ]
            ,recevierMobile : [ /^((0\d{2,3}-\d{7,8})|([1][3,4,5,7,8,8,9][0-9]{9}))$/
                , '请输入正确格式的联系电话！'
            ]
            ,content: function(value){
                layedit.sync(editIndex);
            }
        });
        element.render('breadcrumb', 'breadcrumb');

        form.on('select(applianceBrand)', function(data){
            var brand = data.value;
            CategoryOrder(brand)
        });
        form.on('select(applianceCategory)', function(data){
            var model=$(data.elem).find("option:selected").attr("title");
            $("#applianceModel").empty();
            if(isBlank(model)){
                $("#applianceCategory").append("<option value=''>请选择</option>");
                return "";
            }
            orderModel(model);
        });

        form.on('select(completeLimitLength)', function(data){
            var model=$(data.elem).find("option:selected").attr("title");
            $("#completeExtendCost").val(model);
            $(".completeExtendCost").html("¥"+model);
        });

        form.on('select(province)', function(data){
            var province = $(data.elem).find("option:selected").attr("title");
            provinceOrder(province);
        });
        form.on('select(city)', function(data){
            var city = $(data.elem).find("option:selected").attr("title");
            cityOrder(city);

        });
        form.on('select(serviceType)',function(data){
            var serviceType=$(data.elem).find("option:selected").val();
            if(serviceType =='安装'){
                $("#hideCapacity").removeClass("layui-hide");
            }else{
                $("#hideCapacity").addClass("layui-hide");
            }
            serviceTypeOrder(serviceType,"");
        })

       /* $("#sureSubmit").click(function () {
            var siteId=$("#siteId").val();
            if(isBlank(siteId)){
                layer.msg("请选择服务商！");
                return ;
            }
            $('.saveOrder').trigger('click');
        })*/

        function serviceTypeOrder(serviceType,measureName){
            $("#serviceMeasures").empty();
            if(isBlank(serviceType)){
                $("#serviceMeasures").append("<option value=''>请选择</option>");
                return;
            }
            $.ajax({
                type:"POST",
                url:"${ctx}/main/redirect/getServiceMeasures",
                data:{
                    serviceType:serviceType
                },
                success:function(result){
                    if(isBlank(result)){
                        layer.msg("暂无数据!")
                        return
                    }
                    var html =" <option value=''>请选择</option>";
                    for(var i=0;i<result.length;i++){
                        var serviceMeasures = result[i];
                        html =html+ '<option value="'+serviceMeasures.columns.service_measures+'" >'+serviceMeasures.columns.service_measures+'</option>';
                    }
                    $("#serviceMeasures").append(html);
                    if(!isBlank(measureName)){
                        $("#serviceMeasures").val(measureName);
                    }
                    form.render('select');
                }
            })
        }
        function provinceOrder(province){
            $("#city").empty();
            $("#area").empty();
            if(isBlank(province)){
                $("#city").append("<option value=''>请选择</option>");
                return "";
            }
            $.ajax({
                type:"POST",
                url:"${ctx}/main/redirect/getCitysByProId",
                async:false,
                data:{
                    province:province
                },
                success:function(result){
                    if(result =="205"){
                        layer.msg("暂无数据!")
                        return
                    }
                    var html =" <option value=''>请选择</option>";
                    for(var i=0;i<result.length;i++){
                        var city = result[i];
                        html =html+ '<option value="'+city.columns.CityName+'" title="'+city.columns.CityID+'">'+city.columns.CityName+'</option>';
                    }
                  $("#city").append(html);
                    form.render('select');
                }
            });

        }

        function cityOrder(city){
            $("#area").empty()
            if(isBlank(city)){
                $("#area").append("<option value=''>请选择</option>");
                return "";
            }
            $.ajax({
                type:"POST",
                url:"${ctx}/main/redirect/getAreaByCityId",
                async:false,
                data:{
                    city:city
                },
                success:function(result){
                    if(result =="205"){
                        layer.msg("暂无数据!")
                        return
                    }
                    var html ="<option value=''>请选择</option>";
                    for(var i=0;i<result.length;i++){
                        var area = result[i];
                        html =html+ '<option value="'+area.columns.DistrictName+'" >'+area.columns.DistrictName+'</option>';
                    }
                    $("#area").append(html);
                    form.render('select');
                }
            });

        }

        function CategoryOrder(brand,cateName){
            $("#applianceCategory").empty();
            $("#applianceModel").empty();
            if(isBlank(brand)){
                $("#applianceCategory").append("<option value=''>请选择</option>");
                return "";
            }
            $.ajax({
                type:"POST",
                url:"${ctx}/order/getCategoryByBrandname",
                data:{
                    brand:brand
                },
                success:function(result){
                    if(result =="205"){
                        layer.msg("暂无数据!");
                        return
                    }
                    var html ="<option value=''>请选择</option>";
                    for(var i=0;i<result.length;i++){
                        var cate = result[i];
                        html =html+ '<option value="'+cate.columns.category+'" title="'+cate.columns.model+'">'+cate.columns.category+'</option>';
                    }
                    $("#applianceCategory").append(html);
                    $("#applianceCategory").val(cateName)
                    form.render('select');
                }
            });

        }
        function orderModel(model){
            if(isBlank(model)){
                return
            }
            var mode = model.split(",");
            var html ="<option value=''>请选择</option>";
            for(var i=0;i<mode.length;i++){
                var mod = $.trim(mode[i]);
                html =html+ '<option value="'+mod+'" >'+mod+'</option>';
            }
            $("#applianceModel").append(html);
            form.render('select');

        }

        // 重置
        /*   $(".reset").click(function(){
               $("#orderForm")[0].reset();
               layui.form.render();
           })*/
        // 直接派单
       /* var falg = false;
        $(".assign").click(function(){
            if (falg) {
                return;
            }
            var orderType=$("#orderType").val();  //信息来源
            var serviceType=$("#serviceType").val(); //服务类型
            var applianceCapacity=$("#applianceCapacity").val();  //容量
            if(isBlank(orderType)){
                layer.msg("请输入信息来源!",{icon:2});
                return false;
            }
            if(isBlank(serviceType)){
                layer.msg("请输入服务类型!",{icon:2});
                return false;
            }
            if(serviceType =='安装'){
                if(isBlank(applianceCapacity)){
                    layer.msg("请输入容量!", {icon: 2});
                    return false;
                }else  if (!reg.test(applianceCapacity)) {
                    layer.msg("容量格式不正确!", {icon: 2});
                    return false;
                }
            }
            var customerName = $("input[name=customerName]").val();//用户姓名
            var customerMobile = $("input[name=customerMobile]").val();//联系方式1
            var province = $("#province").find("option:selected").val();//省
            var city = $("#city").find("option:selected").val();//市
            var area = $("#area").find("option:selected").val();//区
            var customerAddress = $("input[name=customerAddress]").val();//用户地址
            if(isBlank(customerName)){
                layer.msg("请输入用户姓名!",{icon:2});
                return false
            }
            if (isBlank(customerMobile)) {
                layer.msg("请输入联系方式",{icon:2});
                return
            } else if (!isPhoneNo($.trim(customerMobile))) {
                layer.msg("手机号码格式不正确",{icon:2});
                return
            } ;
            if(isBlank(province)){
                layer.msg("请输入省",{icon:2});
                return
            }
            if(isBlank(city)){
                layer.msg("请输入市",{icon:2});
                return
            }
            if(isBlank(area)){
                layer.msg("请输入区",{icon:2});
                return
            }
            if (isBlank(customerAddress)) {
                layer.msg("请输入详细地址",{icon:2});
                return
            }
            var  repairTime=$("#repairTime").val(); //报单时间
            var remarks = $("textarea[name=remarks]").val();//故障描述
            if (isBlank(repairTime)) {
                layer.msg("请输入报单时间",{icon:2});
                return
            }
            if (isBlank(remarks)) {
                layer.msg("请输入故障描述",{icon:2});
                return
            }
            var imgs = $(".imgPicker");
            if (imgs.length == 0) {
                layer.msg("故障图片不能为空！", {icon: 5, anim: 6});
                return;
            }
            falg=true;
            var adress=province+city+area+customerAddress;
            $.ajax({
                type:"POST",
                url:"${ctx}/order/getSiteByAdress",
                data:{
                    customerAdress:adress
                },
                success:function(result){
                    falg = false;
                    var html="";
                    for(var i=0;i<result.length;i++){
                        var siteItem=result[i].columns;
                        html+='<tr>';
                        html+='<td>'+siteItem.name+'</td>';
                        html+=' <td>'+siteItem.distance_formatted+'</td>';
                        html+=' <td> <div class="layui-input-block"><input type="radio" name="site" value=\"'+ siteItem.id +'\" lay-verify="filter"></div></td>';
                        html+='</tr> ';
                    }
                    $("#zhijiepaidan").html(html);
                    form.render('radio');
                    action();
                    $("#type-content").removeClass("layui-hide")
                    layer.open({
                        content: $("#type-content")
                        ,type: 1
                        ,area:["800px","480px"]
                        ,title:"直接派单"
                        ,cancel: function(){
                            $("#type-content").addClass("layui-hide")
                            $("#siteId").val("");
                        }
                    });
                }
            })
        })*/

        $('#filterName').keyup(function(){
            $('#zhijiepaidan tr').hide()
                .filter(":contains('" +($(this).val()) + "')").show();
            if(isBlank($(this).val())){
                $('#zhijiepaidan tr').show();
            }
        }).keyup();//DOM加载完时，绑定事件完成之后立即触发

       /* function action(){
            $("#zhijiepaidan td").on("click",function(){
                $("#zhijiepaidan").find("input").prop('checked',false);
                $(this).parent("tr").find("input").prop('checked','checked');
                var siteId= $(this).parent("tr").find("input").val();
                $("#siteId").val(siteId);
                form.render('radio');
                $("#paigongzhi").html("指派至："+$(this).parent("tr").find("td").eq(0).html());
            })
        }*/
        //保存
        var saveFlag=false;
        $(".saveOrder").click(function(){
            if(saveFlag){
                return;
            }
            //验证不必填项的值格式
            var shuzi = /[0-9]*[1-9][0-9]*$/;
            var orderType=$("#orderType").val();  //信息来源
            var serviceType=$("#serviceType").val(); //服务类型
            var serviceMeasures=$("#serviceMeasures").val(); //服务措施
            var applianceCapacity=$("#applianceCapacity").val();  //容量
            if(isBlank(orderType)){
                layer.msg("请输入信息来源!",{icon:2});
                return false;
            }
            if(isBlank(serviceType)){
                layer.msg("请输入服务类型!",{icon:2});
                return false;
            }
            if (serviceType == '安装' ) {
                if(isBlank(applianceCapacity)){
                    layer.msg("请输入容量!", {icon: 2});
                    return false;
                }else  if (!reg.test(applianceCapacity)) {
                    layer.msg("容量格式不正确!", {icon: 2});
                    return false;
                }

            }
            var customerName = $("input[name=customerName]").val();//用户姓名
            var customerMobile = $("input[name=customerMobile]").val();//联系方式1
            var customerTelephone = $("input[name=customerTelephone]").val();//联系方式2
            var province = $("#province").find("option:selected").val();//省
            var city = $("#city").find("option:selected").val();//市
            var area = $("#area").find("option:selected").val();//区
            var customerAddress = $("input[name=customerAddress]").val();//用户地址
            if(isBlank(customerName)){
                layer.msg("请输入用户姓名!",{icon:2});
                return false
            }
            if (isBlank(customerMobile)) {
                layer.msg("请输入联系方式",{icon:2});
                return
            } else if (!isPhoneNo($.trim(customerMobile))) {
                layer.msg("手机号码格式不正确",{icon:2});
                return
            } ;
            if(isBlank(province)){
                layer.msg("请输入省",{icon:2});
                return
            }
            if(isBlank(city)){
                layer.msg("请输入市",{icon:2});
                return
            }
            if(isBlank(area)){
                layer.msg("请输入区",{icon:2});
                return
            }
            if (isBlank(customerAddress)) {
                layer.msg("请输入详细地址",{icon:2});
                return
            }
            var powerStationName=$("#powerStationName").val();//电站名称
            var applianceCategory=$("#applianceCategory").val(); //设备类型
            var applianceModel=$("#applianceModel").val();//设备型号
            var applianceBuyTime=$("#applianceBuyTime").val();//投运时间
            var applianceBrand=$("#applianceBrand").val(); //设备品牌
            var applianceMachineCode=$("#applianceMachineCode").val(); //设备序列号
            var warrantyType = $("#warrantyType").find("option:selected").val();//保修类型
            var promiseTime = $("#promiseTime").val();//预约时间  2
            var promiseLimit = $("#promiseLimit").val();//时间要求   3
            var pleaseReferMall = $("#pleaseReferMall").val();//销售商  1
            var invoice=$("#invoice").val(); //发票号码
            var level=$("#level").val();  //重要程度
            var  repairTime=$("#repairTime").val(); //报单时间
            var remarks = $("textarea[name=remarks]").val();//故障描述
            var createName=$("#createName").val();
            console.log(createName);
            /* if(serviceType =='安装'){
                if(isBlank(pleaseReferMall)){
                    layer.msg("请输入销售商!",{icon:2});
                    return false;
                }else if(isBlank(invoice)){
                    layer.msg("请输入发票号码!",{icon:2});
                    return false;
                }
             }*/
            if (isBlank(repairTime)) {
                layer.msg("请输入报单时间",{icon:2});
                return
            }
            if(isBlank(createName)){
                layer.msg("请输入报单人",{icon:2});
                return
            }
         /*   if (isBlank(remarks)) {
                layer.msg("请输入故障描述",{icon:2});
                return
            }*/
            var imgs = $(".imgPicker");
            var imgsAppend = '';

           /* if (imgs.length == 0) {
                layer.msg("故障图片不能为空！", {icon: 5, anim: 6});
                return;
            }*/
           if(imgs.length > 0){
               imgs.each(function (index) {
                   var img = $(this).val();
                   if (!isBlank(img)) {
                       imgsAppend += img + ",";
                   }
               });
           }
            /*   var imgsAppend='sfimg02/M00/00/3F/wKgCF11KJ4CAGjysAAKQF2GgG6g23..jpg';*/
            var order={
                orderType:orderType,
                serviceType:serviceType,
                serviceMeasures:serviceMeasures,
                applianceCapacity:applianceCapacity,
                customerName:customerName,
                customerMobile:customerMobile,
                customerTelephone:customerTelephone,
                province:province,
                city:city,
                area:area,
                customerAddress:customerAddress,
                powerStationName:powerStationName,
                applianceCategory:applianceCategory,
                applianceModel:applianceModel,
                applianceBuyTime:applianceBuyTime,
                applianceBrand:applianceBrand,
                applianceMachineCode:applianceMachineCode,
                warrantyType:warrantyType,
                promiseTime:promiseTime,
                promiseLimit:promiseLimit,
                pleaseReferMall:pleaseReferMall,
                invoice:invoice,
                level:level,
                repairTime:repairTime,
                remarks:remarks,
                bdImgs:imgsAppend,
                createBy:createName
            };
            saveFlag=true;
            $.ajax({
                url:"${ctx}/main/redirect/saveNewOrder",
                type:"POST",
                contentType : "application/json;charsetset=UTF-8",
                data:JSON.stringify(order)
                ,success:function (result) {
                    // console.log(JSON.stringify(order));
                    if(result.code=="202"){
                        layer.msg("必填信息为空",{icon:2});
                    }
                    if(result.code=="505"){
                        layer.msg("保存失败",{icon:2});
                    }else if(result.code =='506'){
                        layer.msg("保存失败,请联系平台充值!", {icon: 2});
                    }else if(result.code =='506'){
                        layer.msg("保存失败,可用金额不足，请联系平台充值!", {icon: 2});
                    }else if(result.code == '200'){
                        var index = parent.layer.getFrameIndex(window.name);
                        layer.msg("保存成功",{icon:1,time:1000},function(){
                            parent.layer.close(index);
                            parent.location.reload(); //刷新父页面
                        })
                    }else{
                        layer.msg("保存失败",{icon:2});
                    }
                    saveFlag=false;

                },error:function () {
                    layer.msg("保存失败",{icon:2});
                    saveFlag=false;
                }
            })
        })

        //取消
        $(".cancelorder").click(function(){
            $(this).addClass("layui-hide");
            $(".uodateorder").addClass("layui-hide");
            $(".xiugaiOrder").removeClass("layui-hide");

            window.location.reload();

        })
        /**
         * 指派
         */
        var orderId = $("#orderId").val();

        function searchOrder(orderId) {
            //执行重载
            table.reload('test', {
                page: {
                    curr: 1
                }
            });
        }

        // 验证手机号
        function isPhoneNo(phone) {
            var tel = /(^1\d{10}$)|(^(\d{3,4}\-)?\d{5,9}$)/;
            return tel.test($.trim(phone));
        }
    });


    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
    function delImg(that){
        imgsCount--;
        if (imgsCount < 4) {
            $("#uploader").show();
        }
        $(that).parent().remove();
    }
</script>
</body>
</html>
