<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>添加完工信息变更记录</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html {
            background-color: #fff;
            padding-bottom: 50px;
        }
        .form-span {
            display: block;
            padding: 8px 0;
            margin-left: 110px;
        }

        .page-iframe {
            border: none;
            width: 100%;
            min-height: calc(100vh - 250px);
        }
        .mb-10{
            margin-bottom: 10px !important;
        }
        .pd-10{
            padding: 10px;
        }
        .idea-text{
            width: 320px; height: 100px;outline: none; padding: 3px
        }
        .msg-title{
            text-align: center;
            margin: 10px 0;
            font-size: 16px;
        }
        .title1 {
            border-left: 4px solid #1b6073;
            padding-left: 20px;
            font-size: 14px;
            margin: 10px auto;
            font-weight: 600;
            height: 34px;
            line-height: 34px;
            background-color: #f4f6f9;
            color: #666666;
        }
        .layui-input-block {
            margin-left: 110px;
        }

        .layui-form-label {
            width: 110px;
        }
        .clearfix{*zoom:1;}
        .clearfix:before,.clearfix:after{display:table; line-height:0; content:"";}
        .clearfix:after{clear:both;}

        .layui-tab-title{
            margin: 0 0 0 20px;
        }
        .layui-tab-content{
            margin: 0 0 0 20px;
        }
        .bj-img {
            margin-right: 5px;
        }
        .blank-img {
            background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
            width: 80px;
            height: 80px;
            display: inline-block;
        }
        .link-blue{ color: #1b6073; cursor: pointer;}

        .bj-img > span{
            z-index: 100000;
        }
    </style>
</head>
<body>
<div class="layui-fluid pd-10">
    <div class="order-win layui-form">
        <div class="layui-card-body pt-20 pb-40">
            <div class="layui-col-xs12 form-box">
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站编码：</label>
                    <div class="layui-input-block ">
                        <input type="text" disabled autocomplete="off"  name="stationCode" lay-verify="stationCode" class="layui-input" value="">
                        <input type="text" style="width: 78%;float: left;"  id="stationId" lay-verify="stationCode" class="layui-input hide" value="">
                        <a href="#" class="pos-a h-32 lh-32 layui-span-unit pl-10 layui-table-link" onclick="selectEntry()" style="font-size: 20px">+</a>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站状态：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="status" class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">代理商：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="traderName" class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">产品名称：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="projectName"  class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">项目公司：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="projectCompanyName" class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">所属资方：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="partnerName" class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">业主姓名：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="tenantName"  class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">身份证号：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="idCode" class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs9">
                    <label class="layui-form-label w-130">安装地址：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="address" class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs12">
                    <label class="layui-form-label w-130">变更原因：</label>
                    <div class="layui-input-block ">
                        <textarea name="reason" id="reason" placeholder="" class="layui-textarea"></textarea>
                        <%--                        <input type="text" name="reason" class="layui-input" value="" autocomplete="off">--%>
                    </div>
                </div>
            </div>
        </div>
        <div class="clear-both">
            <p class="layui-elem-quote" style="margin: 0px 0px 0px 10px">完工信息</p>
            <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief" id="LAY_app">

                <div class="layui-tab-content" style="padding: 0px">
                    <table class="layui-table" style="text-align: center;">
                        <thead>
                        <tr>
                            <th width="5%">序号</th>
                            <th width="15%">文件名称</th>
                            <th width="40%">变更前信息</th>
                            <th width="40%">变更后信息</th>
                        </tr>
                        </thead>
                        <tbody id="contentBody">
                        <tr id="filing_document_photo"  class="change hide">
                            <td>1</td>
                            <td id="filing_document_photo_name">备案证</td>
                            <td id="filingDocumentPhoto" style="text-align: left">
                            </td>
                            <td style="text-align: left;">
                                <div class="hide imgSpan">

                                </div>
                                <div class="udFile" data-span-name="filingDocumentPhoto" style="cursor: pointer;color: #0a6597;text-align: left;">
                                    上传
                                </div>
                                <input type="text" class="hide numMax" value="4">
                            </td>
                        </tr>
                        <tr id="kg_condition_files"  class="change hide">
                            <td>18</td>
                            <td id="kg_condition_files_name">安全防护措施合照照片</td>
                            <td id="kgConditionFiles" style="text-align: left">

                            </td>
                            <td style="text-align: left;">
                                <div class="hide imgSpan">

                                </div>
                                <div class="udFile" data-span-name="kgConditionFiles" style="cursor: pointer;color: #0a6597;text-align: left;">
                                    上传
                                </div>
                                <input type="text" class="hide numMax" value="9">
                            </td>
                        </tr>

                        <tr class="fczm hide change" id="house_ownership">
                            <td>2</td>
                            <td id="house_ownership_name">房产证明</td>
                            <td id="fangChan">
                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="fangChan">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr class="danwei hide change"  id="other_imgs1">
                            <td>3</td>
                            <td id="other_imgs1_name">银行印鉴留样</td>
                            <td id="otherImgs1">
                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="otherImgs1">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr class="danwei hide change" id="other_imgs2">
                            <td>4</td>
                            <td id="other_imgs2_name">签约现场照片-法定代表人/负责人签字照</td>
                            <td id="otherImgs2">
                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="otherImgs2">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr class="danwei hide change" id="other_imgs3">
                            <td>5</td>
                            <td id="other_imgs3_name">签约现场照片-正脸、持笔/持印、合同签署页同框</td>
                            <td id="otherImgs3">
                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="otherImgs3">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr class="danwei hide change" id="other_imgs4">
                            <td>6</td>
                            <td id="other_imgs4_name">签署完成照片</td>
                            <td id="otherImgs4">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="otherImgs4">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="dzjc1_tr"  class="change hide">
                            <td>7</td>
                            <td id="dzjc1_tr_name">电站基础-主屋</td>
                            <td id="dzjc1">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="dzjc1">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="dzjc2_tr"  class="change hide">
                            <td>8</td>
                            <td id="dzjc2_tr_name">电站基础-副屋</td>
                            <td id="dzjc2">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="dzjc2">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img1"  class="change hide">
                            <td>9</td>
                            <td id="zj_img1_name">支架正面照片</td>
                            <td id="zjImg1">
                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload"  data-span-name="zjImg1">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img2"  class="change hide">
                            <td>10</td>
                            <td id="zj_img2_name">支架侧视图</td>
                            <td id="zjImg2">
                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload"  data-span-name="zjImg2">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img3"  class="change hide">
                            <td>11</td>
                            <td id="zj_img3_name">支架北侧图</td>
                            <td id="zjImg3">
                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload"  data-span-name="zjImg3">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>

                        <tr id="zj_img4"  class="change hide">
                            <td>12</td>
                            <td id="zj_img4_name">支架型号照片</td>
                            <td id="zjImg4">
                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjImg4">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img5"  class="change hide">
                            <td>13</td>
                            <td id="zj_img5_name">航拍图照片</td>
                            <td id="zjImg5">
                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjImg5">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="component_img1"  class="change hide">
                            <td>14</td>
                            <td id="component_img1_name"> 组件倾角照片</td>
                            <td id="componentImg1">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="componentImg1">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="component_img2"  class="change hide">
                            <td>15</td>
                            <td id="component_img2_name">组件方位角照片</td>
                            <td id="componentImg2">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="componentImg2">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="size_measure_imgs"  class="change hide">
                            <td>16</td>
                            <td id="size_measure_imgs_name">屋顶线缆安装照片</td>
                            <td id="sizeMeasureImgs">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="sizeMeasureImgs">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="fix_other_img"  class="change hide">
                            <td>17</td>
                            <td id="fix_other_img_name">线缆下墙照片</td>
                            <td id="fixOtherImg">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="fixOtherImg">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="total_imgs"  class="change hide">
                            <td>18</td>
                            <td id="total_imgs_name">逆变器组串接入照片</td>
                            <td id="totalImgs">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="totalImgs">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>



                        <tr id="bw_inner_img"  class="change hide">
                            <td>19</td>
                            <td id="bw_inner_img_name">并网箱内部照片</td>
                            <td id="bwInnerImg">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="bwInnerImg">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="dc_imgs"  class="change hide">
                            <td>20</td>
                            <td id="dc_imgs_name">逆变器安装照片</td>
                            <td id="dcImgs">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="dcImgs">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="nbq_zb_img"  class="change hide">
                            <td>21</td>
                            <td id="nbq_zb_img_name">并网箱逆变器整体照片</td>
                            <td id="nbqZbImg">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="nbqZbImg">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="dqsb_an_img_one"  class="change hide">
                            <td>22</td>
                            <td id="dqsb_an_img_one_name"> 逆变器注册截图照片</td>
                            <td id="dqsbAnImgOne">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="dqsbAnImgOne">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="nbq_plate_img"  class="change hide">
                            <td>23</td>
                            <td id="nbq_plate_img_name">逆变器铭牌照片</td>
                            <td id="nbqPlateImg">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="nbqPlateImg">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_plate_img"  class="change hide">
                            <td>24</td>
                            <td id="zj_plate_img_name">组件铭牌照片</td>
                            <td id="zjPlateImg">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjPlateImg">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="open_way_voltage_imgs"  class="change hide">
                            <td>25</td>
                            <td id="open_way_voltage_imgs_name">开路电压图</td>
                            <td id="openWayVoltageImgs">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="openWayVoltageImgs">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img1"  class="change hide">
                            <td>26</td>
                            <td id="jd_img1_name">组件与组件之间接地照片</td>
                            <td id="jdImg1">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg1">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img2"  class="change hide">
                            <td>27</td>
                            <td id="jd_img2_name">组件与支架接地照片</td>
                            <td id="jdImg2">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg2">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img3"  class="change hide">
                            <td>28</td>
                            <td id="jd_img3_name">支架与接地扁铁连接照片</td>
                            <td id="jdImg3">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg3">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img4"  class="change hide">
                            <td>29</td>
                            <td id="jd_img4_name">接地扁铁下墙照片</td>
                            <td id="jdImg4">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg4">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img5"  class="change hide">
                            <td>30</td>
                            <td id="jd_img5_name">支架接地电阻照片</td>
                            <td id="jdImg5">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg5">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img6"  class="change hide">
                            <td>31</td>
                            <td id="jd_img6_name">电器接地电阻照片</td>
                            <td id="jdImg6">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg6">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="safety_warning_img2"  class="change hide">
                            <td>31</td>
                            <td id="safety_warning_img2_name"></td>
                            <td id="safetyWarningImg2">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="safetyWarningImg2">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="safety_warning_img3"  class="change hide">
                            <td>31</td>
                            <td id="safety_warning_img3_name"></td>
                            <td id="safetyWarningImg3">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="safetyWarningImg3">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="safety_warning_img"  class="change hide">
                            <td>31</td>
                            <td id="safety_warning_img_name"></td>
                            <td id="safetyWarningImg">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="safetyWarningImg">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="safety_disclose_doc_img"  class="change hide">
                            <td>31</td>
                            <td id="safety_disclose_doc_img_name"></td>
                            <td id="safetyDiscloseDocImg">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="safetyDiscloseDocImg">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img10"  class="change hide">
                            <td>31</td>
                            <td id="zj_img10_name"></td>
                            <td id="zjImg10">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjImg10">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img11"  class="change hide">
                            <td>31</td>
                            <td id="zj_img11_name"></td>
                            <td id="zjImg11">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjImg11">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img8"  class="change hide">
                            <td>31</td>
                            <td id="zj_img8_name"></td>
                            <td id="zjImg8">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjImg8">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img9"  class="change hide">
                            <td>31</td>
                            <td id="zj_img9_name"></td>
                            <td id="zjImg9">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjImg9">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img12"  class="change hide">
                            <td>31</td>
                            <td id="zj_img12_name"></td>
                            <td id="zjImg12">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjImg12">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img13"  class="change hide">
                            <td>31</td>
                            <td id="zj_img13_name"></td>
                            <td id="zjImg13">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjImg13">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_img14" class="change hide">
                            <td>31</td>
                            <td id="zj_img14_name"></td>
                            <td id="zjImg14">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjImg14">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="component_img3" class="change hide">
                            <td>31</td>
                            <td id="component_img3_name"></td>
                            <td id="componentImg3">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="componentImg3">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="component_img4" class="change hide">
                            <td>31</td>
                            <td id="component_img4_name"></td>
                            <td id="componentImg4">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="componentImg4">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="bk_img1" class="change hide">
                            <td>31</td>
                            <td id="bk_img1_name"></td>
                            <td id="bkImg1">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="bkImg1">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="bk_img2" class="change hide">
                            <td>31</td>
                            <td id="bk_img2_name"></td>
                            <td id="bkImg2">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="bkImg2">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="bk_img3" class="change hide">
                            <td>31</td>
                            <td id="bk_img3_name"></td>
                            <td id="bkImg3">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="bkImg3">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="yk_img1" class="change hide">
                            <td>31</td>
                            <td id="yk_img1_name"></td>
                            <td id="ykImg1">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="ykImg1">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="nbq_zlc_img" class="change hide">
                            <td>31</td>
                            <td id="nbq_zlc_img_name"></td>
                            <td id="nbqZlcImg">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="nbqZlcImg">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="bw_jd_img" class="change hide">
                            <td>31</td>
                            <td id="bw_jd_img_name"></td>
                            <td id="bwJdImg">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="bwJdImg">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img8" class="change hide">
                            <td>31</td>
                            <td id="jd_img8_name"></td>
                            <td id="jdImg8">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg8">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img11" class="change hide">
                            <td>31</td>
                            <td id="jd_img11_name"></td>
                            <td id="jdImg11">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg11">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img9" class="change hide">
                            <td>31</td>
                            <td id="jd_img9_name"></td>
                            <td id="jdImg9">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg9">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="jd_img10" class="change hide">
                            <td>31</td>
                            <td id="jd_img10_name"></td>
                            <td id="jdImg10">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="jdImg10">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="fs_img1" class="change hide">
                            <td >31</td>
                            <td id="fs_img1_name"></td>
                            <td id="fsImg1">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="fsImg1">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="fs_img2" class="change hide">
                            <td>31</td>
                            <td id="fs_img2_name"></td>
                            <td id="fsImg2">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="fsImg2">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="fs_img3" class="change hide">
                            <td>31</td>
                            <td id="fs_img3_name"></td>
                            <td id="fsImg3">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="fsImg3">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="water_mud_clamp_imgs" class="change hide">
                            <td>31</td>
                            <td id="water_mud_clamp_imgs_name"></td>
                            <td id="waterMudClampImgs">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="waterMudClampImgs">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="other_imgs5" class="change hide">
                            <td>31</td>
                            <td id="other_imgs5_name"></td>
                            <td id="otherImgs5">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="otherImgs5">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="other_imgs6" class="change hide">
                            <td>31</td>
                            <td id="other_imgs6_name"></td>
                            <td id="otherImgs6">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="otherImgs6">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="15">
                            </td>
                        </tr>
                        <tr id="zj_report"  class="change hide">
                            <td>32</td>
                            <td id="zj_report_name">自检记录报告</td>
                            <td id="zjReport">

                            </td>
                            <td>
                                <div class="hide moreDiv">

                                </div>
                                <div class="upload-container moreUpload" data-span-name="zjReport">
                                    <img src="" alt="img placeholder">
                                </div>
                                <input type="text" class="hide numMax" value="1">
                            </td>
                        </tr>

                        <tr id="supplement_video_url"  class="change hide">
                            <td>33</td>
                            <td id="supplement_video_url_name">补充视频</td>
                            <td id="supplementVideoUrl">

                            </td>
                            <td>
                                <div id="imgsDiv67">

                                </div>
                                <div class="upload-container" id="supplementVideoUrlUpload">
                                    <img src="" alt="img placeholder">
                                </div>
                            </td>
                        </tr>

                        <tr id="other_files"  class="change hide">
                            <td>33</td>
                            <td id="other_files_name">其他资料</td>
                            <td id="otherFiles" style="text-align: left">

                            </td>
                            <td style="text-align: left;">
                                <div class="hide imgSpan" >

                                </div>
                                <div class="udFile"  data-span-name="otherFiles" style="cursor: pointer;color: #0a6597;text-align: left;">
                                    上传
                                </div>
                                <input type="text" class="hide numMax" value="2">
                            </td>
                        </tr>
                        <tr id="complete_remark"  class="change hide">
                            <td>33</td>
                            <td id="complete_remark_name">完工备注</td>
                            <td id="completeRemark" style="text-align: left">

                            </td>
                            <td style="text-align: left;">
                                <input type="text" name="completeRemark" autocomplete="off"  class="layui-input">
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="layui-form-item text-c operate-footer">
    <button type="button" class="layui-btn" id="save">提交</button>
    <button class="layui-btn layui-btn-primary" onclick="closeSelf()">取消</button>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script>
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    var formSet = null;
    var partnerId = null;
    var filingType = '1';
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'jquery', 'layer','upload'], function () {
        $ = layui.$;
        layer = layui.layer;
        upload = layui.upload;

        upload.render({
            elem: '#supplementVideoUrlUpload',
            url: '${ctx}/common/uploadFile',
            accept: 'video',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#imgsDiv67").find(".supplementVideoUrl").length;
                if ((imgCount + 1) >= 5) {
                    $("#supplementVideoUrlUpload").hide();
                }
                var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delVideoImg(this)"></span>';
                html += ' <video controls width="80px" height="80px" src="${commonStaticImgPath}' + path + '"></video>';
                html += '<input type="hidden" name="supplementVideoUrl" class="supplementVideoUrl" value="' + path + '"/> </div>';
                $("#imgsDiv67").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.moreUpload' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            ,before: function(obj){
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {

                });
            }
            , done: function (res, index, upload) {
                var titleName = $(this.item).attr("data-span-name");
                var html='';
                html+='<div class="bj-img imgSpan">';
                html+=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                html += '<img src="${commonStaticImgPath}' + res.path + '">';
                html += '<input type="hidden" class="data-input" name="' + titleName + '" value="' + res.path + '"/>';
                html+='</div>';
                $(this.item).parent("td").find(".moreDiv").append(html);
                $(this.item).parent("td").find(".moreDiv").show();
                var maxNum = $(this.item).parent("td").find(".numMax").val();
                if ($(this.item).parent("td").find(".moreDiv").find(".imgSpan").length == maxNum) {
                    $(this.item).hide();
                }
                viewer.update();
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.udFile' //绑定元素
            , accept: 'file'
            , url: '${ctx}/common/uploadFileKeepName' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res, index, upload) {
                var titleName = $(this.item).attr("data-span-name");
                $(this.item).parent("td").find(".imgSpan").show();
                var html='';
                html += '<div>';
                html += '<a href="${commonStaticImgPath}' + res.path + '" target="_blank" class="fileH">' + res.filename + '</a>';
                html += '<span onclick="delFile(this)" style="cursor:pointer;"><i class="layui-icon">&#xe640;</i></span>';
                html += '<input name="' + titleName + '" class="hide" value="' + res.path + '">';
                html += '</div>';
                $(this.item).parent("td").find(".imgSpan").append(html);
                var maxNum = $(this.item).parent("td").find(".numMax").val();
                if ($(this.item).parent("td").find(".fileH").length == maxNum) {
                    $(this.item).hide();
                }
            }
            , error: function () {
                //请求异常回调
            }
        });

        $("#save").click(function(){
            commit();
        })
    })

    var opeRep = false;
    function commit() {
        if(opeRep){
            return;
        }
        var entryId = $("#stationId").val();
        if (isBlank(entryId)) {
            layer.msg("请选择电站");
            return;
        }
        var checkRe = true;
        var fangChan = [];
        $("input[name='fangChan']").each(function () {
            fangChan.push($(this).val());
        })
        var hidefangchan = $(".fczm").hasClass("hide");
        var otherImgs1 = [];
        $("input[name='otherImgs1']").each(function () {
            otherImgs1.push($(this).val());
        })
        var hidedanwei = $(".danwei").hasClass("hide");
        var otherImgs2 = [];
        $("input[name='otherImgs2']").each(function () {
            otherImgs2.push($(this).val());
        })
        var otherImgs3 = [];
        $("input[name='otherImgs3']").each(function () {
            otherImgs3.push($(this).val());
        })
        var otherImgs4 = [];
        $("input[name='otherImgs4']").each(function () {
            otherImgs4.push($(this).val());
        })
        var dzjc1 = [];
        $("input[name='dzjc1']").each(function () {
            dzjc1.push($(this).val());
        })
        var dzjc2 = [];
        $("input[name='dzjc2']").each(function () {
            dzjc2.push($(this).val());
        })
        var zjImg1 = [];
        $("input[name='zjImg1']").each(function () {
            zjImg1.push($(this).val());
        })
        var zjImg2 = [];
        $("input[name='zjImg2']").each(function () {
            zjImg2.push($(this).val());
        })
        var zjImg3 = [];
        $("input[name='zjImg3']").each(function () {
            zjImg3.push($(this).val());
        })
        var zjImg4 = [];
        $("input[name='zjImg4']").each(function () {
            zjImg4.push($(this).val());
        })
        var zjImg5 = [];
        $("input[name='zjImg5']").each(function () {
            zjImg5.push($(this).val());
        })
        var componentImg1 = [];
        $("input[name='componentImg1']").each(function () {
            componentImg1.push($(this).val());
        })
        var componentImg2 = [];
        $("input[name='componentImg2']").each(function () {
            componentImg2.push($(this).val());
        })
        var sizeMeasureImgs = [];
        $("input[name='sizeMeasureImgs']").each(function () {
            sizeMeasureImgs.push($(this).val());
        })
        var fixOtherImg = [];
        $("input[name='fixOtherImg']").each(function () {
            fixOtherImg.push($(this).val());
        })
        var totalImgs = [];
        $("input[name='totalImgs']").each(function () {
            totalImgs.push($(this).val());
        })
        var kgConditionFiles=[];
        $("input[name='kgConditionFiles']").each(function () {
            kgConditionFiles.push($(this).val());
        })
        var bwInnerImg = [];
        $("input[name='bwInnerImg']").each(function () {
            bwInnerImg.push($(this).val());
        })
        var dcImgs = [];
        $("input[name='dcImgs']").each(function () {
            dcImgs.push($(this).val());
        })
        var nbqZbImg = [];
        $("input[name='nbqZbImg']").each(function () {
            nbqZbImg.push($(this).val());
        })
        var dqsbAnImgOne = [];
        $("input[name='dqsbAnImgOne']").each(function () {
            dqsbAnImgOne.push($(this).val());
        })
        var nbqPlateImg = [];
        $("input[name='nbqPlateImg']").each(function () {
            nbqPlateImg.push($(this).val());
        })
        var zjPlateImg = [];
        $("input[name='zjPlateImg']").each(function () {
            zjPlateImg.push($(this).val());
        })
        var openWayVoltageImgs = [];
        $("input[name='openWayVoltageImgs']").each(function () {
            openWayVoltageImgs.push($(this).val());
        })
        var jdImg1 = [];
        $("input[name='jdImg1']").each(function () {
            jdImg1.push($(this).val());
        })
        var jdImg2 = [];
        $("input[name='jdImg2']").each(function () {
            jdImg2.push($(this).val());
        })
        var jdImg3 = [];
        $("input[name='jdImg3']").each(function () {
            jdImg3.push($(this).val());
        })
        var jdImg4 = [];
        $("input[name='jdImg4']").each(function () {
            jdImg4.push($(this).val());
        })
        var jdImg5 = [];
        $("input[name='jdImg5']").each(function () {
            jdImg5.push($(this).val());
        })
        var jdImg6 = [];
        $("input[name='jdImg6']").each(function () {
            jdImg6.push($(this).val());
        })
        var filingDocumentPhoto = [];
        $("input[name='filingDocumentPhoto']").each(function () {
            filingDocumentPhoto.push($(this).val());
        })
        var zjReport = [];
        $("input[name='zjReport']").each(function () {
            zjReport.push($(this).val());
        })
        var otherFiles = [];
        $("input[name='otherFiles']").each(function () {
            otherFiles.push($(this).val());
        })
        var safetyWarningImg2 = [];
        $("input[name='safetyWarningImg2']").each(function () {
            safetyWarningImg2.push($(this).val());
        })
        var safetyWarningImg3 = [];
        $("input[name='safetyWarningImg3']").each(function () {
            safetyWarningImg3.push($(this).val());
        })
        var safetyWarningImg = [];
        $("input[name='safetyWarningImg']").each(function () {
            safetyWarningImg.push($(this).val());
        })
        var safetyDiscloseDocImg = [];
        $("input[name='safetyDiscloseDocImg']").each(function () {
            safetyDiscloseDocImg.push($(this).val());
        })
        var zjImg10 = [];
        $("input[name='zjImg10']").each(function () {
            zjImg10.push($(this).val());
        })
        var zjImg11 = [];
        $("input[name='zjImg11']").each(function () {
            zjImg11.push($(this).val());
        })
        var zjImg8 = [];
        $("input[name='zjImg8']").each(function () {
            zjImg8.push($(this).val());
        })
        var zjImg9 = [];
        $("input[name='zjImg9']").each(function () {
            zjImg9.push($(this).val());
        })
        var zjImg12 = [];
        $("input[name='zjImg12']").each(function () {
            zjImg12.push($(this).val());
        })
        var zjImg13 = [];
        $("input[name='zjImg13']").each(function () {
            zjImg13.push($(this).val());
        })
        var zjImg14 = [];
        $("input[name='zjImg14']").each(function () {
            zjImg14.push($(this).val());
        })
        var componentImg3 = [];
        $("input[name='componentImg3']").each(function () {
            componentImg3.push($(this).val());
        })
        var componentImg4 = [];
        $("input[name='componentImg4']").each(function () {
            componentImg4.push($(this).val());
        })
        var bkImg1 = [];
        $("input[name='bkImg1']").each(function () {
            bkImg1.push($(this).val());
        })
        var bkImg2 = [];
        $("input[name='bkImg2']").each(function () {
            bkImg2.push($(this).val());
        })
        var bkImg3 = [];
        $("input[name='bkImg3']").each(function () {
            bkImg3.push($(this).val());
        })
        var ykImg1 = [];
        $("input[name='ykImg1']").each(function () {
            ykImg1.push($(this).val());
        })
        var nbqZlcImg = [];
        $("input[name='nbqZlcImg']").each(function () {
            nbqZlcImg.push($(this).val());
        })
        var bwJdImg = [];
        $("input[name='bwJdImg']").each(function () {
            bwJdImg.push($(this).val());
        })
        var jdImg8 = [];
        $("input[name='jdImg8']").each(function () {
            jdImg8.push($(this).val());
        })
        var jdImg11 = [];
        $("input[name='jdImg11']").each(function () {
            jdImg11.push($(this).val());
        })
        var jdImg9 = [];
        $("input[name='jdImg9']").each(function () {
            jdImg9.push($(this).val());
        })
        var jdImg10 = [];
        $("input[name='jdImg10']").each(function () {
            jdImg10.push($(this).val());
        })
        var fsImg1 = [];
        $("input[name='fsImg1']").each(function () {
            fsImg1.push($(this).val());
        })
        var fsImg2 = [];
        $("input[name='fsImg2']").each(function () {
            fsImg2.push($(this).val());
        })
        var fsImg3 = [];
        $("input[name='fsImg3']").each(function () {
            fsImg3.push($(this).val());
        })
        var waterMudClampImgs = [];
        $("input[name='waterMudClampImgs']").each(function () {
            waterMudClampImgs.push($(this).val());
        })
        var otherImgs5 = [];
        $("input[name='otherImgs5']").each(function () {
            otherImgs5.push($(this).val());
        })
        var otherImgs6 = [];
        $("input[name='otherImgs6']").each(function () {
            otherImgs6.push($(this).val());
        })
        var supplementVideoUrl=[];
        $("input[name='supplementVideoUrl']").each(function(){
            supplementVideoUrl.push($(this).val());
        })

        var completeRemark=$("input[name='completeRemark']").val();

        for (i = 0; i < formSet.length; i++) {
            let columnKey = formSet[i].columnKey;
            let useFlag = formSet[i].useFlag;
            let mustFillFlag = formSet[i].mustFillFlag;
            if (columnKey.includes(partnerId)) {
                columnKey = columnKey.substring(0, columnKey.indexOf(partnerId) - 1);
            }
            if(useFlag=='1') {
                if (columnKey == 'house_ownership' && mustFillFlag == '1' && fangChan.length == 0 && !hidefangchan) {
                    layer.msg(  $("#house_ownership_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'other_imgs1' && mustFillFlag == '1' &&otherImgs1.length == 0 && !hidedanwei) {
                    layer.msg(  $("#other_imgs1_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'other_imgs2' && mustFillFlag == '1' &&otherImgs2.length == 0 && !hidedanwei) {
                    layer.msg(  $("#other_imgs2_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'other_imgs3' && mustFillFlag == '1' &&otherImgs3.length == 0 && !hidedanwei) {
                    layer.msg(  $("#other_imgs3_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'other_imgs4' && mustFillFlag == '1' &&otherImgs4.length == 0 && !hidedanwei) {
                    layer.msg(  $("#other_imgs4_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'dzjc1' && mustFillFlag == '1' &&dzjc1.length == 0) {
                    layer.msg(  $("#dzjc1_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'dzjc2' && mustFillFlag == '1' &&dzjc2.length == 0) {
                    layer.msg(  $("#dzjc2_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img1' && mustFillFlag == '1' &&zjImg1.length == 0) {
                    layer.msg(  $("#zj_img1_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img2' && mustFillFlag == '1' &&zjImg2.length == 0) {
                    layer.msg(  $("#zj_img2_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img3' && mustFillFlag == '1' &&zjImg3.length == 0) {
                    layer.msg(  $("#zj_img3_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img4' && mustFillFlag == '1' &&zjImg4.length == 0) {
                    layer.msg(  $("#zj_img4_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img5' && mustFillFlag == '1' &&zjImg5.length == 0) {
                    layer.msg(  $("#zj_img5_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'component_img1' && mustFillFlag == '1' &&componentImg1.length == 0) {
                    layer.msg(  $("#component_img1_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'component_img2' && mustFillFlag == '1' &&componentImg2.length == 0) {
                    layer.msg(  $("#component_img2_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'size_measure_imgs' && mustFillFlag == '1' &&sizeMeasureImgs.length == 0) {
                    layer.msg(  $("#size_measure_imgs_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'fix_other_img' && mustFillFlag == '1' &&fixOtherImg.length == 0) {
                    layer.msg(  $("#other_imgs6_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'total_imgs' && mustFillFlag == '1' &&totalImgs.length == 0) {
                    layer.msg(  $("#total_imgs_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }
                if (columnKey == 'kg_condition_files' && mustFillFlag == '1' && kgConditionFiles.length == 0) {
                    layer.msg(  $("#kg_condition_files_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'bw_inner_img' && mustFillFlag == '1' &&bwInnerImg.length == 0) {
                    layer.msg(  $("#bw_inner_img_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'dc_imgs' && mustFillFlag == '1' &&dcImgs.length == 0) {
                    layer.msg(  $("#dc_imgs_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'nbq_zb_img' && mustFillFlag == '1' &&nbqZbImg.length == 0) {
                    layer.msg(  $("#nbq_zb_img_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'dqsb_an_img_one' && mustFillFlag == '1' &&dqsbAnImgOne.length == 0) {
                    layer.msg(  $("#dqsb_an_img_one_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'nbq_plate_img' && mustFillFlag == '1' &&nbqPlateImg.length == 0) {
                    layer.msg(  $("#nbq_plate_img_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_plate_img' && mustFillFlag == '1' &&zjPlateImg.length == 0) {
                    layer.msg(  $("#zj_plate_img_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'open_way_voltage_imgs' && mustFillFlag == '1' &&openWayVoltageImgs.length == 0) {
                    layer.msg(  $("#open_way_voltage_imgs_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img1' && mustFillFlag == '1' &&jdImg1.length == 0) {
                    layer.msg(  $("#jd_img1_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img2' && mustFillFlag == '1' &&jdImg2.length == 0) {
                    layer.msg(  $("#jd_img2_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img3' && mustFillFlag == '1' &&jdImg3.length == 0) {
                    layer.msg(  $("#jd_img3_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img4' && mustFillFlag == '1' &&jdImg4.length == 0) {
                    layer.msg(  $("#jd_img4_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img5' && mustFillFlag == '1' &&jdImg5.length == 0) {
                    layer.msg(  $("#jd_img5_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img6' && mustFillFlag == '1' &&jdImg6.length == 0) {
                    layer.msg(  $("#jd_img6_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'filing_document_photo' && mustFillFlag == '1' &&filingType == '2' && filingDocumentPhoto.length == 0) {
                    layer.msg(  $("#filing_document_photo_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_report' && mustFillFlag == '1' &&zjReport.length == 0) {
                    layer.msg(  $("#zj_report_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if ( columnKey == 'other_files' && mustFillFlag == '1' && otherFiles.length == 0) {
                    layer.msg(  $("#other_files_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'safety_warning_img2' && mustFillFlag == '1' &&safetyWarningImg2.length == 0) {
                    layer.msg(  $("#safety_warning_img2_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'safety_warning_img3' && mustFillFlag == '1' &&safetyWarningImg3.length == 0) {
                    layer.msg(  $("#safety_warning_img3_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'safety_warning_img' && mustFillFlag == '1' &&safetyWarningImg.length == 0) {
                    layer.msg(  $("#safety_warning_img_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'safety_disclose_doc_img' && mustFillFlag == '1' &&safetyDiscloseDocImg.length == 0) {
                    layer.msg(  $("#safety_disclose_doc_img_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img10' && mustFillFlag == '1' &&zjImg10.length == 0) {
                    layer.msg(  $("#zj_img10_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img11' && mustFillFlag == '1' &&zjImg11.length == 0) {
                    layer.msg(  $("#zj_img11_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img8' && mustFillFlag == '1' &&zjImg8.length == 0) {
                    layer.msg(  $("#zj_img8_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img9' && mustFillFlag == '1' &&zjImg9.length == 0) {
                    layer.msg(  $("#zj_img9_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img12' && mustFillFlag == '1' &&zjImg12.length == 0) {
                    layer.msg(  $("#zj_img12_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img13' && mustFillFlag == '1' &&zjImg13.length == 0) {
                    layer.msg(  $("#zj_img13_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'zj_img14' && mustFillFlag == '1' &&zjImg14.length == 0) {
                    layer.msg(  $("#zj_img14_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'component_img3' && mustFillFlag == '1' &&componentImg3.length == 0) {
                    layer.msg(  $("#component_img3_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'component_img4' && mustFillFlag == '1' &&componentImg4.length == 0) {
                    layer.msg(  $("#component_img4_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'bk_img1' && mustFillFlag == '1' &&bkImg1.length == 0) {
                    layer.msg(  $("#bk_img1_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'bk_img2' && mustFillFlag == '1' &&bkImg2.length == 0) {
                    layer.msg(  $("#bk_img2_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'bk_img3' && mustFillFlag == '1' &&bkImg3.length == 0) {
                    layer.msg(  $("#bk_img3_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'yk_img1' && mustFillFlag == '1' &&ykImg1.length == 0) {
                    layer.msg(  $("#yk_img1_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'nbq_zlc_img' && mustFillFlag == '1' &&nbqZlcImg.length == 0) {
                    layer.msg(  $("#nbq_zlc_img_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'bw_jd_img' && mustFillFlag == '1' &&bwJdImg.length == 0) {
                    layer.msg(  $("#bw_jd_img_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img8' && mustFillFlag == '1' &&jdImg8.length == 0) {
                    layer.msg(  $("#jd_img8_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img11' && mustFillFlag == '1' &&jdImg11.length == 0) {
                    layer.msg(  $("#jd_img11_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img9' && mustFillFlag == '1' &&jdImg9.length == 0) {
                    layer.msg(  $("#jd_img9_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'jd_img10' && mustFillFlag == '1' &&jdImg10.length == 0) {
                    layer.msg(  $("#jd_img10_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'fs_img1' && mustFillFlag == '1' &&fsImg1.length == 0) {
                    layer.msg(  $("#fs_img1_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'fs_img2' && mustFillFlag == '1' &&fsImg2.length == 0) {
                    layer.msg(  $("#fs_img2_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'fs_img3' && mustFillFlag == '1' &&fsImg3.length == 0) {
                    layer.msg(  $("#fs_img3_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'water_mud_clamp_imgs' && mustFillFlag == '1' &&waterMudClampImgs.length == 0) {
                    layer.msg(  $("#water_mud_clamp_imgs_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'other_imgs5' && mustFillFlag == '1' &&otherImgs5.length == 0) {
                    layer.msg(  $("#other_imgs5_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'other_imgs6' && mustFillFlag == '1' &&otherImgs6.length == 0) {
                    layer.msg(  $("#other_imgs6_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }

                if (columnKey == 'supplement_video_url' && mustFillFlag == '1' && supplementVideoUrl.length == 0) {
                    layer.msg(  $("#supplement_video_url_name").text()+"不能为空");
                    checkRe = false;
                    return;
                }
            }
        }
        if(!checkRe){
            return;
        }
        // var reason = $("input[name='reason']").val();
        var reason = $("#reason").val();

        opeRep = true;
        $.ajax({
            type: 'post',
            url: '${ctx}/completion/change/addChangeRecord',
            dataType: 'json',
            data: {
                entryId: entryId,
                fangChan:fangChan.join(","),
                otherImgs1: otherImgs1.join(","),
                otherImgs2: otherImgs2.join(","),
                otherImgs3: otherImgs3.join(","),
                otherImgs4: otherImgs4.join(","),
                dzjc1: dzjc1.join(","),
                dzjc2: dzjc2.join(","),
                zjImg1: zjImg1.join(","),
                zjImg2: zjImg2.join(","),
                zjImg3: zjImg3.join(","),
                zjImg4: zjImg4.join(","),
                zjImg5: zjImg5.join(","),
                componentImg1: componentImg1.join(","),
                componentImg2: componentImg2.join(","),
                sizeMeasureImgs: sizeMeasureImgs.join(","),
                fixOtherImg: fixOtherImg.join(","),
                totalImgs: totalImgs.join(","),
                bwInnerImg: bwInnerImg.join(","),
                dcImgs: dcImgs.join(","),
                nbqZbImg: nbqZbImg.join(","),
                dqsbAnImgOne: dqsbAnImgOne.join(","),
                nbqPlateImg: nbqPlateImg.join(","),
                zjPlateImg: zjPlateImg.join(","),
                openWayVoltageImgs: openWayVoltageImgs.join(","),
                jdImg1: jdImg1.join(","),
                jdImg2: jdImg2.join(","),
                jdImg3: jdImg3.join(","),
                jdImg4: jdImg4.join(","),
                jdImg5: jdImg5.join(","),
                jdImg6: jdImg6.join(","),
                filingDocumentPhoto: filingDocumentPhoto.join(","),
                zjReport: zjReport.join(","),
                safetyWarningImg2: safetyWarningImg2.join(","),
                safetyWarningImg3: safetyWarningImg3.join(","),
                safetyWarningImg: safetyWarningImg.join(","),
                zjImg10: zjImg10.join(","),
                zjImg11: zjImg11.join(","),
                zjImg8: zjImg8.join(","),
                zjImg9: zjImg9.join(","),
                zjImg12: zjImg12.join(","),
                zjImg13: zjImg13.join(","),
                zjImg14: zjImg14.join(","),
                componentImg3: componentImg3.join(","),
                componentImg4: componentImg4.join(","),
                bkImg1: bkImg1.join(","),
                bkImg2: bkImg2.join(","),
                bkImg3: bkImg3.join(","),
                ykImg1: ykImg1.join(","),
                nbqZlcImg: nbqZlcImg.join(","),
                bwJdImg: bwJdImg.join(","),
                jdImg8: jdImg8.join(","),
                jdImg11: jdImg11.join(","),
                jdImg9: jdImg9.join(","),
                jdImg10: jdImg10.join(","),
                fsImg1: fsImg1.join(","),
                fsImg2: fsImg2.join(","),
                fsImg3: fsImg3.join(","),
                waterMudClampImgs: waterMudClampImgs.join(","),
                otherImgs5: otherImgs5.join(","),
                otherImgs6: otherImgs6.join(","),
                reason: reason,
                otherFiles:otherFiles.join(","),
                safetyDiscloseDocImg:safetyDiscloseDocImg.join(","),
                kgConditionFiles:kgConditionFiles.join(","),
                supplementVideoUrl:supplementVideoUrl.join(","),
                completeRemark:completeRemark
            },
            success: function(data){
                if (data.code == "200") {
                    top.layer.msg("操作成功");
                    closeSelf();
                    parent.location.reload();
                } else {
                    layer.msg(data.errMsg);
                }
            },
            complete: function(){
                opeRep = false;
            }
        });
    }

    function selectEntry(){
        layer.open({
            type: 2,
            title: '选择电站',
            content: '${ctx}/completion/change/toSelectEntry?partnerId=${partnerId}',
            area: ['80%','80%']
        });
    }


    function searchCode(stationCode){
        if (isBlank(stationCode)) {
            return;
        }
        $("input[name='stationCode']").val(stationCode);
        $.ajax({
            type: 'post',
            url: '${ctx}/completion/change/selectNumber/' + stationCode,
            dataType: 'json',
            data: {
                stationCode: stationCode
            },
            success: function(res){
                clearHtml();
                if (res.code == "200") {
                    var surveyRecord = res.data.surveyRecord;
                    var report = res.data.report;
                    var customerEntry = res.data.customerEntry;
                    var project = res.data.project;
                    formSet = res.data.formSet;
                    partnerId = res.data.customerEntry.partnerId;
                    checkFormSet = res.data.formSet;
                    $("#stationId").val(customerEntry.id);
                    filingType = customerEntry.filingType;
                    $("input[name='status']").val(getStatus(customerEntry));
                    $("input[name='traderName']").val(customerEntry.createTraderName);
                    $("input[name='projectName']").val(project.name);
                    $("input[name='projectCompanyName']").val(customerEntry.projectCompanyName);
                    $("input[name='partnerName']").val(customerEntry.partnerName);
                    $("input[name='tenantName']").val(customerEntry.tenantName);
                    $("input[name='idCode']").val(customerEntry.idCode);
                    $("input[name='address']").val(customerEntry.province + customerEntry.city + customerEntry.area + customerEntry.address);
                    if (!isBlank(report)) {
                        appendHtml(report, surveyRecord);
                        hideOrShowHtml(formSet, customerEntry);
                    }
                } else {
                    clearHtml();
                    layer.msg(res.errMsg);
                }
            }
        });
    }

    function clearHtml(){
        checkFormSet = null;
        $("#stationId").val("");
        $("input[name='status']").val("");
        $("input[name='traderName']").val("");
        $("input[name='projectName']").val("");
        $("input[name='projectCompanyName']").val("");
        $("input[name='partnerName']").val("");
        $("input[name='tenantName']").val("");
        $("input[name='idCode']").val("");
        $("input[name='address']").val("");
        $("#fangChan").empty();
        $("#otherImgs1").empty();
        $("#otherImgs2").empty();
        $("#otherImgs3").empty();
        $("#otherImgs4").empty();
        $("#dzjc1").empty();
        $("#dzjc2").empty();
        $("#zjImg1").empty();
        $("#zjImg2").empty();
        $("#zjImg3").empty();
        $("#zjImg4").empty();
        $("#zjImg5").empty();
        $("#componentImg1").empty();
        $("#componentImg2").empty();
        $("#sizeMeasureImgs").empty();
        $("#fixOtherImg").empty();
        $("#totalImgs").empty();
        $("#bwInnerImg").empty();
        $("#dcImgs").empty();
        $("#nbqZbImg").empty();
        $("#dqsbAnImgOne").empty();
        $("#nbqPlateImg").empty();
        $("#zjPlateImg").empty();
        $("#openWayVoltageImgs").empty();
        $("#jdImg1").empty();
        $("#jdImg2").empty();
        $("#jdImg3").empty();
        $("#jdImg4").empty();
        $("#jdImg5").empty();
        $("#jdImg6").empty();
        $("#yxImg").empty();
        $("#gebImg").empty();
        $("#gebImg2").empty();
        $("#dbImgs").empty();
        $("#filingDocumentPhoto").empty();
        $("#zjReport").empty();
        $("#otherFiles").empty();
        $("#safetyWarningImg2").empty();
        $("#safetyWarningImg3").empty();
        $("#safetyWarningImg").empty();
        $("#zjImg10").empty();
        $("#zjImg11").empty();
        $("#zjImg8").empty();
        $("#zjImg9").empty();
        $("#zjImg12").empty();
        $("#zjImg13").empty();
        $("#zjImg14").empty();
        $("#componentImg3").empty();
        $("#componentImg4").empty();
        $("#bkImg1").empty();
        $("#bkImg3").empty();
        $("#ykImg1").empty();
        $("#nbqZlcImg").empty();
        $("#bwJdImg").empty();
        $("#jdImg8").empty();
        $("#jdImg11").empty();
        $("#jdImg9").empty();
        $("#jdImg10").empty();
        $("#fsImg1").empty();
        $("#fsImg2").empty();
        $("#fsImg3").empty();
        $("#waterMudClampImgs").empty();
        $("#otherImgs5").empty();
        $("#otherImgs6").empty();
        $(".change").addClass("hide");
    }

    function hideOrShowHtml(setData, customerEntry) {
        for (var i = 0; i < setData.length; i++) {
            let columnKey = setData[i].columnKey;
            console.log(columnKey+'***'+setData[i].useFlag);
            if (setData[i].useFlag == '0') {//不启用
                $("#" + columnKey).addClass("hide");
                if (columnKey== 'dzjc1' || columnKey== 'dzjc2') {
                    $("#" + columnKey + "_tr").addClass("hide");
                }
            } else {
                if (columnKey.includes(partnerId)) {
                    columnKey = columnKey.substring(0, columnKey.indexOf(partnerId)-1);
                }
                if (columnKey== 'dzjc1' || columnKey== 'dzjc2') {
                    $("#" + columnKey + "_tr").removeClass("hide");
                }
                $("#" + columnKey).removeClass("hide");
                $("#" + columnKey+'_name').text(setData[i].columnName);
                if (customerEntry.tenantType === '1') {//个人
                    $(".danwei").addClass("hide");
                } else {
                    if(columnKey=='other_imgs1' || columnKey=='other_imgs2' || columnKey=='other_imgs3' || columnKey=='other_imgs4'){
                        $(".danwei").removeClass("hide");
                    }
                    if(columnKey=='house_ownership'){
                        $(".fczm").addClass("hide");
                    }
                }
            }
        }

        resetSort();
    }

    function appendHtml(data, surveyData) {
        if (!isBlank(surveyData.houseOwnership)) {
            var imgsArr = surveyData.houseOwnership.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="fangChan" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#fangChan").empty().append(html);
            $("#fangChan").next().find(".moreDiv").show();
            $("#fangChan").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#fangChan").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#fangChan").next().find(".moreUpload").hide();
            }
        }


        if (!isBlank(data.otherImgs1)) {
            var imgsArr = data.otherImgs1.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="otherImgs1" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#otherImgs1").empty().append(html);
            $("#otherImgs1").next().find(".moreDiv").show();
            $("#otherImgs1").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#otherImgs1").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#otherImgs1").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.otherImgs2)) {
            var imgs = data.otherImgs2.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgs.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgs[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="otherImgs2" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#otherImgs2").empty().append(html);
            $("#otherImgs2").next().find(".moreDiv").show();
            $("#otherImgs2").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#otherImgs2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#otherImgs2").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.otherImgs3)) {
            var imgsArr = data.otherImgs3.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="otherImgs3" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#otherImgs3").empty().append(html);
            $("#otherImgs3").next().find(".moreDiv").show();
            $("#otherImgs3").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#otherImgs3").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#otherImgs3").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.otherImgs4)) {
            var imgsArr = data.otherImgs3.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="otherImgs4" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#otherImgs4").empty().append(html);
            $("#otherImgs4").next().find(".moreDiv").show();
            $("#otherImgs4").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#otherImgs4").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#otherImgs4").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.dzjc1)) {
            var imgsArr = data.dzjc1.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="dzjc1" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#dzjc1").empty().append(html);
            $("#dzjc1").next().find(".moreDiv").show();
            $("#dzjc1").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#dzjc1").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#dzjc1").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.dzjc2)) {
            var imgsArr = data.dzjc2.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="dzjc2" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#dzjc2").empty().append(html);
            $("#dzjc2").next().find(".moreDiv").show();
            $("#dzjc2").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#dzjc2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#dzjc2").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg1)) {
            var flyImgsArr = data.zjImg1.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < flyImgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + flyImgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + flyImgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg1" value="' + flyImgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg1").empty().append(html);
            $("#zjImg1").next().find(".moreDiv").show();
            $("#zjImg1").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg1").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg1").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg2)) {
            var imgsArr = data.zjImg2.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg2" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg2").empty().append(html);
            $("#zjImg2").next().find(".moreDiv").show();
            $("#zjImg2").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg2").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg3)) {
            var imgsArr = data.zjImg3.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg3" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg3").empty().append(html);
            $("#zjImg3").next().find(".moreDiv").show();
            $("#zjImg3").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg3").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg3").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg4)) {
            var imgsArr = data.zjImg4.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg4" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg4").empty().append(html);
            $("#zjImg4").next().find(".moreDiv").show();
            $("#zjImg4").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg4").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg4").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg5)) {
            var imgsArr = data.zjImg5.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg5" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg5").empty().append(html);
            $("#zjImg5").next().find(".moreDiv").show();
            $("#zjImg5").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg5").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg5").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.componentImg1)) {
            var imgsArr = data.componentImg1.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="componentImg1" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#componentImg1").empty().append(html);
            $("#componentImg1").next().find(".moreDiv").show();
            $("#componentImg1").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#componentImg1").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#componentImg1").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.componentImg2)) {
            var imgsArr = data.componentImg2.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="componentImg2" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#componentImg2").empty().append(html);
            $("#componentImg2").next().find(".moreDiv").show();
            $("#componentImg2").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#componentImg2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#componentImg2").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.sizeMeasureImgs)) {
            var imgsArr = data.sizeMeasureImgs.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="sizeMeasureImgs" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#sizeMeasureImgs").empty().append(html);
            $("#sizeMeasureImgs").next().find(".moreDiv").show();
            $("#sizeMeasureImgs").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#sizeMeasureImgs").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#sizeMeasureImgs").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.fixOtherImg)) {
            var imgsArr = data.fixOtherImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="fixOtherImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#fixOtherImg").empty().append(html);
            $("#fixOtherImg").next().find(".moreDiv").show();
            $("#fixOtherImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#fixOtherImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#fixOtherImg").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.totalImgs)) {
            var imgsArr = data.totalImgs.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="totalImgs" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#totalImgs").empty().append(html);
            $("#totalImgs").next().find(".moreDiv").show();
            $("#totalImgs").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#totalImgs").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#totalImgs").next().find(".moreUpload").hide();
            }
        }



        if (!isBlank(data.bwInnerImg)) {
            var imgsArr = data.bwInnerImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="bwInnerImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#bwInnerImg").empty().append(html);
            $("#bwInnerImg").next().find(".moreDiv").show();
            $("#bwInnerImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#bwInnerImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#bwInnerImg").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.dcImgs)) {
            var imgsArr = data.dcImgs.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="dcImgs" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#dcImgs").empty().append(html);
            $("#dcImgs").next().find(".moreDiv").show();
            $("#dcImgs").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#dcImgs").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#dcImgs").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.nbqZbImg)) {
            var imgsArr = data.nbqZbImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="nbqZbImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#nbqZbImg").empty().append(html);
            $("#nbqZbImg").next().find(".moreDiv").show();
            $("#nbqZbImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#nbqZbImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#nbqZbImg").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.dqsbAnImgOne)) {
            var imgsArr = data.dqsbAnImgOne.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="dqsbAnImgOne" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#dqsbAnImgOne").empty().append(html);
            $("#dqsbAnImgOne").next().find(".moreDiv").show();
            $("#dqsbAnImgOne").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#dqsbAnImgOne").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#dqsbAnImgOne").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.nbqPlateImg)) {
            var imgsArr = data.nbqPlateImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="nbqPlateImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#nbqPlateImg").empty().append(html);
            $("#nbqPlateImg").next().find(".moreDiv").show();
            $("#nbqPlateImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#nbqPlateImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#nbqPlateImg").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjPlateImg)) {
            var imgsArr = data.zjPlateImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjPlateImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjPlateImg").empty().append(html);
            $("#zjPlateImg").next().find(".moreDiv").show();
            $("#zjPlateImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjPlateImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjPlateImg").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.openWayVoltageImgs)) {
            var imgsArr = data.openWayVoltageImgs.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="openWayVoltageImgs" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#openWayVoltageImgs").empty().append(html);
            $("#openWayVoltageImgs").next().find(".moreDiv").show();
            $("#openWayVoltageImgs").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#openWayVoltageImgs").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#openWayVoltageImgs").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg1)) {
            var imgsArr = data.jdImg1.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg1" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg1").empty().append(html);
            $("#jdImg1").next().find(".moreDiv").show();
            $("#jdImg1").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg1").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg1").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg2)) {
            var imgsArr = data.jdImg2.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg2" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg2").empty().append(html);
            $("#jdImg2").next().find(".moreDiv").show();
            $("#jdImg2").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg2").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg3)) {
            var imgsArr = data.jdImg3.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg3" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg3").empty().append(html);
            $("#jdImg3").next().find(".moreDiv").show();
            $("#jdImg3").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg3").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg3").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg4)) {
            var imgsArr = data.jdImg4.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg4" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg4").empty().append(html);
            $("#jdImg4").next().find(".moreDiv").show();
            $("#jdImg4").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg4").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg4").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg5)) {
            var imgsArr = data.jdImg5.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg5" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg5").empty().append(html);
            $("#jdImg5").next().find(".moreDiv").show();
            $("#jdImg5").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg5").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg5").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg6)) {
            var imgsArr = data.jdImg6.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg6" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg6").empty().append(html);
            $("#jdImg6").next().find(".moreDiv").show();
            $("#jdImg6").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg6").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg6").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.yxImg)) {
            var imgsArr = data.yxImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="yxImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#yxImg").empty().append(html);
            $("#yxImg").next().find(".moreDiv").show();
            $("#yxImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#yxImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#yxImg").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.gebImg)) {
            var imgsArr = data.gebImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="gebImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#gebImg").empty().append(html);
            $("#gebImg").next().find(".moreDiv").show();
            $("#gebImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#gebImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#gebImg").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.gebImg2)) {
            var imgsArr = data.gebImg2.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="gebImg2" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#gebImg2").empty().append(html);
            $("#gebImg2").next().find(".moreDiv").show();
            $("#gebImg2").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#gebImg2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#gebImg2").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.dbImgs)) {
            var imgsArr = data.dbImgs.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="dbImgs" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#dbImgs").empty().append(html);
            $("#dbImgs").next().find(".moreDiv").show();
            $("#dbImgs").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#dbImgs").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#dbImgs").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(surveyData.filingDocumentPhoto)) {
            var imgsArr = surveyData.filingDocumentPhoto.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                var fileName = imgsArr[i].substring(imgsArr[i].lastIndexOf("/") + 1, imgsArr[i].length);
                html += '<div>';
                html += '<a href="${commonStaticImgPath}' + imgsArr[i] + '" target="_blank">' + fileName + '</a>';
                html += '</div>';

                h2 += '<div>';
                h2 += '<a href="${commonStaticImgPath}' + imgsArr[i] + '" target="_blank" class="fileH">' + fileName+ '</a>';
                h2 += '<span onclick="delFile(this)" style="cursor:pointer;"><i class="layui-icon">&#xe640;</i></span>';
                h2 += '<input name="filingDocumentPhoto" class="hide" value="' + imgsArr[i] + '">';
                h2 += '</div>';
            }
            $("#filingDocumentPhoto").empty().append(html);
            $("#filingDocumentPhoto").next().find(".imgSpan").show();
            $("#filingDocumentPhoto").next().find(".imgSpan").empty().append(h2);
            var maxNum = $("#filingDocumentPhoto").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#filingDocumentPhoto").next().find(".udFile").hide();
            }
        }

        if (!isBlank(data.kgConditionFiles)) {
            var imgsArr = data.kgConditionFiles.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                var fileName = imgsArr[i].substring(imgsArr[i].lastIndexOf("/") + 1, imgsArr[i].length);
                html += '<div>';
                html += '<a href="${commonStaticImgPath}' + imgsArr[i] + '" target="_blank">' + fileName + '</a>';
                html += '</div>';

                h2 += '<div>';
                h2 += '<a href="${commonStaticImgPath}' + imgsArr[i] + '" target="_blank" class="fileH">' + fileName+ '</a>';
                h2 += '<span onclick="delFile(this)" style="cursor:pointer;"><i class="layui-icon">&#xe640;</i></span>';
                h2 += '<input name="kgConditionFiles" class="hide" value="' + imgsArr[i] + '">';
                h2 += '</div>';
            }
            $("#kgConditionFiles").empty().append(html);
            $("#kgConditionFiles").next().find(".imgSpan").show();
            $("#kgConditionFiles").next().find(".imgSpan").empty().append(h2);
            var maxNum = $("#kgConditionFiles").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#kgConditionFiles").next().find(".udFile").hide();
            }
        }

        if (!isBlank(data.zjReport)) {
            var imgsArr = data.zjReport.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjReport" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjReport").empty().append(html);
            $("#zjReport").next().find(".moreDiv").show();
            $("#zjReport").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjReport").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjReport").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.otherFiles)) {
            var imgsArr = data.otherFiles.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                var fileName = imgsArr[i].substring(imgsArr[i].lastIndexOf("/") + 1, imgsArr[i].length);
                html += '<div>';
                html += '<a href="${commonStaticImgPath}' + imgsArr[i] + '" target="_blank">' + fileName + '</a>';
                html += '</div>';

                h2 += '<div>';
                h2 += '<a href="${commonStaticImgPath}' + imgsArr[i] + '" target="_blank" class="fileH">' + fileName+ '</a>';
                h2 += '<span onclick="delFile(this)" style="cursor:pointer;"><i class="layui-icon">&#xe640;</i></span>';
                h2 += '<input name="otherFiles" class="hide" value="' + imgsArr[i] + '">';
                h2 += '</div>';
            }
            $("#otherFiles").empty().append(html);
            $("#otherFiles").next().find(".imgSpan").show();
            $("#otherFiles").next().find(".imgSpan").empty().append(h2);
            var maxNum = $("#otherFiles").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#otherFiles").next().find(".udFile").hide();
            }
        }


        if (!isBlank(data.supplementVideoUrl)) {
            var imgsArr = data.supplementVideoUrl.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img imgSpan">';
                html +=' <video controls="" src="${commonStaticImgPath}'+imgsArr[i]+'" width="80px" height="80px"></video>';
                html += '</div>';

                h2 += '<div class="bj-img imgSpan">';
                h2+=' <span class="layui-icon-close layui-icon" onclick="delVideoImg(this)"></span>';
                h2+=' <video controls src="${commonStaticImgPath}'+imgsArr[i]+'" height="80px" width="80px"></video>';
                h2 += '<input name="supplementVideoUrl" class="hide" value="' + imgsArr[i] + '">';
                h2 += '</div>';
            }
            $("#supplementVideoUrl").empty().append(html);
            $("#imgsDiv67").append(h2);
            if (imgsArr.length >= 5) {
                $("#supplementVideoUrlUpload").hide();
            }
        }

        if (!isBlank(data.safetyWarningImg2)) {
            var imgsArr = data.safetyWarningImg2.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="safetyWarningImg2" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#safetyWarningImg2").empty().append(html);
            $("#safetyWarningImg2").next().find(".moreDiv").show();
            $("#safetyWarningImg2").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#safetyWarningImg2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#safetyWarningImg2").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.safetyWarningImg3)) {
            var imgsArr = data.safetyWarningImg3.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="safetyWarningImg3" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#safetyWarningImg3").empty().append(html);
            $("#safetyWarningImg3").next().find(".moreDiv").show();
            $("#safetyWarningImg3").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#safetyWarningImg3").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#safetyWarningImg3").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.safetyWarningImg)) {
            var imgsArr = data.safetyWarningImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="safetyWarningImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#safetyWarningImg").empty().append(html);
            $("#safetyWarningImg").next().find(".moreDiv").show();
            $("#safetyWarningImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#safetyWarningImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#safetyWarningImg").next().find(".moreUpload").hide();
            }
        }

        if (!isBlank(data.safetyDiscloseDocImg)) {
            var imgsArr = data.safetyDiscloseDocImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="safetyDiscloseDocImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#safetyDiscloseDocImg").empty().append(html);
            $("#safetyDiscloseDocImg").next().find(".moreDiv").show();
            $("#safetyDiscloseDocImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#safetyDiscloseDocImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#safetyDiscloseDocImg").next().find(".moreUpload").hide();
            }
        }


        if (!isBlank(data.zjImg10)) {
            var imgsArr = data.zjImg10.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg10" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg10").empty().append(html);
            $("#zjImg10").next().find(".moreDiv").show();
            $("#zjImg10").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg10").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg10").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg11)) {
            var imgsArr = data.zjImg11.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg11" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg11").empty().append(html);
            $("#zjImg11").next().find(".moreDiv").show();
            $("#zjImg11").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#safetyWarningImg2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#safetyWarningImg2").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg8)) {
            var imgsArr = data.zjImg8.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg8" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg8").empty().append(html);
            $("#zjImg8").next().find(".moreDiv").show();
            $("#zjImg8").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg8").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg8").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg9)) {
            var imgsArr = data.zjImg9.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg9" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg9").empty().append(html);
            $("#zjImg9").next().find(".moreDiv").show();
            $("#zjImg9").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg9").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg9").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg12)) {
            var imgsArr = data.zjImg12.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg12" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg12").empty().append(html);
            $("#zjImg12").next().find(".moreDiv").show();
            $("#zjImg12").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg12").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg12").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg13)) {
            var imgsArr = data.zjImg13.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg13" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg13").empty().append(html);
            $("#zjImg13").next().find(".moreDiv").show();
            $("#zjImg13").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg13").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg13").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.zjImg14)) {
            var imgsArr = data.zjImg14.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="zjImg14" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#zjImg14").empty().append(html);
            $("#zjImg14").next().find(".moreDiv").show();
            $("#zjImg14").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#zjImg14").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#zjImg14").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.componentImg3)) {
            var imgsArr = data.componentImg3.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="componentImg3" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#componentImg3").empty().append(html);
            $("#componentImg3").next().find(".moreDiv").show();
            $("#componentImg3").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#componentImg3").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#componentImg3").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.componentImg4)) {
            var imgsArr = data.componentImg4.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="componentImg4" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#componentImg4").empty().append(html);
            $("#componentImg4").next().find(".moreDiv").show();
            $("#componentImg4").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#componentImg4").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#componentImg4").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.bkImg1)) {
            var imgsArr = data.bkImg1.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="bkImg1" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#bkImg1").empty().append(html);
            $("#bkImg1").next().find(".moreDiv").show();
            $("#bkImg1").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#bkImg1").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#bkImg1").next().find(".moreUpload").hide();
            }
        }

        if (!isBlank(data.bkImg2)) {
            var imgsArr = data.bkImg2.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="bkImg2" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#bkImg2").empty().append(html);
            $("#bkImg2").next().find(".moreDiv").show();
            $("#bkImg2").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#bkImg2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#bkImg2").next().find(".moreUpload").hide();
            }
        }

        if (!isBlank(data.bkImg3)) {
            var imgsArr = data.bkImg3.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="bkImg3" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#bkImg3").empty().append(html);
            $("#bkImg3").next().find(".moreDiv").show();
            $("#bkImg3").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#bkImg3").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#bkImg3").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.ykImg1)) {
            var imgsArr = data.ykImg1.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="ykImg1" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#ykImg1").empty().append(html);
            $("#ykImg1").next().find(".moreDiv").show();
            $("#ykImg1").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#ykImg1").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#ykImg1").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.nbqZlcImg)) {
            var imgsArr = data.nbqZlcImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="nbqZlcImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#nbqZlcImg").empty().append(html);
            $("#nbqZlcImg").next().find(".moreDiv").show();
            $("#nbqZlcImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#nbqZlcImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#nbqZlcImg").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.bwJdImg)) {
            var imgsArr = data.bwJdImg.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="bwJdImg" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#bwJdImg").empty().append(html);
            $("#bwJdImg").next().find(".moreDiv").show();
            $("#bwJdImg").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#bwJdImg").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#bwJdImg").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg8)) {
            var imgsArr = data.jdImg8.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg8" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg8").empty().append(html);
            $("#jdImg8").next().find(".moreDiv").show();
            $("#jdImg8").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg8").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg8").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg11)) {
            var imgsArr = data.jdImg11.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg11" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg11").empty().append(html);
            $("#jdImg11").next().find(".moreDiv").show();
            $("#jdImg11").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg11").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg11").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg9)) {
            var imgsArr = data.jdImg9.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg9" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg9").empty().append(html);
            $("#jdImg9").next().find(".moreDiv").show();
            $("#jdImg9").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg9").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg9").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.jdImg10)) {
            var imgsArr = data.jdImg10.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="jdImg10" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#jdImg10").empty().append(html);
            $("#jdImg10").next().find(".moreDiv").show();
            $("#jdImg10").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#jdImg10").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#jdImg10").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.fsImg1)) {
            var imgsArr = data.fsImg1.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="fsImg1" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#fsImg1").empty().append(html);
            $("#fsImg1").next().find(".moreDiv").show();
            $("#fsImg1").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#fsImg1").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#fsImg1").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.fsImg2)) {
            var imgsArr = data.fsImg2.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="fsImg2" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#fsImg2").empty().append(html);
            $("#fsImg2").next().find(".moreDiv").show();
            $("#fsImg2").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#fsImg2").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#fsImg2").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.fsImg3)) {
            var imgsArr = data.fsImg3.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="fsImg3" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#fsImg3").empty().append(html);
            $("#fsImg3").next().find(".moreDiv").show();
            $("#fsImg3").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#fsImg3").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#fsImg3").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.otherImgs5)) {
            var imgsArr = data.otherImgs5.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="otherImgs5" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#otherImgs5").empty().append(html);
            $("#otherImgs5").next().find(".moreDiv").show();
            $("#otherImgs5").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#otherImgs5").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#otherImgs5").next().find(".moreUpload").hide();
            }
        }
        if (!isBlank(data.otherImgs6)) {
            var imgsArr = data.otherImgs6.split(",");
            var html = '';
            var h2='';
            for (var i = 0; i < imgsArr.length; i++) {
                html += '<div class="bj-img">';
                html += '   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                html += '</div>';

                h2 +='<div class="bj-img imgSpan">';
                h2 +=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                h2 += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                h2 += '<input type="hidden" class="data-input" name="otherImgs6" value="' + imgsArr[i] + '"/>';
                h2 +='</div>';
            }
            $("#otherImgs6").empty().append(html);
            $("#otherImgs6").next().find(".moreDiv").show();
            $("#otherImgs6").next().find(".moreDiv").empty().append(h2);
            var maxNum = $("#otherImgs6").next().find(".numMax").val();
            if (imgsArr.length == maxNum) {
                $("#otherImgs6").next().find(".moreUpload").hide();
            }
        }
        viewer.update();


        if(!isBlank(data.completeRemark)){
            $("#completeRemark").html(data.completeRemark);
            $("input[name='completeRemark']").val(data.completeRemark);
        }
    }

    function resetSort(){
        var sort = 1;
        $("#contentBody").find("tr").each(function (index) {
            if (!$(this).hasClass("hide")) {
                $(this).find("td:first").text(sort);
                sort++;
            }
        });
    }

    function getStatus(d) {
        var status =d.status;
        if (status == '0') {
            //预审状态 0.暂存 1.待预审 2.预审待审批 3.预审审批中 4.预审通过 5.预审拒绝
            if(d.credit=='1'){
                return '待预审';
            }else if(d.credit=='2'){
                return '预审审批中';
            }else if(d.credit=='3'){
                return '预审审批中';
            }else if(d.credit=='4'){
                if(d.designAuditFlag == '3'){
                    return '自审驳回';
                }else if(d.designAuditFlag == 'a'){
                    return '待设计';
                }else {
                    return '待踏勘';
                }
            }else if(d.credit=='5'){
                return '预审拒绝';
            }
            return '暂存';
        }
        if (status == '1') {
            //设计审核状态：1.待踏勘 2.待自审 3.自审驳回 4.自审通过 5.设计审核驳回 6.设计审核通过/已完成 7.进件审核驳回
            if(d.designAuditFlag=='1'){
                return '待踏勘';
            }else if(d.designAuditFlag=='2'){
                return '待自审';
            }  else if(d.designAuditFlag=='3'){
                return '自审驳回';
            } else if(d.designAuditFlag=='4'){
                return '自审通过';
            } else if(d.designAuditFlag=='5'){
                return '设计审核驳回';
            } else if(d.designAuditFlag=='6'){
                return '设计审核通过';
            }else if(d.designAuditFlag=='7'){
                return '进件审核驳回';
            }else if (d.designAuditFlag == '8') {
                return "进件审核中";
            } else if (d.designAuditFlag == '9') {
                return "进件审核通过";
            } else if (d.designAuditFlag == 'a') {
                return "待设计";
            }
            return '待审核';
        }
        if (status == '2') {
            return '审核驳回';
        }
        if (status == '3') {
            return '待下单';
        }
        if (status == '4') {
            if (d.installFlag == '1'){
                return '待派工';
            }else if (d.installFlag == '2'){
                return '待安装';
            }else if (d.installFlag == '3'){
                return '自审驳回';
            }else if (d.installFlag == '4'){
                return '安装完成';
            }
        }
        if(status == '5'){
            return '待安装验收';
        }
        if(status == 'f'){
            return '安装验收退回';
        }
        if(status == '6'){
            return '待并网';
        }
        if(status == '7'){
            return '待并网验收';
        }
        if(status == '8'){
            return '待交付';
        }
        if(status == '9'){
            return '待归档';
        }
        if(status == '10'){
            return '验收驳回';
        }
        if(status == '11'){
            return '归档驳回';
        }
        if(status == 'a'){
            return '已完成';
        }if(status == 'c'){
            return '待代理商确认';
        }
        // if(status == 'd'){
        //     return '待上传发票';
        // }
        if(status == 'e'){
            return '待签署合同';
        }
        if(status == 'w'){
            return '信息登记';
        }
        if(status == 'g'){
            return '设计审核';
        }
        if(status == 'AN'){
            return '待安装确认';
        }
        if(status == 'AT'){
            return '安装确认驳回';
        }
        if(status == 'BW'){
            return '待并网确认';
        }
        if(status == 'BN'){
            return '并网确认驳回';
        }
        if(status == 'h'){
            return '设计自审';
        }
        if(status == 'i'){
            return '安装自审';
        }
    }

    window.closeSelf = function () {
        var index = parent.layer.getFrameIndex(window.name);
        parent.layer.close(index);//关闭当前页
    }

    function delMoreImg(that){
        $(that).parent("div").parent("div").parent("td").find(".moreUpload").show();
        $(that).parent("div").remove();
    }

    function delFile(that){
        $(that).hide();
        $(that).parent("div").parent("div").parent("td").find(".udFile").show();
        $(that).parent("div").remove();
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function delVideoImg(that) {
        $("#supplementVideoUrlUpload").show();
        $(that).parent().remove();

    }
</script>
</body>
</html>

