<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html{
            background-color: #fff;
        }
        .hide{
            display: none;
        }
        td .layui-form-select{
            width: 150px;
            margin-right: 15px;
            float: left;
        }
        .load-icon{background: url('${ctxPlugin}/static/img/shili_img.png') center center no-repeat; width: 12px; height: 12px; display: inline-block; border-radius: 50%;
            vertical-align: text-bottom;transform: translate(0px, -1px);margin-right: 2px;}

        .w-130{width: 110px;}
        .w-130+.layui-input-block{margin-left: 120px;}
        .form-box .layui-inline {margin-bottom: 5px;}
        .layui-form-checkbox i{border-left: 1px solid #d2d2d2;}
        .layui-table th{text-align: center}
        .layui-table td{text-align: center}
    </style>
</head>
<body>
<div class="layui-form" id="LAY_app">
    <div class="layui-card">
        <button class="layui-btn" style="margin-left: 94.5%;" onclick="approvalRecord()">审批记录</button>
        <div class="layui-card-body pt-20 over-auto">
            <div class="layui-col-xs12 form-box">
                <input hidden id="id"  value="${changeRecord.columns.id}">
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站编码：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="code" class="layui-input" value="${changeRecord.columns.power_station_code}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站状态：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="entryStatus" class="layui-input" value="${changeRecord.columns.entry_status}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">代理商：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="dls" class="layui-input" value="${changeRecord.columns.trader_name}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">审核状态：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="proName" class="layui-input"
                        <c:if test="${changeRecord.columns.status eq '2'}">value="待审核"</c:if>
                               <c:if test="${changeRecord.columns.status eq '3'}">value="审核通过"</c:if>
                               <c:if test="${changeRecord.columns.status eq '4'}">value="审核驳回"</c:if>
                               disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">产品名称：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="proName" class="layui-input" value="${changeRecord.columns.project_name}" disabled>
                    </div>
                </div>

                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">项目公司：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="projectName" class="layui-input" value="${changeRecord.columns.project_company_name}" disabled>
                    </div>
                </div>

                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">业主姓名：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="tenantName" class="layui-input" value="${changeRecord.columns.tenant_name}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">身份证号：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="idCard" class="layui-input" value="${changeRecord.columns.id_code}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs12">
                    <label class="layui-form-label w-130">安装地址：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="adr" class="layui-input" value="${changeRecord.columns.customerAddress}" disabled>
                    </div>
                </div>

                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">变更类型：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="name" class="layui-input" value="客户信息变更" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">变更单号：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="tel" class="layui-input" value="${changeRecord.columns.number}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">变更申请人：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="creator" class="layui-input" value="${changeRecord.columns.create_name}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">申请时间：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="createDate" class="layui-input" value="<fmt:formatDate value="${changeRecord.columns.create_time}" pattern="yyyy-MM-dd HH:mm"/>" disabled>
                    </div>
                </div>

                <div class="layui-inline layui-col-xs12">
                    <label class="layui-form-label w-130">变更原因：</label>
                    <div class="layui-input-block ">
                        <textarea name="reason" id="reason" disabled class="layui-textarea">${changeRecord.columns.change_reason}</textarea>
<%--                        <input type="text"  name="reason" class="layui-input" value="${changeRecord.columns.change_reason}" disabled>--%>
                    </div>
                </div>

            </div>
        </div>
        <div id="insuranceType over-auto">
            <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
                <ul class="layui-tab-title" id="changeTabId" lay-filter="changeTab" >
                    <li class="layui-this">客户信息</li>
                </ul>
                <div class="layui-tab-content">

                    <div class="layui-col-xs12" style="margin-bottom: 20px">
                        <table class="layui-table" id="test" lay-filter="test">
                            <thead>
                            <tr>
                                <th width="30">选择</th>
                                <th width="30">序号</th>
                                <th width="80">数据项</th>
                                <th width="300">变更前信息</th>
                                <th width="300">变更后信息</th>
                                <th width="80">影响合同变更</th>
                            </tr>
                            </thead>
                            <tbody id="productParaListBody" >

                            <%--<tr  data-ppara_code="tenantName" data-value="1">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.tenantName.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.tenantName.columns.if_change}"></td>
                                <td class="idx">1<input type="hidden" value="" class="setsort"></td>
                                <td class="">业主姓名</td>
                                <td class="tenantName">${mapDetails.tenantName.columns.before_change}</td>
                                <td class=""><input  class="layui-input <c:if test="${'0' eq mapDetails.tenantName.columns.if_change}">hide</c:if>" name="afterChange" value="${mapDetails.tenantName.columns.after_change}" disabled></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.tenantName.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.tenantName.columns.if_affect_contract}"></td>
                            </tr>
                            <tr  data-ppara_code="idCode" data-value="1">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.idCode.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.idCode.columns.if_change}"></td>
                                <td class="idx">2<input type="hidden" value="" class="setsort"></td>
                                <td class="">身份证号</td>
                                <td class="idCode">${mapDetails.idCode.columns.before_change}</td>
                                <td class=""><input  class="layui-input <c:if test="${'0' eq mapDetails.idCode.columns.if_change}">hide</c:if>" name="afterChange" value="${mapDetails.idCode.columns.after_change}" disabled></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.idCode.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.idCode.columns.if_affect_contract}"></td>
                            </tr>--%>
                            <tr <c:if test="${formSet.columns.mobile.status ne '1'}">class="hide"</c:if> data-ppara_code="mobile" data-value="1">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.mobile.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.mobile.columns.if_change}"></td>
                                <td class="idx">1<input type="hidden" value="" class="setsort"></td>
                                <td class="">联系方式</td>
                                <td class="mobile">${mapDetails.mobile.columns.before_change}</td>
                                <td class=""><input  class="layui-input <c:if test="${'0' eq mapDetails.mobile.columns.if_change}">hide</c:if>" name="afterChange" value="${mapDetails.mobile.columns.after_change}" disabled></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.mobile.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.mobile.columns.if_affect_contract}"></td>
                            </tr>
                            <tr <c:if test="${formSet.columns.tss_bank_num_name.status ne '1'}">class="hide"</c:if> data-ppara_code="tssBankNumName" data-value="1">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.tssBankNumName.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.tssBankNumName.columns.if_change}"></td>
                                <td class="idx">2<input type="hidden" value="" class="setsort"></td>
                                <td class="">开户行</td>
                                <td class="tssBankNumName">${mapDetails.tssBankNumName.columns.before_change}</td>
                                <td class=""><input  class="layui-input <c:if test="${'0' eq mapDetails.tssBankNumName.columns.if_change}">hide</c:if>" name="afterChange" value="${mapDetails.tssBankNumName.columns.after_change}" disabled></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.tssBankNumName.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${ mapDetails.tssBankNumName.columns.if_affect_contract}"></td>
                            </tr>
                            <tr <c:if test="${formSet.columns.bank_code.status ne '1'}">class="hide"</c:if> data-ppara_code="bankCode" data-value="1">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.bankCode.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.bankCode.columns.if_change}"></td>
                                <td class="idx">3<input type="hidden" value="" class="setsort"></td>
                                <td class="">银行账号</td>
                                <td class="bankCode">${mapDetails.bankCode.columns.before_change}</td>
                                <td class=""><input  class="layui-input <c:if test="${'0' eq mapDetails.bankCode.columns.if_change}">hide</c:if>" name="afterChange" value="${mapDetails.bankCode.columns.after_change}" disabled></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.bankCode.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.bankCode.columns.if_affect_contract}"></td>
                            </tr>
                            <tr <c:if test="${formSet.columns.id_card_front.status ne '1'}">class="hide"</c:if>  data-ppara_code="idCardImg" data-value="2"> <%--idCardFront idCardBack--%>
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.idCardFront.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.idCardFront.columns.if_change}"></td>
                                <td class="idx">4<input type="hidden" value="2" class="setsort"></td>
                                <td class="">身份证</td>
                                <td class="idCardFront">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${mapDetails.idCardFront.columns.before_change}">
                                                <input hidden id="idCardFront" value="${mapDetails.idCardFront.columns.before_change}">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${mapDetails.idCardBack.columns.before_change}">
                                                <input hidden id="idCardBack" value="${mapDetails.idCardBack.columns.before_change}">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${'1' ne mapDetails.idCardFront.columns.if_change}">hide</c:if>">
                                        <div>
                                            <div class="imgsDiv">
                                                <c:if test="${not empty mapDetails.idCardFront.columns.after_change}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${mapDetails.idCardFront.columns.after_change}">
                                                        <input type="hidden" class="data-input" name="idCardFront" value="${mapDetails.idCardFront.columns.after_change}">
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container moreUpload <c:if test="${not empty mapDetails.idCardFront.columns.after_change}">hide</c:if>" id="uploader1" data-type="1" data-title="idCardFront">
                                                <img src="" alt="img placeholder" id="imgsAdd1">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div class="imgsDiv">
                                                <c:if test="${not empty mapDetails.idCardBack.columns.after_change}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${mapDetails.idCardBack.columns.after_change}">
                                                        <input type="hidden" class="data-input" name="idCardBack" value="${mapDetails.idCardBack.columns.after_change}">
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container moreUpload <c:if test="${not empty mapDetails.idCardBack.columns.after_change}">hide</c:if>" id="uploader2" data-type="1" data-title="idCardBack">
                                                <img src="" alt="img placeholder" id="imgsAdd2">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.idCardBack.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.idCardBack.columns.if_affect_contract}"></td>
                            </tr>
                            <tr <c:if test="${formSet.columns.house_ownership.status ne '1'}">class="hide"</c:if>   data-ppara_code="HouseOwnership" data-value="2">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled lay-filter="ifChecked" <c:if test="${'1' eq mapDetails.HouseOwnership.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.HouseOwnership.columns.if_change}"></td>
                                <td class="idx">5<input type="hidden" value="2" class="setsort"></td>
                                <td class="">房产证</td>
                                <td class="bankCard">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div id="HouseOwnershipImg">
                                            <c:if test="${not empty mapDetails.HouseOwnership.columns.before_change}">
                                                <c:forEach items="${fn:split(mapDetails.HouseOwnership.columns.before_change,',')}" var="img">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${img}">
                                                        <input hidden name="HouseOwner" value="${img}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div class="imgsDiv">
                                            <c:if test="${not empty mapDetails.HouseOwnership.columns.after_change}">
                                                <c:forEach items="${fn:split(mapDetails.HouseOwnership.columns.after_change,',')}" var="img">
                                                    <div class="bj-img imgSpan">
                                                       <%-- <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>--%>
                                                        <img src="${commonStaticImgPath}${img}">
                                                        <input type="hidden" class="data-input" name="HouseOwnership" value="${img}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                       <%-- <div class="upload-container moreUpload <c:if test="${fn:length(fn:split(mapDetails.HouseOwnership.columns.after_change,',')) eq 4 }">hide</c:if>" id="uploader9" data-type="4" data-title="HouseOwnership">
                                            <img src="" alt="img placeholder" id="imgsAdd9">
                                        </div>--%>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled><input hidden name="ifAffectContract" value="${mapDetails.bankCard.columns.if_affect_contract}"></td>
                            </tr>
                            <tr <c:if test="${formSet.columns.bank_card.status ne '1'}">class="hide"</c:if>    data-ppara_code="bankCard" data-value="2">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.bankCard.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.bankCard.columns.if_change}"></td>
                                <td class="idx">6<input type="hidden" value="2" class="setsort"></td>
                                <td class="">银行卡</td>
                                <td class="bankCard">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${mapDetails.bankCard.columns.before_change}">
                                                <input hidden id="bankCard" value="${mapDetails.bankCard.columns.before_change}">
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${'1' ne mapDetails.bankCard.columns.if_change}">hide</c:if>">
                                        <div>
                                            <div class="imgsDiv">
                                                <c:if test="${not empty mapDetails.bankCard.columns.after_change}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${mapDetails.bankCard.columns.after_change}">
                                                        <input type="hidden" class="data-input" name="bankCard" value="${mapDetails.bankCard.columns.after_change}">
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container moreUpload <c:if test="${not empty mapDetails.bankCard.columns.after_change}">hide</c:if>" id="uploader8" data-type="1" data-title="bankCard">
                                                <img src="" alt="img placeholder" id="imgsAdd8">
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.bankCard.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.bankCard.columns.if_affect_contract}"></td>
                            </tr>
                            <tr  <c:if test="${formSet.columns.address.status ne '1'}">class="hide"</c:if>  data-ppara_code="address" data-value="3">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.address.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.address.columns.if_change}"></td>
                                <td class="idx">7<input type="hidden" value="" class="setsort"></td>
                                <td class="">安装地址</td>
                                <td class="address">${mapDetails.address.columns.before_change}</td>
                                <td class=""><span class="<c:if test="${'1' ne mapDetails.address.columns.if_change}">hide</c:if>">${changeRecord.columns.province}${changeRecord.columns.city}${changeRecord.columns.area}</span><input id="address" style="margin-left: 10px;width: 60%; <c:if test="${ '1' eq mapDetails.address.columns.if_change}">display: inline-block</c:if>"  disabled class="layui-input <c:if test="${ '1' ne mapDetails.address.columns.if_change}">hide</c:if>" name="afterChange" value="${mapDetails.address.columns.after_change}" ></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.address.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.address.columns.if_affect_contract}"></td>
                            </tr>
                            <c:if test="${customerEntry.tenantType eq '1' && customerEntry.age >= 65}">
                                <tr  <c:if test="${formSet.columns.bp_card_front.status ne '1'}">class="hide"</c:if> data-ppara_code="bpCardImg" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.bpCardFront.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.bpCardFront.columns.if_change}"></td>
                                    <td class="idx">8<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">共签人身份证</td>
                                    <td class="bpCardFront">
                                        <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${mapDetails.bpCardFront.columns.before_change}">
                                                    <input hidden id="bpCardFront" value="${mapDetails.bpCardFront.columns.before_change}">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                            </div>
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${mapDetails.bpCardBack.columns.before_change}">
                                                    <input hidden id="bpCardBack" value="${mapDetails.bpCardBack.columns.before_change}">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${'1' ne mapDetails.bpCardFront.columns.if_change}">hide</c:if>">
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty mapDetails.bpCardFront.columns.after_change}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${mapDetails.bpCardFront.columns.after_change}">
                                                            <input type="hidden" class="data-input" name="bpCardFront" value="${mapDetails.bpCardFront.columns.after_change}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container moreUpload <c:if test="${not empty mapDetails.bpCardFront.columns.after_change}">hide</c:if>" id="uploader11" data-type="1" data-title="bpCardFront">
                                                    <img src="" alt="img placeholder" id="imgsAdd11">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                            </div>
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty mapDetails.bpCardBack.columns.after_change}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${mapDetails.bpCardBack.columns.after_change}">
                                                            <input type="hidden" class="data-input" name="bpCardBack" value="${mapDetails.bpCardBack.columns.after_change}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container moreUpload <c:if test="${not empty mapDetails.bpCardBack.columns.after_change}">hide</c:if>" id="uploader12" data-type="1" data-title="bpCardBack">
                                                    <img src="" alt="img placeholder" id="imgsAdd12">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.bpCardBack.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.bpCardBack.columns.if_affect_contract}"></td>
                                </tr>
                                <tr  <c:if test="${formSet.columns.bp_file.status ne '1'}">class="hide"</c:if> data-ppara_code="bpFile" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled lay-filter="ifChecked" <c:if test="${'1' eq mapDetails.bpFile.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.bpFile.columns.if_change}"></td>
                                    <td class="idx">9<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">共签人子女证明</td>
                                    <td class="bpFile">
                                        <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                            <div id="bpFileImg">
                                                <c:if test="${not empty mapDetails.bpFile.columns.before_change}">
                                                    <c:forEach items="${fn:split(mapDetails.bpFile.columns.before_change,',')}" var="img">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${img}">
                                                            <input hidden name="bpFile1" value="${img}">
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                            <div class="imgsDiv">
                                                <c:if test="${not empty mapDetails.bpFile.columns.after_change}">
                                                    <c:forEach items="${fn:split(mapDetails.bpFile.columns.after_change,',')}" var="img">
                                                        <div class="bj-img imgSpan">
                                                                <%-- <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>--%>
                                                            <img src="${commonStaticImgPath}${img}">
                                                            <input type="hidden" class="data-input" name="bpFile" value="${img}">
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                            </div>
                                                <%-- <div class="upload-container moreUpload <c:if test="${fn:length(fn:split(mapDetails.HouseOwnership.columns.after_change,',')) eq 4 }">hide</c:if>" id="uploader9" data-type="4" data-title="HouseOwnership">
                                                     <img src="" alt="img placeholder" id="imgsAdd9">
                                                 </div>--%>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled><input hidden name="ifAffectContract" value="${mapDetails.bpFile.columns.if_affect_contract}"></td>
                                </tr>
                            </c:if>
                            <c:if test="${customerEntry.tenantType eq '2'}">
                                <tr  <c:if test="${formSet.columns.resolution_paper_url.status ne '1'}">class="hide"</c:if> data-ppara_code="resolutionPaperUrl" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.resolutionPaperUrl.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.resolutionPaperUrl.columns.if_change}"></td>
                                    <td class="idx">11<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">村民代表大会决议书</td>
                                    <td class="resolutionPaperUrl">
                                        <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${mapDetails.resolutionPaperUrl.columns.before_change}">
                                                    <input hidden id="resolutionPaperUrl" value="${mapDetails.resolutionPaperUrl.columns.before_change}">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${'1' ne mapDetails.resolutionPaperUrl.columns.if_change}">hide</c:if>">
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty mapDetails.resolutionPaperUrl.columns.after_change}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${mapDetails.resolutionPaperUrl.columns.after_change}">
                                                            <input type="hidden" class="data-input" name="resolutionPaperUrl" value="${mapDetails.resolutionPaperUrl.columns.after_change}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container moreUpload <c:if test="${not empty mapDetails.resolutionPaperUrl.columns.after_change}">hide</c:if>" id="uploader13" data-type="1" data-title="resolutionPaperUrl">
                                                    <img src="" alt="img placeholder" id="imgsAdd13">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.resolutionPaperUrl.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.resolutionPaperUrl.columns.if_affect_contract}"></td>
                                </tr>
                                <tr  <c:if test="${formSet.columns.yszc_url.status ne '1'}">class="hide"</c:if> data-ppara_code="yszcUrl" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.yszcUrl.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.yszcUrl.columns.if_change}"></td>
                                    <td class="idx">12<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">村委议事章程</td>
                                    <td class="yszcUrl">
                                        <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${mapDetails.yszcUrl.columns.before_change}">
                                                    <input hidden id="yszcUrl" value="${mapDetails.yszcUrl.columns.before_change}">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${'1' ne mapDetails.yszcUrl.columns.if_change}">hide</c:if>">
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty mapDetails.yszcUrl.columns.after_change}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${mapDetails.yszcUrl.columns.after_change}">
                                                            <input type="hidden" class="data-input" name="yszcUrl" value="${mapDetails.yszcUrl.columns.after_change}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container moreUpload <c:if test="${not empty mapDetails.yszcUrl.columns.after_change}">hide</c:if>" id="uploader14" data-type="1" data-title="yszcUrl">
                                                    <img src="" alt="img placeholder" id="imgsAdd14">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.yszcUrl.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.yszcUrl.columns.if_affect_contract}"></td>
                                </tr>
                                <tr  <c:if test="${formSet.columns.account_info_url.status ne '1'}">class="hide"</c:if> data-ppara_code="accountInfoUrl" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.accountInfoUrl.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.accountInfoUrl.columns.if_change}"></td>
                                    <td class="idx">13<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">对公账户信息</td>
                                    <td class="accountInfoUrl">
                                        <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${mapDetails.accountInfoUrl.columns.before_change}">
                                                    <input hidden id="accountInfoUrl" value="${mapDetails.accountInfoUrl.columns.before_change}">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${'1' ne mapDetails.accountInfoUrl.columns.if_change}">hide</c:if>">
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty mapDetails.accountInfoUrl.columns.after_change}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${mapDetails.accountInfoUrl.columns.after_change}">
                                                            <input type="hidden" class="data-input" name="accountInfoUrl" value="${mapDetails.accountInfoUrl.columns.after_change}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container moreUpload <c:if test="${not empty mapDetails.accountInfoUrl.columns.after_change}">hide</c:if>" id="uploader15" data-type="1" data-title="accountInfoUrl">
                                                    <img src="" alt="img placeholder" id="imgsAdd15">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.accountInfoUrl.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.accountInfoUrl.columns.if_affect_contract}"></td>
                                </tr>
                                <tr  <c:if test="${formSet.columns.ownership_certificate_url.status ne '1'}">class="hide"</c:if> data-ppara_code="ownershipCertificateUrl" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.ownershipCertificateUrl.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.ownershipCertificateUrl.columns.if_change}"></td>
                                    <td class="idx">14<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">产权证明-集体土地使用证</td>
                                    <td class="ownershipCertificateUrl">
                                        <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${mapDetails.ownershipCertificateUrl.columns.before_change}">
                                                    <input hidden id="ownershipCertificateUrl" value="${mapDetails.ownershipCertificateUrl.columns.before_change}">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${'1' ne mapDetails.ownershipCertificateUrl.columns.if_change}">hide</c:if>">
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty mapDetails.ownershipCertificateUrl.columns.after_change}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${mapDetails.ownershipCertificateUrl.columns.after_change}">
                                                            <input type="hidden" class="data-input" name="ownershipCertificateUrl" value="${mapDetails.ownershipCertificateUrl.columns.after_change}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container moreUpload <c:if test="${not empty mapDetails.ownershipCertificateUrl.columns.after_change}">hide</c:if>" id="uploader16" data-type="1" data-title="ownershipCertificateUrl">
                                                    <img src="" alt="img placeholder" id="imgsAdd16">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.ownershipCertificateUrl.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.ownershipCertificateUrl.columns.if_affect_contract}"></td>
                                </tr>
                                <tr  <c:if test="${formSet.columns.other_ownership_certificate_url.status ne '1'}">class="hide"</c:if> data-ppara_code="otherOwnershipCertificateUrl" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.otherOwnershipCertificateUrl.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.otherOwnershipCertificateUrl.columns.if_change}"></td>
                                    <td class="idx">14<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">产权证明-不动产证书/查册证明/相关确权文件</td>
                                    <td class="otherOwnershipCertificateUrl">
                                        <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${mapDetails.otherOwnershipCertificateUrl.columns.before_change}">
                                                    <input hidden id="otherOwnershipCertificateUrl" value="${mapDetails.otherOwnershipCertificateUrl.columns.before_change}">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${'1' ne mapDetails.otherOwnershipCertificateUrl.columns.if_change}">hide</c:if>">
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty mapDetails.otherOwnershipCertificateUrl.columns.after_change}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${mapDetails.otherOwnershipCertificateUrl.columns.after_change}">
                                                            <input type="hidden" class="data-input" name="otherOwnershipCertificateUrl" value="${mapDetails.otherOwnershipCertificateUrl.columns.after_change}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container moreUpload <c:if test="${not empty mapDetails.otherOwnershipCertificateUrl.columns.after_change}">hide</c:if>" id="uploader17" data-type="1" data-title="otherOwnershipCertificateUrl">
                                                    <img src="" alt="img placeholder" id="imgsAdd17">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.otherOwnershipCertificateUrl.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.otherOwnershipCertificateUrl.columns.if_affect_contract}"></td>
                                </tr>
                                <tr  <c:if test="${formSet.columns.regno_url.status ne '1'}">class="hide"</c:if> data-ppara_code="regnoUrl" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.regnoUrl.columns.if_change}">checked</c:if>><input hidden name="ifChange" value="${mapDetails.regnoUrl.columns.if_change}"></td>
                                    <td class="idx">15<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">营业执照</td>
                                    <td class="regnoUrl">
                                        <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${mapDetails.regnoUrl.columns.before_change}">
                                                    <input hidden id="regnoUrl" value="${mapDetails.regnoUrl.columns.before_change}">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${'1' ne mapDetails.regnoUrl.columns.if_change}">hide</c:if>">
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty mapDetails.regnoUrl.columns.after_change}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${mapDetails.regnoUrl.columns.after_change}">
                                                            <input type="hidden" class="data-input" name="regnoUrl" value="${mapDetails.regnoUrl.columns.after_change}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container moreUpload <c:if test="${not empty mapDetails.regnoUrl.columns.after_change}">hide</c:if>" id="uploader18" data-type="1" data-title="regnoUrl">
                                                    <img src="" alt="img placeholder" id="imgsAdd18">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.regnoUrl.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.regnoUrl.columns.if_affect_contract}"></td>
                                </tr>
                            </c:if>
                            </tbody>
                        </table>
                    </div>
                    <div class="layui-inline layui-col-xs12" style="margin-bottom: 100px">
                        <label class="layui-form-label w-130">审核备注：</label>
                        <div class="layui-input-block ">
                            <input type="text" id="auditRemarks" <c:if test="${'look' eq form}">disabled</c:if> name="auditRemarks" class="layui-input" value="${changeRecord.columns.audit_remarks}">
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <div class="operate-footer">
        <c:if test="${'look' ne form}">
            <button type="button" class="layui-btn" id="temp" >暂存</button>
            <button type="button" class="layui-btn" id="approve" >审核通过</button>
            <button type="button" class="layui-btn" id="back" >审核驳回</button>
        </c:if>
        <button type="button" class="layui-btn layui-btn-primary " onclick="closeDiv();" >关闭</button>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/data.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script type="text/javascript">
    var viewer = new Viewer(document.getElementById('LAY_app'));
    //初始数据
    var $form;
    var form;
    var $;
    var table;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laydate', 'upload','form'], function(){
        $ = layui.jquery;
        form = layui.form;
        upload = layui.upload;
        laydate = layui.laydate;
        $form = $('form');
        tableExt = layui.tableExt;
        table = tableExt.getLayTable();
        $(function (){
            resetSort();
        })

        //通过
        $("#temp").click(function (){
            var id=$("#id").val();
            var auditRemarks=$("#auditRemarks").val();
            if(isBlank(auditRemarks)){
                layer.msg("请输入审核备注！",{icon:"2"});
                return ;
            }
            var index= layer.load(2, {shade: [0.5,'#fff'], content:''});
            $.ajax({
                type:"POST",
                url:"${ctx}/entryChanges/customerInformationChange/changeRecordTemp",
                data:{
                    id:id,
                    auditRemarks:auditRemarks
                },
                success:function(res){
                    if(res.code=="200"){
                        parent.layer.msg("暂存成功，请处理下一条数据!",{time:2000});
                    }else{
                        layer.msg(res.errMsg,{time:2000});
                    }
                },complete: function () {
                    layer.close(index);
                },error:function (data) {
                }
            }) ;
        })

        //通过
        $("#approve").click(function (){
            var id=$("#id").val();
            var auditRemarks=$("#auditRemarks").val();
            $("#approve").attr("disabled","true");
            var index= layer.load(2, {shade: [0.5,'#fff'], content:''});
            $.ajax({
                type:"POST",
                url:"${ctx}/entryChanges/customerInformationChange/changeRecordApprove",
                data:{
                    id:id,
                    auditRemarks:auditRemarks
                },
                success:function(res){
                    if(res.code=="200"){
                        parent.layer.msg("审核成功",{time:2000});
                        closeDiv();
                        parent.table.reload('test');
                    }else if(res.code=="208"){
                        layer.confirm('修改的内容涉及重新再次进件，是否确认通过变更？', {
                            icon: 3,
                            btn: ['确定', '取消'] //按钮
                        }, function () {
                            index= layer.load(2, {shade: [0.5,'#fff'], content:''});
                            $.ajax({
                                type: 'post',
                                url: '${ctx}/entryChanges/customerInformationChange/changeRecordApprove',
                                data: {
                                    id:id,
                                    auditRemarks:auditRemarks,
                                    confirmTrue:'true'
                                },
                                success: function (res) {
                                    if(res.code=="200"){
                                        parent.layer.msg("审核成功",{time:2000});
                                        closeDiv();
                                        parent.table.reload('test');
                                    }else{
                                        layer.msg(res.errMsg,{time:2000});
                                    }
                                },complete: function () {
                                    layer.close(index);
                                }
                            })
                        });
                    } else{
                        layer.msg(res.errMsg,{time:2000});
                        $("#approve").removeAttr("disabled");
                    }
                },complete: function () {
                    layer.close(index);
                    $("#approve").removeAttr("disabled");
                },error:function (data) {
                }
            }) ;
        })

        //驳回
        $("#back").click(function (){
            var id=$("#id").val();
            var auditRemarks=$("#auditRemarks").val();
            if(isBlank(auditRemarks)){
                layer.msg("请输入审核备注！",{icon:"2"});
                return ;
            }
            $("#back").attr("disabled","true");
            $.ajax({
                type:"POST",
                url:"${ctx}/entryChanges/customerInformationChange/changeRecordBack",
                data:{
                    id:id,
                    auditRemarks:auditRemarks
                },
                success:function(res){
                    if(res.code=="200"){
                        parent.layer.msg("驳回成功",{time:2000});
                        closeDiv();
                        parent.table.reload('test');
                    } else{
                        layer.msg(res.errMsg,{time:2000});
                        $("#back").removeAttr("disabled");
                    }
                },
                error:function (data) {
                }
            }) ;
        })

    })
    //重置序号
    function resetSort(){
        var sort = 1;
        $("#productParaListBody").find("tr").each(function (index) {
            if (!$(this).hasClass("hide")) {
                $(this).find("td:eq(1)").text(sort);
                sort++;
            }
        });
    }

    function  closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
        parent.parent.layer.closeAll();
    }

    function approve(){

    }

    function back(){

    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
    function approvalRecord(){
        layer.open({
            title: '审批记录',
            type: 2,
            area: ['35%', '100%'],
            offset: 'rt',
            content: '${ctx}/customerEntry/approvalRecordPage?entryId=${customerEntry.id}'
        })
    }
</script>
</body>
</html>

