<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html{
            background-color: #fff;
        }
        .hide{
            display: none;
        }
        td .layui-form-select{
            width: 150px;
            margin-right: 15px;
            float: left;
        }
        .load-icon{background: url('${ctxPlugin}/static/img/shili_img.png') center center no-repeat; width: 12px; height: 12px; display: inline-block; border-radius: 50%;
            vertical-align: text-bottom;transform: translate(0px, -1px);margin-right: 2px;}

        .w-130{width: 110px;}
        .w-130+.layui-input-block{margin-left: 120px;}
        .form-box .layui-inline {margin-bottom: 5px;}
        .layui-form-checkbox i{border-left: 1px solid #d2d2d2;}
        .layui-table th{text-align: center}
        .layui-table td{text-align: center}
        .layui-table tr{height: 48px}
        input[type="text"]:disabled, textarea:disabled, .layui-disabled {
            background-color:#ffffff;
        }
        .blank-img {
            background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
            width: 80px;
            height: 80px;
            display: inline-block;
        }
    </style>
</head>
<body>
<div class="layui-form">
    <div class="layui-card"  id="LAY_app">
        <button class="layui-btn" style="margin-left: 94.5%;" onclick="approvalRecord()">审批记录</button>
        <div class="layui-card-body pt-20 over-auto">
            <div class="layui-col-xs12 form-box">
                <input hidden id="id"  value="${changeRecord.columns.id}">
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站编码：</label>
                    <div class="layui-input-block ">
                        <input type="text" autocomplete="off" disabled  name="stationCode" lay-verify="stationCode" class="layui-input"  value="${changeRecord.columns.power_station_code}">
                        <input type="text" id="entryId" lay-verify="stationCode" class="layui-input hide" value="${changeRecord.columns.entry_id}">
                    </div>
                </div>
                <%--<div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站状态：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="entryStatus" value="${changeRecord.columns.entry_status}" class="layui-input" disabled>
                    </div>
                </div>--%>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">代理商：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="traderName" class="layui-input"  disabled value="${changeRecord.columns.trader_name}">
                    </div>
                </div>
                <%--<div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">审核状态：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="proName" class="layui-input" value="" disabled>
                    </div>
                </div>--%>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">产品名称：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="projectName" class="layui-input" disabled value="${changeRecord.columns.project_name}">
                    </div>
                </div>

                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">项目公司：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="projectCompanyName" class="layui-input" disabled value="${changeRecord.columns.project_company_name}">
                    </div>
                </div>

                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">所属资方：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="partnerName" class="layui-input" disabled value="${customerEntry.partnerName}">
                    </div>
                </div>

                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">业主姓名：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="tenantName" class="layui-input" value="${changeRecord.columns.tenant_name}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">身份证号：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="idCode" id="ddIdCode" class="layui-input" value="${changeRecord.columns.id_code}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs12">
                    <label class="layui-form-label w-130">安装地址：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="address" class="layui-input" disabled value="${changeRecord.columns.customerAddress}">
                    </div>
                </div>


                <div class="layui-inline layui-col-xs12">
                    <label class="layui-form-label w-130">变更原因：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="reason" class="layui-input" disabled value="${changeRecord.columns.change_reason}">
                    </div>
                </div>

            </div>
        </div>

        <div class="layui-card-body over-auto">
            <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
                <ul class="layui-tab-title" id="changeTab" lay-filter="changeTab" >
                    <li class="layui-this">并网信息</li>
                </ul>
                <div class="layui-tab-content">
                    <div class="layui-col-xs6">
                        <div class="mb-20">变更前信息：</div>
                        <c:if test="${mergeInfoSet.columns.grid_institution.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7 grid_institution">
                                <label class="layui-form-label">并网机构：</label>
                                <div class="layui-input-block">
                                    <input type="text" id="gridInstitutionOld" class="layui-input layui-bg-gray" disabled value="${'1' eq detailOld.gridInstitution?'南网':'国网'}">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${'1' eq detailOld.gridInstitution}">
                            <c:if test="${mergeInfoSet.columns.power_plant_code.status eq '1'}">
                                <div class="layui-col-lg7 layui-col-sm7 power_plant_code">
                                    <label class="layui-form-label">电厂编码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="powerPlantCodeOld" class="layui-input layui-bg-gray" disabled value="${detailOld.powerPlantCode}">
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.generator_no.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label">发电户号：</label>
                                <div class="layui-input-block">
                                    <input type="text" id="oldGeneratorNo" class="layui-input layui-bg-gray" disabled value="${detailOld.generatorNo}">
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${'1' eq detailOld.gridInstitution}">
                            <c:if test="${mergeInfoSet.columns.province_code.status eq '1'}">
                                <div class="layui-col-lg7 layui-col-sm7 province_code_hand ">
                                    <label class="layui-form-label">电力公司：</label>
                                    <div class="layui-input-block">
                                        <input type="text" class="layui-input layui-bg-gray" disabled value="${detailOld.provinceCodeHand}">
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                        <c:if test="${'1' ne detailOld.gridInstitution}">
                            <c:if test="${mergeInfoSet.columns.province_code.status eq '1'}">
                                <div class="layui-col-lg7 layui-col-sm7">
                                    <label class="layui-form-label">电力公司：</label>
                                    <div class="layui-input-block">
                                        <input type="text"  class="layui-input layui-bg-gray" disabled value="${provinceCodeOld}">
                                    </div>
                                </div>
                            </c:if>
                        </c:if>


                        <c:if test="${mergeInfoSet.columns.db_imgs.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label">电表照片：</label>
                                <div class="layui-input-block img-box">
                                    <div class="bj-img imgSpan dbImgs">
                                        <c:if test="${not empty detailOld.dbImgs}">
                                            <img src="${commonStaticImgPath}${detailOld.dbImgs}" height="700" width="1200"/>
                                            <input type="hidden" value="${detailOld.dbImgs}"/>
                                        </c:if>
                                        <c:if test="${empty detailOld.dbImgs}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.address_consistent.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label" style="width: 140px">购售电地址是否一致：</label>
                                <input type="radio" id="oldAddressConsistentY" name="oldAddressConsistent" value="Y" title="是" <c:if test="${detailOld.addressConsistent eq 'Y'}">checked</c:if> disabled/>
                                <input type="radio" id="oldAddressConsistentN" name="oldAddressConsistent" value="N" title="否" <c:if test="${detailOld.addressConsistent eq 'N'}">checked</c:if> disabled/>
                            </div>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.electric_province.status eq '1'}">
                            <c:if test="${detailOld.addressConsistent eq 'N'}">
                                <div class="layui-col-lg10 layui-col-sm10">
                                    <label class="layui-form-label">购售电地址：</label>
                                    <div class="layui-input-block" style="margin-left: 0">
                                        <div class="layui-col-sm3 pr-10" style="width: 22%">
                                            <input type="text" id="oldEleProvince"  class="layui-input layui-bg-gray" disabled value="${detailOld.electricProvince}">
                                        </div>
                                        <div class="layui-col-sm3 pr-10" style="width: 22%">
                                            <input type="text" id="oldEleCity"  class="layui-input layui-bg-gray" disabled value="${detailOld.electricCity}">
                                        </div>
                                        <div class="layui-col-sm3 pr-10" style="width: 22%">
                                            <input type="text" id="oldEleArea"  class="layui-input layui-bg-gray" disabled value="${detailOld.electricArea}">
                                        </div>

                                        <div class="layui-col-sm8 mt-10">
                                            <input type="text" id="oldEleAddress" class="layui-input layui-col-lg2 layui-bg-gray"  disabled value="${detailOld.electricAddress}">
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </c:if>


                        <c:if test="${mergeInfoSet.columns.contract.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label">购售电合同：</label>
                                <c:forEach items="${detailOld.contract}" var="concat">
                                    <div class="layui-input-block pos-r" style="display: flex;align-items: center;">
                                        <a class="h-32 lh-32 layui-span-unit lookBtn"  target="_blank" onclick="previewUrl('${commonStaticImgPath}${concat}')" style="color: #2890ac;">${fns:substringAfterLast(concat, '/')}</a>
                                    </div>
                                </c:forEach>
                            </div>
                        </c:if>
                        <c:if test="${customerEntry.partnerId ne '04'}">
                        <c:if test="${mergeInfoSet.columns.contract_video_url.status eq '1'}">
                            <div class="layui-col-lg12 layui-col-sm12 contract_video_url" >
                                <label class="layui-form-label">合同视频：</label>
                                <div class="contractVideoUrlOld">
                                    <c:if test="${not empty detailOld.contractVideoUrl}">
                                        <c:forEach items="${detailOld.contractVideoUrl}" var="videoUrl">
                                            <div class="bj-img imgSpan">
                                                <video controls="" src="${commonStaticImgPath}${videoUrl}" width="80px" height="80px"></video>
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                    <c:if test="${empty detailOld.contractVideoUrl}">
                                        <i class="blank-img"></i>
                                    </c:if>
                                </div>
                            </div>
                        </c:if>
                        </c:if>
                        <c:if test="${mergeInfoSet.columns.yx_img.status eq '1'}">
                            <div class="layui-col-lg12 layui-col-sm12 mt-10">
                                <label class="layui-form-label">并网照片：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div>
                                            <div class="bj-img imgSpan bwzp">
                                                <c:if test="${not empty detailOld.yxImg}">
                                                    <img src="${commonStaticImgPath}${detailOld.yxImg}" height="700" width="1200"/>
                                                    <input type="hidden" value="${detailOld.yxImg}"/>
                                                </c:if>
                                                <c:if test="${empty detailOld.yxImg}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                        <div style="width: 85px; text-align: center;">近三天发电量</div>
                                    </div>
                                    <div>
                                        <div>
                                            <div class="bj-img imgSpan gebImg">
                                                <c:if test="${not empty detailOld.gebImg}">
                                                    <img src="${commonStaticImgPath}${detailOld.gebImg}" height="700" width="1200"/>
                                                    <input type="hidden" value="${detailOld.gebImg}"/>
                                                </c:if>
                                                <c:if test="${empty detailOld.gebImg}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                        <div style="width: 92px; text-align: center;">补充1</div>
                                    </div>
                                    <div>
                                        <div>
                                            <div class="bj-img imgSpan gebImg2">
                                                <c:if test="${not empty detailOld.gebImg2}">
                                                    <img src="${commonStaticImgPath}${detailOld.gebImg2}" height="700" width="1200"/>
                                                </c:if>
                                                <c:if test="${empty detailOld.gebImg2}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                        <div style="width: 92px; text-align: center;">补充2</div>
                                    </div>
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.power_capacity_url.status eq '1'}">
                            <div class="layui-col-lg12 layui-col-sm12 mt-10 power_capacity_url bgxxDiv">
                                <label class="layui-form-label" style="width: 120px">三天发电量截图：</label>
                                <div class="layui-input-block img-box ml-120">
                                    <div class="bj-img imgSpan dbImgs">
                                        <c:if test="${not empty detailOld.powerCapacityUrl}">
                                            <img src="${commonStaticImgPath}${detailOld.powerCapacityUrl}" height="700" width="1200"/>
                                        </c:if>
                                        <c:if test="${empty detailOld.powerCapacityUrl}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${'1' eq detailOld.gridInstitution}">
                            <c:if test="${mergeInfoSet.columns.archives_img.status eq '1'}">
                                <div class="layui-col-lg12 layui-col-sm12 mt-10 archives_img">
                                    <label class="layui-form-label" style="width: 120px">南网营销系统档案截图（三户）：</label>
                                    <div class="layui-input-block img-box ml-120">
                                        <div class="bj-img imgSpan dbImgs">
                                            <c:if test="${not empty detailOld.archivesImg}">
                                                <img src="${commonStaticImgPath}${detailOld.archivesImg}" height="700" width="1200"/>
                                            </c:if>
                                            <c:if test="${empty detailOld.archivesImg}">
                                                <i class="blank-img"></i>
                                            </c:if>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.dbx_imgs.status eq '1'}">
                            <div class="layui-col-lg12 layui-col-sm12 mt-10 dbx_imgs bgxxDiv">
                                <label class="layui-form-label" style="width: 120px">电表箱照片：</label>
                                <div class="layui-input-block img-box ml-120">
                                    <div class="bj-img imgSpan dbImgs">
                                        <c:if test="${not empty detailOld.dbxImgs}">
                                            <img src="${commonStaticImgPath}${detailOld.dbxImgs}" height="700" width="1200"/>
                                        </c:if>
                                        <c:if test="${empty detailOld.dbxImgs}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${mergeInfoSet.columns.tlzhjk_imgs.status eq '1'}">
                            <div class="layui-col-lg12 layui-col-sm12 mt-10 tlzhjk_imgs bgxxDiv">
                                <label class="layui-form-label" style="width: 120px">铜铝转换接头照片：</label>
                                <div class="layui-input-block img-box ml-120">
                                    <div class="bj-img imgSpan dbImgs">
                                        <c:if test="${not empty detailOld.tlzhjkImgs}">
                                            <img src="${commonStaticImgPath}${detailOld.tlzhjkImgs}" height="700" width="1200"/>
                                        </c:if>
                                        <c:if test="${empty detailOld.tlzhjkImgs}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>


                        <c:if test="${mergeInfoSet.columns.bwts_file.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label" style="width: 120px">并网调试报告：</label>
                                <div class="layui-input-block pos-r ml-120" style="display: flex;align-items: center;margin-left: 0;">
                                    <input type="hidden" id="bwtsFileOld" value="${detailOld.bwtsFile}"/>
                                    <a class="h-32 lh-32 layui-span-unit lookBtn"  target="_blank" onclick="previewUrl('${commonStaticImgPath}${detailOld.bwtsFile}')" style="color: #2890ac;">${detailOld.bwtsFilename}</a>
                                </div>
                            </div>
                        </c:if>

                    </div>

                    <div class="layui-col-xs6">
                        <div class="mb-20">变更后信息：</div>

                        <c:if test="${mergeInfoSet.columns.grid_institution.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7 grid_institution">
                                <label class="layui-form-label">并网机构：</label>
                                <div class="layui-input-block">
                                    <input type="text" class="layui-input layui-bg-gray" disabled value="${'1' eq detailNew.gridInstitution?'南网':'国网'}">
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${'1' eq detailNew.gridInstitution}">
                            <c:if test="${mergeInfoSet.columns.power_plant_code.status eq '1'}">
                                <div class="layui-col-lg7 layui-col-sm7 power_plant_code">
                                    <label class="layui-form-label">电厂编码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" class="layui-input layui-bg-gray" disabled value="${detailNew.powerPlantCode}">
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.generator_no.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label">发电户号：</label>
                                <div class="layui-input-block">
                                    <input type="text" id="generatorNo"  class="layui-input layui-bg-gray" disabled value="${detailNew.generatorNo}">
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${'1' eq detailNew.gridInstitution}">
                            <c:if test="${mergeInfoSet.columns.province_code.status eq '1'}">
                                <div class="layui-col-lg7 layui-col-sm7 province_code_hand ">
                                    <label class="layui-form-label">电力公司：</label>
                                    <div class="layui-input-block">
                                        <input type="text" class="layui-input layui-bg-gray" disabled value="${detailNew.provinceCodeHand}">
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                        <c:if test="${'1' ne detailNew.gridInstitution}">
                            <c:if test="${mergeInfoSet.columns.province_code.status eq '1'}">
                                <div class="layui-col-lg7 layui-col-sm7">
                                    <label class="layui-form-label">电力公司：</label>
                                    <div class="layui-input-block">
                                        <input type="text"   class="layui-input layui-bg-gray" disabled value="${provinceCodeNew}">
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.db_imgs.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label">电表照片：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div class="imgsDiv newBdImgs">
                                            <div class="bj-img imgSpan">
                                                <c:if test="${not empty detailNew.dbImgs}">
                                                    <img src="${commonStaticImgPath}${detailNew.dbImgs}" height="700" width="1200"/>
                                                </c:if>
                                                <c:if test="${empty detailNew.dbImgs}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.address_consistent.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label" style="width: 140px">购售电地址是否一致：</label>
                                <input type="radio" id="newAddressConsistentY" name="addressConsistent" value="Y" title="是" <c:if test="${detailNew.addressConsistent eq 'Y'}">checked</c:if> disabled/>
                                <input type="radio" id="newAddressConsistentN" name="addressConsistent" value="N" title="否" <c:if test="${detailNew.addressConsistent eq 'N'}">checked</c:if> disabled/>
                            </div>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.electric_province.status eq '1'}">
                            <c:if test="${detailNew.addressConsistent eq 'N'}">
                                <div class="layui-col-lg10 layui-col-sm10">
                                    <label class="layui-form-label">购售电地址：</label>
                                    <div class="layui-input-block" style="margin-left: 0">
                                        <div class="layui-col-sm3 pr-10" style="width: 22%">
                                            <input type="text" class="layui-input layui-bg-gray" disabled value="${detailNew.electricProvince}">
                                        </div>
                                        <div class="layui-col-sm3 pr-10" style="width: 22%">
                                            <input type="text" class="layui-input layui-bg-gray" disabled value="${detailNew.electricCity}">
                                        </div>
                                        <div class="layui-col-sm3 pr-10" style="width: 22%">
                                            <input type="text" class="layui-input layui-bg-gray" disabled value="${detailNew.electricArea}">
                                        </div>

                                        <div class="layui-col-sm8 mt-10">
                                            <input type="text"  id="address" class="layui-input layui-col-lg2 layui-bg-gray" disabled value="${detailNew.electricAddress}">
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.contract.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label">购售电合同：</label>
                                <c:forEach items="${detailNew.contract}" var="concatUrl">
                                    <div class="layui-input-block pos-r" style="display: flex;align-items: center;">
                                        <a class="h-32 lh-32 layui-span-unit lookBtn" target="_blank" onclick="previewUrl('${commonStaticImgPath}${concatUrl}')" style="color: #2890ac;">${fns:substringAfterLast(concatUrl, '/')}</a>
                                    </div>
                                </c:forEach>
                            </div>
                        </c:if>
                        <c:if test="${customerEntry.partnerId ne '04'}">
                        <c:if test="${mergeInfoSet.columns.contract_video_url.status eq '1'}">
                            <div class="layui-col-lg12 layui-col-sm12 contract_video_url" >
                                <label class="layui-form-label">合同视频：</label>
                                <div>
                                    <c:if test="${not empty detailNew.contractVideoUrl}">
                                        <c:forEach items="${detailNew.contractVideoUrl}" var="videoUrl">
                                            <div class="bj-img imgSpan">
                                                <video controls="" src="${commonStaticImgPath}${videoUrl}" width="80px" height="80px"></video>
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                    <c:if test="${empty detailNew.contractVideoUrl}">
                                        <i class="blank-img"></i>
                                    </c:if>
                                </div>
                            </div>
                        </c:if>
                        </c:if>
                        <c:if test="${mergeInfoSet.columns.yx_img.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7 mt-10">
                                <label class="layui-form-label">并网照片：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div class="imgsDiv newBwzp">
                                            <div class="bj-img imgSpan">
                                                <c:if test="${not empty detailNew.yxImg}">
                                                    <img src="${commonStaticImgPath}${detailNew.yxImg}" height="700" width="1200"/>
                                                    <input type="hidden" class="yxImg" value="${detailNew.yxImg}"/>
                                                </c:if>
                                                <c:if test="${empty detailNew.yxImg}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                        <div style="width: 85px; text-align: center;">近三天发电量</div>
                                    </div>
                                    <div>
                                        <div class="imgsDiv newGebImg">
                                            <div class="bj-img imgSpan">
                                                <c:if test="${not empty detailNew.gebImg}">
                                                    <img src="${commonStaticImgPath}${detailNew.gebImg}" height="700" width="1200"/>
                                                    <input type="hidden" class="gebImg" value="${detailNew.gebImg}"/>
                                                </c:if>
                                                <c:if test="${empty detailNew.gebImg}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                        <div style="width: 92px; text-align: center;"><%--光e宝授权截图--%>补充1</div>
                                    </div>
                                    <div>
                                        <div class="imgsDiv newGebImg2">
                                            <div class="bj-img imgSpan">
                                                <c:if test="${not empty detailNew.gebImg2}">
                                                    <img src="${commonStaticImgPath}${detailNew.gebImg2}" height="700" width="1200"/>
                                                    <input type="hidden" class="gebImg2" value="${detailNew.gebImg2}"/>
                                                </c:if>
                                                <c:if test="${empty detailNew.gebImg2}">
                                                    <i class="blank-img"></i>
                                                </c:if>
                                            </div>
                                        </div>
                                        <div style="width: 92px; text-align: center;"><%--光e宝授权截图--%>补充2</div>
                                    </div>
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.power_capacity_url.status eq '1'}">
                            <div class="layui-col-lg12 layui-col-sm12 mt-10 power_capacity_url">
                                <label class="layui-form-label" style="width: 120px">三天发电量截图：</label>
                                <div class="layui-input-block img-box ml-120">
                                    <div class="bj-img imgSpan dbImgs">
                                        <c:if test="${not empty detailNew.powerCapacityUrl}">
                                            <img src="${commonStaticImgPath}${detailNew.powerCapacityUrl}" height="700" width="1200"/>
                                        </c:if>
                                        <c:if test="${empty detailNew.powerCapacityUrl}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${'1' eq detailNew.gridInstitution}">
                            <c:if test="${mergeInfoSet.columns.archives_img.status eq '1'}">
                                <div class="layui-col-lg12 layui-col-sm12 mt-10 archives_img">
                                    <label class="layui-form-label" style="width: 120px">南网营销系统档案截图（三户）：</label>
                                    <div class="layui-input-block img-box ml-120">
                                        <div class="bj-img imgSpan dbImgs">
                                            <c:if test="${not empty detailNew.archivesImg}">
                                                <img src="${commonStaticImgPath}${detailNew.archivesImg}" height="700" width="1200"/>
                                            </c:if>
                                            <c:if test="${empty detailNew.archivesImg}">
                                                <i class="blank-img"></i>
                                            </c:if>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.dbx_imgs.status eq '1'}">
                            <div class="layui-col-lg12 layui-col-sm12 mt-10 dbx_imgs bgxxDiv">
                                <label class="layui-form-label" style="width: 120px">电表箱照片：</label>
                                <div class="layui-input-block img-box ml-120">
                                    <div class="bj-img imgSpan dbImgs">
                                        <c:if test="${not empty detailNew.dbxImgs}">
                                            <img src="${commonStaticImgPath}${detailNew.dbxImgs}" height="700" width="1200"/>
                                        </c:if>
                                        <c:if test="${empty detailNew.dbxImgs}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.tlzhjk_imgs.status eq '1'}">
                            <div class="layui-col-lg12 layui-col-sm12 mt-10 tlzhjk_imgs bgxxDiv">
                                <label class="layui-form-label" style="width: 120px">铜铝转换接头照片：</label>
                                <div class="layui-input-block img-box ml-120">
                                    <div class="bj-img imgSpan tlzhjkImgs">
                                        <c:if test="${not empty detailNew.tlzhjkImgs}">
                                            <img src="${commonStaticImgPath}${detailNew.tlzhjkImgs}" height="700" width="1200"/>
                                        </c:if>
                                        <c:if test="${empty detailOld.tlzhjkImgs}">
                                            <i class="blank-img"></i>
                                        </c:if>
                                    </div>
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${mergeInfoSet.columns.bwts_file.status eq '1'}">
                            <div class="layui-col-lg7 layui-col-sm7">
                                <label class="layui-form-label" style="width: 120px">并网调试报告：</label>
                                <div class="layui-input-block pos-r ml-120" style="display: flex;align-items: center;margin-left: 0;">
                                    <input type="hidden" id="bwtsFile" value="${detailNew.bwtsFile}"/>
                                    <a class="h-32 lh-32 layui-span-unit lookBtn" target="_blank" onclick="previewUrl('${commonStaticImgPath}${detailNew.bwtsFile}')" style="color: #2890ac;">${detailNew.bwtsFilename}</a>
                                </div>
                            </div>
                        </c:if>

                    </div>
                </div>
            </div>
        </div>

        <div class="layui-card-body over-auto hide">
            <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
                <ul class="layui-tab-title" id="changeTabId" lay-filter="changeTab" >
                    <li class="layui-this">客户信息</li>
                </ul>
                <div class="layui-tab-content">
                    <div class="layui-col-xs12">
                        <table class="layui-table" id="test" lay-filter="test">
                            <thead>
                            <tr>
                                <th width="30">选择</th>
                                <th width="30">序号</th>
                                <th width="80">数据项</th>
                                <th width="300">变更前信息</th>
                                <th width="300">变更后信息</th>
                                <th width="80">影响合同变更</th>
                            </tr>
                            </thead>
                            <tbody id="productParaListBody" >
                            <tr  class="openCard" data-value="1">
                                <td class="idx"><input type="checkbox" name="checkbox" lay-skin="primary" disabled  <c:if test="${not empty detailNew.tssBankNum}">checked</c:if>></td>
                                <td class="idx">1<input type="hidden" value="" class="setsort"></td>
                                <td class="">开户行</td>
                                <td class="tssBankNumName" data-value="${detailOld.tssBankNum}">${detailOld.tssBankNumName}</td>
                                <td class=""><div class="<c:if test="${empty detailNew.tssBankNum}">hide</c:if>">${detailNew.tssBankNumName}</div></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${not empty detailNew.tssBankNum}">checked</c:if>></td>
                            </tr>
                            <tr  class="bankCodeSet" data-value="1">
                                <td class="idx"><input type="checkbox" name="checkbox" lay-skin="primary" disabled <c:if test="${not empty detailNew.bankCode}">checked</c:if>></td>
                                <td class="idx">2<input type="hidden" value="" class="setsort"></td>
                                <td class="">银行账号</td>
                                <td class="bankCode">${detailOld.bankCode}</td>
                                <td class=""><div class="<c:if test="${empty detailNew.bankCode}">hide</c:if>">${detailNew.bankCode}</div></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${not empty detailNew.bankCode}">checked</c:if>></td>
                            </tr>
                            <tr  class="idCardImgSet" data-value="2">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${not empty detailNew.idCardFront || not empty detailNew.idCardBack}">checked</c:if>></td>
                                <td class="idx">3<input type="hidden" value="2" class="setsort"></td>
                                <td class="">身份证</td>
                                <td class="idCardFront">
                                    <div class="img-box">
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${detailOld.idCardFront}">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${detailOld.idCardBack}">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${empty detailNew.idCardFront && empty detailNew.idCardBack}">hide</c:if>">
                                        <div>
                                            <div class="imgsDiv">
                                                <c:if test="${not empty detailNew.idCardFront}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${detailNew.idCardFront}">
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container  <c:if test="${not empty detailNew.idCardFront}">hide</c:if>">
                                                <img src="" alt="img placeholder" id="imgsAdd1">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div class="imgsDiv">
                                                <c:if test="${not empty detailNew.idCardBack}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${detailNew.idCardBack}">
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container moreUpload <c:if test="${not empty detailNew.idCardBack}">hide</c:if>">
                                                <img src="" alt="img placeholder" id="imgsAdd2">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled></td>
                            </tr>
                            <tr  class="HouseOwnershipSet" data-value="2">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled  <c:if test="${not empty detailNew.houseOwnership}">checked</c:if>></td>
                                <td class="idx">4<input type="hidden" value="2" class="setsort"></td>
                                <td class="">房产证</td>
                                <td class="HouseOwnership">
                                    <div class="img-box">
                                        <div id="HouseOwnershipImg">
                                            <c:if test="${not empty detailOld.houseOwnership}">
                                                <c:forEach items="${fn:split(detailOld.houseOwnership,',')}" var="img">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${img}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${empty detailNew.houseOwnership}">hide</c:if>">
                                        <div class="imgsDiv">
                                            <c:if test="${not empty detailNew.houseOwnership}">
                                                <c:forEach items="${fn:split(detailNew.houseOwnership,',')}" var="img">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${img}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled></td>
                            </tr>
                            <tr class="bankCardSet" data-value="2">
                                <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${not empty detailNew.bankCard}">checked</c:if>></td>
                                <td class="idx">5<input type="hidden" value="2" class="setsort"></td>
                                <td class="">银行卡</td>
                                <td class="bankCard">
                                    <div class="img-box">
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${detailOld.bankCard}">
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${empty detailNew.bankCard}">hide</c:if>">
                                        <div class="imgsDiv">
                                            <c:if test="${not empty detailNew.bankCard}">
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${detailNew.bankCard}">
                                                </div>
                                            </c:if>
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled></td>
                            </tr>
                            <tr  class="addressSet" data-value="1">
                                <td class="idx"><input type="checkbox" name="checkbox" disabled lay-skin="primary" <c:if test="${not empty detailNew.address}">checked</c:if>></td>
                                <td class="idx">6<input type="hidden" class="setsort"></td>
                                <td class="">安装地址</td>
                                <td class="oldAddress">${customerEntry.province}${customerEntry.city}${customerEntry.area}${detailOld.address}</td>
                                <td class=""><div class="<c:if test="${empty detailNew.address}">hide</c:if>"><span id="proCit" style="float: left">${customerEntry.province}${customerEntry.city}${customerEntry.area}</span><input id="azAddress"  class="layui-input" disabled  name="azAddress" value="${detailNew.address}"></div></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${not empty detailNew.address}">checked</c:if>></td>
                            </tr>
                            <c:if test="${customerEntry.age>=65}">
                                <tr  class="bpCardSet" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${not empty detailNew.bpCardFront || not empty detailNew.bpCardBack}">checked</c:if>></td>
                                    <td class="idx">7<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">共签人身份证</td>
                                    <td class="bpCardFront">
                                        <div class="img-box">
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${detailOld.bpCardFront}">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                            </div>
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${detailOld.bpCardBack}">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${empty detailNew.bpCardFront && empty detailNew.bpCardBack}">hide</c:if>">
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty detailNew.bpCardFront}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${detailNew.bpCardFront}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container  <c:if test="${not empty detailNew.bpCardFront}">hide</c:if>" >
                                                    <img src="" alt="img placeholder" >
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                            </div>
                                            <div>
                                                <div class="imgsDiv">
                                                    <c:if test="${not empty detailNew.bpCardBack}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${detailNew.bpCardBack}">
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty detailNew.bpCardBack}">hide</c:if>">
                                                    <img src="" alt="img placeholder">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled></td>
                                </tr>

                                <tr class="bpFileSet" data-value="2">
                                    <td class="idx"><input type="checkbox" lay-skin="primary" disabled <c:if test="${not empty detailNew.bpFile}">checked</c:if>></td>
                                    <td class="idx">8<input type="hidden" value="2" class="setsort"></td>
                                    <td class="">共签人子女证明</td>
                                    <td class="bpFile">
                                        <div class="img-box">
                                            <div>
                                                <div class="bj-img imgSpan">
                                                    <img src="${commonStaticImgPath}${detailOld.bpFile}">
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="">
                                        <div class="img-box <c:if test="${empty detailNew.bpFile}">hide</c:if>">
                                            <div class="imgsDiv">
                                                <c:if test="${not empty detailNew.bpFile}">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${detailNew.bpFile}">
                                                    </div>
                                                </c:if>
                                            </div>
                                        </div>
                                    </td>
                                    <td class=""><input type="checkbox" lay-skin="primary" disabled></td>
                                </tr>
                            </c:if>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

<c:if test="${customerEntry.partnerId eq '01'}">
        <c:if test="${mergeInfoSet.columns.other_attachment.status eq '1'}">
            <div class="layui-card-body over-auto" style="margin-bottom: 20px">
                <div class="layui-tab layui-tab-brief" lay-filter="otherDe">
                    <ul class="layui-tab-title" >
                        <li class="layui-this">资方审查补充资料</li>
                    </ul>
                    <div class="layui-tab-content"  style="display: flex;">
                        <div class="imgsDiv  otherAttaImg" style="width: 40%">
                            <c:if test="${not empty detailNew.otherAttachment}">
                                <c:forEach items="${fn:split(detailNew.otherAttachment,',')}" var="img">
                                    <c:if test="${img.contains('jpg') || img.contains('jpeg')}">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:if>
                                    <c:if test="${img.contains('mp3') || img.contains('mp4')}">
                                        <div class="bj-img imgSpan">
                                            <video  controls="" src="${commonStaticImgPath}${img}" width="80px" height="80px"></video>
                                        </div>
                                    </c:if>
                                </c:forEach>
                            </c:if>
                        </div>
                        <div class="otherAtta">
                            <c:forEach items="${fn:split(detailNew.otherAttachment,',')}" var="img">
                                <c:if test="${!img.contains('jpg') && !img.contains('jpeg') && !img.contains('mp3') && !img.contains('mp4')}">
                                    <div class="layui-input-block pos-r" style="display: flex;align-items: center;">
                                        <a style="color:#2890ac;cursor: pointer;" target="_blank"
                                           onclick="previewUrl('${commonStaticImgPath}${img}')"
                                           class="download-link">${fn:substring(img,img.lastIndexOf("/")+1 ,img.length() )}</a>
                                    </div>
                                </c:if>
                            </c:forEach>
                        </div>
                    </div>
                </div>
            </div>
        </c:if>

</c:if>
        <div class="layui-inline layui-col-xs12" style="margin-bottom: 60px">
            <label class="layui-form-label w-130">审核备注：</label>
            <div class="layui-input-block ">
                <input type="text" id="auditRemarks" <c:if test="${'look' eq form}">disabled</c:if> name="auditRemarks" class="layui-input" value="${changeRecord.columns.audit_remarks}">
            </div>
        </div>
    </div>
    <div class="operate-footer">
        <c:if test="${'audit' eq form}">
            <button type="button" class="layui-btn" id="temp" >暂存</button>
            <button type="button" class="layui-btn" id="approve" >审核通过</button>
            <button type="button" class="layui-btn" id="back" >审核驳回</button>
        </c:if>
        <button type="button" class="layui-btn layui-btn-primary " onclick="closeDiv();" >取消</button>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/data.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script src="${ctxPlugin}/lib/xm-select.js"></script>
<script src="${ctxPlugin}/lib/base64.js"></script>
<script type="text/javascript">
    var viewer = new Viewer(document.getElementById('LAY_app'));
    //初始数据
    var $form;
    var form;
    var $;
    var table;
    var indexyy;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laydate', 'upload','form'], function(){
        $ = layui.jquery;
        form = layui.form;
        upload = layui.upload;
        laydate = layui.laydate;
        $form = $('form');
        tableExt = layui.tableExt;
        table = tableExt.getLayTable();

        //暂存
        $("#temp").click(function (){
            var id=$("#id").val();
            var auditRemarks=$("#auditRemarks").val();
            if(isBlank(auditRemarks)){
                layer.msg("请输入审核备注！",{icon:"2"});
                return ;
            }
            $.ajax({
                type: 'post',
                url: '${ctx}/onGridInfo/change/temp',
                data: {
                    id:id,
                    auditRemarks:auditRemarks,
                },
                success: function (res) {
                    if(res.code=="200"){
                        parent.layer.msg("暂存成功，请处理下一条数据!",{time:2000});
                    }
                }
            })

        })

        //通过
        $("#approve").click(function (){
            var id=$("#id").val();
            var auditRemarks=$("#auditRemarks").val();
            $("#approve").attr("disabled","true");
            var confirmFg=false;
            var ifChange1=$(".openCard").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
            var ifChange2=$(".bankCodeSet").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
            var ifChange3=$(".addressSet").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
            if(ifChange1){
                confirmFg=true;
            }else if(ifChange2){
                confirmFg=true;
            }else if(ifChange3){
                confirmFg=true;
            }
            if(confirmFg){
                var indexla=layer.confirm('修改的内容会引起合同重签，是否确认通过变更？', {
                    icon: 3,
                    btn: ['确定', '取消'] //按钮
                }, function () {
                    indexyy= layer.load(2, {shade: [0.5,'#fff'], content:''});
                    approveSave(id,auditRemarks);
                }, function(){
                    layer.close(indexla);
                    $("#approve").removeAttr("disabled");
                });
            }else{
                indexyy= layer.load(2, {shade: [0.5,'#fff'], content:''});
                approveSave(id,auditRemarks);
            }

        })

        //驳回
        var tempFlg2=false;
        $("#back").click(function (){
            if(tempFlg2){
                return;
            }
            var id=$("#id").val();
            var auditRemarks=$("#auditRemarks").val();
            if(isBlank(auditRemarks)){
                layer.msg("请输入审核备注！",{icon:"2"});
                return ;
            }
            $("#back").attr("disabled","true");
            tempFlg2=true;
            $.ajax({
                type:"POST",
                url:"${ctx}/onGridInfo/change/refuse",
                data:{
                    id:id,
                    auditRemarks:auditRemarks
                },
                success:function(res){
                    if(res.code=="200"){
                        parent.layer.msg("驳回成功",{time:2000});
                        closeDiv();
                        parent.table.reload('test');
                        $("#back").removeAttr("disabled");
                        tempFlg2=false;
                    } else{
                        layer.msg(res.errMsg,{time:2000});
                        $("#back").removeAttr("disabled");
                        tempFlg2=false;
                    }
                }
            }) ;
        })
    })

    function approveSave(id,auditRemarks){
        $.ajax({
            type: 'post',
            url: '${ctx}/onGridInfo/change/pass',
            data: {
                id:id,
                auditRemarks:auditRemarks,
            },
            success: function (res) {
                if(res.code=="200"){
                    parent.layer.msg("审核成功",{time:2000});
                    closeDiv();
                    parent.table.reload('test');
                    layer.close(indexyy);
                    $("#approve").removeAttr("disabled");
                }else{
                    layer.msg(res.errMsg,{time:2000});
                    layer.close(indexyy);
                    $("#approve").removeAttr("disabled");
                }
            }
        })
    }

    function closeSelf() {
        var index = parent.layer.getFrameIndex(window.name);
        parent.layer.close(index);//关闭当前页
        parent.parent.layer.closeAll();
    }

    function  closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
        parent.parent.layer.closeAll();
    }

    function delMoreImg(that){
        $(that).parent("div").parent("div").parent("div").find(".moreUpload").removeClass("hide");
        $(that).parent("div").parent("div").parent("div").find(".moreUpload").show();
        $(that).parent("div").remove();
    }


    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    // 验证手机号
    function isPhoneNo(phone) {
        var tel = /^1[3|4|5|6|7|8|9][0-9]{9}$/;
        return tel.test($.trim(phone));
    }

    // let initBankData = [];
    // if (!isBlank(tssBankNumName) && !isBlank(tssBankNum)) {
    //  initBankData = [{name: tssBankNumName, value: tssBankNum, selected: true}];
    //}


    function previewUrl(_url) {
        if (!checkUrl(_url)) {
            return false;
        }
        var base = new Base64();
        var b64Encoded = base.encode(_url);
        if(_url.endsWith('pdf')){
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded)+'&officePreviewType=pdf');
        }else{
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded));
        }
    }

    function checkUrl(url) {
        //url= 协议://(ftp的登录信息)[IP|域名](:端口号)(/或?请求参数)
        var strRegex = '^((https|http|ftp)://)'//(https或http或ftp)
            + '(([\\w_!~*\'()\\.&=+$%-]+: )?[\\w_!~*\'()\\.&=+$%-]+@)?' //ftp的user@  可有可无
            + '(([0-9]{1,3}\\.){3}[0-9]{1,3}' // IP形式的URL- 3位数字.3位数字.3位数字.3位数字
            + '|' // 允许IP和DOMAIN（域名）
            + '(localhost)|'	//匹配localhost
            + '([\\w_!~*\'()-]+\\.)*' // 域名- 至少一个[英文或数字_!~*\'()-]加上.
            + '\\w+\\.' // 一级域名 -英文或数字  加上.
            + '[a-zA-Z]{1,6})' // 顶级域名- 1-6位英文
            + '(:[0-9]{1,5})?' // 端口- :80 ,1-5位数字
            + '((/?)|' // url无参数结尾 - 斜杆或这没有
            + '(/[\\w_!~*\'()\\.;?:@&=+$,%#-]+)+/?)$';//请求参数结尾- 英文或数字和[]内的各种字符
        var re = new RegExp(strRegex, 'i');//i不区分大小写
        //将url做uri转码后再匹配，解除请求参数中的中文和空字符影响
        if (re.test(encodeURI(url))) {
            return (true);
        } else {
            return (false);
        }
    }

    function approvalRecord(){
        layer.open({
            title: '审批记录',
            type: 2,
            area: ['35%', '100%'],
            offset: 'rt',
            content: '${ctx}/customerEntry/approvalRecordPage?entryId=${customerEntry.id}'
        })
    }
</script>
</body>
</html>



