<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>安装验收</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport"
        content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <meta name="decorator" content="base"/>
  <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css"/>
  <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
  <style>
    html {
      background-color: #fff;
      padding-bottom: 50px;
    }
    .form-span {
      display: block;
      padding: 8px 0;
      margin-left: 110px;
    }

    .page-iframe {
      border: none;
      width: 100%;
      min-height: calc(100vh - 250px);
    }
    .mb-10{
      margin-bottom: 10px !important;
    }
    .pd-10{
      padding: 10px;
    }
    .idea-text{
      width: 320px; height: 100px;outline: none; padding: 3px
    }
    .msg-title{
      text-align: center;
      margin: 10px 0;
      font-size: 16px;
    }
    .title1 {
      border-left: 4px solid #1b6073;
      padding-left: 20px;
      font-size: 14px;
      margin: 10px auto;
      font-weight: 600;
      height: 34px;
      line-height: 34px;
      background-color: #f4f6f9;
      color: #666666;
    }
    .layui-input-block {
      margin-left: 110px;
    }

    .layui-form-label {
      width: 110px;
    }
    .clearfix{*zoom:1;}
    .clearfix:before,.clearfix:after{display:table; line-height:0; content:"";}
    .clearfix:after{clear:both;}

    .layui-tab-title{
      margin: 0 0 0 20px;
    }
    .layui-tab-content{
      margin: 0 0 0 20px;
    }

    .blank-img {
      background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
      width: 80px;
      height: 80px;
      display: inline-block;
    }
    .normal-btn{
      border: 1px solid #D9B589;
      background-color: #D9B589 !important;
      color: #fff;
    }
    .download-link {
      display: inline-block;
      padding: 8px 16px;
      color: #007bff;
      text-decoration: none;
      border-radius: 4px;
    }

    .download-link:hover {
      color: #0056b3;
    }
    .layui-form-item .layui-input-inline {
      float: left;
      width: 300px;
      margin-right: 10px;
    }
    .scrollDiv{
      height: 750px; /* 设置固定高度 */
      overflow-y: scroll; /* 显示垂直滚动条 */
    }
    .layui-form-checkbox[lay-skin=primary] {
      margin-top: 2%;
    }
    .layui-textarea {
      min-height: 60px;
    }
    /*.scrollDiv-wg{*/
    /*    height: 450px; !* 设置固定高度 *!*/
    /*    overflow-y: scroll; !* 显示垂直滚动条 *!*/
    /*}*/
  </style>
</head>
<body>
<div class="layui-fluid pd-10">
  <div class="order-win layui-form" id="LAY_app">
    <button class="layui-btn" style="margin-left: 92.5%;" onclick="approvalRecord()">审批记录</button>
    <blockquote class="layui-elem-quote">项目信息</blockquote>
    <div class="layui-form-item layui-row">
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">电站编码：</label>
        <span class="form-span">
          ${customerEntry.powerStationCode}
        </span>
      </div>
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">电站名称：</label>
        <span class="form-span" >${stationName}</span>
      </div>
      <%--            <div class="layui-col-sm4 layui-col-md4">--%>
      <%--                <label class="layui-form-label">产品名称：</label>--%>
      <%--                <span class="form-span">--%>
      <%--                    ${project.name}--%>
      <%--                </span>--%>
      <%--            </div>--%>
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">代理商：</label>
        <span class="form-span">${customerEntry.createTraderName}</span>
      </div>
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">电站状态：</label>
        <span class="form-span">
                    <c:choose>
                      <c:when test="${customerEntry.status eq '0'}">
                        <c:if test="${customerEntry.credit eq '0'}">暂存</c:if>
                        <c:if test="${customerEntry.credit eq '1'}">待预审</c:if>
                        <c:if test="${customerEntry.credit eq '2'}">预审待审批</c:if>
                        <c:if test="${customerEntry.credit eq '3'}">预审审批中</c:if>
                        <c:if test="${customerEntry.credit eq '4' && customerEntry.designAuditFlag eq '3'}">自审驳回</c:if>
                        <c:if test="${customerEntry.credit eq '4' && customerEntry.designAuditFlag eq 'a'}">待设计</c:if>
                        <c:if test="${customerEntry.credit eq '4' && customerEntry.designAuditFlag ne '3' && customerEntry.designAuditFlag ne 'a'}">待踏勘</c:if>
                        <c:if test="${customerEntry.credit eq '5'}">预审拒绝</c:if>
                      </c:when>
                      <c:when test="${customerEntry.status eq '1'}">
                        <c:if test="${customerEntry.designAuditFlag eq '1'}">待踏勘</c:if>
                        <c:if test="${customerEntry.designAuditFlag eq 'a'}">待设计</c:if>
                        <c:if test="${customerEntry.designAuditFlag eq '2'}">待自审</c:if>
                        <c:if test="${customerEntry.designAuditFlag eq '3'}">自审驳回</c:if>
                        <c:if test="${customerEntry.designAuditFlag eq '4'}">自审通过</c:if>
                        <c:if test="${customerEntry.designAuditFlag eq '5'}">设计审核驳回</c:if>
                        <c:if test="${customerEntry.designAuditFlag eq '6'}">设计审核通过</c:if>
                        <c:if test="${customerEntry.designAuditFlag eq '7'}">进件审核驳回</c:if>
                        <c:if test="${customerEntry.designAuditFlag eq '8'}">进件审核中</c:if>
                        <c:if test="${customerEntry.designAuditFlag eq '9'}">进件审核通过</c:if>
                      </c:when>
                      <c:when test="${customerEntry.status eq '2'}">
                        审核驳回
                      </c:when>
                      <c:when test="${customerEntry.status eq '3'}">
                        待下单
                      </c:when>
                      <c:when test="${customerEntry.status eq '4'}">
                        <c:if test="${customerEntry.installFlag eq '1'}">待派工</c:if>
                        <c:if test="${customerEntry.installFlag eq '2'}">待安装</c:if>
                        <c:if test="${customerEntry.installFlag eq '3'}">自审驳回</c:if>
                        <c:if test="${customerEntry.installFlag eq '4'}">安装完成</c:if>
                      </c:when>
                      <c:when test="${customerEntry.status eq '5'}">
                        待安装验收
                      </c:when>
                      <c:when test="${customerEntry.status eq 'f'}">
                        安装验收驳回
                      </c:when>
                      <c:when test="${customerEntry.status eq '6'}">
                        待并网
                      </c:when>
                      <c:when test="${customerEntry.status eq '7'}">
                        待并网验收
                      </c:when>
                      <c:when test="${customerEntry.status eq '8'}">
                        待交付
                      </c:when>
                      <c:when test="${customerEntry.status eq '9'}">
                        待归档
                      </c:when>
                      <c:when test="${customerEntry.status eq '10'}">
                        验收驳回
                      </c:when>
                      <c:when test="${customerEntry.status eq '11'}">
                        归档驳回
                      </c:when>
                      <c:when test="${customerEntry.status eq 'a'}">
                        已完成
                      </c:when>
                      <c:when test="${customerEntry.status eq 'c'}">
                        待代理商确认
                      </c:when>
                      <c:when test="${customerEntry.status eq 'e'}">
                        待签署合同
                      </c:when>
                      <c:when test="${customerEntry.status eq 'w'}">
                        信息登记
                      </c:when>
                      <c:when test="${customerEntry.status eq 'g'}">
                        设计审核
                      </c:when>
                      <c:when test="${customerEntry.status eq 'AN'}">
                        待安装确认
                      </c:when>
                      <c:when test="${customerEntry.status eq 'AT'}">
                        安装确认驳回
                      </c:when>
                      <c:when test="${customerEntry.status eq 'BW'}">
                        待并网确认
                      </c:when>
                      <c:when test="${customerEntry.status eq 'BN'}">
                        并网确认驳回
                      </c:when>
                      <c:when test="${customerEntry.status eq 'h'}">
                        勘测设计自审
                      </c:when>
                      <c:when test="${customerEntry.status eq 'i'}">
                        安装自审
                      </c:when>
                      <c:otherwise>
                        --
                      </c:otherwise>
                    </c:choose>
                </span>
      </div>
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">保险购买情况：</label>
        <span class="form-span">
                    <c:choose>
                      <c:when test="${customerEntry.insuranceFlag eq '1'}">
                        控制投放及续保
                      </c:when>
                      <c:when test="${customerEntry.insuranceFlag eq '2'}">
                        控制投放
                      </c:when>
                      <c:when test="${customerEntry.insuranceFlag eq '3'}">
                        其他
                      </c:when>
                    </c:choose>
                </span>
      </div>
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">预计投放日：</label>
        <span class="form-span"><fmt:formatDate value="${customerEntry.leaseDate}" pattern="yyyy-MM-dd"/></span>
      </div>
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">业务员：</label>
        <span class="form-span">${customerEntry.creator}</span>
      </div>
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">创建时间：</label>
        <span class="form-span"><fmt:formatDate value="${customerEntry.createTime}" pattern="yyyy-MM-dd HH:mm:ss"/></span>
      </div>
    </div>
    <blockquote class="layui-elem-quote">产品信息</blockquote>
    <div class="layui-form-item layui-row">
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">备案类型：</label>
        <span class="form-span">
                    <c:choose>
                      <c:when test="${customerEntry.filingType eq '1'}">
                        农户备案
                      </c:when>
                      <c:when test="${customerEntry.filingType eq '2'}">
                        项目公司备案
                      </c:when>
                    </c:choose>
                </span>
      </div>
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">项目公司：</label>
        <span class="form-span"> ${customerEntry.projectCompanyName}</span>
      </div>
      <div class="layui-col-sm3 layui-col-md3">
        <label class="layui-form-label">业务属性：</label>
        <span class="form-span">
                    <c:choose>
                      <c:when test="${customerEntry.productLine eq '1'}">
                        纯租25年业务
                      </c:when>
                      <c:when test="${customerEntry.productLine eq '2'}">
                        经营性租赁
                      </c:when>
                      <c:when test="${customerEntry.productLine eq '3'}">
                        融资租赁
                      </c:when>
                      <c:when test="${customerEntry.productLine eq '4'}">
                        光伏贷
                      </c:when>
                      <c:when test="${customerEntry.productLine eq '5'}">
                        全款
                      </c:when>
                      <c:when test="${customerEntry.productLine eq '6'}">
                        其他
                      </c:when>
                      <c:otherwise>
                        ${customerEntry.productLine}
                      </c:otherwise>
                    </c:choose>
                </span>
      </div>
      <div class="layui-col-sm12 layui-col-md12">
        <table class="layui-table">
          <colgroup>
            <col width="25%">
            <col width="25%">
            <col width="25%">
            <col width="25%">
          </colgroup>
          <thead>
          <tr style="background: white">
            <th style="text-align: center">序号</th>
            <th style="text-align: center">产品编号</th>
            <th style="text-align: center">产品名称</th>
            <th style="text-align: center">屋顶类型</th>
          </tr>
          </thead>
          <tbody id="projectList">
          <c:forEach items="${projectList}" varStatus="vs" var="project">
            <tr style="text-align: center" data-id="${project.columns.projectId}" class="projectTr" >
              <td>${vs.count}</td>
              <td>${project.columns.projectCode}</td>
              <td>${project.columns.projectName}</td>
              <td>${project.columns.roofType}</td>
            </tr>
          </c:forEach>
          </tbody>
        </table>
      </div>
    </div>
    <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
      <ul class="layui-tab-title">
        <li class="layui-this">完工信息</li>
        <li>业主信息</li>
        <c:if test="${not empty customerEntry.designAuditFlag && '1' ne customerEntry.designAuditFlag && '0' ne customerEntry.designAuditFlag}">
          <li>勘测信息</li>
        </c:if>
        <c:if test="${customerEntry.schemeType eq '2' || not empty customerEntry.schemeId}">
          <li>设计方案</li>
        </c:if>
        <c:if test="${!fn:contains('012345fwhi', customerEntry.status)}">
          <li>并网信息</li>
        </c:if>
        <li>过程信息</li>
      </ul>
      <div class="layui-tab-content scrollDiv">
        <%--                <iframe id="mainiframe" class="page-iframe" src="${ctx}/customerEntry/toCompleteInfoPage?id=${customerEntry.id}"></iframe>--%>
        <div class="layui-tab layui-tab-brief" lay-filter="completeDemoTabBrief">
          <table class="layui-table" style="margin: 10px 10px 40px 30px;">
            <c:set var="indexNum" value="1"/>
            <tr style="height: 50px">
              <td width="15%">${indexNum}、项目备案证</td>
              <td width="80%">
                <div class=" layui-col-lg3 layui-col-sm3  layui-input-inline img-box" style="margin-left: 20px;">
                  <div style="display: flex">
                    <div id="imgsDiv1">
                      <c:set var="filingDocumentPhotoCount" value="${filingDocumentPhotoCount}"/>
                      <c:if test="${not empty surveyRecord.filingDocumentPhoto}">
                        <c:forEach items="${surveyRecord.filingDocumentPhoto}" var="file" varStatus="vs">
                          <div>
                            <a style="color:#2890ac;" href="${commonStaticImgPath}${file}" download="${file}" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                            <input type="hidden" name="filingDocumentPhoto" class="filingDocumentPhoto" value="${file}">
                          </div>
                        </c:forEach>
                      </c:if>
                    </div>
                  </div>
                </div>
                <c:if test="${formSet.columns.filing_document_code.status eq '1'}">
                  <div class="layui-col-lg3 layui-col-sm3 ">
                    <label class="layui-form-label">备案代码：</label>
                    <div class="layui-input-block">
                      <input type="text" name="filingDocumentCode" id="filingDocumentCode" autocomplete="off"  value="${surveyRecord.filingDocumentCode}" class="layui-input" disabled>
                    </div>
                  </div>
                </c:if>
              </td>
              <c:set var="indexNum" value="${indexNum+1}"/>
            </tr>
            <tr style="height: 100px">
              <td width="15%">${indexNum}、<c:if test="${formSet.columns.kg_condition_files.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>安全防护措施合照照片</td>
              <td width="80%">
                <div class="layui-input-inline img-box" style="margin-left: 20px;">
                  <div style="display: flex">
                    <div id="imgsDiv65">
                      <c:set var="kgConditionFilesCount" value="${kgConditionFilesCount}"/>
                      <c:if test="${not empty projectList[0].columns.acceptReport.kgConditionFiles}">
                        <c:forEach var="img" items="${projectList[0].columns.acceptReport.kgConditionFiles.split(',')}" varStatus="vs">
                          <div class="bj-img imgSpan">
                            <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader33')"></span>
                            <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                            <input type="hidden" name="kgConditionFiles" class="kgConditionFiles" value="${img}">
                          </div>
                          <c:set var="safetyWarningImg2Count" value="${vs.count}"/>
                        </c:forEach>
                      </c:if>
                    </div>
                  </div>
                </div>
              </td>
              <c:set var="indexNum" value="${indexNum+1}"/>
            </tr>
            <tr style="height: 100px">
              <td width="15%">${indexNum}、
                <c:choose>
                  <c:when test="${formSet.columns.safety_warning_img2.status eq '1'}">
                    三级安全教育登记卡
                  </c:when>
                  <c:when test="${formSet.columns.safety_warning_img2_03.status eq '1'}">
                    施工安全图-三级安全教育
                  </c:when>
                </c:choose>
              </td>
              <td width="80%">
                <div class="layui-input-block img-box" style="margin-left: 20px;">
                  <div style="display: flex;flex-wrap: wrap;">
                    <div id="imgsDiv33">
                      <c:set var="safetyWarningImg2Count" value="0"/>
                      <c:if test="${not empty projectList[0].columns.acceptReport.safetyWarningImg2}">
                        <c:forEach var="img" items="${projectList[0].columns.acceptReport.safetyWarningImg2.split(',')}" varStatus="vs">
                          <div class="bj-img imgSpan">
                            <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                            <input type="hidden" name="safetyWarningImg2" class="safetyWarningImg2" value="${img}">
                          </div>
                          <c:set var="safetyWarningImg2Count" value="${vs.count}"/>
                        </c:forEach>
                      </c:if>
                    </div>
                  </div>
                </div>
              </td>
              <c:set var="indexNum" value="${indexNum+1}"/>
            </tr>
          </table>
          <ul class="layui-tab-title" id="completeImgUl">
            <c:forEach items="${projectList}" var="projectList" varStatus="vs">
              <li class=" <c:if test="${vs.index eq 0}">layui-this</c:if>" id="${projectList.columns.projectCode}">
                <c:choose>
                  <c:when test="${not empty projectList.columns.roofType}">
                    ${projectList.columns.roofType}
                  </c:when>
                  <c:otherwise>
                    ${projectList.columns.projectName}
                  </c:otherwise>
                </c:choose>
              </li>
            </c:forEach>
          </ul>

          <c:forEach items="${projectList}" var="projectList" varStatus="vsr">
            <div class="completeTabContent <c:if test="${vsr.index ne 0}">layui-hide</c:if>" id="completeImgDiv${vsr.index}">
              <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief${vsr.index}">
                <ul class="layui-tab-title">
                  <li class="layui-this">安装物料</li>
                  <li>完工资料</li>
                </ul>
                <div style="display: flex;">
                  <div style="margin-left: 170px">物料安装状态：<input type="checkbox" title="安装已完成" lay-skin="primary" <c:if test="${customerEntry.materialFixFlag eq '1'}">checked</c:if> disabled/></div>
                    <%--                            ${customerEntry.actualCapacity}--%>
                  <div style="margin-left: 20px">实际安装容量(W)：${projectList.columns.acceptReport.capacity}</div>
                </div>
                <div class="layui-tab-content tabContent${vsr.index}" id="completeImgDiv0${vsr.index}">
                  <div style="display: flex;">
                    <div style="width: 10%">
                      <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                        <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                onclick="changeMaterialTab${vsr.index}(0)">组件
                        </button>
                      </div>
                      <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                        <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                onclick="changeMaterialTab${vsr.index}(1)">逆变器
                        </button>
                      </div>
                      <div class="layui-form-item" style="width: 10%; margin-bottom: 5px;">
                        <button type="button" style="width: 80px;" class="layui-btn layui-btn-primary"
                                onclick="changeMaterialTab${vsr.index}(2)">其它
                        </button>
                      </div>
                    </div>
                    <div style="width: 90%;">
                      <table class="layui-table materialTable${vsr.index}" style="margin: 0 10px 0 0;">
                        <thead>
                        <tr>
                          <th>序号</th>
                          <th>物料代码</th>
                          <th>物料名称</th>
                          <th>物料规格</th>
                          <th>物料型号</th>
                          <th>品牌</th>
                          <th>物料条码</th>
                        </tr>
                        </thead>
                        <tbody>
                        <c:forEach items="${projectList.columns.zjList}" varStatus="vs" var="material">
                          <tr>
                            <td>${vs.count}</td>
                            <td>${material.columns.code}</td>
                            <td>${material.columns.name}</td>
                            <td>${material.columns.spec}</td>
                            <td>${material.columns.material_model}</td>
                            <td>${material.columns.brand}</td>
                            <td>${material.columns.barcode}</td>
                          </tr>
                        </c:forEach>
                        </tbody>
                      </table>
                      <table class="layui-table materialTable${vsr.index} layui-hide" style="margin: 0 10px 0 0;">
                        <thead>
                        <tr>
                          <th>序号</th>
                          <th>物料代码</th>
                          <th>物料名称</th>
                          <th>物料规格</th>
                          <th>物料型号</th>
                          <th>品牌</th>
                          <th>物料条码</th>
                          <th>SN码</th>
                          <th>通讯棒SN码</th>
                        </tr>
                        </thead>
                        <tbody>
                        <c:forEach items="${projectList.columns.nbqList}" varStatus="vs" var="material">
                          <tr>
                            <td>${vs.count}</td>
                            <td>${material.columns.code}</td>
                            <td>${material.columns.name}</td>
                            <td>${material.columns.spec}</td>
                            <td>${material.columns.material_model}</td>
                            <td>${material.columns.brand}</td>
                            <td>${material.columns.barcode}</td>
                            <td>${material.columns.nbq_sn}</td>
                            <td>${material.columns.sn}</td>
                          </tr>
                        </c:forEach>
                        </tbody>
                      </table>
                      <table class="layui-table materialTable${vsr.index} layui-hide" style="margin: 0 10px 0 0;">
                        <thead>
                        <tr>
                          <th>序号</th>
                          <th>物料代码</th>
                          <th>物料名称</th>
                          <th>物料规格</th>
                          <th>物料型号</th>
                          <th>品牌</th>
                          <th>数量</th>
                        </tr>
                        </thead>
                        <tbody>
                        <c:forEach items="${projectList.columns.otherList}" varStatus="vs" var="material">
                          <tr>
                            <td>${vs.count}</td>
                            <td>${material.columns.code}</td>
                            <td>${material.columns.name}</td>
                            <td>${material.columns.spec}</td>
                            <td>${material.columns.material_model}</td>
                            <td>${material.columns.brand}</td>
                            <td>${material.columns.amount}</td>
                          </tr>
                        </c:forEach>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
                <div class="layui-tab-content tabContent${vsr.index} layui-hide" id="completeImgDiv1${vsr.index}">
                  <input type="hidden" name="projectId" value="${projectList.columns.projectId}">
                  <input type="hidden" name="entryId" value="${projectList.columns.entryId}">
                  <c:set var="indexNum" value="1"/>
                  <table class="layui-table" style="margin: 0 10px 0 0;margin-bottom: 40px;">
                    <c:if test="${customerEntry.tenantType eq '2'}">
                      <c:if test="${formSet.columns.other_imgs1.status eq '1'}">
                        <tr style="height: 100px">
                          <td width="15%">${indexNum}、银行印鉴留样</td>
                          <td width="80%">
                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                              <div style="display: flex;">
                                <div id="imgsDiv2">
                                  <c:set var="otherImgs1Count" value="0"/>
                                  <c:if test="${not empty projectList.columns.acceptReport.otherImgs1}">
                                    <c:forEach var="img" items="${projectList.columns.otherImgs1.split(',')}" varStatus="vs">
                                      <div class="bj-img imgSpan">
                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                        <input type="hidden" name="otherImgs1" class="otherImgs1" value="${img}">
                                      </div>
                                      <c:set var="otherImgs1Count" value="${vs.count}"/>
                                    </c:forEach>
                                  </c:if>
                                </div>
                              </div>
                            </div>
                          </td>
                          <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                      </c:if>
                      <c:if test="${formSet.columns.other_imgs2.status eq '1'}">
                        <tr style="height: 100px">
                          <td width="15%">${indexNum}、<c:if test="${customerEntry.tenantType eq '2'}"><i class="mark">*</i></c:if>签约现场照片-法定代表人/负责人签字照</td>
                          <td width="80%">
                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                              <div style="display: flex">
                                <div id="imgsDiv3">
                                  <c:set var="otherImgs2Count" value="0"/>
                                  <c:if test="${not empty projectList.columns.acceptReport.otherImgs2}">
                                    <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs2.split(',')}" varStatus="vs">
                                      <div class="bj-img imgSpan">
                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                        <input type="hidden" name="otherImgs2" class="otherImgs2" value="${img}">
                                      </div>
                                      <c:set var="otherImgs2Count" value="${vs.count}"/>
                                    </c:forEach>
                                  </c:if>
                                </div>
                              </div>
                            </div>
                          </td>
                          <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                      </c:if>
                      <c:if test="${formSet.columns.other_imgs3.status eq '1'}">
                        <tr style="height: 100px">
                          <td width="15%">${indexNum}、签约现场照片-正脸、持笔/持印、合同签署页同框</td>
                          <td width="80%">
                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                              <div style="display: flex">
                                <div id="imgsDiv4">
                                  <c:set var="otherImgs3Count" value="0"/>
                                  <c:if test="${not empty projectList.columns.acceptReport.otherImgs3}">
                                    <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs3.split(',')}" varStatus="vs">
                                      <div class="bj-img imgSpan">
                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                        <input type="hidden" name="otherImgs3" class="otherImgs3" value="${img}">
                                      </div>
                                      <c:set var="otherImgs3Count" value="${vs.count}"/>
                                    </c:forEach>
                                  </c:if>
                                </div>
                              </div>
                            </div>
                          </td>
                          <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                      </c:if>
                      <c:if test="${formSet.columns.other_imgs4.status eq '1'}">
                        <tr style="height: 100px">
                          <td width="15%">${indexNum}、签署完成照片</td>
                          <td width="80%">
                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                              <div style="display: flex">
                                <div id="imgsDiv5">
                                  <c:set var="otherImgs4Count" value="0"/>
                                  <c:if test="${not empty projectList.columns.acceptReport.otherImgs4}">
                                    <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs4.split(',')}" varStatus="vs">
                                      <div class="bj-img imgSpan">
                                        <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                        <input type="hidden" name="otherImgs4" class="otherImgs4" value="${img}">
                                      </div>
                                      <c:set var="otherImgs4Count" value="${vs.count}"/>
                                    </c:forEach>
                                  </c:if>
                                </div>
                              </div>
                            </div>
                          </td>
                          <c:set var="indexNum" value="${indexNum+1}"/>
                        </tr>
                      </c:if>
                    </c:if>
                    <c:if test="${formSet.columns.dzjc1.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、电站基础-主屋</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv6">
                                <c:set var="dzjc1Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.dzjc1}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.dzjc1.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="dzjc1" class="dzjc1" value="${img}">
                                    </div>
                                    <c:set var="dzjc1Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.dzjc2.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、<c:if test="${formSet.columns.dzjc2.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>电站基础-副屋</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv7">
                                <c:set var="dzjc2Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.dzjc2}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.dzjc2.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="dzjc2" class="dzjc2" value="${img}">
                                    </div>
                                    <c:set var="dzjc2Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img1.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架正面照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv8">
                                <c:set var="zjImg1Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg1}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg1.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg1" class="zjImg1" value="${img}">
                                    </div>
                                    <c:set var="zjImg1Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img2.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架侧视图</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv9">
                                <c:set var="zjImg2Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg2}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg2.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg2" class="zjImg2" value="${img}">
                                    </div>
                                    <c:set var="zjImg2Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img3.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架北侧图</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv10">
                                <c:set var="zjImg3Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg3}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg3.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg3" class="zjImg3" value="${img}">
                                    </div>
                                    <c:set var="zjImg3Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.component_img2.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、组件方位角照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv147">
                                <c:set var="componentImg2Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.componentImg2}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.componentImg2.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="componentImg2" class="componentImg2" value="${img}">
                                    </div>
                                    <c:set var="componentImg2Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.dqsb_an_img_one.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、逆变器注册截图照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv21">
                                <c:set var="dqsbAnImgOneCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.dqsbAnImgOne}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.dqsbAnImgOne.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="dqsbAnImgOne" class="dqsbAnImgOne" value="${img}">
                                    </div>
                                    <c:set var="dqsbAnImgOneCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_plate_img.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、组件铭牌照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">

                              <div id="imgsDiv23">
                                <c:set var="zjPlateImgCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjPlateImg}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjPlateImg.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjPlateImg" class="zjPlateImg" value="${img}">
                                    </div>
                                    <c:set var="zjPlateImgCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img1.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、组件与组件之间接地照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv25">
                                <c:set var="jdImg1Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg1}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg1.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg1" class="jdImg1" value="${img}">
                                    </div>
                                    <c:set var="jdImg1Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img2.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、组件与支架接地照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv26">
                                <c:set var="jdImg2Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg2}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg2.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg2" class="jdImg2" value="${img}">
                                    </div>
                                    <c:set var="jdImg2Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img3.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架与接地扁铁连接照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv27">
                                <c:set var="jdImg3Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg3}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg3.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg3" class="jdImg3" value="${img}">
                                    </div>
                                    <c:set var="jdImg3Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.safety_warning_img3.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、施工安全图-开工前站班会（施工安全用品：安全帽、安全绳、反光衣、工作鞋）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv34">
                                <c:set var="safetyWarningImg3Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.safetyWarningImg3}">
                                  <c:forEach var="img" items="${projectList.columns.safetyWarningImg3.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="safetyWarningImg3" class="safetyWarningImg3" value="${img}">
                                    </div>
                                    <c:set var="safetyWarningImg3Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.safety_warning_img.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、施工安全图-安全警示牌</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv35">
                                <c:set var="safetyWarningImgCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.safetyWarningImg}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.safetyWarningImg.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="safetyWarningImg" class="safetyWarningImg" value="${img}">
                                    </div>
                                    <c:set var="safetyWarningImgCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.safety_disclose_doc_img.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、施工安全图-安全技术交底书</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv36">
                                <c:set var="safetyDiscloseDocImgCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.safetyDiscloseDocImg}">
                                  <c:forEach var="img" items="${projectList.columns.safetyDiscloseDocImg.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="safetyDiscloseDocImg" class="safetyDiscloseDocImg" value="${img}">
                                    </div>
                                    <c:set var="safetyDiscloseDocImgCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img10.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、基础安装-螺栓孔洞防水图</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv42">
                                <c:set var="zjImg10Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg10}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg10.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg10" class="zjImg10" value="${img}">
                                    </div>
                                    <c:set var="zjImg10Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img11.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、基础安装-柱脚防水完工图</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv43">
                                <c:set var="zjImg11Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg11}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg11.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg11" class="zjImg11" value="${img}">
                                    </div>
                                    <c:set var="zjImg11Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img5.status eq '1' || formSet.columns.zj_img5_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.zj_img5.status eq '1'}">
                              航拍图照片
                            </c:when>
                            <c:when test="${formSet.columns.zj_img5_03.status eq '1'}">
                              支架安装图-支架安装完成VR图
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv12">
                                <c:set var="zjImg5Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg5}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg5.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg5" class="zjImg5" value="${img}">
                                    </div>
                                    <c:set var="zjImg5Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img8.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架安装图-支架方阵（东向西完工照）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv40">
                                <c:set var="zjImg8Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg8}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg8.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg8" class="zjImg8" value="${img}">
                                    </div>
                                    <c:set var="zjImg8Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img9.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架安装图-支架方阵（北向南完工照）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv41">
                                <c:set var="zjImg9Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg9}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg9.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg9" class="zjImg9" value="${img}">
                                    </div>
                                    <c:set var="zjImg9Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img4.status eq '1' || formSet.columns.zj_img4_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.zj_img4.status eq '1'}">
                              支架型号照片
                            </c:when>
                            <c:when test="${formSet.columns.zj_img4_03.status eq '1'}">
                              支架安装图-立柱东西间距、南北间距（带尺寸）
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv11">
                                <c:set var="zjImg4Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg4}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg4.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg4" class="zjImg4" value="${img}">
                                    </div>
                                    <c:set var="zjImg4Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img12.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架安装图-斜梁悬挑（南）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv44">
                                <c:set var="zjImg12Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg12}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg12.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg12" class="zjImg12" value="${img}">
                                    </div>
                                    <c:set var="zjImg12Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img13.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架安装图-斜梁悬挑（北）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv45">
                                <c:set var="zjImg13Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg13}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg13.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg13" class="zjImg13" value="${img}">
                                    </div>
                                    <c:set var="zjImg13Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img14.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架安装图-檀条悬挑（东）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv46">
                                <c:set var="zjImg14Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg14}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg14.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg14" class="zjImg14" value="${img}">
                                    </div>
                                    <c:set var="zjImg14Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.zj_img15.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、支架安装图-檀条悬挑（西）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv47">
                                <c:set var="zjImg15Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjImg15}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjImg15.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjImg15" class="zjImg15" value="${img}">
                                    </div>
                                    <c:set var="zjImg15Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img4.status eq '1' || formSet.columns.jd_img4_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.jd_img4.status eq '1'}">
                              接地扁铁下墙照片
                            </c:when>
                            <c:when test="${formSet.columns.jd_img4_03.status eq '1'}">
                              支架接地图-支架接地
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv28">
                                <c:set var="jdImg4Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg4}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg4.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg4" class="jdImg4" value="${img}">
                                    </div>
                                    <c:set var="jdImg4Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.component_img3.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、组件航拍俯视照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv37">
                                <c:set var="componentImg3Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.componentImg3}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.componentImg3.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="componentImg3" class="componentImg3" value="${img}">
                                    </div>
                                    <c:set var="componentImg3Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.component_img4.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、组件安装完成VR视图</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv60">
                                <c:set var="componentImg4Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.componentImg4}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.componentImg4.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="componentImg4" class="componentImg4" value="${img}">
                                    </div>
                                    <c:set var="componentImg4Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bk_img1.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、边框接地图-边框与边框接地</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv48">
                                <c:set var="bkImg1Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.bkImg1}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.bkImg1.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="bkImg1" class="bkImg1" value="${img}">
                                    </div>
                                    <c:set var="bkImg1Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.component_img1.status eq '1' || formSet.columns.component_img1_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.component_img1.status eq '1'}">
                              组件倾角照片
                            </c:when>
                            <c:when test="${formSet.columns.component_img1_03.status eq '1'}">
                              边框接地图-组件安装倾角
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv13">
                                <c:set var="componentImg1Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.componentImg1}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.componentImg1.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="componentImg1" class="componentImg1" value="${img}">
                                    </div>
                                    <c:set var="componentImg1Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bk_img2.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、边框接地图-边框与支架接地</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv49">
                                <c:set var="bkImg2Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.bkImg2}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.bkImg2.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="bkImg2" class="bkImg2" value="${img}">
                                    </div>
                                    <c:set var="bkImg2Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bk_img3.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、边框接地图-其他图片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv50">
                                <c:set var="bkImg3Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.bkImg3}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.bkImg3.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="bkImg3" class="bkImg3" value="${img}">
                                    </div>
                                    <c:set var="bkImg3Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.yk_img1.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、压块或背压板照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv51">
                                <c:set var="ykImg1Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.ykImg1}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.ykImg1.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="ykImg1" class="ykImg1" value="${img}">
                                    </div>
                                    <c:set var="ykImg1Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.dc_imgs.status eq '1' || formSet.columns.dc_imgs_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.dc_imgs.status eq '1'}">
                              逆变器安装照片
                            </c:when>
                            <c:when test="${formSet.columns.dc_imgs_03.status eq '1'}">
                              逆变器安装图-整体外观及走线及采集器（离地高度）（1-15张）
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv19">
                                <c:set var="dcImgsCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.dcImgs}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.dcImgs.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="dcImgs" class="dcImgs" value="${img}">
                                    </div>
                                    <c:set var="dcImgsCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.nbq_plate_img.status eq '1' || formSet.columns.nbq_plate_img_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.nbq_plate_img.status eq '1'}">
                              逆变器铭牌照片
                            </c:when>
                            <c:when test="${formSet.columns.nbq_plate_img_03.status eq '1'}">
                              逆变器安装图-铭牌
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv22">
                                <c:set var="nbqPlateImgCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.nbqPlateImg}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.nbqPlateImg.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="nbqPlateImg" class="nbqPlateImg" value="${img}">
                                    </div>
                                    <c:set var="nbqPlateImgCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.total_imgs.status eq '1' || formSet.columns.total_imgs_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.total_imgs.status eq '1'}">
                              逆变器组串接入照片
                            </c:when>
                            <c:when test="${formSet.columns.total_imgs_03.status eq '1'}">
                              逆变器安装图-接地情况
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv17">
                                <c:set var="totalImgsCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.totalImgs}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.totalImgs.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="totalImgs" class="totalImgs" value="${img}">
                                    </div>
                                    <c:set var="totalImgsCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.nbq_zlc_img.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、逆变器安装图-逆变器交流侧</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv38">
                                <c:set var="nbqZlcImgCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.nbqZlcImg}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.nbqZlcImg.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="nbqZlcImg" class="nbqZlcImg" value="${img}">
                                    </div>
                                    <c:set var="nbqZlcImgCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.open_way_voltage_imgs.status eq '1' || formSet.columns.open_way_voltage_imgs_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.open_way_voltage_imgs.status eq '1'}">
                              开路电压图
                            </c:when>
                            <c:when test="${formSet.columns.open_way_voltage_imgs_03.status eq '1'}">
                              逆变器安装图-组串开路电压照片
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv24">
                                <c:set var="openWayVoltageImgsCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.openWayVoltageImgs}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.openWayVoltageImgs.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="openWayVoltageImgs" class="openWayVoltageImgs" value="${img}">
                                    </div>
                                    <c:set var="openWayVoltageImgsCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.nbq_zb_img.status eq '1' || formSet.columns.nbq_zb_img_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.nbq_zb_img.status eq '1'}">
                              并网箱逆变器整体照片
                            </c:when>
                            <c:when test="${formSet.columns.nbq_zb_img_03.status eq '1'}">
                              并网箱安装图-外观及走线（离地高度）
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv20">
                                <c:set var="nbqZbImgCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.nbqZbImg}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.nbqZbImg.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="nbqZbImg" class="nbqZbImg" value="${img}">
                                    </div>
                                    <c:set var="nbqZbImgCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_imgs8.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、并网箱逆变器防雨罩照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv64">
                                <c:set var="otherImgs8Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.otherImgs8}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs8.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="otherImgs8" class="otherImgs8" value="${img}">
                                    </div>
                                    <c:set var="otherImgs8Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bw_inner_img.status eq '1' || formSet.columns.bw_inner_img_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.bw_inner_img.status eq '1'}">
                              并网箱内部照片
                            </c:when>
                            <c:when test="${formSet.columns.bw_inner_img_03.status eq '1'}">
                              并网箱安装图-并网箱内部全景
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv18">
                                <c:set var="bwInnerImgCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.bwInnerImg}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.bwInnerImg.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="bwInnerImg" class="bwInnerImg" value="${img}">
                                    </div>
                                    <c:set var="bwInnerImgCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.bw_jd_img.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、并网箱安装图-接地情况</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv39">
                                <c:set var="bwJdImgCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.bwJdImg}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.bwJdImg.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="bwJdImg" class="bwJdImg" value="${img}">
                                    </div>
                                    <c:set var="bwJdImgCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.fix_other_img.status eq '1' || formSet.columns.fix_other_img_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.fix_other_img.status eq '1'}">
                              线缆下墙照片
                            </c:when>
                            <c:when test="${formSet.columns.fix_other_img_03.status eq '1'}">
                              线缆走向（屋顶、下墙）、线缆保护管（或桥架）敷设及固定照片
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv16">
                                <c:set var="fixOtherImgCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.fixOtherImg}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.fixOtherImg.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="fixOtherImg" class="fixOtherImg" value="${img}">
                                    </div>
                                    <c:set var="fixOtherImgCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.size_measure_imgs.status eq '1' || formSet.columns.size_measure_imgs_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.size_measure_imgs.status eq '1'}">
                              屋顶线缆安装照片
                            </c:when>
                            <c:when test="${formSet.columns.size_measure_imgs_03.status eq '1'}">
                              电缆桥架内部电缆照片
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv155">
                                <c:set var="sizeMeasureImgsCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.sizeMeasureImgs}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.sizeMeasureImgs.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="sizeMeasureImgs" class="sizeMeasureImgs" value="${img}">
                                    </div>
                                    <c:set var="sizeMeasureImgsCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img8.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、接地极图-并网箱、逆变器安装接地极</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv52">
                                <c:set var="jdImg8Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg8}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg8.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg8" class="jdImg8" value="${img}">
                                    </div>
                                    <c:set var="jdImg8Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img5.status eq '1' || formSet.columns.jd_img5_03.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、
                          <c:choose>
                            <c:when test="${formSet.columns.jd_img5.status eq '1'}">
                              支架接地电阻照片
                            </c:when>
                            <c:when test="${formSet.columns.jd_img5_03.status eq '1'}">
                              接地极图-支架接地电阻阻值（近景）
                            </c:when>
                          </c:choose>
                        </td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv29">
                                <c:set var="jdImg5Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg5}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg5.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg5" class="jdImg5" value="${img}">
                                    </div>
                                    <c:set var="jdImg5Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img11.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、接地极图-支架接地电阻测量照片（远景）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv55">
                                <c:set var="jdImg11Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg11}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg11.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg11" class="jdImg11" value="${img}">
                                    </div>
                                    <c:set var="jdImg11Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img9.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、接地极图-并网箱、逆变器安装接地电阻阻值（近景）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv53">
                                <c:set var="jdImg9Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg9}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg9.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg9" class="jdImg9" value="${img}">
                                    </div>
                                    <c:set var="jdImg9Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img12.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、接地极图-并网箱、逆变器安装接地电阻测量照片（远景）</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv56">
                                <c:set var="jdImg12Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg12}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg12.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg12" class="jdImg12" value="${img}">
                                    </div>
                                    <c:set var="jdImg12Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                              <div class="upload-container uploader56 <c:if test="${jdImg12Count >=15}">hide</c:if>" id="uploader56">
                                <img src="" alt="img placeholder" id="jdImg12">
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img10.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、接地极图-接地引下线警示做法</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv54">
                                <c:set var="jdImg10Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg10}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg10.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg10" class="jdImg10" value="${img}">
                                    </div>
                                    <c:set var="jdImg10Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                              <div class="upload-container uploader54 <c:if test="${jdImg10Count >=15}">hide</c:if>" id="uploader54">
                                <img src="" alt="img placeholder" id="jdImg10">
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.fs_img1.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、防水措施图-横竖向水槽</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv57">
                                <c:set var="fsImg1Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.fsImg1}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.fsImg1.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="fsImg1" class="fsImg1" value="${img}">
                                    </div>
                                    <c:set var="fsImg1Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                              <div class="upload-container uploader57 <c:if test="${fsImg1Count >=15}">hide</c:if>" id="uploader57">
                                <img src="" alt="img placeholder" id="fsImg1">
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.fs_img2.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、防水措施图-落水管走向及其固定</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv58">
                                <c:set var="fsImg2Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.fsImg2}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.fsImg2.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="fsImg2" class="fsImg2" value="${img}">
                                    </div>
                                    <c:set var="fsImg2Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.fs_img3.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、防水措施图-其他图片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv59">
                                <c:set var="fsImg3Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.fsImg3}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.fsImg3.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="fsImg3" class="fsImg3" value="${img}">
                                    </div>
                                    <c:set var="fsImg3Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.jd_img6.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、电气接地电阻照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv30">
                                <c:set var="jdImg6Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.jdImg6}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.jdImg6.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="jdImg6" class="jdImg6" value="${img}">
                                    </div>
                                    <c:set var="jdImg6Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_imgs5.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、水槽细节照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv61">
                                <c:set var="otherImgs5Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.otherImgs5}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs5.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="otherImgs5" class="otherImgs5" value="${img}">
                                    </div>
                                    <c:set var="otherImgs5Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_imgs6.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、落水管照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv62">
                                <c:set var="otherImgs6Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.otherImgs6}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs6.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="otherImgs6" class="otherImgs6" value="${img}">
                                    </div>
                                    <c:set var="otherImgs6Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_imgs7.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、假梁-斜梁方向照片</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv63">
                                <c:set var="otherImgs7Count" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.otherImgs7}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.otherImgs7.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="otherImgs7" class="otherImgs7" value="${img}">
                                    </div>
                                    <c:set var="otherImgs7Count" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>

                    <c:if test="${formSet.columns.zj_report.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、自检记录报告(1张)</td>
                        <td width="80%">
                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex">
                              <div id="imgsDiv31">
                                <c:set var="zjReportCount" value="0"/>
                                <c:if test="${not empty projectList.columns.acceptReport.zjReport}">
                                  <c:forEach var="img" items="${projectList.columns.acceptReport.zjReport.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <img src="${commonStaticImgPath}${img}" height="700" width="1200">
                                      <input type="hidden" name="zjReport" class="zjReport" value="${img}">
                                    </div>
                                    <c:set var="zjReportCount" value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.other_files.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、 其他资料</td>
                        <td width="80%">
                          <div class="layui-input-inline img-box" style="margin-left: 20px;">
                            <div style="display: flex">
                              <div id="imgsDiv32">
                                <c:set var="otherFilesCount" value="${otherFilesCount}"/>
                                <c:if test="${not empty projectList.columns.acceptReport.otherFiles}">
                                  <c:forEach items="${projectList.columns.acceptReport.otherFiles}" var="file" varStatus="vs">
                                    <div>
                                      <a style="color:#2890ac;" href="${commonStaticImgPath}${file}" download="${file}" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                      <input type="hidden" name="otherFiles" class="otherFiles" value="${file}">
                                    </div>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.supplement_video_url.status eq '1'}">
                      <tr style="height: 100px">
                        <td width="15%">${indexNum}、补充视频
                        </td>
                        <td width="80%">

                          <div class="layui-input-block img-box" style="margin-left: 20px;">
                            <div style="display: flex;flex-wrap: wrap;">
                              <div id="imgsDiv67">
                                <c:if test="${not empty projectList.columns.acceptReport.supplementVideoUrl}">
                                  <c:forEach var="quaim" items="${projectList.columns.acceptReport.supplementVideoUrl.split(',')}" varStatus="vs">
                                    <div class="bj-img imgSpan">
                                      <video controls
                                             src="${commonStaticImgPath}${quaim}"
                                             height="80px" width="80px"></video>
                                      <input type="hidden" name="supplementVideoUrl" class="supplementVideoUrl"
                                             value="${quaim}">
                                    </div>
                                    <c:set var="videoCount"
                                           value="${vs.count}"/>
                                  </c:forEach>
                                </c:if>
                              </div>
                            </div>
                          </div>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                    <c:if test="${formSet.columns.complete_remark.status eq '1'}">
                      <tr style="height: 50px">
                        <td width="15%">${indexNum}、完工备注</td>
                        <td width="80%">
                          <c:if test="${formSet.columns.filing_document_code.status eq '1'}">
                            <div class="layui-col-lg6 layui-col-sm6 ">
                              <div class="layui-input-block">
                                <input type="text" name="completeRemark" id="completeRemark" autocomplete="off" disabled value="${projectList.columns.acceptReport.completeRemark}" class="layui-input">
                              </div>
                            </div>
                          </c:if>
                        </td>
                        <c:set var="indexNum" value="${indexNum+1}"/>
                      </tr>
                    </c:if>
                  </table>
                </div>
              </div>
            </div>
          </c:forEach>

        </div>
      </div>
      <div class="layui-tab-content layui-hide scrollDiv">
        <c:if test="${empty customerEntry.tenantType or customerEntry.tenantType eq '1'}">
          <div class="layui-form-item layui-row ">
            <div class="layui-col-sm3 layui-col-md3">
              <label class="layui-form-label">业主姓名：</label>
              <span class="form-span">
                  ${customerEntry.tenantName}
              </span>
            </div>
            <div class="layui-col-sm3 layui-col-md3">
              <label class="layui-form-label">性别：</label>
              <span class="form-span">
                             <c:choose>
                               <c:when test="${customerEntry.gender eq 'MALE'}">
                                 男
                               </c:when>
                               <c:when test="${customerEntry.gender eq 'FEMALE'}">
                                 女
                               </c:when>
                               <c:when test="${customerEntry.gender eq 'UNKNOW'}">
                                 未知
                               </c:when>
                             </c:choose>
                        </span>
            </div>
            <div class="layui-col-sm3 layui-col-md3">
              <label class="layui-form-label">年龄：</label>
              <span class="form-span">
                  ${customerEntry.age}
              </span>
            </div>
            <div class="layui-col-sm3 layui-col-md3">
              <label class="layui-form-label">联系方式：</label>
              <span class="form-span">
                  ${mobile}
              </span>
            </div>
            <div class="layui-col-sm3 layui-col-md3">
              <label class="layui-form-label">身份证号：</label>
              <span class="form-span">
                  ${idCode}
              </span>
            </div>

            <div class="layui-col-sm9 layui-col-md9">
              <label class="layui-form-label">安装地址：</label>
              <span class="form-span">
                  <c:choose>
                    <c:when test="${customerEntry.province eq customerEntry.city}">
                      ${customerEntry.province}${customerEntry.area}${customerEntry.address}
                    </c:when>
                    <c:otherwise>
                      ${customerEntry.province}${customerEntry.city}${customerEntry.area}${customerEntry.address}
                    </c:otherwise>
                  </c:choose>
              </span>
            </div>

              <%--<div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label">账户名称：</label>
                            <span class="form-span">
                                    ${customerEntry.bankName}
                            </span>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label">银行账号：</label>
                            <span class="form-span">
                                    ${customerEntry.bankCode}
                            </span>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label">开户行：</label>
                            <span class="form-span">
                                    ${customerEntry.tssBankNumName}
                            </span>
                        </div>

                        <div class="layui-col-xs12"></div>
                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">划转方式：</label>
                            <span class="form-span">
                             <c:if test="${surveyRecord.repaymentMethod eq '1'}">二类卡</c:if>
                            <c:if test="${surveyRecord.repaymentMethod eq '2'}">光E宝</c:if>
                            <c:if test="${surveyRecord.repaymentMethod eq '0'}">其他</c:if>
                        </span>
                        </div>

                        <div class="layui-col-sm3 layui-col-md3">
                            <label class="layui-form-label">二类卡号：</label>
                            <span class="form-span">
                                <c:if test="${not empty card}">${card.accountCode}</c:if>
                            </span>
                        </div>--%>


            <div class="layui-col-xs12"></div>


            <div class="layui-col-lg3 layui-col-sm3">
              <label class="layui-form-label">身份证：</label>
              <div class="layui-input-block img-box">
                <div>
                  <div id="imgsDiv14">
                    <c:if test="${not empty customerEntry.idCardFront}">
                      <div class="bj-img imgSpan">
                        <img src="${commonStaticImgPath}${customerEntry.idCardFront}" height="700" width="1200"/>
                        <input type="hidden" class="id-card-front" value="${customerEntry.idCardFront}"/>
                      </div>
                    </c:if>
                  </div>
                  <div class="upload-container <c:if test="${not empty customerEntry.idCardFront}">hide</c:if>" id="uploader14">
                    <img src="" alt="img placeholder" id="imgsAdd14">
                  </div>
                  <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                </div>
                <div>
                  <div id="imgsDiv15">
                    <c:if test="${not empty customerEntry.idCardBack}">
                      <div class="bj-img imgSpan">
                        <img src="${commonStaticImgPath}${customerEntry.idCardBack}" height="700" width="1200"/>
                        <input type="hidden" class="id-card-back" value="${customerEntry.idCardBack}"/>
                      </div>
                    </c:if>
                  </div>
                  <div class="upload-container <c:if test="${not empty customerEntry.idCardBack}">hide</c:if>" id="uploader15">
                    <img src="" alt="img placeholder" id="imgsAdd15">
                  </div>
                  <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                </div>
              </div>
            </div>

            <div class="layui-col-lg3 layui-col-sm3" style="margin-bottom: 24px">
              <label class="layui-form-label" style="width: 140px">户口本复印件：</label>
              <div class="layui-input-block img-box" style="margin-left: 140px">
                <div>
                  <div>
                    <c:if test="${not empty customerEntry.residenceBooklet}">
                      <c:forEach var="quaim" items="${customerEntry.residenceBooklet.split(',')}" varStatus="vs">
                        <div class="bj-img imgSpan">
                          <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                          <input type="hidden" class="residenceBooklet" value="${quaim}"/>
                        </div>
                      </c:forEach>
                    </c:if>
                  </div>
                  <div class="upload-container <c:if test="${not empty customerEntry.residenceBooklet}">hide</c:if>">
                    <img src="" alt="img placeholder" >
                  </div>
                </div>
              </div>
            </div>

            <div class="layui-col-lg9 layui-col-sm9" style="margin-bottom: 24px">
              <label class="layui-form-label">房产证明：</label>
              <div class="layui-input-block img-box">
                <div>
                  <div>
                    <c:if test="${not empty surveyRecord.houseOwnership}">
                      <c:forEach items="${surveyRecord.houseOwnership}" var="img">
                        <div class="bj-img imgSpan">
                          <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                        </div>
                      </c:forEach>
                    </c:if>
                  </div>
                  <div class="upload-container <c:if test="${not empty surveyRecord.houseOwnership}">hide</c:if>">
                    <img src="" alt="img placeholder">
                  </div>
                </div>
              </div>
            </div>

            <div class="layui-col-lg9 layui-col-sm9" style="margin-bottom: 24px">
              <label class="layui-form-label">银行卡照片：</label>
              <div class="layui-input-block img-box">
                <div>
                  <div>
                    <c:if test="${not empty customerEntry.bankCard}">
                      <div class="bj-img imgSpan">
                        <img src="${commonStaticImgPath}${customerEntry.bankCard}" height="700" width="1200"/>
                        <input type="hidden" class="bankCard" value="${customerEntry.bankCard}"/>
                      </div>
                    </c:if>
                  </div>
                  <div class="upload-container <c:if test="${not empty customerEntry.bankCard}">hide</c:if>">
                    <img src="" alt="img placeholder">
                  </div>
                </div>
              </div>
            </div>

            <div class="layui-col-xs12"></div>
            <div class="layui-col-lg3 layui-col-sm3">
              <label class="layui-form-label">银行账户名：</label>
              <span class="form-span">
                  ${customerEntry.bankName}
              </span>
            </div>
            <div class="layui-col-lg3 layui-col-sm3">
              <label class="layui-form-label">银行账户：</label>
              <span class="form-span">
                  ${customerEntry.bankCode}
              </span>
            </div>
            <div class="layui-col-xs12"></div>
            <div class="layui-col-lg3 layui-col-sm3">
              <label class="layui-form-label">开户行：</label>
              <span class="form-span">
                  ${customerEntry.tssBankNumName}
              </span>
            </div>

            <div class="layui-col-xs12"></div>
            <div class="layui-col-sm3 layui-col-md3">
              <label class="layui-form-label">划转方式：</label>
              <span class="form-span">
                             <c:if test="${surveyRecord.repaymentMethod eq '1'}">二类卡</c:if>
                            <c:if test="${surveyRecord.repaymentMethod eq '2'}">光E宝</c:if>
                            <c:if test="${surveyRecord.repaymentMethod eq '0'}">其他</c:if>
                        </span>
            </div>


            <c:if test="${surveyRecord.repaymentMethod ne '0'}">
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">账号名称：</label>
                <span class="form-span">
                                <c:if test="${not empty card}">${card.name}</c:if>
                            </span>

              </div>
              <c:if test="${surveyRecord.repaymentMethod ne '0'}">
                <div class="layui-col-lg3 layui-col-sm3">
                  <label class="layui-form-label">二类卡号：</label>
                  <span class="form-span">
                                <c:if test="${not empty card}">${card.accountCode}</c:if>
                            </span>

                </div>
              </c:if>
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">联行号：</label>
                <span class="form-span">${card.openBankNumber}</span>


              </div>
            </c:if>

            <div class="layui-col-xs12"></div>
            <c:if test="${customerEntry.age>=65}">
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">共签人名称：</label>
                <span class="form-span">
                    ${customerEntry.bpName}
                </span>
              </div>
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">证件号码：</label>
                <span class="form-span">
                    ${customerEntry.bpIdCard}
                </span>
              </div>
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">手机号：</label>
                <span class="form-span">
                    ${customerEntry.bpMobile}
                </span>
              </div>
            </c:if>

            <c:if test="${customerEntry.age>=65}">
              <div class="layui-col-lg4 layui-col-sm4">
                <label class="layui-form-label">共签人身份证：</label>
                <div class="layui-input-block img-box">
                  <div>
                    <div>
                      <c:if test="${not empty customerEntry.bpCardFront}">
                        <div class="bj-img imgSpan">
                          <img src="${commonStaticImgPath}${customerEntry.bpCardFront}" height="700" width="1200"/>
                          <input type="hidden" value="${customerEntry.bpCardFront}"/>
                        </div>
                      </c:if>
                    </div>
                    <div class="upload-container <c:if test="${not empty customerEntry.bpCardFront}">hide</c:if>" >
                      <img src="" alt="img placeholder" >
                    </div>
                    <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                  </div>
                  <div>
                    <div>
                      <c:if test="${not empty customerEntry.bpCardBack}">
                        <div class="bj-img imgSpan">
                          <img src="${commonStaticImgPath}${customerEntry.bpCardBack}" height="700" width="1200"/>
                          <input type="hidden" value="${customerEntry.bpCardBack}"/>
                        </div>
                      </c:if>
                    </div>
                    <div class="upload-container <c:if test="${not empty customerEntry.bpCardBack}">hide</c:if>" >
                      <img src="" alt="img placeholder" >
                    </div>
                    <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                  </div>
                </div>
              </div>
              <div class="layui-col-lg4 layui-col-sm4">
                <label class="layui-form-label" style="width: 140px">共签人子女证明材料：</label>
                <div class="layui-input-block img-box" style="margin-left: 140px">
                  <div>
                    <div>

                      <c:if test="${not empty customerEntry.bpFile}">
                        <c:forEach var="quaim" items="${customerEntry.bpFile.split(',')}" varStatus="vs">
                          <div class="bj-img imgSpan">
                              <%--                          <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader32')"></span>--%>
                            <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                            <input type="hidden" class="bpFile" value="${quaim}"/>
                          </div>
                        </c:forEach>
                      </c:if>

                    </div>
                    <div class="upload-container <c:if test="${not empty customerEntry.bpFile}">hide</c:if>">
                      <img src="" alt="img placeholder">
                    </div>
                  </div>
                </div>
              </div>
            </c:if>

          </div>
        </c:if>
        <c:if test="${customerEntry.tenantType eq '2'}">
          <div class="layui-form-item layui-row">
            <div class="layui-col-sm4 layui-col-md4">
              <label class="layui-form-label">单位名称：</label>
              <span class="form-span">
                  ${customerEntry.tenantName}
              </span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
              <label class="layui-form-label">信用代码：</label>
              <span class="form-span">
                  ${customerEntry.regno}
              </span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
              <label class="layui-form-label">联系方式：</label>
              <span class="form-span">
                  ${mobile}
              </span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
              <label class="layui-form-label">负责人姓名：</label>
              <span class="form-span">
                  ${customerEntry.corp}
              </span>
            </div>
            <div class="layui-col-sm4 layui-col-md4">
              <label class="layui-form-label">证件号码：</label>
              <span class="form-span">
                  ${idCode}
              </span>
            </div>
            <div class="layui-col-lg12 layui-col-sm12"></div>
            <div class="layui-col-lg4 layui-col-sm4">
              <label class="layui-form-label w-120">负责人身份证：</label>
              <div class="layui-input-block img-box ml-120">
                <div>
                  <div>
                    <c:if test="${not empty customerEntry.idCardFront}">
                      <div class="bj-img imgSpan">
                        <img src="${commonStaticImgPath}${customerEntry.idCardFront}" height="700" width="1200"/>
                      </div>
                    </c:if>
                  </div>
                  <div class="upload-container <c:if test="${not empty customerEntry.idCardFront}">hide</c:if>">
                    <img src="" alt="img placeholder">
                  </div>
                  <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                </div>
                <div>
                  <div>
                    <c:if test="${not empty customerEntry.idCardBack}">
                      <div class="bj-img imgSpan">
                        <img src="${commonStaticImgPath}${customerEntry.idCardBack}" height="700" width="1200"/>
                      </div>
                    </c:if>
                  </div>
                  <div class="upload-container <c:if test="${not empty customerEntry.idCardBack}">hide</c:if>">
                    <img src="" alt="img placeholder">
                  </div>
                  <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                </div>
              </div>
            </div>
            <div class="layui-col-lg4 layui-col-sm4" style="margin-bottom: 24px">
              <label class="layui-form-label" style="width: 140px">营业执照：</label>
              <div class="layui-input-block img-box" style="margin-left: 140px">
                <div>
                  <div>
                    <c:if test="${not empty orgFiles and not empty orgFiles.regnoUrl}">
                      <div class="bj-img imgSpan">
                        <img src="${commonStaticImgPath}${orgFiles.regnoUrl}" height="700" width="1200"/>
                      </div>
                    </c:if>
                  </div>
                  <div class="upload-container <c:if test="${not empty orgFiles.regnoUrl}">hide</c:if>">
                    <img src="" alt="img placeholder" >
                  </div>
                </div>
              </div>
            </div>
          </div>
        </c:if>
      </div>


      <c:if test="${not empty customerEntry.designAuditFlag && '1' ne customerEntry.designAuditFlag && '0' ne customerEntry.designAuditFlag}">
        <div class="layui-tab-content layui-hide scrollDiv">
          <div class="layui-form-item layui-row">
            <div class="layui-col-sm6 layui-col-md6">
              <label class="layui-form-label">安装地址：</label>
              <span class="form-span">
                  <c:choose>
                    <c:when test="${customerEntry.province eq customerEntry.city}">
                      ${customerEntry.province}${customerEntry.area}${customerEntry.address}
                    </c:when>
                    <c:otherwise>
                      ${customerEntry.province}${customerEntry.city}${customerEntry.area}${customerEntry.address}
                    </c:otherwise>
                  </c:choose>
              </span>
            </div>
            <c:if test="${info2.columns.seal_roof.status eq '1'}">
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">是否封屋顶：</label>
                <span class="form-span">${'1' eq surveyRecord.sealRoof ?'是':'否'}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.angle_azimuth.status eq '1'}">
              <div class="layui-col-sm3 layui-col-md3">
                <label class="layui-form-label">方位角：</label>
                <div class="form-span" style="display: flex">
                  <c:forEach items="${angleAzimuthList}" var="angleAzimuth" >
                    <option value="${angleAzimuth.columns.dict_key}" <c:if test="${surveyRecord.azimuth eq angleAzimuth.columns.dict_key}">selected</c:if>>${angleAzimuth.columns.dict_value}</option>
                  </c:forEach>
                  <c:if test="${customerEntry.partnerId ne '03' && not empty surveyRecord.angle}">
                    <div style="flex: 1" >&nbsp;&nbsp;${surveyRecord.angle}度</div>
                  </c:if>
                </div>
              </div>
            </c:if>

            <div class="layui-col-sm3 layui-col-md3">
              <c:choose>
                <c:when test="${info2.columns.completion_year_03.status eq '1'}">
                  <label class="layui-form-label">建筑年限：</label>
                </c:when>
                <c:when test="${info2.columns.completion_year.status eq '1'}">
                  <label class="layui-form-label">房屋建成年份：</label>
                </c:when>
              </c:choose>
              <span class="form-span">${surveyRecord.completionYear}</span>
            </div>

            <div class="layui-col-sm3 layui-col-md3">
              <label class="layui-form-label">建筑高度：</label>
              <span class="form-span">
                                ${surveyRecord.buildingHeight} ${empty surveyRecord.buildingHeight ? "" : "米"}
                            </span>
            </div>

            <c:if test="${surveyRecord.roofType eq '斜屋顶'}">
              <c:if test="${info2.columns.slope_gradient.status eq '1'}">
                <div class="layui-col-lg3 layui-col-sm3">
                  <label class="layui-form-label">屋面坡度：</label>
                  <span class="form-span">${surveyRecord.slopeGradient}${empty surveyRecord.slopeGradient ? "" : "度"}</span>
                </div>
              </c:if>

              <c:if test="${info2.columns.purline_interval.status eq '1'}">
                <div class="layui-col-lg3 layui-col-sm3">
                  <label class="layui-form-label">檩条间距：</label>
                  <span class="form-span">${surveyRecord.purlineInterval}${empty surveyRecord.purlineInterval ? "" : "米"}</span>
                </div>
              </c:if>
            </c:if>

            <c:if test="${info2.columns.waterproof.status eq '1'}">
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">屋顶防水情况：</label>
                <span class="form-span">${'1' eq surveyRecord.waterproof ?'一般':'良好'}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.source_pollution.status eq '1'}">
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">是否有污染源：</label>
                <span class="form-span">${'1' eq surveyRecord.sourcePollution ?'有':'没有'}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.ops_condition.status eq '1'}">
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label" style="width: 140px">是否具备运维空间：</label>
                <span class="form-span">${'1' eq surveyRecord.opsCondition ?'具备':'不具备'}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.voltage_classes.status eq '1'}">
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">并网电压等级：</label>
                <span class="form-span"><fmt:formatNumber value="${surveyRecord.voltageClasses}"></fmt:formatNumber>${empty surveyRecord.voltageClasses?'':'V'}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.transformer_capacity.status eq '1'}">
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label">变压器容量：</label>
                <span class="form-span">${surveyRecord.transformerCapacity}${empty surveyRecord.transformerCapacity?'':'kVA'}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.restrict_flag.status eq '1'}">
              <div class="layui-col-lg3 layui-col-sm3">
                <label class="layui-form-label" style="width: 210px">是否符合变压器容量限制要求：</label>
                <span class="form-span">${'1' eq surveyRecord.restrictFlag?'符合':'不符合'}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.distance.status eq '1'}">
              <div class="layui-col-sm3 layui-col-md3">
                <label class="layui-form-label">并网距离：</label>
                <span class="form-span">${surveyRecord.distance} ${empty surveyRecord.distance ? "" : "米"}</span>
              </div>
            </c:if>


<%--            <div class="layui-col-lg3 layui-col-sm3">--%>
<%--              <c:choose>--%>
<%--                <c:when test="${info2.columns.dip_angle.status eq '1'}">--%>
<%--                  <label class="layui-form-label">组件倾角：</label>--%>
<%--                </c:when>--%>
<%--                <c:when test="${info2.columns.dip_angle_03.status eq '1'}">--%>
<%--                  <label class="layui-form-label">倾角：</label>--%>
<%--                </c:when>--%>
<%--              </c:choose>--%>
<%--              <span class="form-span">${surveyRecord.dipAngle} ${empty surveyRecord.dipAngle ? "" : "度"}</span>--%>
<%--            </div>--%>

            <c:if test="${info2.columns.remarks.status eq '1'}">
              <div class="layui-col-xs12">
                <label class="layui-form-label">备注：</label>
                <span class="form-span">
                    ${customerEntry.remarks}
                </span>
              </div>
            </c:if>

            <c:if test="${info2.columns.ew_length.status eq '1'}">
              <div class="layui-col-sm3 layui-col-md3">
                <label class="layui-form-label">东西长：</label>
                <span class="form-span">${surveyRecord.ewLength} ${empty surveyRecord.ewLength ? "" : "米"}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.ns_wide.status eq '1'}">
              <div class="layui-col-sm3 layui-col-md3">
                <label class="layui-form-label">南北宽：</label>
                <span class="form-span">${surveyRecord.nsWide} ${empty surveyRecord.nsWide ? "" : "米"}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.roof_area.status eq '1'}">
              <div class="layui-col-sm3 layui-col-md3">
                <label class="layui-form-label">屋顶面积：</label>
                <span class="form-span">${surveyRecord.roofArea} ${empty surveyRecord.roofArea ? "" : "㎡"}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.longitude.status eq '1'}">
              <div class="layui-col-sm3 layui-col-md3">
                <label class="layui-form-label">经度：</label>
                <span class="form-span">${customerEntry.longitude}</span>
              </div>
            </c:if>

            <c:if test="${info2.columns.latitude.status eq '1'}">
              <div class="layui-col-sm3 layui-col-md3">
                <label class="layui-form-label">纬度：</label>
                <span class="form-span">${customerEntry.latitude}</span>
              </div>
            </c:if>

          </div>
          <blockquote class="layui-elem-quote">勘测反馈信息</blockquote>
          <div class="layui-tab layui-tab-brief custom-tab" id="surveyImgTab" lay-filter="docDemoTabBriefSurvey">
            <ul class="layui-tab-title" id="surveyImgUl">
              <c:forEach items="${projectDetailList}" var="entryProject" varStatus="vs">
                <li class=" <c:if test="${vs.index eq 0}">layui-this</c:if>" id="${entryProject.columns.projectCode}">
                  <c:choose>
                    <c:when test="${not empty entryProject.columns.roofType}">
                      ${entryProject.columns.roofType}
                    </c:when>
                    <c:otherwise>
                      ${entryProject.columns.projectName}
                    </c:otherwise>
                  </c:choose>
                </li>
              </c:forEach>
            </ul>
            <c:forEach items="${projectDetailList}" var="entrySurvey" varStatus="vs">
              <div class="layui-tab-content  surveyTabContent <c:if test="${vs.index ne 0}">layui-hide</c:if>" id="surveyImgDiv${vs.index}">
                <c:set var="indexNum" value="1"/>
                <table class="layui-table" style="margin: 0 10px 0 0;margin-bottom: 40px;">
                  <c:if test="${info2.columns.dip_angle.status eq '1' || info2.columns.dip_angle_03.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、
                        <c:choose>
                          <c:when test="${info2.columns.dip_angle.status eq '1'}">
                            组件倾角：
                          </c:when>
                          <c:when test="${info2.columns.dip_angle_03.status eq '1'}">
                            倾角：
                          </c:when>
                        </c:choose>
                      </td>
                      <td width="80%">
                        <div class="layui-input-inline">
                          <div style="display: flex;flex-wrap: wrap;margin-left: 20px;">
                            <div class="layui-input-inline">
                              <input type="text" name="dipAngle" id="dipAngle" class="layui-input dipAngle" disabled
                                     value="${entrySurvey.columns.dipAngle}">
                              <span class="pos-a h-32 lh-32 layui-span-unit">度</span>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                  <c:if test="${info2.columns.fly_imgs.status eq '1' || info2.columns.fly_imgs_04.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、
                        <c:choose>
                          <c:when test="${info2.columns.fly_imgs.status eq '1'}">
                            无人机航拍图
                          </c:when>
                          <c:when test="${info2.columns.fly_imgs_04.status eq '1'}">
                            屋顶高空俯视照片
                          </c:when>
                        </c:choose>
                      </td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="flyImgsDiv">
                              <c:if test="${not empty entrySurvey.columns.flyImgs}">
                                <c:forEach var="quaim" items="${entrySurvey.columns.flyImgs.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="flyImgs" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.flyImgs}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.roof_photo_one.status eq '1' || info2.columns.roof_photo_one_03.status eq '1'}">
                    <tr style="height: 100px">
                      <c:choose>
                        <c:when test="${info2.columns.roof_photo_one.status eq '1'}">
                          <td width="15%">${indexNum}、整体照片</td>
                        </c:when>
                        <c:when test="${info2.columns.roof_photo_one_03.status eq '1'}">
                          <td width="15%">${indexNum}、房屋屋顶照片</td>
                        </c:when>
                      </c:choose>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="roofPhotoOneDiv">
                              <c:if test="${not empty entrySurvey.columns.roofPhotoOne}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.roofPhotoOne.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="roofPhotoOne" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.roofPhotoOne}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.roof_photo_two.status eq '1' || info2.columns.roof_photo_two_03.status eq '1' || info2.columns.roof_photo_two_04.status eq '1'}">
                    <tr style="height: 100px">
                      <c:choose>
                        <c:when test="${info2.columns.roof_photo_two.status eq '1'}">
                          <td width="15%">${indexNum}、东南角照片</td>
                        </c:when>
                        <c:when test="${info2.columns.roof_photo_two_03.status eq '1'}">
                          <td width="15%">${indexNum}、房屋屋顶东侧图片</td>
                        </c:when>
                        <c:when test="${info2.columns.roof_photo_two_04.status eq '1'}">
                          <td width="15%">${indexNum}、屋顶东南照片</td>
                        </c:when>
                      </c:choose>
                      <td width="80%">

                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="roofPhotoTwoDiv">
                              <c:if test="${not empty entrySurvey.columns.roofPhotoTwo}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.roofPhotoTwo.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="roofPhotoTwo" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.roofPhotoTwo}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>

                  </c:if>

                  <c:if test="${info2.columns.roof_photo_four.status eq '1' || info2.columns.roof_photo_four_03.status eq '1' || info2.columns.roof_photo_four_04.status eq '1'}">
                    <tr style="height: 100px">
                      <c:choose>
                        <c:when test="${info2.columns.roof_photo_four.status eq '1'}">
                          <td width="15%">${indexNum}、正南照片</td>
                        </c:when>
                        <c:when test="${info2.columns.roof_photo_four_03.status eq '1'}">
                          <td width="15%">${indexNum}、房屋屋顶南侧图片</td>
                        </c:when>
                        <c:when test="${info2.columns.roof_photo_four_04.status eq '1'}">
                          <td width="15%">${indexNum}、屋顶正南照片</td>
                        </c:when>
                      </c:choose>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="roofPhotoFourDiv">
                              <c:if test="${not empty entrySurvey.columns.roofPhotoFour}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.roofPhotoFour.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="roofPhotoFour" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.roofPhotoFour}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.roof_photo_three.status eq '1' || info2.columns.roof_photo_three_03.status eq '1' || info2.columns.roof_photo_three_04.status eq '1'}">
                    <tr style="height: 100px">
                      <c:choose>
                        <c:when test="${info2.columns.roof_photo_three.status eq '1'}">
                          <td width="15%">${indexNum}、西南角照片</td>
                        </c:when>
                        <c:when test="${info2.columns.roof_photo_three_03.status eq '1'}">
                          <td width="15%">${indexNum}、房屋屋顶西侧图片</td>
                        </c:when>
                        <c:when test="${info2.columns.roof_photo_three_04.status eq '1'}">
                          <td width="15%">${indexNum}、屋顶西南照片</td>
                        </c:when>
                      </c:choose>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="roofPhotoThreeDiv">
                              <c:if test="${not empty entrySurvey.columns.roofPhotoThree}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.roofPhotoThree.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="roofPhotoThree"
                                           value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.roofPhotoThree}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                  <c:if test="${info2.columns.fw_img3.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、房屋屋顶东南侧照片</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="fwImg3Div">
                              <c:if test="${not empty entrySurvey.columns.fwImg3}">
                                <c:forEach var="quaim"  items="${entrySurvey.columns.fwImg3.split(',')}"  varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                    <input type="hidden" class="fwImg3" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.fwImg3}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                  <c:if test="${info2.columns.fw_img4.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、房屋屋顶西南侧照片</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="fwImg4Div">
                              <c:if test="${not empty entrySurvey.columns.fwImg4}">
                                <c:forEach var="quaim"  items="${entrySurvey.columns.fwImg4.split(',')}"  varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                    <input type="hidden" class="fwImg4" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.fwImg4}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                  <c:if test="${info2.columns.fw_img5.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、遮阴物与房屋距离、高度</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="fwImg5Div">
                              <c:if test="${not empty entrySurvey.columns.fwImg5}">
                                <c:forEach var="quaim"  items="${entrySurvey.columns.fwImg5.split(',')}"  varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                    <input type="hidden" class="fwImg5" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.fwImg5}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                  <c:if test="${info2.columns.roof_photo_five.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、细节照片</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="roofPhotoFiveDiv">
                              <c:if test="${not empty entrySurvey.columns.roofPhotoFive}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.roofPhotoFive.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="roofPhotoFive" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.roofPhotoFive}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.roof_photo_interior.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、内部环境照片</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="roofPhotoInteriorDiv">
                              <c:if test="${not empty entrySurvey.columns.roofPhotoInterior}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.roofPhotoInterior.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="roofPhotoInterior"
                                           value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.roofPhotoInterior}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.roof_photo_facade.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、内部结构照片</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="roofPhotoFacadeDiv">
                              <c:if test="${not empty entrySurvey.columns.roofPhotoFacade}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.roofPhotoFacade.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="roofPhotoFacade"
                                           value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.roofPhotoFacade}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.detail_supplement_one.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、逆变器、配电箱预安装位置照片</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="detailSupplementOneDiv">
                              <c:if test="${not empty entrySurvey.columns.detailSupplementOne}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.detailSupplementOne.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="detailSupplementOne"
                                           value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.detailSupplementOne}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.house_supplement_one.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、其他障碍物照片</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="houseSupplementOneDiv">
                              <c:if test="${not empty entrySurvey.columns.houseSupplementOne}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.houseSupplementOne.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="houseSupplementOne"
                                           value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.houseSupplementOne}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>


                  <c:if test="${info2.columns.house_outline_photo.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、房屋轮廓照片</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="houseOutlinePhotoDiv">
                              <c:if test="${not empty entrySurvey.columns.houseOutlinePhoto}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.houseOutlinePhoto.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="houseOutlinePhoto"
                                           value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.houseOutlinePhoto}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.survey_video.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、踏勘补充证明视频</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div>
                              <c:if test="${not empty entrySurvey.columns.surveyVideo}">
                                <c:forEach var="quaim" items="${entrySurvey.columns.surveyVideo.split(',')}"  varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <video controls
                                           src="${commonStaticImgPath}${quaim}"
                                           height="80px" width="80px"></video>
                                  </div>
                                </c:forEach>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.house_ownership.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、<c:if test="${info2.columns.house_ownership.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房产证图片(1-8张)</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="houseOwnershipDiv">
                              <c:if test="${not empty entrySurvey.columns.houseOwnership}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.houseOwnership.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="houseOwnership"
                                           value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.houseOwnership}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.survey_files.status eq '1' || info2.columns.survey_files_03.status eq '1' || info2.columns.survey_files_04.status eq '1'}">
                    <tr style="height: 100px">
                      <c:choose>
                        <c:when test="${info2.columns.survey_files.status eq '1'}">
                          <td width="15%">${indexNum}、踏勘记录表</td>
                        </c:when>
                        <c:when test="${info2.columns.survey_files_03.status eq '1'}">
                          <td width="15%">${indexNum}、户用勘察记录表（附平面草图）</td>
                        </c:when>
                        <c:when test="${info2.columns.survey_files_04.status eq '1'}">
                          <td width="15%">${indexNum}、现场勘测表</td>
                        </c:when>
                      </c:choose>
                      <td width="80%">
                        <div class="layui-input-inline img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <c:choose>
                              <c:when test="${not empty entrySurvey.columns.surveyFiles}">
                                <c:forEach items="${entrySurvey.columns.surveyFiles}" var="file"
                                           varStatus="vs">
                                  <div <c:if test="${vs.count eq 0}">style="margin-top: 5px"</c:if>>
                                    <a href="${commonStaticImgPath}${file}" download="${file}"
                                       class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                    <a onclick="previewUrl('${commonStaticImgPath}${file}')"
                                       class="download-link">查看</a>
                                  </div>
                                </c:forEach>
                              </c:when>
                            </c:choose>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                  <c:if test="${info2.columns.fw_img1.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、房屋整体图</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="fwImg1Div">
                              <c:if test="${not empty entrySurvey.columns.fwImg1}">
                                <c:forEach var="quaim"  items="${entrySurvey.columns.fwImg1.split(',')}"  varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                    <input type="hidden" class="fwImg1" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.fwImg1}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                  <c:if test="${info2.columns.vr_roof_one.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、房屋整体图（VR全景）</td>
                      <td width="80%">
                        <div style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <c:if test="${not empty entrySurvey.columns.vrRoofOne}">
                              <c:forEach var="quaim"  items="${entrySurvey.columns.vrRoofOne.split(',')}"  varStatus="vs">
                                <div class="bj-img imgSpan">
                                  <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                  <input type="hidden" class="vrRoofOne"  value="${quaim}">
                                </div>
                              </c:forEach>
                            </c:if>
                            <c:if test="${empty entrySurvey.columns.vrRoofOne}">
                              <i class="blank-img"></i>
                            </c:if>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.vr_roof_two.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、房屋整体俯视图（无人机）</td>
                      <td width="80%">
                        <div style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <c:if test="${not empty entrySurvey.columns.vrRoofTwo}">
                              <c:forEach var="quaim"  items="${entrySurvey.columns.vrRoofTwo.split(',')}"  varStatus="vs">
                                <div class="bj-img imgSpan">
                                  <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                  <input type="hidden" class="vrRoofTwo"  value="${quaim}">
                                </div>
                              </c:forEach>
                            </c:if>
                            <c:if test="${empty entrySurvey.columns.vrRoofTwo}">
                              <i class="blank-img"></i>
                            </c:if>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.vr_roof_three.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、房屋内部结构图（VR）</td>
                      <td width="80%">
                        <div  style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <c:if test="${not empty entrySurvey.columns.vrRoofThree}">
                              <c:forEach var="quaim"  items="${entrySurvey.columns.vrRoofThree.split(',')}"  varStatus="vs">
                                <div class="bj-img imgSpan">
                                  <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                  <input type="hidden" class="vrRoofThree"  value="${quaim}">
                                </div>
                              </c:forEach>
                            </c:if>
                            <c:if test="${empty entrySurvey.columns.vrRoofThree}">
                              <i class="blank-img"></i>
                            </c:if>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                  <c:if test="${info2.columns.fw_img2.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、房屋内部结构图</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="fwImg2Div">
                              <c:if test="${not empty entrySurvey.columns.fwImg2}">
                                <c:forEach var="quaim"  items="${entrySurvey.columns.fwImg2.split(',')}"  varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                    <input type="hidden" class="fwImg2" value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.fwImg2}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                  <c:if test="${info2.columns.vr_roof_four.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、 入户全景照片（VR）</td>
                      <td width="80%">
                        <div  style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <c:if test="${not empty entrySurvey.columns.vrRoofFour}">
                              <c:forEach var="quaim"  items="${entrySurvey.columns.vrRoofFour.split(',')}"  varStatus="vs">
                                <div class="bj-img imgSpan">
                                  <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                  <input type="hidden" class="vrRoofFour"  value="${quaim}">
                                </div>
                              </c:forEach>
                            </c:if>
                            <c:if test="${empty entrySurvey.columns.vrRoofFour}">
                              <i class="blank-img"></i>
                            </c:if>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>

                  <c:if test="${info2.columns.vr_roof_four_04.status eq '1'}">
                    <tr style="height: 100px">
                      <td width="15%">${indexNum}、入户全景照片</td>
                      <td width="80%">
                        <div class="layui-input-block img-box" style="margin-left: 20px;">
                          <div style="display: flex;flex-wrap: wrap;">
                            <div id="vrRoofFourDiv">
                              <c:if test="${not empty entrySurvey.columns.vrRoofFour}">
                                <c:forEach var="quaim"
                                           items="${entrySurvey.columns.vrRoofFour.split(',')}"
                                           varStatus="vs">
                                  <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                         width="1200">
                                    <input type="hidden" class="vrRoofFour"
                                           value="${quaim}">
                                  </div>
                                </c:forEach>
                              </c:if>
                              <c:if test="${empty entrySurvey.columns.vrRoofFour}">
                                <i class="blank-img"></i>
                              </c:if>
                            </div>
                          </div>
                        </div>
                      </td>
                      <c:set var="indexNum" value="${indexNum+1}"/>
                    </tr>
                  </c:if>
                </table>
              </div>
            </c:forEach>
          </div>


        </div>
      </c:if>

      <c:if test="${customerEntry.schemeType eq '2' || not empty customerEntry.schemeId}">
        <div class="layui-tab-content layui-hide scrollDiv">
          <iframe class="page-iframe"
                  src="${ctx}/planManage/viewMatchedPlan?&readOnly=1&entryId=${customerEntry.id}"></iframe>
        </div>
      </c:if>
      <c:if test="${!fn:contains('012345fwhi', customerEntry.status)}">
        <div class="layui-tab-content layui-hide scrollDiv">
          <div class="layui-form-item layui-row">
            <div class="layui-col-sm3 layui-col-md3">
              <label class="layui-form-label" style="width: 140px">发电户号：</label>
              <span class="form-span">${customerEntry.generatorNo}</span>
            </div>
            <div class="layui-col-sm3 layui-col-md3">
              <label class="layui-form-label" style="width: 140px">电力公司：</label>
              <span class="form-span">${powerCompany}</span>
            </div>
            <div class="layui-col-lg12 layui-col-sm12">
              <label class="layui-form-label" style="width: 140px">发电并网照片：</label>
                <%--                        yx_img 近3天发电量 geb_img 补充--%>
              <div class="layui-input-block img-box" style="margin-left: 140px">
                <c:if test="${not empty report}">
                  <div>
                    <div>
                      <c:if test="${not empty report.yxImg}">
                        <div class="bj-img imgSpan">
                          <img src="${commonStaticImgPath}${report.yxImg}" height="700" width="1200"/>
                          <input type="hidden" value="${report.yxImg}"/>
                        </div>
                      </c:if>
                    </div>
                    <div class="upload-container <c:if test="${not empty report.yxImg}">hide</c:if>">
                      <img src="" alt="img placeholder">
                    </div>
                    <div style="width: 85px; text-align: center;">近3天发电量</div>
                  </div>
                  <c:if test="${not empty report.gebImg}">
                    <div>
                      <div>
                        <div class="bj-img imgSpan">
                          <img src="${commonStaticImgPath}${report.gebImg}" height="700" width="1200"/>
                          <input type="hidden" value="${report.gebImg}"/>
                        </div>
                      </div>
                      <div style="width: 80px; text-align: center;">补充</div>
                    </div>
                  </c:if>
                </c:if>
              </div>
            </div>
            <div class="layui-col-lg3 layui-col-sm3">
              <label class="layui-form-label" style="width: 140px">购售电地址是否一致：</label>
              <input type="radio" name="addressConsistent" value="Y" title="是" <c:if test="${customerEntry.addressConsistent eq 'Y'}">checked</c:if> disabled/>
              <input type="radio" name="addressConsistent" value="N" title="否" <c:if test="${customerEntry.addressConsistent eq 'N'}">checked</c:if> disabled/>
            </div>
            <div class="layui-col-lg8 layui-col-sm8">
              <label class="layui-form-label" style="width: 140px">购售电地址：</label>
              <span class="form-span">
                  <c:if test="${customerEntry.addressConsistent eq 'Y'}">
                    <c:choose>
                      <c:when test="${customerEntry.province eq customerEntry.city}">
                        ${customerEntry.province}${customerEntry.area}${customerEntry.address}
                      </c:when>
                      <c:otherwise>
                        ${customerEntry.province}${customerEntry.city}${customerEntry.area}${customerEntry.address}
                      </c:otherwise>
                    </c:choose>
                  </c:if>
                  <c:if test="${customerEntry.addressConsistent eq 'N'}">
                    <c:choose>
                      <c:when test="${customerEntry.electricProvince eq customerEntry.electricCity}">
                        ${customerEntry.electricProvince}${customerEntry.electricArea}${customerEntry.electricAddress}
                      </c:when>
                      <c:otherwise>
                        ${customerEntry.electricProvince}${customerEntry.electricCity}${customerEntry.electricArea}${customerEntry.electricAddress}
                      </c:otherwise>
                    </c:choose>
                  </c:if>
              </span>
            </div>
            <div class="layui-col-lg11 layui-col-sm11">
              <label class="layui-form-label" style="width: 140px">保险单：</label>
              <c:forEach items="${insurances}" varStatus="vs" var="insurance">
                            <span class="form-span"><c:if test="${not empty insurance}">${insurance.insurancePolicyName}</c:if>
                        <c:if test="${not empty insurance}">
                          <a target="_blank" href="${commonStaticImgPath}${insurance.insurancePolicy}" style="color: #2890ac;margin-left: 10px;">查看</a>
                        </c:if>
                            </span>
              </c:forEach>
            </div>
            <div class="layui-col-lg11 layui-col-sm11">
              <label class="layui-form-label" style="width: 140px">购售电合同：</label>
              <div class="layui-input-block pos-r view-attachment">
                <c:if test="${not empty customerEntry.contract}"> <a class="h-32 lh-32 layui-span-unit lookBtn" target="_blank" href="${commonStaticImgPath}${customerEntry.contract}" style="color: #2890ac;">查看</a></c:if>
              </div>
            </div>


          </div>
        </div>
      </c:if>
      <div class="layui-tab-content layui-hide scrollDiv">
        <c:forEach items="${optList}" var="opt">
          <p class="layui-form-item mb-10">
          <div class="layui-col-sm3 layui-col-md2"><fmt:formatDate value="${opt.columns.operate_time}" pattern="yyyy-MM-dd HH:mm" /></div>
          <div class="layui-col-sm3 layui-col-md5">${opt.columns.operator}</div>
          <div class="layui-col-sm6 layui-col-md5">${opt.columns.content}</div>
          </p>
        </c:forEach>
      </div>
    </div>
    <div class="layui-col-xs12" style="position: fixed;bottom: 30px;background: #F8F8F8;padding-bottom: 17px">
      <div class="layui-col-lg4 layui-col-sm4">
        <label class="layui-form-label">物料安装状态：</label>
        <div class="layui-input-block">
          <input type="checkbox" name="materialFixFlag" title="安装已完成"
                 lay-skin="primary" <c:if test="${customerEntry.materialFixFlag eq '1' || customerEntry.materialFixFlag == null }">checked</c:if>/>
        </div>
      </div>
      <div class="layui-col-xs12">
        <label class="layui-form-label">验收意见：</label>
        <div class="layui-input-block">
          <textarea name="fixConclusionSh" id="fixConclusionSh" class="layui-textarea" lay-verify="required" style="width: 95.8%;">${report.fixConclusion}</textarea>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="layui-form-item text-c operate-footer" style="background: rgb(255,255,255)">
  <button class="layui-btn TwomergeAcceptTempBtn">暂存</button>
  <button class="layui-btn layui-bg-red fixAcceptRefuseBtn">驳回</button>
  <button class="layui-btn TwoAcceptPassBtn">通过</button>
  <button class="layui-btn layui-btn-primary" onclick="closeSelf()">取消</button>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script src="${ctxPlugin}/lib/base64.js"></script>
<script>
  //图片查看效果
  var viewer = new Viewer(document.getElementById('LAY_app'));

  var layer1;
  layui.config({
    base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index' //主入口模块
  }).use(['index', 'element', 'tableExt', 'jquery', 'layer', 'laypage', 'laydate', 'form'], function () {
    //layui.use(['table','layer','laypage','laydate','form'], function(){
    $ = layui.$;
    tableExt = layui.tableExt;
    layer = layui.layer;
    laypage = layui.laypage;
    laydate = layui.laydate;
    form = layui.form;
    table = tableExt.getLayTable();
    var element = layui.element;

    element.on('tab(docDemoTabBrief)', function (data) {
      $('.scrollDiv').eq(data.index).removeClass('layui-hide').siblings('.scrollDiv').addClass('layui-hide');
    });

    element.on('tab(docDemoTabBriefSurvey)', function (data) {
      console.log(data);
      $('.surveyTabContent').eq(data.index).removeClass('layui-hide').siblings('.surveyTabContent').addClass('layui-hide');
    });

    element.on('tab(docDemoTabBrief0)', function (data) {
      $('.tabContent0').eq(data.index).removeClass('layui-hide').siblings('.tabContent0').addClass('layui-hide');
      console.log(data);
    });
    element.on('tab(docDemoTabBrief1)', function (data) {
      $('.tabContent1').eq(data.index).removeClass('layui-hide').siblings('.tabContent1').addClass('layui-hide');
      console.log(data);
    });

    element.on('tab(docDemoTabBrief2)', function (data) {
      $('.tabContent2').eq(data.index).removeClass('layui-hide').siblings('.tabContent2').addClass('layui-hide');
      console.log(data);
    });
    element.on('tab(docDemoTabBrief3)', function (data) {
      $('.tabContent3').eq(data.index).removeClass('layui-hide').siblings('.tabContent3').addClass('layui-hide');
      console.log(data);
    });
    element.on('tab(docDemoTabBrief4)', function (data) {
      $('.tabContent4').eq(data.index).removeClass('layui-hide').siblings('.tabContent4').addClass('layui-hide');
      console.log(data);
    });
    element.on('tab(completeDemoTabBrief)', function (data) {
      $('.completeTabContent').eq(data.index).removeClass('layui-hide').siblings('.completeTabContent').addClass('layui-hide');
    });
    //安装验收通过
    $('.TwoAcceptPassBtn').click(function(){
      var $this = $(this);
      //二次安装验收意见
      var fixRemark = $('textarea[name="fixConclusionSh"]').val();
      let flag = $("input[name='materialFixFlag']").is(":checked");
      let materialFixFlag = "0";
      if (flag) {
        materialFixFlag = "1";
      } else {
        layer.msg('验收通过请勾选安装已完成')
        return;
      }
      var index= layer.load(2, {shade: [0.5,'#fff'], content:''});
      $this.prop('disabled', true);
      $.ajax({
        type: 'post',
        url: '${ctx}/customerEntry/toNetAcceptPass',
        data: {
          id: '${customerEntry.id}',
          type:'1',
          fixConclusionSh: fixRemark,
          materialFixFlag: materialFixFlag
        },
        success: function(data){
          afterSuccess(data);
        },
        complete: function(){
          layer.close(index);
          $this.prop('disabled', false);
        }
      })
    });

    //验收审核暂存
    $('.TwomergeAcceptTempBtn').click(function(){
      var $this = $(this);
      var fixConclusionSh = $('textarea[name="fixConclusionSh"]').val();
      if (isBlank(fixConclusionSh)) {
        layer.msg('请填写验收意见');
        return;
      }
      let flag = $("input[name='materialFixFlag']").is(":checked");
      let materialFixFlag = "0";
      if (flag) {
        materialFixFlag = "1";
      }
      $this.prop('disabled', true);
      $.ajax({
        type: 'post',
        url: '${ctx}/customerEntry/twoMergeAcceptTemp',
        data: {
          id: '${customerEntry.id}',
          fixConclusionSh: fixConclusionSh,
          materialFixFlag: materialFixFlag,
        },
        success: function(data){
          if (data.code === '200') {
            layer.msg("暂存成功，请处理下一条数据！", {icon: 1, time: 1000}, function () {
              parent.layer.close(index);
              parent.searchOrder(); //刷新父页面
            })
          } else if (data.code === '500') {
            layer.msg(data.errMsg, {icon: 2});
          } else if (data.code === '501') {
            layer.msg(data.errMsg, {icon: 2});
          } else if (data.code === '400' && !isBlank(data.errMsg)) {
            layer.msg(data.errMsg, {icon: 2});
          } else {
            layer.msg('操作失败', {icon: 2});
          }
        },
        complete: function(){
          $this.prop('disabled', false);
          //layer.close(index);
        }
      });
    });

    //安装验收退回
    $('.fixAcceptRefuseBtn').click(function(){
      var $this = $(this);
      //安装验收意见
      var fixRemark = $('textarea[name="fixConclusionSh"]').val();
      if (isBlank(fixRemark)) {
        layer.msg('请填写验收意见');
        return;
      }
      let flag = $("input[name='materialFixFlag']").is(":checked");
      let materialFixFlag = "0";
      if (flag) {
        materialFixFlag = "1";
      }
      $this.prop('disabled', true);
      $.ajax({
        type: 'post',
        url: '${ctx}/customerEntry/fixAcceptRefuse',
        data: {
          id: '${customerEntry.id}',
          fixConclusion: fixRemark,
          materialFixFlag: materialFixFlag
        },
        success: function(data){
          afterSuccess(data);
        },
        complete: function(){
          $this.prop('disabled', false);
        }
      })
    });
  })

  function afterSuccess(data) {
    if (data.code === '200') {
      layer.msg("操作成功！", {icon: 1, time: 1000}, function () {
        parent.parent.layer.closeAll();
        parent.layer.close(index);
        parent.searchOrder(); //刷新父页面
      })
    } else if (data.code === '500') {
      layer.msg(data.errMsg, {icon: 2});
    } else if (data.code === '501') {
      layer.msg(data.errMsg, {icon: 2});
    } else if (data.code === '400' && !isBlank(data.errMsg)) {
      layer.msg(data.errMsg, {icon: 2});
    } else {
      layer.msg('操作失败', {icon: 2});
    }
  }

  function changeMaterialTab0(type) {
    $('.materialTable0').eq(type).removeClass('layui-hide').siblings('.materialTable0').addClass('layui-hide');
  }

  function changeMaterialTab1(type) {
    $('.materialTable1').eq(type).removeClass('layui-hide').siblings('.materialTable1').addClass('layui-hide');
  }

  function changeMaterialTab2(type) {
    $('.materialTable2').eq(type).removeClass('layui-hide').siblings('.materialTable2').addClass('layui-hide');
  }

  function changeMaterialTab3(type) {
    $('.materialTable3').eq(type).removeClass('layui-hide').siblings('.materialTable3').addClass('layui-hide');
  }

  function changeMaterialTab4(type) {
    $('.materialTable4').eq(type).removeClass('layui-hide').siblings('.materialTable4').addClass('layui-hide');
  }

  function searchOrder() {
    //执行重载
    table.reload('test', {
      where: function () {
        return _serializeJson($("#searchForm"));
      }
    });
  }

  function closeSelf() {
    let index = parent.layer.getFrameIndex(window.name);
    parent.layer.close(index);//关闭当前页
    parent.parent.layer.closeAll();
  }

  function closeDiv() {
    layer.close(layer1);
  }

  function previewUrl(_url) {
    if (!checkUrl(_url)) {
      return false;
    }
    var base = new Base64();
    var b64Encoded = base.encode(_url);
    if(_url.endsWith('pdf')){
      window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded)+'&officePreviewType=pdf');
    }else{
      window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded));
    }
  }

  function checkUrl(url) {
    //url= 协议://(ftp的登录信息)[IP|域名](:端口号)(/或?请求参数)
    var strRegex = '^((https|http|ftp)://)'//(https或http或ftp)
            + '(([\\w_!~*\'()\\.&=+$%-]+: )?[\\w_!~*\'()\\.&=+$%-]+@)?' //ftp的user@  可有可无
            + '(([0-9]{1,3}\\.){3}[0-9]{1,3}' // IP形式的URL- 3位数字.3位数字.3位数字.3位数字
            + '|' // 允许IP和DOMAIN（域名）
            + '(localhost)|'	//匹配localhost
            + '([\\w_!~*\'()-]+\\.)*' // 域名- 至少一个[英文或数字_!~*\'()-]加上.
            + '\\w+\\.' // 一级域名 -英文或数字  加上.
            + '[a-zA-Z]{1,6})' // 顶级域名- 1-6位英文
            + '(:[0-9]{1,5})?' // 端口- :80 ,1-5位数字
            + '((/?)|' // url无参数结尾 - 斜杆或这没有
            + '(/[\\w_!~*\'()\\.;?:@&=+$,%#-]+)+/?)$';//请求参数结尾- 英文或数字和[]内的各种字符
    var re = new RegExp(strRegex, 'i');//i不区分大小写
    //将url做uri转码后再匹配，解除请求参数中的中文和空字符影响
    if (re.test(encodeURI(url))) {
      return (true);
    } else {
      return (false);
    }
  }

  function isBlank(val) {
    if (val == null || val == '' || val == undefined) {
      return true;
    }
    return false;
  }

  function approvalRecord(){
    layer.open({
      title: '审批记录',
      type: 2,
      area: ['35%', '100%'],
      offset: 'rt',
      content: '${ctx}/customerEntry/approvalRecordPage?entryId=${customerEntry.id}'
    })
  }
</script>
</body>
</html>

