<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html {
            background-color: #fff;
            padding-bottom: 50px;
        }
        .bj-img {
            margin-right: 0px;
        }
        .bj-img > span{
            z-index: 1;
        }
        .lookBtn{
            color: #2890ac;
            width: 10px;
            padding: 11px;
        }
        .bj-img{width: 80px;
            height: 80px;
            border: 1px solid #ddd;
            float: inherit;
            margin-right: 20px;
            display: inline-block;
            position: relative;
        }
        .fczImg .imgSpan{
            margin-right: 14px;
        }
        .short-dropdown {
            width: 150px; /* 设置下拉框的宽度 */
        }
        .layui-radio-disbaled > i {
            color: #000000 !important;
        }
        .layui-btn-danger {
            background-color: #0a6597;
        }
    </style>
</head>

<body>
<div class="layui-form">
    <div class="layui-card">
        <div class="layui-card-body layui-col-xs12" id="LAY_app">
            <%--业主信息--%>
            <div class="layui-card jibenxinxi">
                <blockquote class="layui-elem-quote">业主信息</blockquote>
                <div class="layui-card-body">
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>客户类型：</label>
                            <div class="layui-input-block">
                                <select name="tenantType" id="tenantType" lay-filter="tenantType" lay-verify="tenantType">
                                    <option value="1" selected>个人</option>
                                    <option value="2">单位</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <%--个人--%>
                    <div class="" id="individual">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <div class="layui-col-lg4 layui-col-sm4">
                                <label class="layui-form-label"><i class="mark">*</i>身份证：</label>
                                <div class="layui-input-block img-box">
                                    <div>
                                        <div id="imgsDiv14"></div>
                                        <div class="upload-container" id="uploader14">
                                            <img src="" alt="img placeholder" id="imgsAdd14">
                                        </div>
                                        <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                    </div>
                                    <div>
                                        <div id="imgsDiv15"></div>
                                        <div class="upload-container" id="uploader15">
                                            <img src="" alt="img placeholder" id="imgsAdd15">
                                        </div>
                                        <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                    </div>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>业主姓名：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="tenantName" id="tenantName" lay-verify="required" autocomplete="off" class="layui-input" disabled>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3" disabled>
                                <label class="layui-form-label"><i class="mark">*</i>性别：</label>
                                <div class="layui-input-block">
                                    <input type="radio" name="gender" title="男" disabled  value="MALE" id="maleRadio" checked />
                                    <input type="radio" name="gender" title="女" disabled value="FEMALE" id="femaleRadio"  />
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3">
                                <div>
                                    <label class="layui-form-label"><i class="mark">*</i>年龄：</label>
                                    <div class="layui-input-block">
                                        <input type="text" lay-filter="age" onkeyup="change()" name="age" id="age"
                                               class="layui-input age" lay-verify="required" disabled>
                                    </div>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                <div>
                                    <label class="layui-form-label"><i class="mark">*</i>联系方式：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="mobile" id="mobile" lay-verify="recevierMobile"
                                               class="layui-input" autocomplete="off">
                                    </div>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>身份证号：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="idCode" id="idCode" lay-verify="identity" lay-filter="idCode"
                                           autocomplete="off" class="layui-input" disabled>
                                </div>
                            </div>
                            <c:if test="${info.columns.birthday_date.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">出生日期：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="birthdayDate" id="birthdayDate" lay-verify="identity" lay-filter="birthdayDate"
                                               autocomplete="off" class="layui-input" disabled>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.ic_validity_begin.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">身份证生效日：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="icValidityBegin" id="icValidityBegin" lay-verify="identity" lay-filter="icValidityBegin"
                                               autocomplete="off" class="layui-input" disabled>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.ic_validity_end.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">身份证到期日：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="icValidityEnd" id="icValidityEnd" lay-verify="identity" lay-filter="icValidityEnd"
                                               autocomplete="off" class="layui-input" disabled>
                                    </div>
                                </div>
                            </c:if>

                            <div class="layui-col-lg9 layui-col-sm9">
                                <label class="layui-form-label"><i class="mark">*</i>安装地址：</label>
                                <div class="layui-input-block">
                                    <div class="layui-col-lg2 layui-col-sm2 pr-10">
                                        <select name="province" id="province" lay-verify="required" lay-filter="province" lay-search>
                                            <option value="">请选择省</option>
                                            <c:forEach items="${pros}" var="pro">
                                                <option value="${pro.columns.ProvinceName}" rel="${pro.columns.traderId}"
                                                        title="${pro.columns.ProvinceID}">${pro.columns.ProvinceName}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                    <div class="layui-col-lg2 layui-col-sm2 pr-10">
                                        <select name="city" id="city" lay-verify="required" lay-filter="city" lay-search>
                                            <option value="">请选择市</option>
                                        </select>
                                    </div>
                                    <div class="layui-col-lg2 layui-col-sm2 pr-10">
                                        <select name="area" id="area" lay-verify="required" lay-filter="area"  lay-search>
                                            <option value="">请选择县/区</option>
                                        </select>
                                    </div>
                                    <div class="layui-col-lg6 layui-col-sm5">
                                        <div class="layui-inline">
                                            <input type="text" name="customerAddress" lay-verify="required"
                                                   autocomplete="off" class="layui-input layui-col-lg2 " value="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="layui-col-lg9 layui-col-sm9">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">风压：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="windPressure" id="windPressure"  disabled
                                               autocomplete="off" class="layui-input ">
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">雪压：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="snowPressure" id="snowPressure"  disabled
                                               autocomplete="off" class="layui-input ">
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">风雪压等级：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="pressureLevel" id="pressureLevel"  disabled
                                               autocomplete="off" class="layui-input ">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.bank_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>账户名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bankName" id="bankName" lay-verify="required" disabled
                                               autocomplete="off" class="layui-input ">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bank_code.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_code.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行账号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bankCode" id="bankCode" lay-verify="required"
                                               autocomplete="off" class="layui-input ">
                                    </div>
                                </div>
                            </c:if>
                            <%--columnType ： 1.下拉选  2.文本输入框--%>
                            <c:if test="${info.columns.tss_bank_num_name.columnType eq '1'}">
                                <c:if test="${info.columns.tss_bank_num_name.status eq '1'}">
                                    <div class="layui-col-lg4 layui-col-sm4">
                                        <label class="layui-form-label"><c:if test="${info.columns.tss_bank_num_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>开户行：</label>
                                        <div class="layui-input-block">
                                            <div id="tssBank"></div>
                                        </div>
                                    </div>
                                </c:if>
                            </c:if>
                            <c:if test="${info.columns.tss_bank_num_name.columnType eq '2'}">
                                <c:if test="${info.columns.tss_bank_num_name.status eq '1'}">
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label"><c:if test="${info.columns.tss_bank_num_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>开户行：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="tssBank" id="tssBank" lay-verify="required"
                                                   autocomplete="off" class="layui-input ">
                                        </div>
                                    </div>
                                </c:if>
                            </c:if>
                        </div>
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.bank_card.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_card.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行卡照片：</label>
                                    <div class="layui-input-block img-box">
                                        <div>
                                            <div>
                                                <div id="imgsDiv29"></div>
                                                <div class="upload-container" id="uploader29">
                                                    <img src="" alt="img placeholder" id="imgsAdd29">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.residence_booklet.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label w-120">
                                        <c:if test="${info.columns.residence_booklet.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                        户口本复印件：
                                    </label>
                                    <div class="layui-input-block img-box ml-120">
                                        <div style="display: flex;flex-wrap: wrap;">
                                            <div id="imgsDiv28"></div>
                                            <div class="upload-container" id="uploader28">
                                                <img src="" alt="img placeholder" id="imgsAdd28">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </div>
                        <c:if test="${info.columns.house_ownership.status eq '1'}">
                            <div class="layui-row layui-col-space12 layui-form-item">
                                <div class="layui-col-lg11 layui-col-sm11">
                                    <label class="layui-form-label"><c:if test="${info.columns.house_ownership.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房产证明（1-8张）：</label>
                                    <div class="layui-input-block img-box">
                                        <div style="display: flex">
                                            <div id="imgsDiv5"></div>
                                            <div class="upload-container" id="uploader5">
                                                <img src="" alt="img placeholder" id="imgsAdd5">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info.columns.credit_certificate.status eq '1'}">
                            <div class="layui-row layui-col-space12 layui-form-item">
                                <div class="layui-col-lg11 layui-col-sm11">
                                    <label class="layui-form-label"><c:if test="${info.columns.credit_certificate.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>信誉凭证：</label>
                                    <div class="layui-input-block img-box">
                                        <div style="display: flex">
                                            <div id="imgsDiv6"></div>
                                            <div class="upload-container" id="uploader6">
                                                <img src="" alt="img placeholder" id="imgsAdd6">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.exigence_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.exigence_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>紧急联系人：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="exigenceName" id="exigenceName" lay-verify="required"
                                               autocomplete="off" class="layui-input ">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.exigence_phone.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.exigence_phone.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>联系方式：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="exigencePhone" id="exigencePhone" lay-verify="required"
                                               autocomplete="off" class="layui-input ">
                                    </div>
                                </div>
                            </c:if>
                        </div>
                    </div>
                    <%--单位--%>
                    <div class="hide" id="workplace">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.tenant_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.tenant_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>单位名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="tenantNameAnother" lay-verify="required" onkeyup="editBankNameAnother()" autocomplete="off" class="layui-input">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.regno.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.regno.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>信用代码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="regno" id="regno" lay-verify="required" autocomplete="off" class="layui-input">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.mobile.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                    <div>
                                        <label class="layui-form-label"><c:if test="${info.columns.mobile.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>联系方式：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="mobileAnother" lay-verify="recevierMobile"
                                                   class="layui-input" autocomplete="off">
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.corp.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                    <div>
                                        <label class="layui-form-label"><c:if test="${info.columns.corp.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>负责人姓名：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="corp" id="corp" lay-verify="recevierMobile"
                                                   class="layui-input" autocomplete="off">
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.id_code.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.id_code.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>证件号码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="idCodeAnother" lay-verify="identity"
                                               autocomplete="off" class="layui-input">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.pca_address.status eq '1'}">
                                <div class="layui-col-lg9 layui-col-sm9">
                                    <label class="layui-form-label"><c:if test="${info.columns.pca_address.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>安装地址：</label>
                                    <div class="layui-input-block">
                                        <div class="layui-col-lg2 layui-col-sm2 pr-10">
                                            <select name="provinceAnother" id="provinceAnother" lay-verify="required"
                                                    lay-filter="provinceAnother" lay-search>
                                                <option value="">请选择省</option>
                                                <c:forEach items="${pros}" var="pro">
                                                    <option value="${pro.columns.ProvinceName}" rel="${pro.columns.traderId}"
                                                            title="${pro.columns.ProvinceID}">${pro.columns.ProvinceName}</option>
                                                </c:forEach>
                                            </select>
                                        </div>
                                        <div class="layui-col-lg2 layui-col-sm2 pr-10">
                                            <select name="cityAnother" id="cityAnother" lay-verify="required" lay-filter="cityAnother" lay-search>
                                                <option value="">请选择市</option>
                                            </select>
                                        </div>
                                        <div class="layui-col-lg2 layui-col-sm2 pr-10">
                                            <select name="areaAnother" id="areaAnother" lay-filter="areaAnother" lay-verify="required" lay-search>
                                                <option value="">请选择县/区</option>
                                            </select>
                                        </div>
                                        <div class="layui-col-lg6 layui-col-sm5">
                                            <div class="layui-inline">
                                                <input type="text" name="customerAddressAnother" lay-verify="required"
                                                       autocomplete="off" class="layui-input layui-col-lg2 " value="">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="layui-col-lg9 layui-col-sm9">
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label">风压：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="windPressure" id="windPressureAnother"  disabled
                                                   autocomplete="off" class="layui-input ">
                                        </div>
                                    </div>
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label">雪压：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="snowPressure" id="snowPressureAnother"  disabled
                                                   autocomplete="off" class="layui-input ">
                                        </div>
                                    </div>
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label">风雪压等级：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="pressureLevel" id="pressureLevelAnother"  disabled
                                                   autocomplete="off" class="layui-input ">
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </div>
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.bank_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>账户名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bankNameAnother" id="bankNameAnother" disabled
                                               autocomplete="off" class="layui-input">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bank_code.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_code.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行账号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bankCodeAnother" id="bankCodeAnother"
                                               autocomplete="off" class="layui-input">
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.tss_bank_num_name.columnType eq '1'}">
                                <c:if test="${info.columns.tss_bank_num_name.status eq '1'}">
                                    <div class="layui-col-lg4 layui-col-sm4">
                                        <label class="layui-form-label"><c:if test="${info.columns.tss_bank_num_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>开户行：</label>
                                        <div class="layui-input-block">
                                            <div id="tssBankAnother"></div>
                                        </div>
                                    </div>
                                </c:if>
                            </c:if>
                            <c:if test="${info.columns.tss_bank_num_name.columnType eq '2'}">
                                <c:if test="${info.columns.tss_bank_num_name.status eq '1'}">
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label"><c:if test="${info.columns.tss_bank_num_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>开户行：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="tssBankAnother" id="tssBankAnother" lay-verify="required"
                                                   autocomplete="off" class="layui-input ">
                                        </div>
                                    </div>
                                </c:if>
                            </c:if>
                        </div>
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.id_card_front.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label w-120"><c:if test="${info.columns.id_card_front.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>负责人证件照：</label>
                                    <div class="layui-input-block img-box">
                                        <div>
                                            <div id="imgsDiv33"></div>
                                            <div class="upload-container" id="uploader33">
                                                <img src="" alt="img placeholder" id="imgsAdd33">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div id="imgsDiv34"></div>
                                            <div class="upload-container" id="uploader34">
                                                <img src="" alt="img placeholder" id="imgsAdd34">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bank_card.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_card.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行卡照片：</label>
                                    <div class="layui-input-block img-box">
                                        <div>
                                            <div>
                                                <div id="imgsDiv36"></div>
                                                <div class="upload-container" id="uploader36">
                                                    <img src="" alt="img placeholder" id="imgsAdd36">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.regno_url.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label"><c:if test="${info.columns.regno_url.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>营业执照：</label>
                                    <div class="layui-input-block img-box">
                                        <div>
                                            <div>
                                                <div id="imgsDiv35"></div>
                                                <div class="upload-container" id="uploader35">
                                                    <img src="" alt="img placeholder" id="imgsAdd35">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.house_ownership.status eq '1'}">
                                <div class="layui-row layui-col-space12 layui-form-item">
                                    <div class="layui-col-lg11 layui-col-sm11">
                                        <label class="layui-form-label"><c:if test="${info.columns.house_ownership.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房产证明（1-8张）：</label>
                                        <div class="layui-input-block img-box">
                                            <div style="display: flex">
                                                <div id="imgsCompanyDiv5"></div>
                                                <div class="upload-container" id="uploaderCompany5">
                                                    <img src="" alt="img placeholder" id="imgsCompanyAdd5">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </div>
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.exigence_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.exigence_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>紧急联系人：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="exigenceNameAnother" id="exigenceNameAnother" lay-verify="required"
                                               autocomplete="off" class="layui-input ">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.exigence_phone.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.exigence_phone.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>联系方式：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="exigencePhoneAnother" id="exigencePhoneAnother" lay-verify="required"
                                               autocomplete="off" class="layui-input ">
                                    </div>
                                </div>
                            </c:if>
                        </div>
                    </div>
                </div>
            </div>
            <%--共签人信息--%>
            <c:if test="${info.columns.bp_name.status eq '1' || info.columns.bp_id_card.status eq '1'
            || info.columns.bp_mobile.status eq '1' || info.columns.bp_card_front.status eq '1'
            || info.columns.bp_card_back.status eq '1' || info.columns.bp_file.status eq '1'}">
                <div class="layui-card hide" id="bcxx">
                    <blockquote class="layui-elem-quote">补充信息</blockquote>
                    <div class="layui-card-body ">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.bp_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>共签人名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpName" id="bpName" class="layui-input" value="">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_id_card.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_id_card.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>证件号码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpIdCard" id="bpIdCard" class="layui-input" value="">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_mobile.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_mobile.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>手机号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpMobile" id="bpMobile" class="layui-input" value="">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_relation.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_relation.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>共签人关系：</label>
                                    <div class="layui-input-block">
                                        <select class="layui-input-block"  name="bpRelation" id="bpRelation">
                                            <option value="">请先选择共签人关系:</option>
                                            <c:forEach items="${bpRelationList}" var="bpRel">
                                                <option value="${bpRel.columns.dict_value}">${bpRel.columns.dict_value}</option>
                                            </c:forEach>
                                        </select>
                                            <%--                                        <input type="text" name="bpRelation" id="bpRelation" class="layui-input" value="">--%>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_card_front.status eq '1' || info.columns.bp_card_back.status eq  '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_card_front.mustFillFlag eq '1' ||  info.columns.bp_card_back.mustFillFlag eq '1' }"><i class="mark">*</i></c:if>身份证：</label>
                                    <div class="layui-input-block img-box">
                                        <c:if test="${info.columns.bp_card_front.status eq '1'}">
                                            <div>
                                                <div id="imgsDiv30">
                                                </div>
                                                <div class="upload-container" id="uploader30">
                                                    <img src="" alt="img placeholder" id="imgsAdd30">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                            </div>
                                        </c:if>
                                        <c:if test="${info.columns.bp_card_back.status eq '1'}">
                                            <div>
                                                <div id="imgsDiv31">
                                                </div>
                                                <div class="upload-container" id="uploader31">
                                                    <img src="" alt="img placeholder" id="imgsAdd31">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                            </div>
                                        </c:if>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_file.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label w-120"><c:if test="${info.columns.bp_file.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>子女证明材料：</label>
                                    <div class="layui-input-block img-box ml-120">
                                        <div style="display: flex">
                                            <div id="imgsDiv32">
                                            </div>
                                            <div class="upload-container " id="uploader32">
                                                <img src="" alt="img placeholder" id="imgsAdd32">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </div>
                    </div>
                </div>
            </c:if>
            <%--项目信息--%>
            <div class="layui-card">
                <blockquote class="layui-elem-quote">项目信息</blockquote>
                <div class="layui-card-body">
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>资方名称：</label>
                            <div class="layui-input-block" id="zfId" >
                                <input type="text" class="layui-input layui-bg-gray" value="${capital.name}" disabled>
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label">备案类型：</label>
                            <div class="layui-input-block pos-r">
                                <select class="layui-input-block pos-r" disabled name="filingType" id="filingType" lay-filter="filingType" lay-search>
                                    <option value="">请先选择备案类型:</option>
                                    <option value="1">农户备案</option>
                                    <option value="2">项目公司备案</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label">所属项目公司：</label>
                            <div class="layui-input-block">
                                <select class="layui-input-block pos-r" disabled name="projectCompany" id="projectCompany" lay-search>
                                    <option value="">请先选择安装地址:</option>
                                    <c:forEach items="${projectCompany}" var="cps">
                                        <option value="${cps.columns.id}">${cps.columns.name}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                        <div class="layui-col-xs12 mb-10 pr-30 pl-30">
                            <table class="layui-table" id="myTable">
                                <thead>
                                <tr>
                                    <th style="width: 10%">序号</th>
                                    <th style="width: 20%">产品名称</th>
                                    <th style="width: 20%">产品编号</th>
                                    <th style="width: 15%">租金支付周期</th>
                                    <th style="width: 15%">屋顶类型</th>
                                    <th style="width: 25%">操作</th>
                                </tr>
                                </thead>
                                <tbody id="projectBody">
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="operate-footer">
        <button type="button" class="layui-btn temporaryOrder">暂存</button>
        <button type="button" class="layui-btn saveOrder">提交</button>
        <button type="button" class="layui-btn layui-btn-primary" onclick="cancel()">取消</button>
    </div>
</div>


<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script src="${ctxPlugin}/lib/xm-select.js"></script>
<script src="${ctxPlugin}/lib/base64.js"></script>
<script>
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    var imgsCount = 0;
    var serviceType = '${order.serviceType}';
    var reg = /^(?:[1-9]\d*|0)(?:\.\d+)?$/;
    var number = /^[1-9]\d*$/;//非0正整数正则
    var plan_html = "<option value=''>请选择</option>";
    var plan_type_html = "<option value=''>请选择</option>";
    var currentPlanTypeHtml = '';
    var assemblyOptionHtml = '';// 组件下拉选html
    var inverterOptionHtml = '';// 逆变器下拉选html
    var gridConnectionOptionHtml = '';// 并网箱下拉选html
    var supportOptionHtml = '';// 支架下拉选html
    // 联行号
    var tssBankNum = '';
    // 银行名称
    var tssBankNumName = '';
    // 联行号
    var tssBankNumAnother = '';
    // 银行名称
    var tssBankNumNameAnother = '';
    var quaimgsCount=0;
    var state = 0;
    var $;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'layedit', 'laydate', 'jquery', 'upload', 'layer'], function () {
        $ = layui.jquery
            , element = layui.element
            , form = layui.form
            , layer = layui.layer
            , laydate = layui.laydate;
        var upload = layui.upload;

        upload.render({
            elem: '#uploader14' //绑定元素
            , url: '${ctx}/common/weChat/uploadImageIden' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                var obj =  JSON.parse(res.info)
                if (obj.code ==='500'|| obj.data.face == null){
                    layer.msg("身份信息上传失败,请确认后重试", {icon: 2});
                    return;
                }
                var data = obj.data.face.data;
                console.log("data",data);
                $("#tenantName").val(data.name);
                $("#bankName").val(data.name);
                $("#birthdayDate").val(convertToISOFormat(data.birthDate));
                var age = getAge(data.idNumber);
                if(!isBlank(${partner.failCreateAge}) && age>${partner.failCreateAge}){
                    layer.msg("年龄大于${partner.failCreateAge}岁，不能建站！", {icon: 2});
                    return;
                }
                $("#age").val(age);
                $("#idCode").val(data.idNumber);
                let tenantType = $("#tenantType").val();
                // 获取单选按钮元素
                $.ajax({
                    type: "POST",
                    url: "${ctx}/customerEntry/isByIdCode",
                    data: {
                        traderId: `${traderId}`,
                        idCode: data.idNumber,
                        tenantType:tenantType
                    },
                    success: function (result) {
                        console.log("result",result);
                        console.log(result.data);
                        var data1 = result.data
                        state = data1.status
                        $("#mobile").val(data1.mobile)
                    }
                });
                if (data.sex === "男") {
                    $("#femaleRadio").prop("checked", false);
                    $("#maleRadio").prop("checked", true);//false 为取消选中
                    layui.form.render();
                } else if (data.sex === "女") {
                    $("#maleRadio").prop("checked", false)
                    $("#femaleRadio").prop("checked", true);//false 为取消选中
                    layui.form.render();
                }
                //上传完毕回调
                addImg(res.path, "uploader14", "imgsDiv14", "id-card-front");
                change()
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader15' //绑定元素
            , url: '${ctx}/common/weChat/uploadImageIden' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                var obj =  JSON.parse(res.info)
                if (obj.code ==='500'|| obj.data.back == null){
                    layer.msg("身份信息上传失败,请确认后重试", {icon: 2});
                    return
                }
                var data = obj.data.back.data
                console.log("data",data)
                if (data.validPeriod) {
                    var split = data.validPeriod.split('-');
                    var icValidityBegin = split[0].replaceAll('.', '-');
                    var icValidityEnd = '9999-12-31'
                    if (split[1] !== '长期') {
                        icValidityEnd = split[1].replaceAll('.', '-');
                    }
                }

                $("#icValidityBegin").val(icValidityBegin);
                $("#icValidityEnd").val(icValidityEnd);
                //上传完毕回调
                addImg(res.path, "uploader15", "imgsDiv15", "id-card-back");
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader28' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImgTwo(res.path, "uploader28", "imgsDiv28", "residenceBooklet",4);
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader5' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImgTwo(res.path, "uploader5", "imgsDiv5", "houseOwnership",8);
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploaderCompany5' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImgTwo(res.path, "uploaderCompany5", "imgsCompanyDiv5", "houseOwnership",8);
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader6' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImgTwo(res.path, "uploader6", "imgsDiv6", "creditCertificate",4);
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader29' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader29", "imgsDiv29", "bankCard");
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader30' //绑定元素
            , url: '${ctx}/common/weChat/uploadImageIden' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                var obj =  JSON.parse(res.info)
                if (obj.code ==='500'){
                    layer.msg("共签人身份信息上传失败,请确认后重试", {icon: 2});
                    return;
                }
                var data = obj.data.face.data
                console.log("data",data);

                var age = getAge(data.idNumber);
                if(!isBlank(${partner.signerConditionAge}) && age>${partner.signerConditionAge}){
                    layer.msg("年龄大于${partner.signerConditionAge}岁,小于18岁，不能作为共签人！", {icon: 2});
                    return;
                }
                $("#bpName").val(data.name);
                $("#bpIdCard").val(data.idNumber);
                //上传完毕回调
                addImg(res.path, "uploader30", "imgsDiv30", "bpCardFront");
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader31' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader31", "imgsDiv31", "bpCardBack");
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader32' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImgTwo(res.path, "uploader32", "imgsDiv32", "bpFile",4);
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader33' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader33", "imgsDiv33", "id-card-front-another");
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader34' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader34", "imgsDiv34", "id-card-back-another");
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader35' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader35", "imgsDiv35", "regnoUrl");
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploader36' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path, "uploader36", "imgsDiv36", "bankCardAnother");
            }
            , error: function () {
                //请求异常回调
            }
        });

        function addImg(data, id, imgsDiv, classimg) {
            $("#" + id).hide();
            var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
            html += '<img src="${commonStaticImgPath}' + data + '" height="700" width="1200"/>';
            html += '<input type="hidden" class="' + classimg + '" value="' + data + '"/> </div>';
            $("#" + imgsDiv).append(html);
            //图片查看效果
            viewer.update();
        }

        function addImgTwo(data, id, imgsDiv, classimg,count) {
            var imgCount=$("#" + imgsDiv).find(".imgSpan").length;
            if((imgCount+1)>=count){
                $("#" + id).hide();
            }
            var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
            html += '<img src="${commonStaticImgPath}' + data + '" height="700" width="1200"/>';
            html += '<input type="hidden" class="' + classimg + '" value="' + data + '"/> </div>';
            $("#" + imgsDiv).append(html);
            //图片查看效果
            viewer.update();
        }


        //日期
        laydate.render({
            elem: '#applianceBuyTime'
            , trigger: 'click'
        });
        //预约时间
        laydate.render({
            elem: '#promiseTime'
            , trigger: 'click'
        });
        laydate.render({
            elem: '#repairTime'
            , value: '${data}'
            , type: 'datetime'
            , trigger: 'click'
        });
        form.render(null, 'component-form-element');
        //自定义验证规则
        form.verify({
            title: function (value) {
                if (value.length < 5) {
                    return '标题至少得5个字符啊';
                }
            }
            , pass: [
                /^[\S]{6,12}$/
                , '密码必须6到12位，且不能出现空格'
            ]

            , content: function (value) {
                layedit.sync(editIndex);
            }
        });

        form.on('select(filingType)', function (data) {
            let value = $(data.elem).find("option:selected").val();
            console.log("value："+value)
            var projectCompanySelect = $("#projectCompany");
            // 清空下拉列表
            projectCompanySelect.empty();
            if (isBlank(value)){
                document.getElementById('projectCompany').disabled = true;
                form.render('select');
            }else {
                document.getElementById('projectCompany').disabled = false;
                let tenantType = $("#tenantType").val();
                let province = $("#province").find("option:selected").val();//省
                let city = $("#city").find("option:selected").val();//市
                let area = $("#area").find("option:selected").val();//区
                if (tenantType === "2") {
                    province = $("#provinceAnother").find("option:selected").val();//省
                    city = $("#cityAnother").find("option:selected").val();//市
                    area = $("#areaAnother").find("option:selected").val();//区
                }
                //添加项目公司
                $.ajax({
                    type: "GET",
                    url: "${ctx}/customerEntry/getCompanyByArea",
                    data: {
                        province:province,
                        city:city,
                        area:area,
                        partner:`${capital.id}`,
                        filingType:value
                    },
                    success: function (result1) {
                        var projectCompanySelect = $("#projectCompany");
                        // 清空下拉列表
                        projectCompanySelect.empty();
                        if (typeof result1.data !== 'undefined') {
                            var companies = result1.data
                            // 添加默认选项
                            projectCompanySelect.append('<option value="">请选择项目公司:</option>');
                            if (companies.length>0){
                                // 遍历公司信息并添加到下拉列表中
                                for (var i = 0; i < companies.length; i++) {
                                    var company = companies[i];
                                    projectCompanySelect.append('<option value="' + company.columns.id + '">' + company.columns.name + '</option>');
                                }
                            }
                        }
                        // 重新渲染 layui form
                        form.render('select');
                        $.ajax({
                            type: "POST",
                            url: "${ctx}/customerEntry/getProjectByArea",
                            data: {
                                traderId: `${traderId}`,
                                filingType: value,
                                province:province,
                                city:city,
                                area:area,
                                partner:`${capital.id}`
                            },
                            success: function (result) {
                                $("#projectBody").html('');
                                var data = result.data;
                                if(data != undefined){
                                    var html = '';
                                    html += '<tr class="projecttr">';
                                    html += '<td>1</td>';
                                    html += '<td>';
                                    html += '<select class="projectList" name="projectList" lay-filter="projectChange" >';
                                    html += '<option value="">请选择</option>';
                                    for (var i = 0; i < data.length; i++) {
                                        html += '<option value="'+data[i].columns.id+'">'+data[i].columns.name+'</option>';
                                    }
                                    html += '</td>';
                                    html += '<td class="projectCode"></td>'
                                    html += '<td class="payCycle"></td>'
                                    html += '<td>';
                                    html += '<select name="roofType" class="roofType" lay-verify="required" lay-filter="roofType" >';
                                    html += '<option value="">请选择</option>';
                                        <c:forEach items="${roofTypeList}" var="roofType">
                                        html += '<option value="${roofType.columns.dict_value}">${roofType.columns.dict_value}</option>';
                                        </c:forEach>
                                    html += '</select>';
                                    html += '</td>';
                                    html += '<td><button type="button" class="layui-btn layui-btn-sm layui-btn-danger addDaili" onclick="addtr(this)">添加</button>';
                                    html += '<button type="button" class="layui-btn layui-btn-sm layui-btn-danger deleteBut" onclick="delete1(this)">删除</button></td>';
                                    html += '</tr>';
                                    $("#projectBody").append(html);
                                    form.render('select');
                                }
                            }
                        });
                    }
                })

            }
        });

        form.on('select(projectChange)', function (data) {
            let value = $(data.elem).find("option:selected").val();
            console.log("value："+value)
            if (isBlank(value)){
                document.getElementById('projectCompany').disabled = true;
                form.render('select');
            }else {
                document.getElementById('projectCompany').disabled = false;
                $.ajax({
                    type: "GET",
                    url: "${ctx}/customerEntry/getProjectInfoById",
                    data: {
                        projectId: value,
                    },
                    success: function (result) {
                        console.log(result);
                        var re = result.data;
                        // 将产品编号设置到目标元素中
                        if(re.payCycle === '1'){debugger
                            $(data.elem).closest('tr').find('td:eq(3)').text("按月支付");
                        }else if(re.payCycle === '2'){
                            $(data.elem).closest('tr').find('td:eq(3)').text("按季支付");
                        }else {
                            $(data.elem).closest('tr').find('td:eq(3)').text("按年支付");
                        }
                        $(data.elem).closest('tr').find('td:eq(2)').text(re.code);

                        //添加备案类型

                        // //添加备案类型
                        // if (data.filingType === '1'){
                        //     $("#filingType input").val("农户备案");
                        // }else {
                        //     $("#filingType input").val("项目公司备案");
                        // }
                    }
                });
            }
            form.render('select');
        })

        form.on('select(tenantType)', function (data) {
            let type = $(data.elem).find("option:selected").val();
            if (type === "2") {
                $("#individual").addClass("hide");
                $("#workplace").removeClass("hide");
                $("#bcxx").addClass("hide");
            } else {
                let age = $("#age").val();
                if (age >= 65 ) {
                    $("#bcxx").removeClass("hide");
                }
                $("#workplace").addClass("hide");
                $("#individual").removeClass("hide");
            }
            //获取产品信息
            $.ajax({
                type: "GET",
                url: "${ctx}/customerEntry/getProjectInfoByType",
                data: {
                    traderId: `${traderId}`,
                    type: type
                },
                success: function (result) {
                    var projectList = $("#projectList");
                    projectList.empty();
                    var data = result.data
                    console.log(data)
                    projectList.append('<option value="">请选择产品:</option>');
                    for (var i = 0; i < data.length; i++) {
                        var city = data[i];
                        projectList.append('<option value="' + city.columns.id + '" title="' + city.columns.name + '" rel="' + city.columns.id + '">' + city.columns.name + '</option>');
                    }
                    form.render('select');
                }
            });

        })

        form.on('select(province)', function (data) {
            let traderId = $(data.elem).find("option:selected").attr("rel");
            let province = $(data.elem).find("option:selected").attr("title");
            provinceOrder(traderId, province);
            checkSelection();
        });
        form.on('select(city)', function (data) {
            let traderId = $(data.elem).find("option:selected").attr("rel");
            let city = $(data.elem).find("option:selected").attr("title");
            cityOrder(traderId, city);
            checkSelection();
        });

        form.on('select(area)', function (data) {
            let area = $(data.elem).find("option:selected").val();//区
            console.log(area,"area")
            if (!isBlank(area)){
                getProjectByArea();
                getPressureLevel();
            }
            checkSelection();
        });

        form.on('select(provinceAnother)', function (data) {
            let traderId = $(data.elem).find("option:selected").attr("rel");
            let province = $(data.elem).find("option:selected").attr("title");
            provinceOrderAnother(traderId, province);
            checkSelection();
        });

        form.on('select(cityAnother)', function (data) {
            let traderId = $(data.elem).find("option:selected").attr("rel");
            let city = $(data.elem).find("option:selected").attr("title");
            cityOrderAnother(traderId, city);
            checkSelection();
        });
        form.on('select(areaAnother)', function (data) {
            let area = $(data.elem).find("option:selected").val();//区
            if (!isBlank(area)){
                getProjectByArea();
                getPressureLevel();
            }
            checkSelection();
        });

        function provinceOrder(traderId, province) {
            clearPressureLevel();
            $("#city").empty();
            $("#area").empty();
            //项目公司
            $("#projectCompany").empty()
            $("#projectCompany").append("<option value=''>请先选择安装地址</option>");
            //产品
            $("#projectList").empty()
            $("#projectList").append("<option value=''>请先选择安装地址</option>");
            $("#projectCode input").val("");
            $("#payCycle input").val("");
            $("#filingType input").val("");
            $("#ywAttribute input").val("");

            if (isBlank(province)) {
                $("#city").append("<option value=''>请选择</option>");
                document.getElementById('projectCompany').disabled = true;
                form.render('select');
                return "";
            }
            $.ajax({
                type: "POST",
                url: "${ctx}/main/redirect/getCityListByTraderId",
                data: {
                    traderId: traderId,
                    province: province
                },
                success: function (result) {

                    if (result == "205") {
                        layer.msg("暂无数据!")
                        return
                    }
                    var html = " <option value=''>请选择</option>";
                    for (var i = 0; i < result.length; i++) {
                        var city = result[i];
                        html = html + '<option value="' + city.columns.CityName + '" title="' + city.columns.CityID + '" rel="' + city.columns.traderId + '">' + city.columns.CityName + '</option>';
                    }
                    $("#city").append(html);
                    form.render('select');
                }
            });

        }

        function cityOrder(traderId, city) {
            clearPressureLevel();
            $("#area").empty()
            $("#projectCompany").empty();
            $("#projectCompany").append("<option value=''>请先选择安装地址</option>");
            //产品
            $("#projectList").empty()
            $("#projectList").append("<option value=''>请先选择安装地址</option>");
            $("#projectCode input").val("");
            $("#payCycle input").val("");
            $("#filingType input").val("");
            $("#ywAttribute input").val("");
            if (isBlank(city)) {
                $("#area").append("<option value=''>请选择</option>");
                document.getElementById('projectCompany').disabled = true;
                form.render('select');
                return "";
            }
            $.ajax({
                type: "POST",
                url: "${ctx}/main/redirect/getAreaListByTraderId",
                data: {
                    traderId: traderId,
                    city: city
                },
                success: function (result) {
                    if (result == "205") {
                        layer.msg("暂无数据!")
                        return
                    }
                    var html = "<option value=''>请选择</option>";
                    for (var i = 0; i < result.length; i++) {
                        var area = result[i];
                        html = html + '<option value="' + area.columns.DistrictName + '" >' + area.columns.DistrictName + '</option>';
                    }
                    $("#area").append(html);
                    // if (!isBlank(arean)) {
                    //     $("#area").val(arean)
                    // }

                    form.render('select');
                }
            });

        }

        function provinceOrderAnother(traderId, province) {
            clearPressureLevel();
            $("#cityAnother").empty();
            $("#areaAnother").empty();
            $("#projectCompany").empty();
            $("#projectCompany").append("<option value=''>请先选择安装地址</option>");
            //产品
            $("#projectList").empty()
            $("#projectList").append("<option value=''>请先选择安装地址</option>");
            $("#projectCode input").val("");
            $("#payCycle input").val("");
            $("#filingType input").val("");
            $("#ywAttribute input").val("");
            if (isBlank(province)) {
                $("#cityAnother").append("<option value=''>请选择</option>");
                document.getElementById('projectCompany').disabled = true;
                form.render('select');
                return "";
            }
            $.ajax({
                type: "POST",
                url: "${ctx}/main/redirect/getCityListByTraderId",
                data: {
                    traderId: traderId,
                    province: province
                },
                success: function (result) {

                    if (result == "205") {
                        layer.msg("暂无数据!")
                        return
                    }
                    var html = " <option value=''>请选择</option>";
                    for (var i = 0; i < result.length; i++) {
                        var city = result[i];
                        html = html + '<option value="' + city.columns.CityName + '" title="' + city.columns.CityID + '" rel="' + city.columns.traderId + '">' + city.columns.CityName + '</option>';
                    }
                    $("#cityAnother").append(html);
                    form.render('select');
                }
            });

        }

        function cityOrderAnother(traderId, city) {
            clearPressureLevel();
            $("#areaAnother").empty()
            $("#projectCompany").empty()
            $("#projectCompany").append("<option value=''>请先选择安装地址</option>");
            //产品
            $("#projectList").empty()
            $("#projectList").append("<option value=''>请先选择安装地址</option>");
            $("#projectCode input").val("");
            $("#payCycle input").val("");
            $("#filingType input").val("");
            $("#ywAttribute input").val("");
            if (isBlank(city)) {
                $("#areaAnother").append("<option value=''>请选择</option>");
                document.getElementById('projectCompany').disabled = true;
                form.render('select');
                return "";
            }
            $.ajax({
                type: "POST",
                url: "${ctx}/main/redirect/getAreaListByTraderId",
                data: {
                    traderId: traderId,
                    city: city
                },
                success: function (result) {
                    if (result == "205") {
                        layer.msg("暂无数据!")
                        return
                    }
                    var html = "<option value=''>请选择</option>";
                    for (var i = 0; i < result.length; i++) {
                        var area = result[i];
                        html = html + '<option value="' + area.columns.DistrictName + '" >' + area.columns.DistrictName + '</option>';
                    }
                    $("#areaAnother").append(html);
                    // if (!isBlank(arean)) {
                    //     $("#areaAnother").val(arean)
                    // }

                    form.render('select');
                }
            });

        }

        $(".temporaryOrder").click(function () {
            if (state ==='1'){
                layer.confirm('当前客户已录入建站信息，是否继续录入',{
                    btn: ['确定', '取消'],
                    success: function (layero, index) {
                        this.enterEsc = function (event) {
                            if (event.keyCode == 13 ) {
                                //确认  执行的代码
                                submitEntry('0');
                                //关闭弹窗
                                layer.close(index);
                                console.log("回车确认时事件")
                                //取消连续回车键，导致不断弹出询问框
                                $(':focus').blur();
                            }
                        };
                        //监听键盘事件
                        $(document).on('keydown', this.enterEsc);
                        //esc键触发取消
                        this.escQuit = (ev) => {
                            let code_val = ev.which;
                            if(code_val == 0x1B){
                                $('.layui-layer-btn1').click();
                                return false;
                            }
                        };
                        $(document).on('keydown', this.escQuit);
                    },
                    end: function () {
                        //取消键盘监听事件
                        $(document).off('keydown', this.enterEsc);
                        $(document).off('keydown', this.escQuit);
                    },
                    yes: function () {
                        //确认执行的代码
                        submitEntry('0');
                    },
                    no: function () {

                    }
                });
            }else if (state === '2'){
                layer.confirm('该客户已绑定其他代理商，您不能重复创建客户信息！',{
                    btn: ['确定', '取消'],
                    success: function (layero, index) {
                        this.enterEsc = function (event) {
                            if (event.keyCode == 13 ) {
                                //确认  执行的代码
                                //关闭弹窗
                                $('.layui-layer-btn1').click();
                                return false;
                            }
                        };
                        //监听键盘事件
                        $(document).on('keydown', this.enterEsc);
                        //esc键触发取消
                        this.escQuit = (ev) => {
                            let code_val = ev.which;
                            if(code_val == 0x1B){
                                $('.layui-layer-btn1').click();
                                return false;
                            }
                        };
                        $(document).on('keydown', this.escQuit);
                    },
                    end: function () {
                        //取消键盘监听事件
                        $(document).off('keydown', this.enterEsc);
                        $(document).off('keydown', this.escQuit);
                    },
                    yes: function () {
                        //确认执行的代码
                        $('.layui-layer-btn1').click();
                        return false;
                    },
                    no: function () {

                    }
                });

            }else {
                submitEntry('0');
            }


        })

        $(".saveOrder").click(function () {
            if (state ==='1'){
                layer.confirm('当前客户已录入建站信息，是否继续录入',{
                    btn: ['确定', '取消'],
                    success: function (layero, index) {
                        this.enterEsc = function (event) {
                            if (event.keyCode == 13 ) {
                                //确认  执行的代码
                                submitEntry('1');
                                //关闭弹窗
                                layer.close(index);
                                console.log("回车确认时事件")
                                //取消连续回车键，导致不断弹出询问框
                                $(':focus').blur();
                            }
                        };
                        //监听键盘事件
                        $(document).on('keydown', this.enterEsc);
                        //esc键触发取消
                        this.escQuit = (ev) => {
                            let code_val = ev.which;
                            if(code_val == 0x1B){
                                $('.layui-layer-btn1').click();
                                return false;
                            }
                        };
                        $(document).on('keydown', this.escQuit);
                    },
                    end: function () {
                        //取消键盘监听事件
                        $(document).off('keydown', this.enterEsc);
                        $(document).off('keydown', this.escQuit);
                    },
                    yes: function () {
                        //确认执行的代码
                        submitEntry('1');
                    },
                    no: function () {

                    }
                });
            }else if (state === '2'){
                layer.confirm('该客户已绑定其他代理商，您不能重复创建客户信息！',{
                    btn: ['确定', '取消'],
                    success: function (layero, index) {
                        this.enterEsc = function (event) {
                            if (event.keyCode == 13 ) {
                                //确认  执行的代码
                                //关闭弹窗
                                $('.layui-layer-btn1').click();
                                return false;
                            }
                        };
                        //监听键盘事件
                        $(document).on('keydown', this.enterEsc);
                        //esc键触发取消
                        this.escQuit = (ev) => {
                            let code_val = ev.which;
                            if(code_val == 0x1B){
                                $('.layui-layer-btn1').click();
                                return false;
                            }
                        };
                        $(document).on('keydown', this.escQuit);
                    },
                    end: function () {
                        //取消键盘监听事件
                        $(document).off('keydown', this.enterEsc);
                        $(document).off('keydown', this.escQuit);
                    },
                    yes: function () {
                        //确认执行的代码
                        $('.layui-layer-btn1').click();
                        return false;
                    },
                    no: function () {

                    }
                });

            }else {
                submitEntry('1');
            }


        })
        ////校验身份证日期是否符合日期格式
        function checkDate(date){
            var regex = /^\d{4}-\d{1,2}-\d{1,2}$/;
            if (!regex.test(date)) {
                return false;
            }else {
                return true;
            }
        }
        var savetemFlag = false;
        function submitEntry(type) {
            if (savetemFlag) {
                return;
            }
            // 客户类型
            let tenantType = $("#tenantType").val();
            let idCode = $("input[name=idCode]").val();//身份证号

            let birthdayDate = $('#birthdayDate').val(); //出生日期
            let icValidityBegin = $('#icValidityBegin').val(); //身份证生效日
            let icValidityEnd = $('#icValidityEnd').val(); //身份证到期日
            if (tenantType == '1'){
                //校验身份证日期是否符合日期格式
                if(!checkDate(birthdayDate)){
                    layer.msg("出生日期格式不正确");
                    return;
                }
                if(!checkDate(icValidityBegin)){
                    layer.msg("身份证生效日期格式不正确");
                    return;
                }
                if(!checkDate(icValidityEnd)){
                    layer.msg("身份证到期日期格式不正确");
                    return;
                }
            }
            let zfId = `${capital.id}`;
            let company = $("#projectCompany").find("option:selected").val(); //项目公司
            let projectId = $("#projectList").find("option:selected").val(); //产品信息
            let tenantName = $("input[name=tenantName]").val();//业主姓名
            let mobile = $("input[name=mobile]").val();//联系方式
            let province = $("#province").find("option:selected").val();//省
            let city = $("#city").find("option:selected").val();//市
            let area = $("#area").find("option:selected").val();//区
            let address = $("input[name=customerAddress]").val();//用户地址
            let idCardFront = $('.id-card-front').val();//身份证正面
            let idCardBack = $('.id-card-back').val();//身份证反面
            let bankName = $("#bankName").val(); //开户银行
            let bankCode = $("#bankCode").val(); //银行账号
            let bankCard = $(".bankCard").val(); //银行卡照片
            let exigenceName = $("#exigenceName").val();//紧急联系人
            let exigencePhone = $("#exigencePhone").val();//紧急联系人电话
            let bankNum = tssBankNum;
            let bankNumName = tssBankNumName;
            <c:if test="${info.columns.tss_bank_num_name.columnType eq '2'}">
            bankNumName = $("#tssBank").val();
            </c:if>
            let windPressure = $("#windPressure").val();
            let snowPressure = $("#snowPressure").val();
            let pressureLevel = $("#pressureLevel").val();
            if (tenantType === "2") {
                let company = $("#projectCompany").find("option:selected").val(); //项目公司
                tenantName = $("input[name=tenantNameAnother]").val();
                mobile = $("input[name=mobileAnother]").val();
                idCode = $("input[name=idCodeAnother]").val();
                province = $("#provinceAnother").find("option:selected").val();//省
                city = $("#cityAnother").find("option:selected").val();//市
                area = $("#areaAnother").find("option:selected").val();//区
                address = $("input[name=customerAddressAnother]").val();//用户地址
                idCardFront = $('.id-card-front-another').val();//身份证正面
                idCardBack = $('.id-card-back-another').val();//身份证反面
                bankName = $("#bankNameAnother").val(); //开户银行
                bankCode = $("#bankCodeAnother").val(); //银行账号
                bankCard = $(".bankCardAnother").val(); //银行卡照片
                bankNum = tssBankNumAnother;
                bankNumName = tssBankNumNameAnother;
                <c:if test="${info.columns.tss_bank_num_name.columnType eq '2'}">
                bankNumName = $("#tssBankAnother").val();
                </c:if>
                exigenceName = $("#exigenceNameAnother").val();//紧急联系人
                exigencePhone = $("#exigencePhoneAnother").val();//紧急联系人电话
                pressureLevel = $("#pressureLevelAnother").val();

            }
            // 租户信息

            if (isBlank(idCardFront)) {
                layer.msg("请上传身份证正面", {icon: 2});
                return
            }
            if (isBlank(idCardBack)) {
                layer.msg("请上传身份证背面", {icon: 2});
                return
            }
            if (isBlank(tenantName)) {
                layer.msg("业主姓名不能为空", {icon: 2});
                return
            }
            if (isBlank(idCode)) {
                layer.msg("身份证信息不能为空", {icon: 2});
                return
            }
            if (isBlank(tenantName)) {
                layer.msg("业主姓名不能为空", {icon: 2});
                return
            }
            if (!isBlank(mobile) && !isPhoneNo($.trim(mobile))) {
                layer.msg("联系方式格式不正确", {icon: 2});
                return
            }
            let age = $("input[name='age']").val(); //年龄
            let gender = $("input[name='gender']:checked").val(); //性别

            let repaymentMethod = $("#repaymentMethod").val(); //还款方式
            let remarks = $("textarea[name=remarks]").val();//备注

            let residenceBooklet;//户口本复印件
            $(".residenceBooklet").each(function () {
                if (isBlank(residenceBooklet)) {
                    residenceBooklet = $(this).val();
                } else {
                    residenceBooklet = residenceBooklet + "," + $(this).val();
                }
            });

            let houseOwnership;//房产证
            $(".houseOwnership").each(function () {
                if (isBlank(houseOwnership)) {
                    houseOwnership = $(this).val();
                } else {
                    houseOwnership = houseOwnership + "," + $(this).val();
                }
            });
            let creditCertificate;//信誉凭证
            $(".creditCertificate").each(function () {
                if (isBlank(creditCertificate)) {
                    creditCertificate = $(this).val();
                } else {
                    creditCertificate = creditCertificate + "," + $(this).val();
                }
            });


            let bpName = $('#bpName').val();//共签人名称
            // let bpRelation = $('#bpRelation').val();//共签人与业主关系
            let bpRelation = $("#bpRelation").find("option:selected").val();//共签人与业主关系
            let bpIdCard = $('#bpIdCard').val();//共签人证件号码
            let bpMobile = $('#bpMobile').val();//共签人手机号
            let bpCardFront = $('.bpCardFront').val();//共签人身份证正面
            let bpCardBack = $('.bpCardBack').val();//共签人身份证反面
            let bpFile;   // 共签人子女证明材料
            $(".bpFile").each(function () {
                if (isBlank(bpFile)) {
                    bpFile = $(this).val();
                } else {
                    bpFile = bpFile + "," + $(this).val();
                }
            });
            let regnoUrl = $('.regnoUrl').val();//营业执照
            let regno = $('#regno').val();// 信用代码
            let corp = $('#corp').val();// 负责人姓名

            let index = layer.load(2, {shade: [0.5, '#fff'], content: ''});

            var arr = [];
            var projectIdStr = '';
            var projectNameStr = '';
            var projectCodeStr = '';
            var payCycleStr = '';
            $("#projectBody tr").each(function (index) {
                var obj = {};
                var $tr = $(this);
                var projectId = $tr.find('.projectList').val();
                var projectName = $tr.find(".projectList option:selected").text();
                var projectCode = $tr.find('.projectCode').text();
                var payCycle = $tr.find('.payCycle').text();
                var roofType = $tr.find(".roofType option:selected").text();
                obj.projectId = projectId;
                obj.projectName = projectName;
                obj.projectCode = projectCode;
                obj.payCycle = payCycle;
                obj.roofType = roofType;
                if(!isBlank(projectId)){
                    arr.push(obj);
                }
                projectIdStr += $tr.find('.projectList').val()+ ",";
                projectNameStr += $tr.find(".projectList option:selected").text()+ ",";
                projectCodeStr += $tr.find('.projectCode').text()+ "," ;
                payCycleStr += $tr.find('.payCycle').text()+ "," ;
            })
            projectIdStr = projectIdStr.substring(0,projectIdStr.length-1);
            projectNameStr = projectNameStr.substring(0,projectNameStr.length-1);
            projectCodeStr = projectCodeStr.substring(0,projectCodeStr.length-1);
            payCycleStr = payCycleStr.substring(0,payCycleStr.length-1);

            var order = {
                projectList: arr,
                projectId: projectIdStr,
                projectName: projectNameStr,
                projectCode: projectCodeStr,
                projectNum: arr.length,
                payCycle: payCycleStr,
                tenantName: tenantName,
                company: company,
                mobile: mobile,
                idCode: idCode,
                province: province,
                city: city,
                area: area,
                address: address,
                repaymentMethod: repaymentMethod,
                remarks: remarks,
                idCardFront: idCardFront,
                idCardBack: idCardBack,
                type: type,
                bankName: bankName,
                bankCode: bankCode,
                residenceBooklet: residenceBooklet,
                bankCard: bankCard,
                age: age,
                gender: gender,
                bpName: bpName,
                bpRelation: bpRelation,
                bpIdCard: bpIdCard,
                bpMobile: bpMobile,
                bpCardFront: bpCardFront,
                bpCardBack: bpCardBack,
                bpFile: bpFile,
                tssBankNum: bankNum,
                tssBankNumName: bankNumName,
                tenantType: tenantType,
                regnoUrl: regnoUrl,
                regno: regno,
                corp: corp,
                zfId: zfId,
                exigenceName: exigenceName,
                exigencePhone: exigencePhone,
                houseOwnership: houseOwnership,
                creditCertificate: creditCertificate,
                birthdayDate: birthdayDate,//出生日期
                icValidityBegin: icValidityBegin,//身份证生效日
                icValidityEnd: icValidityEnd,//身份证到期日
                windPressure :windPressure,//风压
                snowPressure:snowPressure,//雪压
                pressureLevel :pressureLevel//风雪压等级
            };

            savetemFlag = true;
            saveFlag = true;
            console.log(JSON.stringify(order));
            $.ajax({
                url: "${ctx}/customerEntry/saveCustomerEntry",
                type: "POST",
                contentType: "application/json;charsetset=UTF-8",
                data: JSON.stringify(order)
                , success: function (result) {
                    if (result.code === '200') {
                        var index = parent.layer.getFrameIndex(window.name);
                        layer.msg("保存成功", {icon: 1, time: 1000}, function () {
                            parent.layer.close(index);
                            parent.table.reload('test');
                        })
                    } else {
                        layer.msg(result.errMsg, {icon: 2});
                    }
                    savetemFlag = false;
                    saveFlag = false;
                }, error: function () {
                    layer.msg("保存失败", {icon: 2});
                    savetemFlag = false;
                    saveFlag = false;
                }, complete: function () {
                    layer.close(index);
                }
            })
        }

        //取消
        $(".cancelorder").click(function () {
            $(this).addClass("layui-hide");
            $(".uodateorder").addClass("layui-hide");
            $(".xiugaiOrder").removeClass("layui-hide");

            window.location.reload();
        })

        function clearPressureLevel(){
            $("input[name=windPressure]").val("");
            $("input[name=snowPressure]").val("");
            $("input[name=pressureLevel]").val("");
        }

        // 验证手机号
        function isPhoneNo(phone) {
            // var tel = /(^1\d{10}$)|(^(\d{3,4}\-)?\d{5,9}$)/;
            var tel = /^1[3|4|5|6|7|8|9][0-9]{9}$/;
            return tel.test($.trim(phone));
        }

        function IsCard(str) {
            var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
            return reg.test(str);
        }

        function isNumber(value) {
            var z_reg = /^(([0-9])|([1-9]([0-9]+)))(.[0-9]+)?$/;
            return z_reg.test(value);
        };

        <c:if test="${info.columns.tss_bank_num_name.columnType eq '1'}">
        var tssBankXm = xmSelect.render({
            el: '#tssBank',
            name: 'tssBank',
            radio: true,
            tips: '请输入查询',
            size: 'mini',
            style: {
                height: '30px',
            },
            paging: true,
            pageSize: 6,
            clickClose: true,
            filterable: true,
            remoteSearch: true,
            remoteMethod: function (val, cb, show) {
                searchVal(val, cb, {
                    name: val,
                    partner:`${capital.id}`
                }, 'name');
            },
            on: function (data) {
                if (data.isAdd && data.arr.length > 0) {
                    appendTr(data);
                }
            }
        });

        var tssBankXmAnother = xmSelect.render({
            el: '#tssBankAnother',
            name: 'tssBankAnother',
            radio: true,
            tips: '请输入查询',
            size: 'mini',
            style: {
                height: '30px',
            },
            paging: true,
            pageSize: 6,
            clickClose: true,
            filterable: true,
            remoteSearch: true,
            remoteMethod: function (val, cb, show) {
                searchVal(val, cb, {
                    name: val,
                    partner:`${capital.id}`
                }, 'name');
            },
            on: function (data) {
                if (data.isAdd && data.arr.length > 0) {
                    appendTrAnother(data);
                }
            }
        });
        </c:if>


        function searchVal(val, cb, searchData, filed) {
            if (!isBlank(val)) {
                $.ajax({
                    type: 'post',
                    url: '${ctx}/sysSettings/linkNumber/findLinkNumberList',
                    data: searchData,
                    async: false,
                    dataType: 'json',
                    success: function (d) {
                        let arr = [];
                        for (let i = 0; i < d.length; i++) {
                            let data = {};
                            data.name = d[i].columns.bank_name;
                            data.value = d[i].columns.number;
                            data.origin = d[i];
                            arr.push(data);
                        }
                        cb(arr);
                    }
                });
            } else {
                cb([]);
            }
        }

        function appendTr(data) {
            let d = data.arr[0].origin;
            tssBankNum = d.columns.number;
            tssBankNumName = d.columns.bank_name;
        }

        function appendTrAnother(data) {
            let d = data.arr[0].origin;
            tssBankNumAnother = d.columns.number;
            tssBankNumNameAnother = d.columns.bank_name;
        }
    });

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function delImg(that, id) {
        $("#" + id).show();
        $(that).parent().remove();
        if('uploader'==id){
            quaimgsCount--;
            $("#uploader").show();
        }
    }
    // 关闭弹框
    function cancel() {
        var index = parent.layer.getFrameIndex(window.name);//先得到当前iframe层的索引
        parent.layer.close(index); //再执行关闭
    }
    // 新增项目
    function addtr(that) {
        var rowCount = $("#projectBody tr").length;
        if(rowCount>=5){
            layer.msg("产品最多选择五个!")
            return
        }
        let province = $("#province").find("option:selected").val();//省
        let city = $("#city").find("option:selected").val();//市
        let area = $("#area").find("option:selected").val();//区
        $(that).addClass("layui-hide");
        $(that).next().removeClass('layui-hide');
        var filingType = $("#filingType").find("option:selected").val();
        var html = '';
        $.ajax({
            type: "POST",
            url: "${ctx}/customerEntry/getProjectByArea",
            data: {
                traderId: `${traderId}`,
                filingType: filingType,
                province:province,
                city:city,
                area:area,
                partner:`${capital.id}`
            },
            success: function (result) {
                var data = result.data;
                if(data != undefined){
                    html += '<tr class="projecttr">';
                    html += '<td>1</td>';
                    html += '<td>';
                    html += '<select class="projectList" name="projectList" lay-filter="projectChange" >';
                    html += '<option value="">请选择</option>';
                    for (var i = 0; i < data.length; i++) {
                        html += '<option value="'+data[i].columns.id+'">'+data[i].columns.name+'</option>';
                    }
                    html += '</td>';
                    html += '<td class="projectCode"></td>'
                    html += '<td class="payCycle"></td>'
                    html += '<td>';
                    html += '<select name="roofType" class="roofType" lay-verify="required" lay-filter="roofType" >';
                    html += '<option value="">请选择</option>';
                    <c:forEach items="${roofTypeList}" var="roofType">
                    html += '<option value="${roofType.columns.dict_value}" <c:if test="${surveyRecord.roofType eq roofType.columns.dict_value}">selected</c:if>>${roofType.columns.dict_value}</option>';
                    </c:forEach>
                    html += '</select>';
                    html += '</td>';
                    html += '<td><button type="button" class="layui-btn layui-btn-sm layui-btn-danger addDaili" onclick="addtr(this)">添加</button>';
                    html += '<button type="button" class="layui-btn layui-btn-sm layui-btn-danger deleteBut" onclick="delete1(this)">删除</button></td>';
                    html += '</tr>';
                    $("#projectBody").append(html);
                    form.render('select');
                    $('#projectBody>tr').each(function (i) {
                        $(this).find('td:first').html(i + 1);
                    });
                }
            }
        });
    }

    function delete1(that) {
        var rowCount = $("#projectBody tr").length;
        if(rowCount == 1){
            layer.msg("不可删除!")
            return
        }
        if (!$(that).parents(".projecttr").next().hasClass("projecttr")) {
            $(that).parents(".projecttr").prev().find(".addDaili").removeClass("layui-hide");
        }
        $(that).closest('tr').remove();
        if ($('#projecttrBody>tr').length < 2) {
            $('#projecttrBody>tr').find(".addDaili").removeClass("layui-hide");
            $('#projecttrBody>tr').find(".deleteBut").addClass("layui-hide");
        }
        appendMSort();
    }

    function appendMSort() {
        $('#projectBody>tr').each(function (i) {
            $(this).find('td:first').html(i + 1);
        });
    }


    function change() {
        let tenantType = $("#tenantType").val();
        if (tenantType === "1") {
            let age = $("#age").val();
            if (age >= 65 ) {
                $("#bcxx").removeClass("hide");
            } else {
                $("#bcxx").addClass("hide");
            }
        }
    }
    function editBankNameAnother(){
        var tenantName = $("input[name=tenantNameAnother]").val();
        $("#bankNameAnother").val(tenantName);
    }

    function convertToISOFormat(dateString) {
        const dateComponents = dateString.split('年');
        const year = dateComponents[0];
        const monthDay = dateComponents[1].split('月');
        const month = monthDay[0];
        const day = monthDay[1].split('日')[0];
        let temp = year+"-"+month+"-"+day;
        return temp;
    }

    function getAge(idCard) {
        // 从身份证号中获取出生日期
        var birthday = new Date(idCard.substring(6, 10), parseInt(idCard.substring(10, 12)) - 1, idCard.substring(12, 14));

        // 获取当前日期
        var today = new Date();

        // 计算年龄
        var age = today.getFullYear() - birthday.getFullYear();

        // 如果当前月份小于出生月份，或者当前月份等于出生月份但是当前日期小于出生日期，则年龄减一
        if (today.getMonth() < birthday.getMonth() || (today.getMonth() === birthday.getMonth() && today.getDate() < birthday.getDate())) {
            age--;
        }

        return age;
    }
    function getPressureLevel(){
        let tenantType = $("#tenantType").val();
        let province = $("#province").find("option:selected").val();//省
        let city = $("#city").find("option:selected").val();//市
        let area = $("#area").find("option:selected").val();//区
        if (tenantType === "2") {
            province = $("#provinceAnother").find("option:selected").val();//省
            city = $("#cityAnother").find("option:selected").val();//市
            area = $("#areaAnother").find("option:selected").val();//区
        }
        $("input[name=windPressure]").val("");
        $("input[name=snowPressure]").val("");
        $("input[name=pressureLevel]").val("");
        $.ajax({
            type: "POST",
            url: "${ctx}/customerEntry/getPressureLevel",
            data: {
                province:province,
                city:city,
                area:area
            },
            success: function (result) {
                if (typeof result.data !== 'undefined') {
                    var data = result.data
                    let windPressure = data.columns.wind_pressure;
                    let snowPressure = data.columns.snow_pressure;
                    let pressureLevel = data.columns.pressure_level;
                    if (isBlank(windPressure)){
                        windPressure = "\\";
                    }
                    if (isBlank(snowPressure)){
                        snowPressure = "\\";
                    }
                    if (isBlank(pressureLevel)){
                        pressureLevel = "\\";
                    }
                    if (tenantType === "2") {
                        $("#windPressureAnother").val(windPressure);
                        $("#snowPressureAnother").val(snowPressure);
                        $("#pressureLevelAnother").val(pressureLevel);
                    }else {
                        $("#windPressure").val(windPressure);
                        $("#snowPressure").val(snowPressure);
                        $("#pressureLevel").val(pressureLevel);
                    }
                }
            }
        });
    }
    function getProjectByArea() {
        let tenantType = $("#tenantType").val();
        let province = $("#province").find("option:selected").val();//省
        let city = $("#city").find("option:selected").val();//市
        let area = $("#area").find("option:selected").val();//区
        if (tenantType === "2") {
            province = $("#provinceAnother").find("option:selected").val();//省
            city = $("#cityAnother").find("option:selected").val();//市
            area = $("#areaAnother").find("option:selected").val();//区
        }
        var projectList = $("#projectList");
        var projectCompany = $("#projectCompany");
        projectCompany.empty()
        projectList.empty();
        form.render('select');
        $.ajax({
            type: "POST",
            url: "${ctx}/customerEntry/getProjectByArea",
            data: {
                traderId: `${traderId}`,
                type: tenantType,
                province:province,
                city:city,
                area:area,
                partner:`${capital.id}`
            },
            success: function (result) {
                var projectList = $("#projectList");
                projectList.empty();
                if (typeof result.data !== 'undefined') {
                    var data = result.data
                    projectList.append('<option value="">请选择产品:</option>');
                    for (var i = 0; i < data.length; i++) {
                        var city = data[i];
                        projectList.append('<option value="' + city.columns.id + '" title="' + city.columns.name + '" rel="' + city.columns.id + '">' + city.columns.name + '</option>');
                    }
                }
                form.render('select');
            }
        });
    }

    function checkSelection() {
        let tenantType = $("#tenantType").val();
        let province = $("#province").find("option:selected").val();//省
        let city = $("#city").find("option:selected").val();//市
        let area = $("#area").find("option:selected").val();//区
        if (tenantType === "2") {
            province = $("#provinceAnother").find("option:selected").val();//省
            city = $("#cityAnother").find("option:selected").val();//市
            area = $("#areaAnother").find("option:selected").val();//区
        }
        // 检查是否所有选项都被选中
        if (isBlank(province) || isBlank(city)  || isBlank(area) ) {
            // 如果有选项未被选中，
            document.getElementById('projectCompany').disabled = true;
            document.getElementById('filingType').disabled = true;
        } else {
            // 如果所有选项都被选中，
            document.getElementById('projectCompany').disabled = false;
            document.getElementById('filingType').disabled = false;
        }
    }

</script>
</body>
</html>
