<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>项目查询</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/formSelects-v4.css" media="all">
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/lib/font/iconfont.css" />
    <style>
        .xm-select-parent .xm-select {
            min-height: 32px;
        }
    </style>
</head>
<body>

<div class="layui-fluid">
    <div class="layui-form layui-card">
        <div class="layui-tab layui-tab-brief">
            <ul class="layui-tab-title">
                <sfTags:pagePermission authFlag="BBTJ_ZJGL_YXZJ_T" html='<a href="${ctx}/customerEntryRentManagement/findRentList"><li class="layui-this">租金管理</li></a>'/>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10 " type="reset"  onclick="reset()" >
                    <i class="layui-icon fs-12">&#xe9aa;</i>
                    重置
                </button>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10" id="searchBtn" lay-submit lay-filter="LAY-user-back-search"><i class="layui-icon fs-12">&#xe615;</i>查询</button>
            </ul>
        </div>
        <form class="layui-card-body layuiadmin-card-header-auto" id="searchForm">
            <div class="layui-form-item">
                <%--                <div class="layui-col-lg3 layui-col-sm3">--%>
                <%--                    <label class="layui-form-label">代理商名称：</label>--%>
                <%--                    <div class="layui-input-block" >--%>
                <%--                        <select name="traderIds" id="traderIds"  xm-select="traderIds" xm-select-type="1" xm-select-height="25px" xm-select-show-count="6">--%>
                <%--                            <option value="">请选择</option>--%>
                <%--                            <c:forEach items="${traderList}" var="trader">--%>
                <%--                                <option value="${trader.columns.id}">${trader.columns.name}</option>--%>
                <%--                            </c:forEach>--%>
                <%--                        </select>--%>
                <%--                    </div>--%>
                <%--                </div>--%>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">代理商名称：</label>
                    <div class="layui-input-block">
                        <input type="text" name="officeName" id="officeName" class="layui-input" >
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">进件序号：</label>
                    <div class="layui-input-block">
                        <input type="text" name="contractNumber" id="contractNumber" class="layui-input" >
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">电站编码：</label>
                    <div class="layui-input-block">
                        <input type="text" name="powerStationCode" id="powerStationCode" class="layui-input" >
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">电站名称：</label>
                    <div class="layui-input-block">
                        <input type="text" name="stationName" id="stationName" class="layui-input" >
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">应付日期：</label>
                    <div class="layui-input-block">
                        <input type="text" name="dueTime" class="layui-input" id="dueTime" placeholder="应付日期">
                    </div>
                </div>
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">已付日期：</label>
                        <div class="layui-input-block">
                            <input type="text" name="paidTime" class="layui-input" id="paidTime" placeholder="已付日期">
                        </div>
                    </div>
            </div>
        </form>
    </div>
    <div class="layui-card">
        <div class="layui-card-body">
            <table class="layui-hide" lay-skin="row" id="test" lay-filter="test"></table>
            <script type="text/html" id="toolbarDemo">
                <div class="layui-btn-container">
                    <sfTags:pagePermission authFlag="BBTJ_ZJGL_TBZJ_B" html='<button class="layui-btn layui-btn-sm"  id="syncRentList" onclick="syncRentList()">同步租金</button>'/>
                    <sfTags:pagePermission authFlag="BBTJ_ZJGL_DCLB_B" html='<button class="layui-btn layui-btn-sm" lay-event="export" id="exportBtn"><i class="layui-icon layui-icon-export"></i>导出列表</button>'/>
                </div>
            </script>
        </div>
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/lib/formSelects-v4.js"></script>
<script>
    var formSelects;
    var entrycount=0;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laypage','laydate','form','formSelects'], function(){
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;
        table = tableExt.getLayTable();
        formSelects = layui.formSelects;

        laydate.render({
            elem: '#dueTime',
            type: 'month'
        });
        laydate.render({
            elem: '#paidTime',
        });

        tableExt.render({
            elem: '#test'
            , title:'项目查询'
            , height: 'full-180'
            , toolbar: '#toolbarDemo'
            , defaultToolbar: false
            , limits : [ 20, 50, 100 ]
            , limit:20
            , page : true //开启分页
            , url: '${ctx}/customerEntryRentManagement/getRentListData'
            , where: _serializeJson($("#searchForm"))
            , cols: [[
                {type: 'numbers',fixed:'left',title:'序号'}
                // , {field: 'trader_name', title: '代理商名称', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'office_name', title: '代理商名称', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'power_station_code', title: '电站编码', minWidth: 150, sort: false, align: 'center', exportable: true}
                // , {field: 'contract_number', title: '合同编号', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'partners_contract_number', title: '进件序号', minWidth: 130, sort: false, align: 'center', exportable: true}
                // , {field: 'tenant_name', title: '业主姓名', minWidth: 150, sort: false, align: 'center', exportable: true}
                , {field: 'station_name', title: '电站名称', minWidth: 150, sort: false, align: 'center', exportable: true}
                , {field: 'merge_time', title: '并网日期', minWidth: 150, sort: false, align: 'center', exportable: true}
                // , {field: 'component_num', title: '组件块数', minWidth: 150, sort: false, align: 'center', exportable: true}
                , {field: 'capacity', title: '装机容量(kW)', minWidth: 150, sort: false, align: 'center', exportable: true}
                , {field: 'period', title: '期数', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'dueTime', title: '应付日期', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'due_money', title: '应付金额', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'paidTime', title: '已付日期', minWidth: 130, sort: false, align: 'center', exportable: true}
            ]]
            ,exportOpt:{                           //导出选项配置
                ele:'#exportBtn',                   //导出的Dom元素
                headerTitle: '越秀租金',             //excel表格的标题
                pageData:false,                     //true:导出的数据为页面数据，false:最大导出maxAmount条数据
                maxAmount: 15000,                    //当pageData为false生效
                fileName: '越秀租金',
                where: function (){                 //当pageData为false时生效，过滤的条件
                    return _serializeJson($("#searchForm"));
                }
            },done: function(res, curr, count){

            }
        });

        table.on('toolbar(test)',function(obj) {
            var checkStatus = table.checkStatus(obj.config.id);
            if (obj.event === 'importCode') {
                layer.open({
                    title: '导入已支付',
                    type: 2,
                    area: ['550px', '300px'],
                    content: '${ctx}/customer/customerEntryRent/importCustomerRent'
                });
            }

        });

        //监听搜索
        form.on('submit(LAY-user-back-search)', function(data){
            var field = data.field;
            //执行重载
            tableExt.reload('test', {
                where: field,
                page:{
                    curr:1
                }
            });
        });
    })

    function searchOrder() {
        layer.closeAll();
        //执行重载
        var wherobj =_serializeJson($("#searchForm"));
        tableExt.reload('test', {
            where: wherobj
        });
    }


    //查看详情
    function psDetail(id){
        layer.open({
            type: 2
            , title: '电站详情'
            , content: '${ctx}/customerEntry/entryDetail?entryId=' + id
            , area: ['100%', '100%']
            , yes: function(index, layero){

            }
        });
    }

    function syncRentList(){
        layer.open({
            title: '同步租金',
            type: 2,
            area: ['30%', '50%'],
            content: '${ctx}/customerEntryRentManagement/syncRentListPage'
        });
    }


    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function reset(){
        formSelects.render();
        layui.form.render();
        $("#searchForm").find("select").val("");
        $("#searchForm").find("input").val("");
        $("#dueTime").val();
    }

</script>
</body>
</html>

