<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>项目管理-待审核</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        /*.layui-form-select dl{
           !* max-height:200px;*!
            width: 80%;
        }*/
        html{ background: #FFF}

        .layui-input-block {
            margin-left: 148px;
        }

        .layui-form-label {
            width: 148px;
        }
        .title1 {
            border-left: 4px solid #1b6073;
            padding-left: 20px;
            font-size: 14px;
            margin: 10px auto;
            font-weight: 600;
            height: 34px;
            line-height: 34px;
            background-color: #f4f6f9;
            color: #666666;
        }
        .clearfix{*zoom:1;}
        .clearfix:before,.clearfix:after{display:table; line-height:0; content:"";}
        .clearfix:after{clear:both;}

        .operate-footer{
            z-index: 1;
        }
        .idea-text{
            width: 320px; height: 100px;outline: none; padding: 3px
        }
        .f-l{
            float: left;
        }
        .pd-10{
            padding: 10px;
        }
    </style>
</head>
<body>
<div class="aaa">
    <div class="layui-form " id="detailSet">
        <div class="layui-card-body  pt-20 h-350" action="" id="LAY_app">
            <form class="clearfix" id="form1">
                <blockquote class="layui-elem-quote">基本信息</blockquote>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租赁类型：</label>
                        <div class="layui-input-block">
                            <c:if test="${basic.leaseType eq '0'}">
                                <input type="text"  disabled  class="layui-input layui-disabled" value="融资租赁直租">
                            </c:if>
                            <c:if test="${basic.leaseType eq '1'}">
                                <input type="text"  disabled  class="layui-input layui-disabled" value="融资租赁回租">
                            </c:if>
                            <c:if test="${basic.leaseType eq '2'}">
                                <input type="text"  disabled  class="layui-input layui-disabled" value="经营租赁直租">
                            </c:if>

                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>厂商：</label>
                        <div class="layui-input-block">
                            <input type="text" disabled   class="layui-input layui-disabled" value="${basic.manufacturer}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>出卖人：</label>
                        <div class="layui-input-block">
                            <input type="text" disabled  lay-verify="required"   class="layui-input layui-disabled" value="${basic.seller}">
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>是否代理商模式：</label>
                        <div class="layui-input-block">
                            <input type="text" disabled   class="layui-input layui-disabled" value="${basic.venderModelFlag eq 'Y' ? '是':'否'}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>付款对象名称：</label>
                        <div class="layui-input-block">
                            <input type="text" disabled  name="paymentBp"  lay-verify="required"  class="layui-input layui-disabled" value="${basic.paymentBp}">

                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>资产类型：</label>
                        <div class="layui-input-block">
                            <select name="propertyType" disabled class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="0" <c:if test="${basic.propertyType eq '0'}" > selected</c:if>>动产</option>
                                <option value="1" <c:if test="${basic.propertyType eq '1'}" > selected</c:if>>不动产</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>是否电子签约：</label>
                        <div class="layui-input-block">
                            <select name="electronicSignFlag" disabled class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="Y" <c:if test="${basic.electronicSignFlag eq 'Y'}" > selected</c:if>>是</option>
                                <option value="N" <c:if test="${basic.electronicSignFlag eq 'N'}" > selected</c:if>>否</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>承租人类型：</label>
                        <div class="layui-input-block">
                            <select name="bpType" disabled class="layui-disabled">
                                <option value="0">自然人</option>
                                <%--<option value="1">企业法人</option>--%>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">调息规则：</label>
                        <div class="layui-input-block">
                            <select name="floatingRangeMethod" disabled class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="0" <c:if test="${basic.floatingRangeMethod eq '0'}" > selected</c:if>>次年1月1日</option>
                                <option value="1" <c:if test="${basic.floatingRangeMethod eq '1'}" > selected</c:if>>次年1日</option>
                                <option value="2" <c:if test="${basic.floatingRangeMethod eq '2'}" > selected</c:if>>次期</option>
                                <option value="3" <c:if test="${basic.floatingRangeMethod eq '3'}" > selected</c:if>>固定利率</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">保险购买情况：</label>
                        <div class="layui-input-block">
                            <select name="insuranceFlag" disabled class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="0" <c:if test="${basic.insuranceFlag eq '0'}" > selected</c:if>>是</option>
                                <option value="1" <c:if test="${basic.insuranceFlag eq '1'}" > selected</c:if>>否</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租赁物类型：</label>
                        <div class="layui-input-block" >
                            <select name="leaseItemCategory" disabled class="layui-disabled">
                                <option value="NORMAL">一般租赁物</option>
                                <%--<option value="MANU_ME">厂商机械类</option>--%>
                            </select>
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>损失效率：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="reservedFieldSeven" disabled  class="layui-input layui-disabled" value="<fmt:formatNumber type="number" value="${basic.reservedFieldSeven * 100}" maxFractionDigits="2"/>" >
                            <span class="pos-a h-32 lh-32 layui-span-unit">%</span>
                        </div>
                    </div>

                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>年总峰值日照小时数：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="reservedField" disabled  class="layui-input layui-disabled" value="${basic.reservedField}">
                            <span class="pos-a h-32 lh-32 layui-span-unit">h</span>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>系统效率：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="reservedFieldTwo" disabled  class="layui-input layui-disabled" value="${basic.reservedFieldTwo}" >
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>脱硫煤电价：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="reservedFieldThree" disabled  class="layui-input layui-disabled" value="${basic.reservedFieldThree}"  >
                            <span class="pos-a h-32 lh-32 layui-span-unit">元/kWh</span>
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>装机容量：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="reservedFieldFour" disabled  class="layui-input layui-disabled" value="${basic.reservedFieldFour}"  >
                            <span class="pos-a h-32 lh-32 layui-span-unit">W</span>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4 jingyingzulin">
                        <label class="layui-form-label"><i class="red">*</i>每W定价：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="reservedFieldFive" id="reservedFieldFive"  class="layui-input " value="${basic.reservedFieldFive}"   onkeyup="!/^(\d+\.?)?\d{0,2}$/.test(this.value)?(this.value=this.value.substring(0, this.value.length-1)): ''" >
                            <span class="pos-a h-32 lh-32 layui-span-unit">元/W</span>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>划转方式：</label>
                        <div class="layui-input-block">
                            <select name="modeRepayment" lay-verify="required" disabled class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="1" <c:if test="${basic.modeRepayment eq '1'}"> selected</c:if>>二类卡</option>
                                <option value="2" <c:if test="${basic.modeRepayment eq '2'}"> selected</c:if>>光e宝</option>
                                <option value="0" <c:if test="${basic.modeRepayment eq '0'}"> selected</c:if>>其它</option>
                                <%--<option value="MANU_ME">厂商机械类</option>--%>
                            </select>
                        </div>
                    </div>
                    <%--  <div class="layui-inline layui-col-xs4">
                          <label class="layui-form-label"><i class="red">*</i>浙银年化租金：</label>
                          <div class="layui-input-block">
                              <input type="text"  name="reservedFieldSix"  disabled  class="layui-input layui-disabled" value="${basic.reservedFieldSix}" >
                              <span class="pos-a h-32 lh-32 layui-span-unit">元</span>
                          </div>
                      </div>--%>
                </div>
            </form>

            <form class="clearfix" id="form2">
                <blockquote class="layui-elem-quote">客户信息</blockquote>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>性别：</label>
                        <div class="layui-input-block">
                            <select name="sex" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="MALE" <c:if test="${perInfo.sex eq 'MALE'}" > selected</c:if>>男</option>
                                <option value="FEMALE" <c:if test="${perInfo.sex eq 'FEMALE'}" > selected</c:if>>女</option>
                                <option value="UNKNOW" <c:if test="${perInfo.sex eq 'UNKNOW'}" > selected</c:if>>未知</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label ">出生日期：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="birthdayDate"  id="birthdayDate" disabled  class="layui-input layui-disabled" placeholder="年/月/日" value="${perInfo.birthdayDate}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label "><i class="red">*</i>单位名称：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="workCorp"  disabled  class="layui-input layui-disabled" value="${perInfo.workCorp}">
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>职业：</label>
                        <div class="layui-input-block">
                            <select name="occupation" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="0" <c:if test="${perInfo.occupation eq '0'}" > selected</c:if>>国家机关、党群组织、企业、事业单位负责人</option>
                                <option value="1" <c:if test="${perInfo.occupation eq '1'}" > selected</c:if>>专业技术人员</option>
                                <option value="3" <c:if test="${perInfo.occupation eq '3'}" > selected</c:if>>办事人员和有关人员</option>
                                <option value="4" <c:if test="${perInfo.occupation eq '4'}" > selected</c:if>>商业、服务业人员</option>
                                <option value="5" <c:if test="${perInfo.occupation eq '5'}" > selected</c:if>>农、林、牧、渔、水利业生产人员</option>
                                <option value="6" <c:if test="${perInfo.occupation eq '6'}" > selected</c:if>>生产、运输设备操作人员及有关人员</option>
                                <option value="X" <c:if test="${perInfo.occupation eq 'X'}" > selected</c:if>>军人</option>
                                <option value="Y" <c:if test="${perInfo.occupation eq 'Y'}" > selected</c:if>>不便分类的其他从业人员</option>
                                <option value="Z" <c:if test="${perInfo.occupation eq 'Z'}" > selected</c:if>>未知</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>职务：</label>
                        <div class="layui-input-block">
                            <select name="headShip" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="1" <c:if test="${perInfo.headShip eq '1'}" > selected</c:if>>高级领导（行政级别局级及局级以上领导或大公司高级管理人员）</option>
                                <option value="2" <c:if test="${perInfo.headShip eq '2'}" > selected</c:if>>中级领导（行政级别局级以下领导或大公司中级管理人员）</option>
                                <option value="3" <c:if test="${perInfo.headShip eq '3'}" > selected</c:if>>一般员工</option>
                                <option value="4" <c:if test="${perInfo.headShip eq '4'}" > selected</c:if>>其他</option>
                                <option value="9" <c:if test="${perInfo.headShip eq '9'}" > selected</c:if>>未知</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>职称：</label>
                        <div class="layui-input-block">
                            <select name="position" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="0" <c:if test="${perInfo.position eq '0'}" > selected</c:if>>无</option>
                                <option value="1" <c:if test="${perInfo.position eq '1'}" > selected</c:if>>高级</option>
                                <option value="2" <c:if test="${perInfo.position eq '2'}" > selected</c:if>>中级</option>
                                <option value="3" <c:if test="${perInfo.position eq '3'}" > selected</c:if>>初级</option>
                                <option value="9" <c:if test="${perInfo.position eq '9'}" > selected</c:if>>未知</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>行业：</label>
                        <div class="layui-input-block">
                            <select name="industry" disabled  class=" layui-disabled">
                                <option value="4415">太阳能发电</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>最高学位：</label>
                        <div class="layui-input-block">
                            <select name="eduDegree" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="0" <c:if test="${perInfo.eduDegree eq '0'}" > selected</c:if>>其他</option>
                                <option value="1" <c:if test="${perInfo.eduDegree eq '1'}" > selected</c:if>>名誉博士</option>
                                <option value="2" <c:if test="${perInfo.eduDegree eq '2'}" > selected</c:if>>博士</option>
                                <option value="3" <c:if test="${perInfo.eduDegree eq '3'}" > selected</c:if>>硕士</option>
                                <option value="4" <c:if test="${perInfo.eduDegree eq '4'}" > selected</c:if>>学士</option>
                                <option value="9" <c:if test="${perInfo.eduDegree eq '9'}" > selected</c:if> >未知</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>最高学历：</label>
                        <div class="layui-input-block">
                            <select name="eduExperience" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="POST_GRADUATE_OR_HIGHER" <c:if test="${perInfo.eduExperience eq 'POST_GRADUATE_OR_HIGHER'}" > selected</c:if>>硕士或以上学位</option>
                                <option value="UNDERGRADUATE" <c:if test="${perInfo.eduExperience eq 'UNDERGRADUATE'}" > selected</c:if>>本科</option>
                                <option value="PROFESSIONAL_TRAINING" <c:if test="${perInfo.eduExperience eq 'PROFESSIONAL_TRAINING'}" > selected</c:if>>专科</option>
                                <option value="SENIOR" <c:if test="${perInfo.eduExperience eq 'SENIOR'}" > selected</c:if>>高中</option>
                                <option value="JUNIOR" <c:if test="${perInfo.eduExperience eq 'JUNIOR'}" > selected</c:if>>初中</option>
                                <option value="PRIMARY" <c:if test="${perInfo.eduExperience eq 'PRIMARY'}" > selected</c:if>>小学</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>证件类型：</label>
                        <div class="layui-input-block">
                            <select name="idCardType" disabled  class="layui-disabled">
                                <option value="0">身份证</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>身份证有效日：</label>
                        <div class="layui-input-block" >
                            <input   name="icValidityBegin" id="icValidityBegin" disabled  class="layui-input layui-disabled" placeholder="年/月/日" value="${perInfo.icValidityBegin}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>身份证到期日：</label>
                        <div class="layui-input-block" >
                            <input   name="icValidityEnd"  id="icValidityEnd" disabled  class="layui-input layui-disabled" placeholder="年/月/日" value="${perInfo.icValidityEnd}">
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>年龄：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="age" disabled  class="layui-input layui-disabled" value="${perInfo.age}">
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>民族：</label>
                        <div class="layui-input-block">
                            <select name="nationalId" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <c:forEach items="${nationals}" var="national">
                                    <option value="${national.key}" <c:if test="${perInfo.nationalId eq national.key}" > selected</c:if>>${national.value}</option>
                                </c:forEach>
                            </select>
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>个人年收入：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="personalAnnualIncome"  disabled  class="layui-input layui-disabled" value="${perInfo.personalAnnualIncome}" >
                            <span class="pos-a h-32 lh-32 layui-span-unit">元</span>
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>家庭年收入：</label>
                        <div class="layui-input-block">
                            <input  name="familyAnnualIncome" disabled  class="layui-input layui-disabled" value="${perInfo.familyAnnualIncome}" >
                            <span class="pos-a h-32 lh-32 layui-span-unit">元</span>
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">自有房产情况：</label>
                        <div class="layui-input-block">
                            <select name="houseProperty" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="0" <c:if test="${perInfo.houseProperty eq '0'}" > selected</c:if>>无自有房产</option>
                                <option value="1" <c:if test="${perInfo.houseProperty eq '1'}" > selected</c:if>>自置</option>
                                <option value="2" <c:if test="${perInfo.houseProperty eq '2'}" > selected</c:if>>按揭</option>
                                <option value="3" <c:if test="${perInfo.houseProperty eq '3'}" > selected</c:if>>亲属楼宇</option>
                                <option value="4" <c:if test="${perInfo.houseProperty eq '4'}" > selected</c:if>>集体宿舍</option>
                                <option value="5" <c:if test="${perInfo.houseProperty eq '5'}" > selected</c:if>>租房</option>
                                <option value="6" <c:if test="${perInfo.houseProperty eq '6'}" > selected</c:if>>共有住宅</option>
                                <option value="7" <c:if test="${perInfo.houseProperty eq '7'}" > selected</c:if>>其他</option>
                                <option value="9" <c:if test="${perInfo.houseProperty eq '9'}" > selected</c:if>>未知</option>
                            </select>
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>居住情况：</label>
                        <div class="layui-input-block">
                            <select name="familyStatus" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="1" <c:if test="${perInfo.familyStatus eq '1'}" > selected</c:if>>自置</option>
                                <option value="2" <c:if test="${perInfo.familyStatus eq '2'}" > selected</c:if>>按揭</option>
                                <option value="3" <c:if test="${perInfo.familyStatus eq '3'}" > selected</c:if>>亲属楼宇</option>
                                <option value="4" <c:if test="${perInfo.familyStatus eq '4'}" > selected</c:if>>集体宿舍</option>
                                <option value="5" <c:if test="${perInfo.familyStatus eq '5'}" > selected</c:if>>租房</option>
                                <option value="6" <c:if test="${perInfo.familyStatus eq '6'}" > selected</c:if>>共有住宅</option>
                                <option value="7" <c:if test="${perInfo.familyStatus eq '7'}" > selected</c:if>>其他</option>
                                <option value="9" <c:if test="${perInfo.familyStatus eq '9'}" > selected</c:if>>未知</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-10 pr-30">
                    <label class="layui-form-label w-130"><i class="red">*</i>通讯地址：</label>
                    <div class="layui-input-block ml-130">
                        <div class="layui-col-xs2 pr-10">
                            <input type="text" disabled  class="layui-input layui-disabled" value="${province}">
                        </div>
                        <div class="layui-col-xs2 pr-10">
                            <input type="text"  disabled  class="layui-input layui-disabled" value="${city}">
                        </div>
                        <div class="layui-col-xs2 pr-10">
                            <input type="text"  disabled  class="layui-input layui-disabled" value="${area}">
                        </div>
                        <div class="layui-col-xs6">
                            <input type="text" disabled  class="layui-input layui-disabled" value="${perInfo.mailingAddrDetails}">
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>家庭地址邮政编码：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="familyZip"  disabled  class="layui-input layui-disabled" value="${perInfo.familyZip}">
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>通讯地址邮政编码：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="mailingZip" disabled  class="layui-input layui-disabled" value="${perInfo.mailingZip}">
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">邮箱地址：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="clientEmail"  disabled  class="layui-input layui-disabled" value="${perInfo.clientEmail}">
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>客户类型：</label>
                        <div class="layui-input-block">
                            <select name="superviseClientType" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="01" <c:if test="${perInfo.superviseClientType eq '01'}" > selected</c:if>>个体工商户</option>
                                <option value="02" <c:if test="${perInfo.superviseClientType eq '02'}" > selected</c:if>>小企业主</option>
                                <option value="03" <c:if test="${perInfo.superviseClientType eq '03'}" > selected</c:if>>其他</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>业务品种：</label>
                        <div class="layui-input-block">
                            <select name="superviseBizType" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="01" <c:if test="${perInfo.superviseBizType eq '01'}" > selected</c:if>>个人经营性</option>
                                <option value="02" <c:if test="${perInfo.superviseBizType eq '02'}" > selected</c:if>>个人消费性</option>
                                <option value="03" <c:if test="${perInfo.superviseBizType eq '03'}" > selected</c:if>>其他</option>
                            </select>

                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>婚姻状况：</label>
                        <div class="layui-input-block">
                            <select name="marriageInfo" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="UNMARRIED" <c:if test="${perInfo.marriageInfo eq 'UNMARRIED'}" > selected</c:if>>未婚</option>
                                <option value="MARRIED" <c:if test="${perInfo.marriageInfo eq 'MARRIED'}" > selected</c:if>>已婚</option>
                                <option value="DIVORCED" <c:if test="${perInfo.marriageInfo eq 'DIVORCED'}" > selected</c:if>>离婚</option>
                                <option value="WIDOWED" <c:if test="${perInfo.marriageInfo eq 'WIDOWED'}" > selected</c:if>>丧偶</option>
                                <option value="OTHER" <c:if test="${perInfo.marriageInfo eq 'OTHER'}" > selected</c:if>>其他</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">子女状况：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="childrenInfo" disabled  class="layui-input layui-disabled" value="${perInfo.childrenInfo}">
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">配偶性别：</label>
                        <div class="layui-input-block">
                            <select name="spouseSex" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="MALE" <c:if test="${perInfo.spouseSex eq 'MALE'}" > selected</c:if>>女</option>
                                <option value="FEMALE" <c:if test="${perInfo.spouseSex eq 'FEMALE'}" > selected</c:if>>男</option>
                                <option value="UNKNOW" <c:if test="${perInfo.spouseSex eq 'UNKNOW'}" > selected</c:if>>未知</option>
                            </select>
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">配偶姓名：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="partnerNameSpan"  disabled  class="layui-input layui-disabled" value="${perInfo.partnerNameSpan}">
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">配偶证件类型：</label>
                        <div class="layui-input-block">
                            <select name="spouseIdCardType" disabled  class="layui-disabled">
                                <option value="">请选择</option>
                                <option value="0" <c:if test="${perInfo.spouseIdCardType eq '0'}" > selected</c:if>>身份证</option>
                                <option value="1" <c:if test="${perInfo.spouseIdCardType eq '1'}" > selected</c:if>>护照</option>
                                <option value="2" <c:if test="${perInfo.spouseIdCardType eq '2'}" > selected</c:if>>军官证</option>
                                <option value="3" <c:if test="${perInfo.spouseIdCardType eq '3'}" > selected</c:if>>户口簿</option>
                                <option value="4" <c:if test="${perInfo.spouseIdCardType eq '4'}" > selected</c:if>>士兵证</option>
                                <option value="5" <c:if test="${perInfo.spouseIdCardType eq '5'}" > selected</c:if>>警官证</option>
                                <option value="6" <c:if test="${perInfo.spouseIdCardType eq '6'}" > selected</c:if>>台湾同胞来往内地通行证</option>
                                <option value="7" <c:if test="${perInfo.spouseIdCardType eq '7'}" > selected</c:if>>港澳居民来往内地通行证</option>
                                <option value="8" <c:if test="${perInfo.spouseIdCardType eq '8'}" > selected</c:if>>外国人居住证</option>
                                <option value="9" <c:if test="${perInfo.spouseIdCardType eq '9'}" > selected</c:if>>临时身份证</option>
                                <option value="10" <c:if test="${perInfo.spouseIdCardType eq '10'}" > selected</c:if>>其他证件</option>
                            </select>
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">配偶证件号码：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="spouseIdCardNo" disabled  class="layui-input layui-disabled" value="${perInfo.spouseIdCardNo}">
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>户名：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="payAccountName" disabled  class="layui-input layui-disabled" value="${perInfo.payAccountName}">
                        </div>
                    </div>

                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>客户开户行：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="payBankName"  disabled  class="layui-input layui-disabled" value="${perInfo.payBankName}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>客户银行账号：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="payAccountNo" disabled  class="layui-input layui-disabled" value="${perInfo.payAccountNo}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>大额支付号：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="payBankCode" disabled  class="layui-input layui-disabled" value="${perInfo.payBankCode}">
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs6">
                        <label class="layui-form-label"><i class="red">*</i>身份证照片：</label>
                        <div class="layui-input-block" style="display:flex;">
                            <div id="imgsDiv1">
                                <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${perInfo.idCardFrontImg}" height="700" width="1200"/>
                                    <input type="hidden" class="roof_photo_one" value="${perInfo.idCardFrontImg}"/>
                                </div>
                            </div>
                            <div id="imgsDiv2">
                                <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${perInfo.idCardBackImg}" height="700" width="1200"/>
                                    <input type="hidden" class="roof_photo_one" value="${perInfo.idCardBackImg}"/>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs6">
                        <label class="layui-form-label"><i class="red">*</i>房产证：</label>
                        <div class="layui-input-block" style="display:flex;">
                            <div id="imgsDiv3">
                                <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${perInfo.housePropertyImg}" height="700" width="1200"/>
                                    <input type="hidden" class="roof_photo_one" value="${perInfo.housePropertyImg}"/>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs6">
                        <label class="layui-form-label"><i class="red">*</i>户口本照片：</label>
                        <div class="layui-input-block" style="display:flex;">
                            <div id="imgsDiv4">
                                <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${perInfo.residenceFrontImg}" height="700" width="1200"/>
                                    <input type="hidden" class="roof_photo_one" value="${perInfo.residenceFrontImg}"/>
                                </div>
                            </div>
                            <div id="imgsDiv5">

                                <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${perInfo.residenceBackImg}" height="700" width="1200"/>
                                    <input type="hidden" class="roof_photo_one" value="${perInfo.residenceBackImg}"/>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs6">
                        <label class="layui-form-label"><i class="red">*</i>银行卡：</label>
                        <div class="layui-input-block" style="display:flex;">
                            <div id="imgsDiv6">

                                <div class="bj-img imgSpan">
                                    <img src="${commonStaticImgPath}${perInfo.accountCardImg}" height="700" width="1200"/>
                                    <input type="hidden" class="roof_photo_one" value="${perInfo.accountCardImg}"/>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </form>

            <form class="clearfix" id="form4">
                <blockquote class="layui-elem-quote">设备清单</blockquote>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租赁物名称：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="equipName" disabled  class="layui-input layui-disabled"  value="${equipInfoNormal.equipName}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>规格型号/材料：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="model"  disabled  class="layui-input layui-disabled"  value="${equipInfoNormal.model}">
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租赁物数量：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="quantity"  disabled  class="layui-input layui-disabled" value="${equipInfoNormal.quantity}">
                            <%-- <span class="pos-a h-32 lh-32 layui-span-unit">W</span>--%>
                        </div>
                    </div>

                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租赁物原值：</label>
                        <div class="layui-input-block">
                            <input type="text" id="originalAssetValue" name="originalAssetValue" lay-verify="required"  class="layui-input "  value="${equipInfoNormal.originalAssetValue}" onkeyup="!/^(\d+\.?)?\d{0,2}$/.test(this.value)?(this.value=this.value.substring(0, this.value.length-1)): ''">
                            <span class="pos-a h-32 lh-32 layui-span-unit">元</span>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>生产单位：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="manufacturer" disabled  class="layui-input layui-disabled"  value="${equipInfoNormal.manufacturer}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>备注/组件块数：</label>
                        <div class="layui-input-block">
                            <input type="text"   disabled  class="layui-input layui-disabled"  value="${equipInfoNormal.description}">
                            <span class="pos-a h-32 lh-32 layui-span-unit">块</span>
                        </div>
                    </div>

                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租赁物单价：</label>
                        <div class="layui-input-block">
                            <input type="text" name="equipValue" id="equipValue"  lay-verify="required"  class="layui-input "  value="${equipInfoNormal.equipValue}" onkeyup="!/^(\d+\.?)?\d{0,2}$/.test(this.value)?(this.value=this.value.substring(0, this.value.length-1)): ''" >
                            <span class="pos-a h-32 lh-32 layui-span-unit" >元</span>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4 jingyingzulin">
                        <label class="layui-form-label"><i class="red">*</i>不含税原值：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="netOriginalAssetValue"   id="netOriginalAssetValue"  class="layui-input" value="${equipInfoNormal.netOriginalAssetValue}" onkeyup="!/^(\d+\.?)?\d{0,2}$/.test(this.value)?(this.value=this.value.substring(0, this.value.length-1)): ''">
                            <span class="pos-a h-32 lh-32 layui-span-unit">元</span>
                        </div>
                    </div>
                </div>
            </form>

            <form class="clearfix" id="form3">
                <blockquote class="layui-elem-quote">租赁方案信息</blockquote>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租金计算方式：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="rentCalcMethod"  disabled  class="layui-input layui-disabled"  value="自定义租金计划">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租赁方案：</label>
                        <div class="layui-input-block">
                            <select name="leaseScheme" disabled  class="layui-disabled" >
                                <option value="2022081900002-1-1" <c:if test="${retailPayInfo.leaseScheme eq '2022081900002-1-1'}" > selected</c:if>>2022081900002-1-1</option>
                                <option value="2022081900002-1-2" <c:if test="${retailPayInfo.leaseScheme eq '2022081900002-1-2'}" > selected</c:if>>2022081900002-1-2</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>融资额：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="financingAmount" id="financingAmount"    class="layui-input"  value="${retailPayInfo.financingAmount}" onkeyup="!/^(\d+\.?)?\d{0,2}$/.test(this.value)?(this.value=this.value.substring(0, this.value.length-1)): ''">
                            <span class="pos-a h-32 lh-32 layui-span-unit">元</span>
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>剩余留购款：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="nominalPrice"  disabled  class="layui-input layui-disabled" value="${retailPayInfo.nominalPrice}" >
                            <span class="pos-a h-32 lh-32 layui-span-unit">元</span>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>还款频率：</label>
                        <div class="layui-input-block">
                            <select name="repayFrequency" disabled  class="layui-disabled" >
                                <option value="">请选择</option>
                                <option value="12" <c:if test="${retailPayInfo.repayFrequency eq '12'}" > selected</c:if>>按月</option>
                                <option value="4" <c:if test="${retailPayInfo.repayFrequency eq '4'}" > selected</c:if>>按季度</option>
                                <option value="2" <c:if test="${retailPayInfo.repayFrequency eq '2'}" > selected</c:if>>按半年</option>
                                <option value="1" <c:if test="${retailPayInfo.repayFrequency eq '1'}" > selected</c:if>>按年</option>
                            </select>

                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>期数：</label>
                        <div class="layui-input-block">
                            <%--  <select name="leaseTimes" disabled  class="layui-disabled" >
                                  <option value="">请选择</option>
                                  <option value="12" <c:if test="${retailPayInfo.leaseTimes eq 12}" > selected</c:if>>12</option>
                                  <option value="24" <c:if test="${retailPayInfo.leaseTimes eq 24}" > selected</c:if>>24</option>
                                  <option value="36" <c:if test="${retailPayInfo.leaseTimes eq 36}" > selected</c:if>>36</option>
                              </select>--%>
                            <input type="text"  name="leaseTimes" readonly  lay-verify="required" class="layui-input layui-disabled" value="${retailPayInfo.leaseTimes}">
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>最后一期是否合并：</label>
                        <div class="layui-input-block">
                            <select name="isMergeFinalTerm" disabled  class="layui-disabled" >
                                <option value="">请选择</option>
                                <option value="Y" <c:if test="${retailPayInfo.isMergeFinalTerm eq 'Y'}" > selected</c:if>>是</option>
                                <option value="N" <c:if test="${retailPayInfo.isMergeFinalTerm eq 'N'}" > selected</c:if>>否</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>首付款收取方：</label>
                        <div class="layui-input-block">
                            <select name="downPaymentType" disabled  class="layui-disabled" >
                                <option value="">请选择</option>
                                <option value="0" <c:if test="${retailPayInfo.downPaymentType eq '0'}" > selected</c:if>>浙银收取</option>
                                <option value="1" <c:if test="${retailPayInfo.downPaymentType eq '1'}" > selected</c:if>>厂商收取</option>
                                <option value="2" <c:if test="${retailPayInfo.downPaymentType eq '2'}" > selected</c:if>>无首付款</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租赁年利率：</label>
                        <div class="layui-input-block">
                            <select name="intRate" lay-verify="required" >
                                <option value="">请选择</option>
                                <option value="0.062" <c:if test="${retailPayInfo.intRate eq '0.0620'}" > selected</c:if>>6.2%</option>
                                <option value="0.065" <c:if test="${retailPayInfo.intRate eq '0.0650'}" > selected</c:if>>6.5%</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>内含利率：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="intRateReply"  disabled  class="layui-input layui-disabled"  value="<fmt:formatNumber type="number" value="${retailPayInfo.intRateReply * 100}" maxFractionDigits="2"/>">
                            <span class="pos-a h-32 lh-32 layui-span-unit">%</span>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>租赁期限（月）：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="leaseTerm"  disabled  class="layui-input layui-disabled"  value="${retailPayInfo.leaseTerm}" >
                        </div>
                    </div>

                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>退休金还款方式：</label>
                        <div class="layui-input-block">
                            <select name="depositReturnType" disabled  class="layui-disabled" >
                                <option value="">请选择</option>
                                <option value="10" <c:if test="${retailPayInfo.depositReturnType eq '10'}" > selected</c:if>>抵扣</option>
                                <option value="20" <c:if test="${retailPayInfo.depositReturnType eq '20'}" > selected</c:if>>退换</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>宽限期类型：</label>
                        <div class="layui-input-block">
                            <select name="graceType" disabled  class="layui-disabled" >
                              <%--   <option value="">请选择</option>--%>
                                 <option value="10" <c:if test="${retailPayInfo.graceType eq '10'}" > selected</c:if>>无宽限</option>
                             <%--    <option value="20" <c:if test="${retailPayInfo.graceType eq '20'}" > selected</c:if>>前一期</option>
                                 <option value="30" <c:if test="${retailPayInfo.graceType eq '30'}" > selected</c:if>>前二期</option>
                                 <option value="40" <c:if test="${retailPayInfo.graceType eq '40'}" > selected</c:if>>前三期</option>
                                 <option value="50" <c:if test="${retailPayInfo.graceType eq '50'}" > selected</c:if>>宽限期自定义</option>
                               --%> <option value="60"  <c:if test="${retailPayInfo.graceType eq '60'}" > selected</c:if>>前四期</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label">宽限期月份：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="graceMonth"  disabled  class="layui-input layui-disabled"  value="${retailPayInfo.graceMonth}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>是否返利：</label>
                        <div class="layui-input-block">
                            <select name="isReturnInterest" disabled  class="layui-disabled" >
                                <option value="">请选择</option>
                                <option value="Y" <c:if test="${retailPayInfo.isReturnInterest eq 'Y'}" > selected</c:if>>是</option>
                                <option value="N" <c:if test="${retailPayInfo.isReturnInterest eq 'N'}" > selected</c:if>>否</option>

                            </select>
                        </div>
                    </div>
                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>是否贴息：</label>
                        <div class="layui-input-block">
                            <select name="isSubsidyInterest" disabled  class="layui-disabled" >
                                <option value="">请选择</option>
                                <option value="Y" <c:if test="${retailPayInfo.isSubsidyInterest eq 'Y'}" > selected</c:if>>是</option>
                                <option value="N" <c:if test="${retailPayInfo.isSubsidyInterest eq 'N'}" > selected</c:if>>否</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>申请放款日：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="reqLoanDate"  id="reqLoanDate" disabled  class="layui-input layui-disabled"  value="${retailPayInfo.reqLoanDate}">
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>是否支持代扣：</label>
                        <div class="layui-input-block">
                            <select name="isWithholding" disabled  class="layui-disabled" >
                                <option value="">请选择</option>
                                <option value="Y" <c:if test="${retailPayInfo.isWithholding eq 'Y'}" > selected</c:if>>是</option>
                                <option value="N" <c:if test="${retailPayInfo.isWithholding eq 'N'}" > selected</c:if>>否</option>
                            </select>
                        </div>
                    </div>

                </div>

                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>承租人风险金推算方式：</label>
                        <div class="layui-input-block">
                            <select name="collectDepositMethod" lay-verify="required">
                                <option value="20"  selected>设定比例</option>
                            </select>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>承租人风险金比例：</label>
                        <div class="layui-input-block">

                            <input type="text"  name="collectDepositRatio" disabled  class="layui-input layui-disabled" value="<fmt:formatNumber type="number" value="${ not empty retailPayInfo.collectDepositRatio? retailPayInfo.collectDepositRatio * 100 :0}" maxFractionDigits="2"/>">
                            <span class="pos-a h-32 lh-32 layui-span-unit">%</span>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>首付款推算方式：</label>
                        <div class="layui-input-block">
                            <select name="downPaymentMethod" lay-verify="required">
                                <option value="20"  selected>设定比例</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="layui-col-xs12 mb-5 pr-30">
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>首付款比例：</label>
                        <div class="layui-input-block">
                            <input type="text"  name="downPaymentRatio" disabled  class="layui-input layui-disabled" value="<fmt:formatNumber type="number" value="${ not empty retailPayInfo.downPaymentRatio? retailPayInfo.downPaymentRatio * 100 :0}" maxFractionDigits="2"/>">
                            <span class="pos-a h-32 lh-32 layui-span-unit">%</span>
                        </div>
                    </div>
                    <div class="layui-inline layui-col-xs4">
                        <label class="layui-form-label"><i class="red">*</i>风险金收取方式：</label>
                        <div class="layui-input-block">
                            <select name="collectManuDeposit" lay-verify="required">
                                <option value=""  >请选择</option>
                                <option value="2"  <c:if test="${retailPayInfo.collectManuDeposit eq '2'}" > selected</c:if>>保证金池</option>
                                <option value="0"  <c:if test="${retailPayInfo.collectManuDeposit eq '0'}" > selected</c:if>>内扣</option>
                                <option value="1"  <c:if test="${retailPayInfo.collectManuDeposit eq '1'}" > selected</c:if>>一次收取</option>
                            </select>
                        </div>
                    </div>
                </div>

            </form>



        </div>
        <div style="height: 70px;"></div>
        <div class="layui-form-item operate-footer" style="text-align: center;">
            <input type="button"  class="layui-btn approve" value="同意">
            <input type="button"  class="layui-btn  fail" value="驳回">
            <input type="button"   value="取消" class="layui-btn layui-btn-primary" lay onclick="closeDiv();" >
        </div>
    </div>
</div>
<div class="hide pd-10" id="ideaDiv">
    <p class="f-l"><span class="red">*</span>驳回意见：</p>
    <textarea id="idea" class="idea-text f-l"></textarea>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script>
    var entryId='${entryId}';
    var viewer = new Viewer(document.getElementById('LAY_app'));
    var idCordReq = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
    //初始数据
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['form', 'table', 'upload', 'jquery','laydate','upload'], function () {
        $ = layui.$
            ,form = layui.form
            ,laydate = layui.laydate;


        $(".fail").click(function(){

            layer.open({
                type:1,
                title:'驳回意见',
                area:['450px','250px'],
                content:$("#ideaDiv"),
                btn: ['确认', '取消'],
                btnAlign: 'c',
                yes: function(){
                    var idea = $('#idea').val();
                    if(isBlank(idea)){
                        layer.msg('请输入驳回意见', {icon: 2});
                        return;
                    }
                    $.ajax({
                        type: 'post',
                        url: '${ctx}/customerEntryExtra/examineIncomingApplication',
                        dataType: 'json',
                        data: {
                            entryId:'${entryId}'
                            ,result:2
                            ,failReason:idea
                        },
                        success:function(res){
                            console.log(res);
                            if(res.code=="200"){
                                parent.layer.msg("操作成功",{time:1000});
                                closeDiv();
                                parent.table.reload('test');
                            }else{
                                layer.msg(res.errMsg,{time:1000},function(){

                                });
                            }
                        }
                    });
                }
            })

        })

        var approveFlag=false;
        $(".approve").click(function(){
            if(approveFlag){
                return;
            }
            var originalAssetValue = $("#originalAssetValue").val();
            var equipValue = $("#equipValue").val();
            var financingAmount = $("#financingAmount").val();
            var reservedFieldFive = $("#reservedFieldFive").val();
            var netOriginalAssetValue = $("#netOriginalAssetValue").val();
            if(isBlank(originalAssetValue)){
                layer.msg('请输入租赁物原值', {icon: 2});
                return;
            }
            if(isBlank(equipValue)){
                layer.msg('请输入租赁物单价', {icon: 2});
                return;
            }
            if(isBlank(financingAmount)){
                layer.msg('请输入融资额', {icon: 2});
                return;
            }
            if(isBlank(reservedFieldFive)){
                layer.msg('请输入每W定价', {icon: 2});
                return;
            }

            approveFlag=true;

            $.ajax({
                url:'${ctx}/customerEntryExtra/examineIncomingApplication',
                method:'get',
                data:{
                    entryId:'${entryId}'
                    ,result:1,
                    originalAssetValue:originalAssetValue,
                    equipValue:equipValue,
                    financingAmount:financingAmount,
                    reservedFieldFive:reservedFieldFive,
                    netOriginalAssetValue:netOriginalAssetValue
                },
                success:function(res){
                    console.log(res);
                    if(res.code=="200"){
                        parent.layer.msg("操作成功",{time:1000});
                        updateFileEntry('${entryId}')
                        closeDiv();
                        parent.table.reload('test');
                    }else{
                        layer.msg(res.errMsg,{time:1000},function(){
                            approveFlag=false;
                        });
                    }
                }
            }) ;
        })

    })
    function updateFileEntry(id) {
        $.ajax({
            type: 'post',
            url: '${ctx}/customerEntry/uploadTwoAttachment',
            data: {
                id: id,
                type:'1'
            },
            success: function(data){
                console.log(data)
            }
        });
    }




    function  closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }


</script>
</body>
</html>


