<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>验收报告</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
<%--    <meta name="decorator" content="base" />--%>
<%--    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />--%>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        *{
            padding: 0;
            margin: 0;
        }
        table{
            text-align: left;
        }
        .tableHeader{
            height: 38px;
            /*line-height: 38px;*/
            background-color: #d2b790 !important; color: #FFF;
        }
        .title{
            font-weight: bold;
            font-size: 14px;
            line-height: 30px;
            text-align: left;
        }
        td{
            padding: 0 5px;
        }
        .add{
            width: 60px;
            height: 60px;
            bordeR:1px solid #dddddd;
            position: relative;
            /*float: left;*/
            margin: 5px auto;
        }
        .add span{
            position: absolute;
            left: 0;top: 0;
            z-index: 0;
            width: 100%;
            height: 100%;
            font-size: 20px;
            text-align: center;
            line-height: 60px;
            font-weight: normal;
        }
        .add input{
            width: 100%;
            height: 100%;
            opacity: 0;
            position: absolute;
            z-index:10;
            left: 0;
            top: 0;
        }
        .bj-img > span {
            position: absolute;
            right: 0;
            top: 0;
            background-color: #f00;
            width: 20px;
            height: 20px;
            line-height: 20px;
            text-align: center;
            color: #fff;
            cursor: pointer;
            display: none;
        }
        .bj-img:hover span {
            display: block;
        }
        .img{
            overflow: hidden;
            padding: 5px 0;
            display: flex;
            justify-content: center;
        }
        .img>ul{
            float: left;
            list-style: none;
        }
        .img li{
            width: 60px;
            height: 60px;
            bordeR:1px solid #dddddd;
            position: relative;
            float: left;
            margin-right: 10px;
        }
        .img li img{
            object-fit: scale-down;
            width: 100%;
            height: 100%;
        }
        .img+span{
            line-height: 30px;
            font-size: 12px;
            color: red;
        }
        .pd-20{
            padding: 20px;
        }
        .form-title{
            line-height: 40px;
            font-weight: bold;
        }
        .form-input{
            width: 100%;
            padding: 5px 0;
            border: none;
            outline: none;
        }
        .red{
            color: red;
        }
        .unit{
            position: absolute;
            right: 30px;
            top: 8px;
            font-weight: bold;
        }
        .pos-r{
            position: relative;
        }
        .form-textarea{
            line-height: 80px;
        }
        .no-resize{
            resize: none;
        }
        .flex{
            display: flex;
        }
        .text-r{
            text-align: right;
        }
        .m-10{
            margin: 10px;
        }
        .operate-footer {
            width: 100%;
            position: fixed;
            bottom: 0;
            z-index: 30000;
            background: #F8F8F8;
            padding: 10px 0;
            text-align: center;
        }
        .footer-btn {
            height: 27px;
            line-height: 27px;
            padding: 0 18px;
            border-radius: 2px;
            font-size: 14px;
            cursor: pointer;
            border: 1px solid #C9C9C9;
            background-color: #fff;
            outline: none;
        }
        .pb-50{
            padding-bottom: 50px;
        }
        .pd-10{
            padding: 10px;
        }
        .normal-btn{
            border: 1px solid #D9B589;
            background-color: #D9B589 !important;
            color: #fff;
        }
        .layui-layer-btn0{
            border-color: #D9B589 !important;
            background-color: #D9B589 !important;
        }
        .idea-text{
            width: 320px; height: 100px;outline: none; padding: 3px
        }
        .hide{
            display: none;
        }
        .f-l{
            float: left;
        }
        .title1 {
            /*border-left: 4px solid #D9B589;*/
            padding-left: 10px;
            font-size: 14px;
            margin: 10px auto 0 auto;
            font-weight: 600;
            height: 42px;
            line-height: 42px;
            background-color: #848484;
            color: #FFF;
        }
        .mark {
            color: #ff0000;
            line-height: 15px;
            width: 8px;
            display: inline-block;
            text-align: left;
        }
        .report-table{background: #fff}
        .report-table td{border: 1px solid #dddddd; padding: 5px 10px}
        .report-table tr:nth-child(even) {
            background-color: #f7f7f7;
        }
        .report-table tr:nth-child(odd) {
            background-color: #ffffff;
        }
        .blank-img {
            background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
            width: 62px;
            height: 62px;
            display: inline-block;
        }
    </style>
</head>
<body>

<div class="layui-fluid pd-20 "  id="LAY_app">

    <table border cellpadding="0" cellspacing="0" width="100%" class="report-table">

        <%--<tr class="form-title">
            <td colspan="8" style="text-align: center">户用电站验收报告
                <c:if test="${opt eq 'view'}">
                    <c:choose>
                        <c:when test="${not empty entry.checkAcceptImgs}">
                            <a class="layui-table-opt-link" href="${commonStaticImgPath}${entry.checkAcceptImgs}" target ="_blank" style="color: #0e8ee7;float: right;cursor:pointer;" >下载报告</a>
                        </c:when>
                        <c:otherwise>
                            <a class="layui-table-opt-link downloadPro" style="color: #0e8ee7;float: right;cursor:pointer;" >下载报告</a>
                        </c:otherwise>
                    </c:choose>
                </c:if>
            </td>
        </tr>--%>
        <tr class="tableHeader">
            <td colspan="8">一、电站基本信息</td>
        </tr>
        <tr>
            <td width="25%" colspan="2">产品名称</td>
            <td width="25%" colspan="2"><input type="text" class="form-input" disabled value="${project.name}"/></td>
            <td width="25%" colspan="2">产品编号</td>
            <td width="25%" colspan="2"><input type="text" class="form-input" value="${project.code}" disabled/></td>

        </tr>
        <%--  电站信息新增【项目名称】字段，字段命名规则为【省+县+业主姓名+实际安装容量+光伏电站】，需要在项目管理下全菜单的电站列表上展示。--%>
        <tr>
            <td width="25%" colspan="2">项目名称</td>
            <td width="25%" colspan="2"><input type="text" class="form-input" disabled
                                               value="${entry.province}${entry.area}${entry.tenantName}${entry.actualCapacity==0.00?(entry.designCapacity/1000):(entry.actualCapacity/1000)}KW光伏电站"/>
            </td>
            <td width="25%" colspan="2">电站编号</td>
            <td width="25%" colspan="2"><input type="text" class="form-input" value="${entry.powerStationCode}"
                                               disabled/></td>

        </tr>
        <tr>
            <td colspan="2">代理商名称</td>
            <td colspan="2"><input type="text" class="form-input" disabled value="${trader.name}"/></td>
            <td colspan="2">代理商电话</td>
            <td colspan="2"><input type="text" class="form-input" disabled value="${trader.telephone}"/></td>
        </tr>
        <tr>
            <td colspan="2">业主姓名</td>
            <td colspan="2"><input type="text" class="form-input" disabled value="${entry.tenantName}"/></td>
            <td colspan="2">身份证号码</td>
            <td colspan="2"><input type="text" class="form-input" disabled value="${entry.idCode}"/></td>
        </tr>

        <tr>
            <td width="25%" colspan="2">开户银行</td>
            <td width="25%" colspan="2"><input type="text" class="form-input" disabled value="${entry.bankName}"/></td>
            <td width="25%" colspan="2">银行账号</td>
            <td width="25%" colspan="2"><input type="text" class="form-input" disabled value="${entry.bankCode}"/></td>
        </tr>
            <tr>
                <td width="25%" colspan="2">业主联系电话</td>
                <td width="25%" colspan="2"><input type="text" class="form-input" disabled value="${entry.mobile}"/>
                </td>
                <td width="25%" colspan="2">电站编码</td>
                <td width="25%" colspan="2"><input type="text" class="form-input" disabled
                                                   value="${entry.powerStationCode}"/></td>
            </tr>
            <tr>
            <tr>
                <td width="25%" colspan="2">安装地址</td>
                <td width="25%" colspan="2"><input type="text" class="form-input" disabled
                                                   value="${entry.province}${entry.city}${entry.area}${entry.street}${entry.address}"/>
                </td>
                <td width="25%" colspan="2">安装方案</td>
                <td width="25%" colspan="2"><input type="text" class="form-input" disabled value="${entry.schemeName}"/>
                </td>

            </tr>

            <%--    <tr>
                    <td width="25%">通讯棒SN码</td>
                    <td width="75%" colspan="3">${entry.sn}</td>
                </tr>--%>
            <tr class="tableHeader">
            <td colspan="8">二、电站设备信息</td>
        </tr>
        <tr>
            <td width="25%" colspan="2">组件品牌</td>
            <td width="25%" colspan="2"><input type="text" class="form-input" value="${map.zujBrand}" disabled/></td>
            <td width="25%" colspan="2">组件规格</td>
            <td width="25%" colspan="2" class="pos-r"><input type="text" class="form-input" disabled value="${report.componentSpec}"/><span class="unit">W</span></td>
        </tr>
            <tr>
                <td width="25%" colspan="2">安装组件数量</td>
                <td width="25%" colspan="2" class="pos-r"><input type="text" value="${report.componentNum}" disabled
                                                                 id="componentNum" class="form-input changeInput"/><span
                        class="unit">块</span></td>
                <td width="25%" colspan="2">安装组件容量</td>
                <td width="25%" colspan="2" class="pos-r"><input type="text" id="capacity" value="${report.capacity}"
                                                                 class="form-input" disabled/><span
                        class="unit">W</span></td>
            </tr>
            <tr>
                <td colspan="2">逆变器1品牌</td>
                <td colspan="2"><input type="text" class="form-input" disabled value="${map.nbqBrandOne}"/></td>
                <td colspan="2">逆变器1-SN码</td>
                <td colspan="2"><input type="text" class="form-input" disabled
                                       value="${empty map.nbqSnOne?'无':map.nbqSnOne}"/></td>
            </tr>

            <tr>
                <td width="25%" colspan="2">逆变器1规格</td>
                <td width="25%" colspan="2"><input type="text" class="form-input" disabled value="${map.nbqSpecOne}"/>
                </td>
                <td width="25%" colspan="2">通讯棒1-SN码</td>
                <td width="25%" colspan="2"><input type="text" class="form-input" disabled
                                                   value="${empty map.snOne?'无':map.snOne}"/></td>
            </tr>
            <tr>
                <td width="25%" colspan="2">逆变器2品牌</td>
                <td width="25%" colspan="2"><input type="text" class="form-input" disabled
                                                   value="${empty map.nbqBrandTwo?'无':map.nbqBrandTwo}"/></td>
                <td width="25%" colspan="2">逆变器2-SN码</td>
                <td width="25%" colspan="2"><input type="text" class="form-input" disabled
                                                   value="${empty map.nbqSnTwo?'无':map.nbqSnTwo}"/></td>
            </tr>
            <tr>
                <td width="25%" colspan="2">逆变器2规格</td>
                <td width="25%" colspan="2"><input type="text" class="form-input" disabled
                                                   value="${empty map.nbqSpecTwo?'无':map.nbqSpecTwo}"/></td>
                <td width="25%" colspan="2">通讯棒2-SN码</td>
                <td width="25%" colspan="2" class="pos-r"><input type="text" value="${empty map.snTwo?'无':map.snTwo}"
                                                                 disabled class="form-input "/></td>
            </tr>
            <tr>
                <td width="25%" colspan="2">并网箱品牌</td>
                <td width="25%" colspan="2" class="pos-r"><input type="text"
                                                                 value="${empty map.bwxBrand?'无':map.bwxBrand}" disabled
                                                                 class="form-input "/></td>
                <td width="25%" colspan="2">并网箱规格</td>
                <td width="25%" colspan="2" class="pos-r"><input type="text"
                                                                 value="${empty map.bwxSpec?'无':map.bwxSpec}"
                                                                 class="form-input" disabled/></td>
            </tr>
            <tr>
                <td width="25%" colspan="2">并网箱数量</td>
                <td width="25%" colspan="2" class="pos-r"><input type="text"
                                                                 value="${empty map.bwxCOunt?0:map.bwxCOunt} ${map.bwxUnit}"
                                                                 disabled class="form-input "/></td>
                <td width="25%" colspan="2">支架品牌</td>
                <td width="25%" colspan="2" class="pos-r"><input type="text"
                                                                 value="${empty map.zjBrand?'无':map.zjBrand}"
                                                                 class="form-input" disabled/></td>
            </tr>
            <c:forEach items="${map.zhijialist}" var="zj" varStatus="sta">
                <tr>
                    <c:if test="${sta.first}">
                        <td width="25%" colspan="2" rowspan="${map.zjCount}">支架规格</td>
                    </c:if>
                    <td width="25%" colspan="2" class="pos-r"><input type="text"
                                                                     value="${empty zj.columns.spec?'无':zj.columns.spec}"
                                                                     disabled class="form-input "/></td>
                    <td width="25%" colspan="2">数量</td>
                    <td width="25%" colspan="2"><input type="text"
                                                       value="${empty zj.columns.amount?0:zj.columns.amount} ${zj.columns.unit_name}"
                                                       class="form-input" disabled/></td>
                </tr>
            </c:forEach>

        <tr class="tableHeader">
            <td colspan="8">三、电站安装完成验收条款项</td>
        </tr>
        <tr>
            <td rowspan="4" colspan="2">1.设备信息</td>
            <td colspan="2">①组件铭牌照片</td>
            <td colspan="2">②逆变器1铭牌照片</td>
            <td colspan="2">③通讯棒1铭牌照片</td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.zjPlateImg}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.nbqPlateImg}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.txPlateImg}" alt="">
                    </li>
                </ul>
            </td>
        </tr>
        <tr>
            <td colspan="2">④逆变器2铭牌照片</td>
            <td colspan="2">⑤通讯棒2铭牌照片</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.nbqPlateTwoImg}">
                            <img src="${commonStaticImgPaths}${report.nbqPlateTwoImg}" alt="">
                        </c:if>
                        <c:if test="${empty report.nbqPlateTwoImg}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.txPlateTwoImg}">
                            <img src="${commonStaticImgPaths}${report.txPlateTwoImg}" alt="">
                        </c:if>
                        <c:if test="${empty report.txPlateTwoImg}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">

                </ul>
            </td>
        </tr>
        <tr>
            <td rowspan="6" colspan="2">2.支架及组件安装照片</td>
            <td colspan="2">①支架安装照片1</td>
            <td colspan="2">②支架安装照片2</td>
            <td colspan="2">③支架安装照片3</td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.zjImg1}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.zjImg2}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.zjImg3}" alt="">
                    </li>
                </ul>
            </td>
        </tr>
        <tr>
            <td colspan="2">④支架安装照片4</td>
            <td colspan="2">⑤支架安装照片5</td>
            <td colspan="2">⑥组件安装照片</td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.zjImg4}">
                            <img src="${commonStaticImgPaths}${report.zjImg4}" alt="">
                        </c:if>
                        <c:if test="${empty report.zjImg4}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.zjImg5}">
                            <img src="${commonStaticImgPaths}${report.zjImg5}" alt="">
                        </c:if>
                        <c:if test="${empty report.zjImg5}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <c:if test="${not empty report.componentImg1}">
                        <li class="imgsLi bj-img ">
                            <img src="${commonStaticImgPaths}${report.componentImg1}" alt="">
                        </li>
                    </c:if>
                    <c:if test="${empty report.componentImg1}">
                        <i class="blank-img"></i>
                    </c:if>
                </ul>
            </td>
        </tr>
        <tr>
            <td colspan="2">⑦补充照片1</td>
            <td colspan="2">⑧补充照片2</td>
            <td colspan="2">⑨补充照片3</td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.componentImg2}">
                            <img src="${commonStaticImgPaths}${report.componentImg2}" alt="">
                        </c:if>
                        <c:if test="${empty report.componentImg2}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.componentImg3}">
                            <img src="${commonStaticImgPaths}${report.componentImg3}" alt="">
                        </c:if>
                        <c:if test="${empty report.componentImg3}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.componentImg4}">
                            <img src="${commonStaticImgPaths}${report.componentImg4}" alt="">
                        </c:if>
                        <c:if test="${empty report.componentImg4}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
        </tr>
        <tr>
            <td rowspan="4" colspan="2">3.电气设备安装照片</td>
            <td colspan="2">①逆变器、并网箱整体安装照片</td>
            <td colspan="2">②逆变器底部接线照片</td>
            <td colspan="2">③并网箱打开内部接线照片</td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.totalImgs}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.dcImgs}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.bwInnerImg}" alt="">
                    </li>
                </ul>
            </td>
        </tr>
        <tr>
            <td colspan="2">补充照片</td>
            <td colspan="2"></td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.nbqZbImg}">
                            <img src="${commonStaticImgPaths}${report.nbqZbImg}" alt="">
                        </c:if>
                        <c:if test="${empty report.nbqZbImg}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">

                </ul>
            </td>
            <td colspan="2">
                <ul class="img">

                </ul>
            </td>
        </tr>
        <tr>
            <td rowspan="4" colspan="2">4.接地系统照片</td>
            <td colspan="2">①组件接地照片</td>
            <td colspan="2">②支架接地照片</td>
            <td colspan="2">③逆变器和并网箱接地照片</td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.zujianJdImg}">
                            <img src="${commonStaticImgPaths}${report.zujianJdImg}" alt="">
                        </c:if>
                        <c:if test="${empty report.zujianJdImg}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.zjJdImg}">
                            <img src="${commonStaticImgPaths}${report.zjJdImg}" alt="">
                        </c:if>
                        <c:if test="${empty report.zjJdImg}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.nbqBwxJdImg}">
                            <img src="${commonStaticImgPaths}${report.nbqBwxJdImg}" alt="">
                        </c:if>
                        <c:if test="${empty report.nbqBwxJdImg}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
        </tr>
        <tr>
            <td colspan="2">④支架接地极1照片</td>
            <td colspan="2">⑤逆变器和并网箱接地极照片</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.jdjImg}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.jdOtherImg}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">

                </ul>
            </td>
        </tr>
        <tr>
            <td rowspan="4"  colspan="2">5.调试记录照片</td>
            <td colspan="2">①组串1开路电压1测试照片</td>
            <td colspan="2">②组串2开路电压2测试照片</td>
            <td colspan="2">③组串3开路电压3测试照片</td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.zcKlImg1}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.zcKlImg2}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.zcKlImg3}">
                            <img src="${commonStaticImgPaths}${report.zcKlImg3}" alt="">
                        </c:if>
                        <c:if test="${empty report.zcKlImg3}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
        </tr>
        <tr>
            <td colspan="2">④支架接地电阻测试1</td>
            <td colspan="2">⑤电气接地电阻测试2</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.jdDzImg1}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.jdDlImg2}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td colspan="2" rowspan="2">6.方阵安装完毕整体照片</td>
            <td colspan="2">①光伏方阵整体照片（清晰数出组件数量）</td>
            <td colspan="2">②补充照片</td>
            <td colspan="2"></td>
        </tr>
        <tr>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <img src="${commonStaticImgPaths}${report.gfFzImg}" alt="">
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                    <li class="imgsLi bj-img ">
                        <c:if test="${not empty report.finishOtherImg}">
                            <img src="${commonStaticImgPaths}${report.finishOtherImg}" alt="">
                        </c:if>
                        <c:if test="${empty report.finishOtherImg}">
                            <i class="blank-img"></i>
                        </c:if>
                    </li>
                </ul>
            </td>
            <td colspan="2">
                <ul class="img">
                </ul>
            </td>
        </tr>
        <tr class="tableHeader">
            <td colspan="8">四 、验收结论</td>
        </tr>
        <tr>
            <td rowspan="3">勘察设计<br>审核意见</td>
            <td>能辉<br>技术工程师</td>
            <td colspan="2">${examine.examineOne}</td>
            <td>初审人</td>
            <td>${examine.operatorOne}</td>
            <td>审核时间</td>
            <td><fmt:formatDate value="${examine.examineTime}" pattern="yyyy-MM-dd HH:mm"/></td>

        </tr>
        <tr>
            <td>能辉<br>技术部负责人</td>
            <td colspan="2">${examine.examineTwo}</td>
            <td>复审人</td>
            <td>${examine.operatorTwo}</td>
            <td>审核时间</td>
            <td><fmt:formatDate value="${examine.examineTimeTwo}" pattern="yyyy-MM-dd HH:mm"/></td>

        </tr>
        <tr>
            <td style="height: 25px;">资方</td>
            <td colspan="2">${examine.examineThree}</td>
            <td>审核人</td>
            <td>${examine.operatorThree}</td>
            <td>审核时间</td>
            <td><fmt:formatDate value="${examine.examineTimeThree}" pattern="yyyy-MM-dd HH:mm"/></td>

        </tr>

        <tr>
            <td rowspan="3">完工验收<br>审核意见</td>
            <td>能辉<br>质量工程师</td>
            <td colspan="2">${examine.examineFour}</td>
            <td>初审人</td>
            <td>${examine.operatorFour}</td>
            <td>审核时间</td>
            <td><fmt:formatDate value="${examine.examineTimeFour}" pattern="yyyy-MM-dd HH:mm"/></td>

        </tr>
        <tr>
            <td>能辉<br>工程部负责人</td>
            <td colspan="2">${examine.examineFive}</td>
            <td>复审人</td>
            <td>${examine.operatorFive}</td>
            <td>审核时间</td>
            <td><fmt:formatDate value="${examine.examineTimeFive}" pattern="yyyy-MM-dd HH:mm"/></td>

        </tr>
        <tr>
            <td style="height: 25px;">资方</td>
            <td colspan="2">${examine.examineSix}</td>
            <td>审核人</td>
            <td>${examine.operatorSix}</td>
            <td>审核时间</td>
            <td><fmt:formatDate value="${examine.examineTimeSix}" pattern="yyyy-MM-dd HH:mm"/></td>

        </tr>

        <tr>
            <td rowspan="3">并网验收<br>审核意见</td>
            <td>能辉<br>质量工程师</td>
            <td colspan="2">${examine.examineSeven}</td>
            <td>初审人</td>
            <td>${examine.operatorSeven}</td>
            <td>审核时间</td>
            <td><fmt:formatDate value="${examine.examineTimeSeven}" pattern="yyyy-MM-dd HH:mm"/></td>

        </tr>
        <tr>
            <td>能辉<br>工程部负责人</td>
            <td colspan="2">${examine.examineEight}</td>
            <td>复审人</td>
            <td>${examine.operatorEight}</td>
            <td>审核时间</td>
            <td><fmt:formatDate value="${examine.examineTimeEight}" pattern="yyyy-MM-dd HH:mm"/></td>

        </tr>
        <tr>
            <td style="height: 25px;">资方</td>
            <td colspan="2">${examine.examineNine}</td>
            <td>审核人</td>
            <td>${examine.operatorNine}</td>
            <td>审核时间</td>
            <td><fmt:formatDate value="${examine.examineTimeNine}" pattern="yyyy-MM-dd HH:mm"/></td>

        </tr>

        <tr class="form-textarea">
            <td>备注</td>
            <td colspan="7"><textarea class="form-input no-resize" id="fixConclusionSh"
                                      name="fixConclusionSh"></textarea></td>
        </tr>
        <tr class="">
            <td style="height: 25px;">终验结论</td>
            <td colspan="3"></td>
            <td>验收时间</td>
            <td colspan="3"><fmt:formatDate value="${report.fixAcceptTime}" pattern="yyyy-MM-dd HH:mm"/></td>
        </tr>

    </table>
</div>
<!-- 安装验收 -->
<div class="operate-footer">
    <button class="footer-btn normal-btn mergeAcceptPassBtn">同意</button>
    <button class="footer-btn normal-btn mergeAcceptRefuseBtn">驳回</button>
    <button class="footer-btn" onclick="closeSelf();">取消</button>
</div>
<script src="https://cdn.bootcss.com/html2canvas/0.5.0-beta4/html2canvas.min.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/factory.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script>
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laypage','laydate','form'], function(){
        //layui.use(['table','layer','laypage','laydate','form'], function(){
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;
        table = tableExt.getLayTable();

        $('.changeInput').change(function(){
            var spec = $('#componentSpec').val().trim();
            var num = $('#componentNum').val().trim();
            if(!isNaN(spec) && !isNaN(num)){
                $('#capacity').val(spec*num);
            }
        });

        function getImgs(selector){
            var arr = [];
            $(selector).find('input.imgValues').each(function(){
                arr.push($(this).val());
            });
            return arr.join();
        }

        /*$('.imgsLi img').on('click', function () {
            layer.photos({
                photos: '.imgsLi',
                shadeClose: false,
                closeBtn: 2,
                anim: 0
            });
        });*/

        $('.uploadFile').change(function(){
            var $this = $(this);
            var file = $(this)[0].files[0];
            if(isBlank(file)){
                return;
            }
            var formData = new FormData();
            formData.append("file", file);
            $.ajax({
                url: "${ctx}/common/uploadFile",
                type: 'POST',
                data: formData,
                processData: false,
                contentType: false,
                success: function (data) {
                    var maxNum = $this.attr('max-num');
                    var html = '<ul class="img"> ' +
                        '         <li class="imgsLi bj-img ">' +
                        '           <span class="layui-icon-close layui-icon" onclick="delImg(this,'+maxNum+')"></span>'+
                        '            <img src="${commonStaticImgPaths}' + data.path + '" alt="">' +
                        '            <input type="hidden" class="imgValues" value="' + data.path + '">'+
                        '          </li>' +
                        '        </ul>';
                    $this.closest('.add').before(html);
                    var length = $this.closest('td').find('ul').length;
                    if(!isBlank(maxNum) && length >= maxNum){
                        $this.closest('.add').addClass('layui-hide');
                    }
                }
            });
        });

        function updateFileEntry(id) {
            $.ajax({
                type: 'post',
                url: '${ctx}/customerEntry/uploadTwoAttachment',
                data: {
                    id: id,
                    type:'1'
                },
                success: function(data){
                    console.log(data)
                }
            });
        }

        function afterSuccess(data) {
            if (data.code === '200') {
                parent.layer.msg('操作成功', {icon: 1});
                closeSelf();
                parent.searchOrder();
            } else if (data.code === '500') {
                layer.msg(data.errMsg, {icon: 2});
            } else {
                layer.msg('操作失败', {icon: 2});
            }
        }


        //并网验收退回
        $('.mergeAcceptRefuseBtn').click(function(){
            var $this = $(this);
            var mergeConclusion = $('textarea[name="fixConclusionSh"]').val();
            if (isBlank(mergeConclusion)) {
                layer.msg('请填写备注');
                return;
            }
            $this.prop('disabled', true);
            $.ajax({
                type: 'post',
                url: '${ctx}/customerEntry/GdtMergeAccept',
                data: {
                    id: '${entry.id}',
                    mergeConclusion: mergeConclusion,
                    type:'2'
                },
                success: function(data){
                    afterSuccess(data);
                },
                complete: function(){
                    $this.prop('disabled', false);
                }
            });
        });

        $('.mergeAcceptPassBtn').click(function(){
            var index= layer.load(2, {shade: [0.5,'#fff'], content:''});
            var $this = $(this);
            var mergeConclusion = $('textarea[name="fixConclusionSh"]').val();
            $this.prop('disabled', true);
            $.ajax({
                type: 'post',
                url: '${ctx}/customerEntry/GdtMergeAccept',
                data: {
                    id: '${entry.id}',
                    mergeConclusion: mergeConclusion,
                    type: '1'
                },
                success: function(data){
                    afterSuccess(data);
                },
                complete: function(){
                    $this.prop('disabled', false);
                    layer.close(index);
                }
            });
        });

        $('.downloadPro').click(function(){

            var check_accept_imgs ="${entry.checkAcceptImgs}";
            if(!isBlank(check_accept_imgs)){
                // url="technical/imgDownload";
                // window.open('http://192.168.2.24/sfimggroup/'+check_accept_imgs)
                //  var name ="${entry.traderName}-${entry.powerStationCode}-户用电站验收报告.";
                location.href = '${commonStaticImgPath}' + check_accept_imgs;
            }else{
                var hideSubmitForm = document.createElement("form");
                hideSubmitForm.id = "tempForm1";
                hideSubmitForm.method = "post";
                hideSubmitForm.action = "${ctx}/customerEntry/downLoadPDF";
                hideSubmitForm.target = "_blank";
                hideSubmitForm.appendChild(createHideInput("id", "${entry.id}"));
                hideSubmitForm.addEventListener('onsubmit', function(){
                    // this.openDownloadWindow(name);
                });
                document.body.appendChild(hideSubmitForm);
                hideSubmitForm.submit();
                document.body.removeChild(hideSubmitForm);
            }
        })

        function  createHideInput(name, value){
            var hideInput = document.createElement("input");
            hideInput.type = "hidden";
            hideInput.name = name;
            hideInput.value = value;
            return hideInput;
        }
    })

    window.closeSelf = function() {
        var index = parent.layer.getFrameIndex(window.name);
        // window.parent.location.reload();//刷新父级页面
        parent.layer.close(index);//关闭当前页
    }

    function delImg(that,maxNum){
        $(that).closest('td').find('.add').removeClass("layui-hide");

        $(that).closest('ul').remove();
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

</script>
</body>
</html>

