<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base" />
    <meta charset="utf-8">
    <title>layuiAdmin 网站用户</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <title>添加品类</title>
    <style>
        html{
            background: #fff;
        }
        .layui-form-select dl {
            max-height: 200px;
        }
    </style>
</head>
<body>

<form class="layui-form layui-card" action="">
    <div class="layui-form-item layui-card-body over" id="addChart">
        <div class="layui-form-item">
            <label class="layui-form-label">产品品牌</label>
            <div class="layui-input-block">
                <select name="brandName" lay-filter="aihao" lay-verify="required" lay-search>
                    <option value="" selected=""></option>
                    <c:forEach items="${brand1}" var="ot">
                        <option value="${ot}" <c:if test="${brandOld == ot}">selected</c:if>>${ot}</option>
                    </c:forEach>
                </select>
            </div>
        </div>
        <div class="layui-form-item">
            <label class="layui-form-label">产品品类</label>
            <div class="layui-input-block">
                <select name="categoryName" lay-filter="aihao" lay-verify="required" lay-search>
                    <option value="" selected=""></option>
                    <c:forEach items="${category1}" var="ot">
                        <option value="${ot.columns.name}" <c:if test="${categoryOld == ot.columns.name}">selected</c:if>>${ot.columns.name}</option>
                    </c:forEach>
                </select>
            </div>
        </div>
        <div class="mb-50">
            <label class="layui-form-label">产品型号</label>
            <div class="layui-input-block">
                <textarea placeholder="请输入产品型号" class="layui-textarea" name="modelName" lay-verify="required">${models}</textarea>
            </div>
            <div class="layui-input-block" style="color: #A60000">注:如有多个型号请用','隔开(英文逗号)</div>
        </div>
        <div class="layui-form-item layui-hide ">
            <input type="button" lay-submit lay-filter="LAY-user-front-submit" id="LAY-user-front-submit" value="确认">
        </div>
    </div>
</form>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/ueditor/1.4.3/third-party/jquery-1.10.2.js"></script>
<script>
    layui.use(['form','table'], function(){
    });
</script>
</body>
</html>