package com.sifang.modules.changes.dao;

import com.sifang.modules.changes.entity.CustomerEntryCompletionChangeRecordDetail;
import com.sifang.modules.sys.common.persistence.BaseDao;
import com.sifang.modules.sys.common.persistence.Parameter;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class CustomerEntryCompletionChangeRecordDetailDao extends BaseDao<CustomerEntryCompletionChangeRecordDetail> {

    public List<CustomerEntryCompletionChangeRecordDetail> findByChangeRecord(String changeRecordId) {
        return find("from CustomerEntryCompletionChangeRecordDetail where changeRecordId = :p1", new Parameter(changeRecordId));
    }
}
