package com.sifang.modules.changes.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "crm_customer_entry_survey_change_record")
public class CustomerEntrySurveyChangeRecord implements Serializable {

    @Id
    private String id;
    private String number;
    private String entryId;
    private String powerStationCode;
    private String type;
    private Integer num;
    private String flyImgs;
    private String roofPhotoOne;
    private String roofPhotoTwo;
    private String roofPhotoThree;
    private String roofPhotoFour;
    private String roofPhotoFive;
    private String roofPhotoFacade;
    private String roofPhotoInterior;
    private String houseSupplementOne;
    private String detailSupplementOne;
    private String surveyVideo;
    private String surveyFiles;
    private String reason;
    private String status;
    private String creator;
    private String createBy;
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date createTime;
    private String auditor;
    private String auditBy;
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date auditTime;
    private String auditRemark;
    //房屋整体图（VR全景）
    private String vrRoofOne;
    //房屋整体俯视图（VR）
    private String vrRoofTwo;
    //房屋内部结构图（VR）
    private String vrRoofThree;
    //入户全景照片(VR)
    private String vrRoofFour;
    private String fwImg1;
    private String fwImg2;
    private String fwImg3;
    private String fwImg4;
    private String fwImg5;
    //房屋轮廓照片
    private String houseOutlinePhoto;

    public String getFwImg1() {
        return fwImg1;
    }

    public void setFwImg1(String fwImg1) {
        this.fwImg1 = fwImg1;
    }

    public String getFwImg2() {
        return fwImg2;
    }

    public void setFwImg2(String fwImg2) {
        this.fwImg2 = fwImg2;
    }

    public String getFwImg3() {
        return fwImg3;
    }

    public void setFwImg3(String fwImg3) {
        this.fwImg3 = fwImg3;
    }

    public String getFwImg4() {
        return fwImg4;
    }

    public void setFwImg4(String fwImg4) {
        this.fwImg4 = fwImg4;
    }

    public String getFwImg5() {
        return fwImg5;
    }

    public void setFwImg5(String fwImg5) {
        this.fwImg5 = fwImg5;
    }

    public String getVrRoofOne() {
        return vrRoofOne;
    }

    public void setVrRoofOne(String vrRoofOne) {
        this.vrRoofOne = vrRoofOne;
    }

    public String getVrRoofTwo() {
        return vrRoofTwo;
    }

    public void setVrRoofTwo(String vrRoofTwo) {
        this.vrRoofTwo = vrRoofTwo;
    }

    public String getVrRoofThree() {
        return vrRoofThree;
    }

    public void setVrRoofThree(String vrRoofThree) {
        this.vrRoofThree = vrRoofThree;
    }

    public String getVrRoofFour() {
        return vrRoofFour;
    }

    public void setVrRoofFour(String vrRoofFour) {
        this.vrRoofFour = vrRoofFour;
    }

    public String getHouseOutlinePhoto() {
        return houseOutlinePhoto;
    }

    public void setHouseOutlinePhoto(String houseOutlinePhoto) {
        this.houseOutlinePhoto = houseOutlinePhoto;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getPowerStationCode() {
        return powerStationCode;
    }

    public void setPowerStationCode(String powerStationCode) {
        this.powerStationCode = powerStationCode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getFlyImgs() {
        return flyImgs;
    }

    public void setFlyImgs(String flyImgs) {
        this.flyImgs = flyImgs;
    }

    public String getRoofPhotoOne() {
        return roofPhotoOne;
    }

    public void setRoofPhotoOne(String roofPhotoOne) {
        this.roofPhotoOne = roofPhotoOne;
    }

    public String getRoofPhotoTwo() {
        return roofPhotoTwo;
    }

    public void setRoofPhotoTwo(String roofPhotoTwo) {
        this.roofPhotoTwo = roofPhotoTwo;
    }

    public String getRoofPhotoThree() {
        return roofPhotoThree;
    }

    public void setRoofPhotoThree(String roofPhotoThree) {
        this.roofPhotoThree = roofPhotoThree;
    }

    public String getRoofPhotoFour() {
        return roofPhotoFour;
    }

    public void setRoofPhotoFour(String roofPhotoFour) {
        this.roofPhotoFour = roofPhotoFour;
    }

    public String getRoofPhotoFive() {
        return roofPhotoFive;
    }

    public void setRoofPhotoFive(String roofPhotoFive) {
        this.roofPhotoFive = roofPhotoFive;
    }

    public String getRoofPhotoFacade() {
        return roofPhotoFacade;
    }

    public void setRoofPhotoFacade(String roofPhotoFacade) {
        this.roofPhotoFacade = roofPhotoFacade;
    }

    public String getRoofPhotoInterior() {
        return roofPhotoInterior;
    }

    public void setRoofPhotoInterior(String roofPhotoInterior) {
        this.roofPhotoInterior = roofPhotoInterior;
    }

    public String getHouseSupplementOne() {
        return houseSupplementOne;
    }

    public void setHouseSupplementOne(String houseSupplementOne) {
        this.houseSupplementOne = houseSupplementOne;
    }

    public String getDetailSupplementOne() {
        return detailSupplementOne;
    }

    public void setDetailSupplementOne(String detailSupplementOne) {
        this.detailSupplementOne = detailSupplementOne;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public String getAuditBy() {
        return auditBy;
    }

    public void setAuditBy(String auditBy) {
        this.auditBy = auditBy;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getSurveyVideo() {
        return surveyVideo;
    }

    public void setSurveyVideo(String surveyVideo) {
        this.surveyVideo = surveyVideo;
    }

    public String getSurveyFiles() {
        return surveyFiles;
    }

    public void setSurveyFiles(String surveyFiles) {
        this.surveyFiles = surveyFiles;
    }

    public String getAuditRemark() {
        return auditRemark;
    }

    public void setAuditRemark(String auditRemark) {
        this.auditRemark = auditRemark;
    }

    @Override
    public String toString() {
        return "CustomerEntrySurveyChangeRecord{" +
                "id='" + id + '\'' +
                ", number='" + number + '\'' +
                ", entryId='" + entryId + '\'' +
                ", powerStationCode='" + powerStationCode + '\'' +
                ", type='" + type + '\'' +
                ", num=" + num +
                ", flyImgs='" + flyImgs + '\'' +
                ", roofPhotoOne='" + roofPhotoOne + '\'' +
                ", roofPhotoTwo='" + roofPhotoTwo + '\'' +
                ", roofPhotoThree='" + roofPhotoThree + '\'' +
                ", roofPhotoFour='" + roofPhotoFour + '\'' +
                ", roofPhotoFive='" + roofPhotoFive + '\'' +
                ", roofPhotoFacade='" + roofPhotoFacade + '\'' +
                ", roofPhotoInterior='" + roofPhotoInterior + '\'' +
                ", houseSupplementOne='" + houseSupplementOne + '\'' +
                ", detailSupplementOne='" + detailSupplementOne + '\'' +
                ", surveyVideo='" + surveyVideo + '\'' +
                ", surveyFiles='" + surveyFiles + '\'' +
                ", reason='" + reason + '\'' +
                ", status='" + status + '\'' +
                ", creator='" + creator + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime=" + createTime +
                ", auditor='" + auditor + '\'' +
                ", auditBy='" + auditBy + '\'' +
                ", auditTime=" + auditTime +
                ", auditRemark='" + auditRemark + '\'' +
                '}';
    }
}
