package com.sifang.modules.customer.constant;

public class SourceConstants {

    public static final String ZERO="0";
    public static final String ONE="1";
    public static final String TWO="2";
    public static final String THREE="3";
    public static final String FOUR="4";

    public static final String TYPR_GW="gw";

    public static final String TYPR_ZY="zy";



    //白名单准入请求ID
    public static final String  CLIENT_REQ_ID="";

    public static final String CLIENT_SECRET="";


    /**
     *  signReturnType  退回类型    cancel-取消进件  return-退回进件   returnToCompletion-退回完工
     */
    public static final String RETURN_TYPE_CANCEL="cancel";
    public static final String RETURN_TYPE_RETURN="return";
    public static final String RETURN_TYPE_RETURN_TO_COMPLETION="returnToCompletion";


    /**
     * 征信状态
     * 0：准入成功
     * 1：准入失败
     * 2。重复准入
    */
    public static final String CREADIT_ZERO="0";

    public static final String CREADIT_ONE="1";

    public static final String CREADIT_TWO="2";

    /**
     * 状态
    */
    public static final String STATUS_ZERO="0";

    public static final String STATUS_ONE="1";

    public static final String STATUS_TWO="2";

    //0 暂存 1提交 2.已审核 3.审核不通过
    public static final String APPLY_STATUS_ZERO="0";

    public static final String APPLY_STATUS_ONE="1";

    public static final String APPLY_STATUS_TWO="2";

    public static final String APPLY_STATUS_THEREE="3";


    /**
     * 浙银接口返回状态
    */
    public static final String CODE_CG="00000";

    //输入请求非法：报文为空
    public static final String CODE_P1="P0001";

    //报文结构不完整
    public static final String CODE_P2="P0002";

    //报文结构不完整，合作方ID或请求ID缺失
    public static final String CODE_P3="P0003";

    //请求重复，相同ID或名称
    public static final String CODE_P4="P0004";

    //数据校验失败，数据丢失
    public static final String CODE_P5="P0005";

    public static final String STATUS_NW="NW";

    public static final String STATUS_AP="AP";
    public static final String STATUS_RJ="RJ";
    public static final String STATUS_QY="QY";
    public static final String STATUS_PR="PR";
    public static final String STATUS_LS="LS";
    public static final String STATUS_LF="LF";





}
