package com.sifang.modules.esign.constants;

public class ESignConstants {

    /**
     * 0表示成功，非0表示异常。
     */
    public static final String SUCCESS="0";

    public static final String FAIL="1";

    /**
     * E签宝认证授权状态：0.未认证 1.已认证 2.认证失败
     */
    public static final String ORG_STATUS_NO_CERTIFIED = "0";
    public static final String ORG_STATUS_CERTIFIED = "1";
    public static final String ORG_STATUS_CERTIFIED_FAIL = "2";

    /**
     * 状态 0.已启用 1.已禁用 2.已删除
     */
    public static final String status_enable = "0";
    public static final String status_disable = "1";
    public static final String status_delete = "2";



    /**
     * 合同状态(0、删除  1.待签约(待农户签约) 2.已签约(待共签人签约) 3.待审核 4.签署驳回(拒签) 5.已审核(已完成) 6.待生成 a.承租人已签 b.签署中 c.待盖章 d.盖章中 e.已完成 f. 待上传 g.已上传 h.作废 i.已撤销 j.已过期 k.已拒签)
     */
    public static final String STATUS_DEL = "0";
    public static final String STATUS_SIGNED_BY_TENANT = "1";
    public static final String STATUS_SIGNED_BY_BP = "2";
    public static final String STATUS_COMPLETED = "3";
    public static final String STATUS_REFUSE = "4";
    public static final String STATUS_REFUSE_SIGNED_BY_COMPANY = "5";
    public static final String STATUS_WAIT_CREATE = "6";
    public static final String STATUS_ZF = "h";
    public static final String STATUS_WAIT_UPLOAD = "f";


    /**
     * 越秀  合同状态(0、删除 1.待签约 2.已签约 3.待审核 4.签署驳回 5.已审核 )
     */
    public static final String YX_CONTRACT_STATUS_DELETE="0";
    public static final String YX_CONTRACT_STATUS_WAIT="1";
    public static final String YX_CONTRACT_STATUS_SIGN="2";
    public static final String YX_CONTRACT_STATUS_AUDIT="3";
    public static final String YX_CONTRACT_STATUS_BACK="4";
    public static final String YX_CONTRACT_STATUS_FINISH="5";


    /**
     * 广发  合同状态(0、删除 1.待签约 2.已签约 3.待审核 4.签署驳回 5.已审核 6.待生成 a.承租人已签 b.签署中 c.待盖章 d.盖章中 e.已完成 f. 待上传 g.已上传 h.作废 i.已撤销 j.已过期 k.已拒签 l.作废中)
     */
    public static final String GF_CONTRACT_STATUS_DELETE="0";
    public static final String GF_CONTRACT_STATUS_WAIT="1";
    public static final String GF_CONTRACT_STATUS_SIGN="2";
    public static final String GF_CONTRACT_STATUS_AUDIT="3";
    public static final String GF_CONTRACT_STATUS_BACK="4";
    public static final String GF_CONTRACT_STATUS_FINISH="5";
    public static final String GF_CONTRACT_STATUS_WAITADD="6";
    public static final String GF_CONTRACT_STATUS_CZRYQ="a";
    public static final String GF_CONTRACT_STATUS_QSZ="b";
    public static final String GF_CONTRACT_STATUS_DGZ="c";
    public static final String GF_CONTRACT_STATUS_GZZ="d";
    public static final String GF_CONTRACT_STATUS_YWC="e";
    public static final String GF_CONTRACT_STATUS_DSC="f";
    public static final String GF_CONTRACT_STATUS_YSC="g";
    public static final String GF_CONTRACT_STATUS_ZF="h";
    public static final String GF_CONTRACT_STATUS_YCX="i";
    public static final String GF_CONTRACT_STATUS_YGQ="j";
    public static final String GF_CONTRACT_STATUS_YJQ="k";
    public static final String GF_CONTRACT_STATUS_ZFZ="l";

}
