package com.sifang.modules.factory.aiswei.dto.getinverterdatapagepro;

import lombok.Data;

/**
 * tokenString用户tokenY
 * apikeyString电站keyY
 * isnosString逆变器序列号 N
 * Eg 111,222N
 * startDateString开始时间
 * yyyy-MM-dd HH:mm:ssY
 * endDateString结束时间
 * yyyy-MM-dd HH:mm:ssY
 * pageNumInteger当前页码Y
 * pageSizeInteger每页大
 */
@Data
public class GetInverterDataPageProReq {
    private String token;
    private String apiKey;
    private String isnos;
    private String startDate;
    private String endDate;
    private int pageNum;
    private int pageSize;
}
