package com.sifang.modules.insurance.constants;

/**
 * @author DQChen
 * @date 2024-01-19 17:33
 */
public class InsuranceOrderConstants {

	//保单状态：0.投保失败 1,投保成功 2.过期 3.退保
	public static final String STATUS_FAIL = "0";
	public static final String STATUS_SUCCESS = "1";
	public static final String STATUS_EXPIRE = "2";
	public static final String STATUS_CANCEL = "3";

	//客户类型（1个人/ 2单位）
	public static final String INSURED_TYPE_PERSONAL = "1";
	public static final String INSURED_TYPE_COMPANY = "2";

	//证件类型 01.身份证  02.户口簿 03.中国护照 70.营业执照 72.税务登记证 73.社会信用代码
	public static final String IDENTIFY_TYPE_ID_CARD = "01";
	public static final String IDENTIFY_TYPE_RESIDENCE_BOOKLET = "02";
	public static final String IDENTIFY_TYPE_PASSPORT = "03";
	public static final String IDENTIFY_TYPE_BUSINESS_LICENSE = "70";
	public static final String IDENTIFY_TYPE_QUALIFICATION_NUMBER = "73";

	//关系人标志（1-被保险人；2-投保人）
	public static final String INSURED_FLAG_POLICYHOLDER = "2";
	public static final String INSURED_FLAG_INSURANT = "1";

	//	推送状态：'提交核保/批改的状态：0.核保成功，1.核保失败，2.批改成功，3.批改失败',
	public static final String PUSH_STATUS_OK = "0";
	public static final String PUSH_STATUS_FAIL = "1";
	public static final String PUSH_STATUS_MOD_OK = "2";
	public static final String PUSH_STATUS_MOD_FAIL = "3";

	//保单来源 0.接口创建 1.线下生成
	public static final String SOURCE_INTERFACE = "0";
	public static final String SOURCE_SELF = "1";

	//保单类型 0：首次投保 1：续保
	public static final String POLICY_TYPE_FIRST = "0";
	public static final String POLICY_TYPE_CONTINUE = "1";

}
