package com.sifang.modules.setting.dao;

import com.sifang.modules.setting.entity.EntryProcessPartnerSet;
import com.sifang.modules.sys.common.persistence.BaseDao;
import com.sifang.modules.sys.common.persistence.Parameter;
import org.springframework.stereotype.Repository;

/**
 * @author DQChen
 * @date 2024-02-02 16:10
 */
@Repository
public class EntryProcessPartnerSetDao extends BaseDao<EntryProcessPartnerSet> {

	public EntryProcessPartnerSet findByProcessSetId(String partnerId, String processSetId) {
		return getByHql("from EntryProcessPartnerSet where partner=:p1 and processSetId=:p2", new Parameter(partnerId, processSetId));
	}


}
