package com.sifang.modules.sunshine.SystemSetting.service;

import com.sifang.modules.sunshine.SystemSetting.dao.TraderPcdDao;
import com.sifang.modules.sunshine.SystemSetting.entity.TraderPcd;
import com.sifang.modules.sys.common.service.BaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TraderPcdService extends BaseService {

	@Autowired
	private TraderPcdDao pcdDao;

	/**
	 * 查询区域设置列表
	 */
	public List<TraderPcd> getListByTraderId(String traderId) {
		return pcdDao.findListByTraderId(traderId);
	}

	/**
	 * 查询区域设置列表
	 */
	public boolean checkAuth(String traderId, String province, String city, String area) {
		return pcdDao.checkAuth(traderId, province, city, area);
	}
}
