package com.sifang.modules.supply.stock.constant;

public class MaterialConstants {

    /**
     * 正常
     */
    public static final String NORMAL = "1";

    /**
     * 已禁用
     */
    public static final String DISABLED = "3";

    /**
     * 已删除
     */
    public static final String DELETED = "2";


    /**
     * 申请状态：0.申请待审核 1.审核通过 2.申请已取消 3.申请审核未通过 4申请已删除，默认0
     */
    public static final String APPLY_STATUS_ZERO="0";
    public static final String APPLY_STATUS_ONE="1";
    public static final String APPLY_STATUS_TWO="2";
    public static final String APPLY_STATUS_FAIL="3";
    public static final String APPLY_STATUS_DELETE="2";
    public static final String APPLY_STATUS_FIVE="5";


    /**
     * crm_platform_fitting_apply  status申请状态：1.待审核 2.待出库 3.待收件 4.已完成 5.申请已取消 6.申请已删除 7 审核未通过 默认1
     */
    public static final String PLAT_APPLY_STATUS_WAIT="1";
    public static final String PLAT_APPLY_STATUS_OUT="2";
    public static final String PLAT_APPLY_STATUS_FAIL="7";

    /**
     * return_fitting 登记表示 是否登记，默认为1 1未登记、2已登记 3.已返厂 4.已到厂
     */
    public static final String RETURN_FITTING_NO="1";
    public static final String RETURN_FITTING_YES="2";

    /**
     * status 状态： 0.未返厂 1.已返厂未到厂 2.已到厂，默认0
     */
    public static final String REFUND_STATUS_ZERO="0";

    /**
     * 状态： 0.未返厂 1.已返厂未到厂 2.已到厂，默认0
     */
    public static final String RETURN_FITTING_STATUS_ZERO="O";
    public static final String RETURN_FITTING_STATUS="1";

    /**
     * material_properties 金蝶属性--对应金蝶的FErpClsID(1.外购 6.服务)
     */
    public static final String PROPERTIES_OUT="1";
    public static final String PROPERTIES_SERVICE="6";
}
