package com.sifang.modules.sys.util.insurance.form.insuresubmit;

import java.util.List;
import java.util.Map;

/**
 * 安工险 接口请求参数
 */
public class InsureSubmitReq {

    private String requestNo;//请求流水号
    private String channelCode;//渠道代码
    private String sign;//签名
    private String productPlan;//产品方案
    private String orderNo;//订单号（唯一键🗡）
    private String itemNo;//项目号
    private ProjectInsureBaseInfo baseInfo;//基本信息
    private Map<String, Object> extraInfo;//附属信息

    public String getRequestNo() {
        return requestNo;
    }

    public void setRequestNo(String requestNo) {
        this.requestNo = requestNo;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getProductPlan() {
        return productPlan;
    }

    public void setProductPlan(String productPlan) {
        this.productPlan = productPlan;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    public ProjectInsureBaseInfo getBaseInfo() {
        return baseInfo;
    }

    public void setBaseInfo(ProjectInsureBaseInfo baseInfo) {
        this.baseInfo = baseInfo;
    }

    public Map<String, Object> getExtraInfo() {
        return extraInfo;
    }

    public void setExtraInfo(Map<String, Object> extraInfo) {
        this.extraInfo = extraInfo;
    }
}
