﻿<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <title>能辉光伏</title>
    <meta name="decorator" content="base" />
</head>
<body class="layui-layout-body">

<div id="LAY_app">
    <div class="layui-layout layui-layout-admin">
        <div class="layui-header">
            <!-- 头部区域 -->
            <ul class="layui-nav layui-layout-left">
                <li class="layui-nav-item layadmin-flexible" lay-unselect>
                    <a href="javascript:;" layadmin-event="flexible" title="侧边伸缩">
                        <i class="layui-icon layui-icon-shrink-right" id="LAY_app_flexible"></i>
                    </a>
                </li>
                <li class="layui-nav-item layui-hide-xs" lay-unselect>
                    <a href="http://www.layui.com/admin/" target="_blank" title="前台">
                        <i class="layui-icon layui-icon-website"></i>
                    </a>
                </li>
                <li class="layui-nav-item" lay-unselect>
                    <a href="javascript:;" layadmin-event="refresh" title="刷新">
                        <i class="layui-icon layui-icon-refresh-3"></i>
                    </a>
                </li>
                <li class="layui-nav-item layui-hide-xs" lay-unselect>
                    <input type="text" placeholder="搜索..." autocomplete="off" class="layui-input layui-input-search" layadmin-event="serach" lay-action="template/search.html?keywords=">
                </li>
            </ul>
            <ul class="layui-nav layui-layout-right" lay-filter="layadmin-layout-right">

                <li class="layui-nav-item" lay-unselect>
                    <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/app/message/index.html" layadmin-event="message" lay-text="消息中心">
                        <i class="layui-icon layui-icon-notice"></i>

                        <!-- 如果有新消息，则显示小圆点 -->
                        <span class="layui-badge-dot"></span>
                    </a>
                </li>
                <li class="layui-nav-item layui-hide-xs" lay-unselect>
                    <a href="javascript:;" layadmin-event="theme">
                        <i class="layui-icon layui-icon-theme"></i>
                    </a>
                </li>
                <li class="layui-nav-item layui-hide-xs" lay-unselect>
                    <a href="javascript:;" layadmin-event="note">
                        <i class="layui-icon layui-icon-note"></i>
                    </a>
                </li>
                <li class="layui-nav-item layui-hide-xs" lay-unselect>
                    <a href="javascript:;" layadmin-event="fullscreen">
                        <i class="layui-icon layui-icon-screen-full"></i>
                    </a>
                </li>
                <li class="layui-nav-item" lay-unselect>
                    <a href="javascript:;">
                        <cite>贤心</cite>
                    </a>
                    <dl class="layui-nav-child">
                        <dd><a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/set/user/info.html">基本资料</a></dd>
                        <dd><a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/set/user/password.html">编辑密码</a></dd>
                        <hr>
                        <dd layadmin-event="logout" style="text-align: center;"><a>退出</a></dd>
                    </dl>
                </li>

                <li class="layui-nav-item layui-hide-xs" lay-unselect>
                    <a href="javascript:;" layadmin-event="about"><i class="layui-icon layui-icon-more-vertical"></i></a>
                </li>
                <li class="layui-nav-item layui-show-xs-inline-block layui-hide-sm" lay-unselect>
                    <a href="javascript:;" layadmin-event="more"><i class="layui-icon layui-icon-more-vertical"></i></a>
                </li>
            </ul>
        </div>

        <!-- 侧边菜单 -->
        <div class="layui-side layui-side-menu">
            <div class="layui-side-scroll">
                <div class="layui-logo" lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/console.html">
                    <span>能辉</span>
                </div>

                <ul class="layui-nav layui-nav-tree" lay-shrink="all" id="LAY-system-side-menu" lay-filter="layadmin-system-side-menu">
                    <li data-name="home" class="layui-nav-item layui-nav-itemed">
                        <a href="javascript:;" lay-tips="工单管理" lay-direction="2">
                            <i class="layui-icon layui-icon-home"></i>
                            <cite>工单管理</cite>
                        </a>
                        <dl class="layui-nav-child">
                            <dd data-name="console" class="layui-this">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/console.html">全部工单</a>
                            </dd>
                            <dd data-name="console">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/homepage1.html">待派单</a>
                            </dd>
                          <%--  <dd data-name="console">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/homepage2.html">待接单</a>
                            </dd>--%>
                            <dd data-name="console">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/homepage2.html">服务中</a>
                            </dd>
                            <dd data-name="console">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/homepage2.html">备件单</a>
                            </dd>
                            <dd data-name="console">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/homepage2.html">待回访</a>
                            </dd>
                            <dd data-name="console">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/homepage2.html">服务商待结算</a>
                            </dd>
                            <dd data-name="console">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/homepage2.html">已完成</a>
                            </dd>
                            <dd data-name="console">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/homepage2.html">无效单</a>
                            </dd>
                            <dd data-name="console">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/home/homepage2.html">投诉单</a>
                            </dd>
                        </dl>
                    </li>
                    <li data-name="component" class="layui-nav-item">
                        <a href="javascript:;" lay-tips="备件管理" lay-direction="2">
                            <i class="layui-icon layui-icon-component"></i>
                            <cite>备件管理</cite>
                        </a>
                        <dl class="layui-nav-child">
                            <dd data-name="grid">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/component/grid/list.html">备件申请管理</a>
                            </dd>
                            <dd data-name="button">
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/component/button/index.html">备件返厂管理</a>
                            </dd>
                        </dl>
                    </li>
                    <li data-name="template" class="layui-nav-item">
                        <a href="javascript:;" lay-tips="财务管理" lay-direction="2">
                            <i class="layui-icon layui-icon-template"></i>
                            <cite>财务管理</cite>
                        </a>
                        <dl class="layui-nav-child">
                            <dd><a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/template/personalpage.html">结算明细</a></dd>
                            <dd><a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/template/addresslist.html">服务商结算明细</a></dd>
                            <dd><a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/template/caller.html">收支明细</a></dd>
                            <dd><a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/template/goodslist.html">票据管理</a></dd>
                        </dl>
                    </li>
                    <li data-name="app" class="layui-nav-item">
                        <a href="javascript:;" lay-tips="统计分析" lay-direction="2">
                            <i class="layui-icon layui-icon-app"></i>
                            <cite>统计分析</cite>
                        </a>
                        <dl class="layui-nav-child">
                            <dd>
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/app/content/list.html">收入统计</a>
                            </dd>
                            <dd>
                                <a lay-href="${ctxPlugin}/lib/layuiAdmin/dist/views/app/message/index.html">投诉处理</a>
                            </dd>
                        </dl>
                    </li>
                    <li data-name="senior" class="layui-nav-item">
                        <a href="javascript:;" lay-tips="系统设置" lay-direction="2">
                            <i class="layui-icon layui-icon-senior"></i>
                            <cite>系统设置</cite>
                        </a>
                        <dl class="layui-nav-child">
                            <dd>
                                <a lay-href="${ctx}/systemSetup">系统设置</a>
                            </dd>
                        </dl>
                    </li>

                </ul>
            </div>
        </div>

        <!-- 页面标签 -->
        <div class="layadmin-pagetabs" id="LAY_app_tabs">
            <div class="layui-icon layadmin-tabs-control layui-icon-prev" layadmin-event="leftPage"></div>
            <div class="layui-icon layadmin-tabs-control layui-icon-next" layadmin-event="rightPage"></div>
            <div class="layui-icon layadmin-tabs-control layui-icon-down">
                <ul class="layui-nav layadmin-tabs-select" lay-filter="layadmin-pagetabs-nav">
                    <li class="layui-nav-item" lay-unselect>
                        <a href="javascript:;"></a>
                        <dl class="layui-nav-child layui-anim-fadein">
                            <dd layadmin-event="closeThisTabs"><a href="javascript:;">关闭当前标签页</a></dd>
                            <dd layadmin-event="closeOtherTabs"><a href="javascript:;">关闭其它标签页</a></dd>
                            <dd layadmin-event="closeAllTabs"><a href="javascript:;">关闭全部标签页</a></dd>
                        </dl>
                    </li>
                </ul>
            </div>
            <div class="layui-tab" lay-unauto lay-allowClose="true" lay-filter="layadmin-layout-tabs">
                <ul class="layui-tab-title" id="LAY_app_tabsheader">
                    <li lay-id="${ctxPlugin}/lib/layuiAdmin/dist/views/home/console.html" lay-attr="${ctxPlugin}/lib/layuiAdmin/dist/views/home/console.html" class="layui-this"><i class="layui-icon layui-icon-home"></i></li>
                </ul>
            </div>
        </div>


        <!-- 主体内容 -->
        <div class="layui-body" id="LAY_app_body">
            <div class="layadmin-tabsbody-item layui-show">
                <iframe src="#" frameborder="0" class="layadmin-iframe"></iframe>
            </div>
        </div>

        <!-- 辅助元素，一般用于移动设备下遮罩 -->
        <div class="layadmin-body-shade" layadmin-event="shade"></div>
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script type="text/javascript">
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use('index');
</script>
</body>
</html>
