<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
    <style>
        html{
            background-color: #fff;
        }
    </style>
</head>
<body class="">
<div class="layui-fluid ">
    <div class="layui-card pl-10 pr-30 pt-10 over">
        <div class="layui-card-body over pt-20 pb-40 h-350">
            <form class="layui-form" action="" lay-filter="component-form-group" id="orderForm">
                <div class="layui-card">
                    <input type="hidden" name="id" id="orderId" value="${order.id}">
                    <input type="hidden" name="fittingFlag" id="fittingFlag" value="${order.fittingFlag}">
                    <input type="hidden" name="status" id="status" value="${order.siteStatus}">
<%--                    <div class="site-demo-button siteOrderButten">--%>
<%--                        <button type="button" class="layui-btn layui-btn-primary ">基本信息</button>--%>
<%--                        <button type="button" class="layui-btn ">过程信息</button>--%>
<%--                    </div>--%>
                </div>
                <div class="layui-tab layui-tab-brief">
                    <ul class="layui-tab-title">
                        <li class="layui-this">基本信息</li>
                        <li>过程信息</li>
                    </ul>
                    <div class="layui-tab-content">
                        <div class="layui-tab-item layui-show">
                <div class="layui-card jibenxinxi">
                    <div class="layui-card-body ">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <div class="layui-col-lg2 layui-col-sm4">
                                <label class="layui-form-label">工单编号：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="number" id="number" lay-verify="required" placeholder=""
                                           autocomplete="off" class="layui-input layui-bg-gray" value="${order.number}" disabled>
                                </div>
                            </div>
                            <div class="layui-col-lg2 layui-col-sm3" lay-filter="component-form-element">
                                <label class="layui-form-label"><i class="mark">*</i>信息来源：</label>
                                <div class="layui-input-block">
                                    <select name="orderType" id="orderType" lay-verify="required" class=" layui-bg-gray" disabled>
                                        <option value="">请选择</option>
                                        <option value="1" <c:if test="${order.orderType eq 1}">selected</c:if>>.用户在线报修</option>
                                        <option value="2" <c:if test="${order.orderType eq 2}">selected</c:if>>平台录入</option>
                                        <option value="4" <c:if test="${order.orderType eq 4}">selected</c:if>>电子商务</option>
                                    </select>
                                </div>
                            </div>
                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label">服务类型：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="serviceType" id="serviceType" lay-verify="required" placeholder=""
                                           autocomplete="off" class="layui-input layui-bg-gray" value="${order.serviceType}" disabled>
                                </div>
                            </div>
                            <c:if test="${order.serviceType eq '安装'}">
                                <div class="layui-col-lg2 layui-col-sm4">
                                    <label class="layui-form-label"><i class="mark">*</i>容量：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceCapacity" id="applianceCapacity" lay-verify="required" placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.applianceCapacity}" disabled>   <span class="pos-a h-32 lh-32 layui-span-unit" >KW</span>
                                    </div>
                                </div>
                            </c:if>
                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label">服务措施：</label>
                                <div class="layui-input-block">
                                    <select name="serviceMeasures" id="serviceMeasures" class="layui-bg-gray" lay-filter="aihao" lay-search disabled>
                                        <option value="">请选择</option>
                                        <c:forEach items="${serviceMeasures}" var="measures">
                                            <option value="${measures.columns.service_measures}" <c:if test="${measures.columns.service_measures eq order.serviceMeasures}">selected</c:if>> ${measures.columns.service_measures}</option>
                                        </c:forEach>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-card jibenxinxi ">
                    <div class="layui-card-header pt-10">
                        <h1 class="title">用户信息</h1>
                    </div>
                    <div class="layui-card-body ">
                        <div class="layui-form" action="" lay-filter="component-form-element">
                            <div class="layui-row layui-col-space12 layui-form-item">

                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label"><i class="mark">*</i>用户姓名：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="customerName" id="customerName" lay-verify="required"
                                               placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray"
                                               value="${order.customerName}" disabled>
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label"><i class="mark">*</i>联系方式1：</label>
                                    <div class="layui-input-block pr-30">
                                        <input type="text" name="customerMobile" lay-verify="required"
                                               class="layui-input layui-bg-gray" value="${order.customerMobile}"
                                               disabled>
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label">联系方式2：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="customerTelephone" id="customerTelephone"
                                               placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray"
                                               value="${order.customerTelephone}" disabled>
                                    </div>
                                </div>
                                <div class="layui-col-lg8">
                                    <div class="layui-col-xs12 layui-form-item">
                                        <label class="layui-form-label"><i class="mark">*</i>用户地址：</label>
                                        <div class="layui-input-block">
                                            <div class="layui-col-lg3 layui-col-sm3 pr-30">
                                                <select name="province" id="province" lay-verify="required"
                                                        lay-filter="province" disabled lay-search>
                                                    <option value=""></option>
                                                    <c:forEach items="${pros}" var="pro">
                                                        <option value="${pro.columns.ProvinceName}"
                                                                <c:if test="${order.province eq pro.columns.ProvinceName}">selected</c:if>
                                                                title="${pro.columns.ProvinceID }">${pro.columns.ProvinceName}</option>
                                                    </c:forEach>
                                                </select>
                                            </div>
                                            <div class="layui-col-lg2 layui-col-sm3 pr-30">
                                                <select name="city" id="city" lay-verify="required" lay-filter="city"
                                                        disabled lay-search>
                                                    <option value="">请选择</option>
                                                    <c:forEach items="${faccitys}" var="city">
                                                        <option value="${city.columns.CityName}"
                                                                <c:if test="${order.city eq city.columns.CityName}">selected</c:if>
                                                                title="${city.columns.CityID}">${city.columns.CityName}</option>
                                                    </c:forEach>
                                                </select>
                                            </div>
                                            <div class="layui-col-lg2 layui-col-sm3 pr-30">
                                                <select name="area" id="area" lay-verify="required" lay-filter="aihao"
                                                        disabled lay-search>
                                                    <option value="">请选择</option>
                                                    <c:forEach items="${areas}" var="area">
                                                        <option value="${area.columns.DistrictName}"
                                                                <c:if test="${order.area eq area.columns.DistrictName}">selected</c:if>
                                                                title="${area.columns.DistrictID}">${area.columns.DistrictName}</option>
                                                    </c:forEach>
                                                </select>
                                            </div>
                                            <div class="layui-col-lg6 layui-col-sm3">
                                                <input type="text" name="customerAddress" lay-verify="required"
                                                       placeholder=""
                                                       autocomplete="off"
                                                       class="layui-input layui-col-lg2 layui-bg-gray"
                                                       value="${order.customerAddress}" disabled>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-card jibenxinxi">
                    <div class="layui-card-header pt-10">
                        <h1 class="title">服务信息</h1>
                    </div>
                    <div class="layui-card-body">
                        <div class="layui-form" action="" lay-filter="component-form-element">
                            <div class="layui-row layui-col-space12 layui-form-item">

                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label">电站名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="powerStationName" id="powerStationName"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.powerStationName}" disabled>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">设备类型：</label>
                                    <div class="layui-input-block">
                                        <select name="applianceCategory" class="layui-bg-gray" id="applianceCategory" disabled>
                                            <option value="">请选择</option>
                                            <option value="光伏组件" <c:if test="${order.applianceCategory eq '光伏组件'}">selected</c:if>>光伏组件</option>
                                            <option value="逆变器" <c:if test="${order.applianceCategory eq '逆变器'}">selected</c:if>>逆变器</option>
                                            <option value="通讯模块"  <c:if test="${order.applianceCategory eq '通讯模块'}">selected</c:if>>通讯模块</option>
                                            <option value="并网箱"  <c:if test="${order.applianceCategory eq '并网箱'}">selected</c:if>>并网箱</option>
                                            <option value="线缆"  <c:if test="${order.applianceCategory eq '线缆'}">selected</c:if>>线缆</option>
                                            <option value="配件"  <c:if test="${order.applianceCategory eq '配件'}">selected</c:if>>配件</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label">设备型号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceModel" id="applianceModel"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.applianceModel}" disabled >
                                    </div>
                                </div>

                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">投运时间：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceBuyTime" id="applianceBuyTime" placeholder=""
                                               disabled
                                               autocomplete="off" class="layui-input layui-bg-gray"
                                               value="<fmt:formatDate value="${order.applianceBuyTime}" pattern="yyyy-MM-dd" />">
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">设备品牌：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceBrand" id="applianceBrand"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.applianceBrand}" disabled>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">设备序列号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceMachineCode" id="applianceMachineCode"   placeholder="" disabled
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.applianceMachineCode}">
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm3 layui-form" lay-filter="component-form-element">
                                    <label class="layui-form-label">保修类型：</label>
                                    <div class="layui-input-block">
                                        <select name="warrantyType" id="warrantyType" lay-filter="aihao"
                                                class="layui-bg-gray" disabled>
                                            <option value="">请选择</option>
                                            <option value="1"
                                                    <c:if test="${order.warrantyType eq 1}">selected</c:if> >保内
                                            </option>
                                            <option value="2"
                                                    <c:if test="${order.warrantyType eq 2}">selected</c:if> >保外
                                            </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">预约时间：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="promiseTime"  id="promiseTime"  placeholder="" disabled
                                               autocomplete="off" class="layui-input layui-bg-gray" value="<fmt:formatDate value="${order.promiseTime}" pattern="yyyy-MM-dd" />">
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">时间要求：</label>
                                    <div class="layui-input-block">
                                        <select  name="promiseLimit" id="promiseLimit"  lay-filter="aihao" class="layui-bg-gray" disabled>
                                            <option value="">请选择</option>
                                            <c:forEach items="${promiseLimit}" var="timeList">
                                                <option value="${timeList}" <c:if test="${timeList == order.promiseLimit}">selected</c:if>>${timeList}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">销售商：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="pleaseReferMall" id="pleaseReferMall"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" disabled value="${order.pleaseReferMall}" >
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">发票号码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="invoice"  id="invoice"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" disabled value="${order.invoice}">
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">重要程度：</label>
                                    <div class="layui-input-block">
                                        <select  name="level" id="level" class="layui-bg-gray" disabled>
                                            <option value="">请选择</option>
                                            <option value="1" <c:if test="${1 == order.level}">selected</c:if>>紧急</option>
                                            <option value="2" <c:if test="${2 == order.level}">selected</c:if>>一般</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm4">
                                    <label class="layui-form-label"><i class="red">*</i>报单时间：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="repairTime"  id="repairTime"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" disabled value="<fmt:formatDate value="${order.repairTime}" pattern="yyyy-MM-dd HH:mm:ss" />">
                                    </div>
                                </div>

                                <div class="layui-col-xs12">
                                    <c:choose>
                                        <c:when test="${order.serviceType eq '安装'}">
                                            <label class="layui-form-label">现场描述：</label>
                                        </c:when>
                                        <c:otherwise>
                                            <label class="layui-form-label">故障描述：</label>
                                        </c:otherwise>
                                    </c:choose>
                                    <div class="layui-input-block">
                                        <textarea name="remarks" id="remarks" placeholder=""
                                                  class="layui-textarea layui-bg-gray" lay-verify="required"
                                                  disabled>${order.remarks}</textarea>
                                    </div>
                                </div>
                                <div class="layui-col-xs12 layui-form-item">
                                    <c:choose>
                                        <c:when test="${order.serviceType eq '安装'}">
                                            <label class="layui-form-label">附图：</label>
                                        </c:when>
                                        <c:otherwise>
                                            <label class="layui-form-label">故障图片：</label>
                                        </c:otherwise>
                                    </c:choose>
                                    <div class="layui-input-block">
                                        <div id="imgsDiv">
                                            <c:forEach var="image" items="${images}">
                                                <div  class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon  layui-hide" onclick="delImg(this)"></span>
                                                    <img src="${commonStaticImgPath}${image}" data-img="${commonStaticImgPath}${image}"  height="700" width="1200"/>
                                                    <input type="hidden" class="imgPicker" value="${image}">
                                                </div>
                                            </c:forEach>
                                        </div>
                                        <div class="upload-container layui-hide" id="uploader">
                                            <img src="" alt="img placeholder" id="imgsAdd">
                                        </div>
                                    </div>

                                </div>
                                <div class="layui-col-xs12 layui-form-item layui-hide tishi">
                                    <label class="layui-form-label"></label>
                                    <div class="layui-input-block" style="color: #cc2a2c">
                                        提示：最多可上传4张照片
                                    </div>
                                </div>
                            </div>

                        </div>

                    </div>
                </div>
                        </div>
                        <div class="layui-tab-item guoChen">

                        </div>
                    </div>
                </div>
            </form>
<%--            <div class="layui-card processInformation layui-hide">--%>
<%--                <ul class="layui-timeline guoChen">--%>

<%--                </ul>--%>
<%--            </div>--%>
            <div class="layui-tab layui-tab-brief">
                <ul class="layui-tab-title">
                    <li class="layui-this">服务反馈</li>
                    <li>备件信息</li>
                </ul>
                <div class="layui-tab-content">
                    <div class="layui-tab-item layui-show">
                <div class="layui-card-body fuwufankui">
                    <div class="layui-form" action="" lay-filter="component-form-element">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label">工单状态：</label>
                                <div class="layui-input-block">
                                    <c:if test="${order.siteStatus eq 4 || order.siteStatus eq 5 || order.siteStatus eq 6}">
                                        <input type="text" class="layui-input layui-bg-gray layui-disabled" disabled value="服务中">
                                    </c:if>
                                    <c:if test="${order.siteStatus eq 7 && order.status ne 5}">
                                        <input type="text" class="layui-input layui-bg-gray layui-disabled" disabled value="已完工">
                                    </c:if>
                                    <c:if test="${order.siteStatus eq 7 && order.status eq 5}">
                                        <input type="text" class="layui-input layui-bg-gray layui-disabled" disabled value="已完成">
                                    </c:if>
                                    <c:if test="${order.siteStatus eq 9}">
                                        <input type="text" class="layui-input layui-bg-gray layui-disabled" disabled value="无效工单">
                                    </c:if>
                                </div>
                            </div>
                            <div class="layui-col-lg2 layui-col-sm4">
                                <label class="layui-form-label">服务商：</label>
                                <div class="layui-input-block">
                                    <input type="text" placeholder="" autocomplete="off" class="layui-input layui-bg-gray" value="${order.siteName}" disabled>
                                </div>
                            </div>
                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label">服务工程师：</label>
                                <div class="layui-input-block">
                                    <input type="text" placeholder="" autocomplete="off" class="layui-input layui-bg-gray" value="${order.employeName}" disabled>
                                </div>
                            </div>
                            <%--<div class="layui-col-lg2 layui-col-sm4">
                                <label class="layui-form-label">收款金额：</label>
                                <div class="layui-input-block">
                                    <input type="text" placeholder="" autocomplete="off" class="layui-input layui-bg-gray" value="${collectionVoucher.columns.amount}" disabled>
                                </div>
                            </div>
                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label" style="color: blue" id="showImage">收款凭证</label>
                            </div>--%>
                            <div class="layui-col-xs12">
                                <label class="layui-form-label">反馈内容：</label>
                                <div class="layui-input-block">
                                    <c:forEach var="fbItems" items="${feedbackInfo.feedbackResults}">
                                        <p class="processItem">
                                            <span class="time">${fbItems.feedbackTime} </span>
                                            <span>${fbItems.feedbackName }：${fbItems.feedbackResults }</span>
                                        </p>
                                    </c:forEach>
                                </div>
                            </div>
                            <div class="layui-col-xs12">
                                <label class="layui-form-label">过程图片：</label>
                                <div class="layui-input-block">
                                    <c:forEach var="fbImgItems" items="${feedbackInfo.feedbackImgs}">
                                        <c:if test="${not empty fbImgItems.fbImgPath }">
                                            <c:forEach var="fbImgItem" items="${fbImgItems.fbImgPath}">
                                                <div class="imgWrap1 f-l" id="img${da.index}">
                                                    <div class="imgWrap f-l mr-10 text-c">
                                                        <img src="${commonStaticImgPath}${fbImgItem}" data-img="${commonStaticImgPath}${fbImgItem}" class="w-80 h-80 selectImg" style="width:150px;">
                                                        <p class="hei">${fbImgItems.fbImgTime}</p>
                                                    </div>
                                                </div>
                                            </c:forEach>
                                        </c:if>
                                    </c:forEach>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                    </div>
                    <div class="layui-tab-item">
                <div class="layui-card beijianxinxi">
                    <table class="layui-table  " style="table-layout:fixed;">
                        <thead>
                        <tr>
                            <th width="8%">序号</th>
                            <th width="12%">物料号</th>
                            <th width="12%">备件名称</th>
                            <th width="12%">备件型号</th>
                            <th width="12%">使用数量</th>
                            <th width="12%">状态</th>
                            <th width="12%">旧件状态</th>
                        </tr>
                        </thead>
                        <tbody class="bodyContent">
                        <c:forEach items="${list}" var="apply" varStatus="num">
                            <tr>
                                <td>${num.count}</td>
                                <td>${apply.columns.fitting_code}</td>
                                <td>${apply.columns.fitting_name}</td>
                                <td>${apply.columns.fitting_version}</td>
                                <td>${apply.columns.fitting_apply_num}</td>
                                <td>${apply.columns.status}</td>
                                <td>${apply.columns.oldStatus}</td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
                    </div>
                    <div class="layui-tab-item">
                <div class="layui-card orderRelation layui-hide">
                    <ul class="layui-timeline">
                        <c:forEach items="${detail}" var="deta">
                            <li class="layui-timeline-item"><i class="layui-icon layui-timeline-axis"></i>
                                <div class="layui-timeline-content layui-text">
                                    <h4 class="layui-timeline-title">${deta.t}</h4>
                                    <p>
                                            ${deta.c}
                                    </p>
                                </div>
                            </li>
                        </c:forEach>
                    </ul>
                </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="lookImg" class="hide pos-r">
    <div style="position:relative;width:100%;height:100%;">
        <div class="w-500 h-500 lookImg">
            <img src="" width="80%" id="image">
        </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/static/js/orderCommon.js"></script>
<script>
    var imgsCount="${imgNumber}";
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'layedit' ,'upload', 'laydate'], function () {
        $ = layui.$
            , admin = layui.admin
            , element = layui.element
            , form = layui.form
            , laydate = layui.laydate;

        element.render('breadcrumb', 'breadcrumb');

        $(".mark").addClass("layui-hide");
        $(".red").addClass("layui-hide");
        //点击放大查看图片
        $(".imgSpan img").click(function(){
            var img = $(this).attr("data-img");
            console.log(img);
            $("#lookImg img").attr('src',img);
            layer.open({
                type:1,
                title:'查看图片',
                area:['500px','550px'],
                content:$("#lookImg")
            })
        })

        var images="${collectionVoucher.columns.imgs}";
        /*var images="sfimg02/M00/00/33/wKgCF1z3GruAUCswAALp7tlm2WY29..jpg,sfimg02/M00/00/3F/wKgCF11KJ4CAGjysAAKQF2GgG6g23..jpg,sfimg02/M00/00/33/wKgCF1z9p3GASP6mAAcBCt7Lur883..jpg";*/
        $("#showImage").click(function(){
            var arr=images.split(",");
            var number=0;
            $("#lookImg img").attr('src', "${commonStaticImgPath}" + arr[number]);
            layer.open({
                type: 1,
                title:'查看图片',
                area:['500px','543px'],
                btn:['上一张','下一张'],
                content: $('#lookImg'),
                yes:function(){
                    if(number<=0){
                        number=0;
                    }else{
                        number-=1;
                    }
                    $("#lookImg img").attr('src', "${commonStaticImgPath}" + arr[number]);
                },btn2:function(){
                    if(number>=arr.length-1){
                        number=arr.length-1;
                    }else{
                        number+=1;
                    }
                    $("#lookImg img").attr('src', "${commonStaticImgPath}" + arr[number]);
                    return false;
                }
            });
        })

    });
    var siteId = "${order.siteId}";

    layui.use(['jquery', 'form'], function (args) {
        $ = layui.jquery;
        var form = layui.form;
        // var aa = $('.siteOrderButten button');
        var orderId = $("#orderId").val();
        var sign = $("#sign").val();
        var fittingFlag = $("#fittingFlag").val();
        guocheng(orderId);
        //旋转
        var deg = 0;
        $(".xuanZhuan").click(function(){
            deg += 90;
            document.getElementById("image").style.transform = "rotate(" + deg + "deg)";
        })



        //却换服务反馈按钮
        <%--var fuwu = $('.fuwufankuiorder button');--%>
        <%--fuwu.click(function () {--%>
        <%--    fuwu.removeClass("layui-btn-primary");--%>
        <%--    $(this).addClass("layui-btn-primary");--%>
        <%--    var index = fuwu.index(this);--%>
        <%--    if (index == 1) {--%>
        <%--        var siteStatus = '${order.siteStatus}';--%>
        <%--        if (siteStatus == '3' || siteStatus == '4' || siteStatus == '5' || siteStatus == '6') {//已接单 可以申请备件--%>
        <%--            $("#addFitApply").removeClass("layui-hide");--%>
        <%--        }--%>
        <%--        //备件信息--%>
        <%--        $(".beijianxinxi").removeClass("layui-hide");--%>
        <%--        $(".fuwufankui").addClass("layui-hide");--%>
        <%--        $(".orderRelation").addClass("layui-hide");--%>
        <%--        guocheng(orderId);--%>
        <%--    } else if (index == 2) {--%>
        <%--        $(".beijianxinxi").addClass("layui-hide");--%>
        <%--        $(".fuwufankui").addClass("layui-hide");--%>
        <%--        $(".orderRelation").removeClass("layui-hide");--%>
        <%--        $("#addFitApply").addClass("layui-hide");--%>
        <%--    } else {--%>
        <%--        $("#addFitApply").addClass("layui-hide");--%>
        <%--        $(".fuwufankui").removeClass("layui-hide");--%>
        <%--        $(".beijianxinxi").addClass("layui-hide");--%>
        <%--        $(".orderRelation").addClass("layui-hide");--%>
        <%--    }--%>
        <%--});--%>

        <%--aa.click(function () {--%>
        <%--    aa.removeClass("layui-btn-primary");--%>
        <%--    $(this).addClass("layui-btn-primary");--%>
        <%--    var index = aa.index(this);--%>
        <%--    if (index == 1) {--%>
        <%--        //过程信息--%>
        <%--        $(".processInformation").removeClass("layui-hide");--%>
        <%--        $(".jibenxinxi").addClass("layui-hide");--%>
        <%--        $(".logsticInfoNew").addClass("layui-hide");--%>
        <%--        var html = $.trim($(".layui-timeline").html());--%>
        <%--        //    if(isBlank(html)){--%>
        <%--        guocheng(orderId);--%>
        <%--        //   }--%>

        <%--    } else if (index == 2) {--%>
        <%--        //物流信息--%>
        <%--        /* if(sign == 2){--%>
        <%--             layer.msg("暂时没有物流信息1，请稍后查询!",{icon:2});--%>
        <%--         }else */if(fittingFlag == 0 &&  "安装" != "${order.serviceType}"){--%>
        <%--            layer.msg("暂时没有物流信息，请稍后查询!",{icon:2});--%>
        <%--        }else{--%>
        <%--            //物流信息--%>
        <%--            $(".processInformation").addClass("layui-hide");--%>
        <%--            $(".jibenxinxi").addClass("layui-hide");--%>
        <%--            $(".logsticInfoNew").removeClass("layui-hide");//物流信息--%>
        <%--        }--%>
        <%--    } else {--%>
        <%--        $(".jibenxinxi").removeClass("layui-hide");--%>
        <%--        $(".processInformation").addClass("layui-hide");--%>
        <%--        $(".logsticInfoNew").addClass("layui-hide");--%>
        <%--    }--%>
        <%--})--%>

        if ("${type}" == 2) {
            $(".processInformation").removeClass("layui-hide");
            $(".jibenxinxi").addClass("layui-hide");
            $(".logsticInfoNew").addClass("layui-hide");
            guocheng(orderId)
        }


        function guocheng(orderId) {

            $.ajax({
                type: "POST",
                url: "${ctx}/order/getOrderDetail",
                data: {
                    orderId: orderId
                },
                success: function (data) {
                    if (data != null) {
                        var deatil = "";
                        for (var i = 0; i < data.length; i++) {
                            deatil += '<li class="layui-timeline-item"><i class="layui-icon layui-timeline-axis"></i>';
                            deatil += '<div class="layui-timeline-content layui-text">';
                            deatil += ' <h4 class="layui-timeline-title">' + data[i].d + '</h4> <p>';
                            deatil += data[i].c + '  </p> </div> </li>';
                        }
                        $(".guoChen").html(deatil);
                    } else {
                        layer.msg("数据有误！", {icon: 2});
                    }
                }
            });
        }
    });

    function loadFitApply(orderId) {
        $(".bodyContent").empty();
        $.ajax({
            type: "POST",
            url: "${ctx}/order/getOrderFittingByorderId",
            data: {
                orderId: orderId,
            },
            success: function (data) {
                if (data != null) {
                    var deatil = "";
                    for (var i = 0; i < data.length; i++) {
                        var status = data[i].columns.status;
                        var stname = "";
                        if (status == 0) {
                            stname = "待审核";
                        }else if (status == 1) {
                            stname = "已完成";
                        }
                        var oldFittingStauts= data[i].columns.oldFittingStatus;
                        if(isBlank(oldFittingStauts)){
                            oldFittingStauts='未登记';
                        }else if(oldFittingStauts== 2){
                            oldFittingStauts='已返厂';
                        }else{
                            oldFittingStauts='已登记';
                        }

                        deatil += ' <tr>';
                        deatil += ' <td style="overflow:hidden;" class="text-over">' +(i+1)+ '</td>';
                        deatil += ' <td style="overflow:hidden;" class="text-over">' + data[i].columns.fitting_code + '</td>';
                        deatil += ' <td style="overflow:hidden;" class="text-over">' + data[i].columns.fitting_name + '</td>';
                        deatil += ' <td style="overflow:hidden;" class="text-over">' + data[i].columns.fitting_version + '</td>';
                        deatil += ' <td style="overflow:hidden;" class="text-over">' + data[i].columns.fitting_audit_num + '</td>';
                        deatil += ' <td style="overflow:hidden;" class="text-over">' + stname + '</td>';
                        deatil += ' <td style="overflow:hidden;" class="text-over" >' + oldFittingStauts + '</td>';
                        deatil += ' </tr>';
                    }
                    $(".bodyContent").html(deatil);
                } else {
                    // layer.msg("数据有误！", {icon: 2});
                }
            }
        });
    }

    //申请备件
    var addFitApplyIndex = '';

    function toAddFitApplyPage(orderId,selectAddress) {
        addFitApplyIndex = layer.open({
            type: 2
            , title: '申请备件'
            , content: '${ctx}/siteFitting/apply/toAddFitApplyPage?orderId=' + orderId+"&selectAddress="+selectAddress
            , area: ['1000px', '430px']
            , yes: function (index, layero) {

            }
        });
    }


    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
</script>
</body>
</html>