<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>html {
        background-color: #fff;
        padding-bottom: 50px;
    }

    td, th {
        text-align: center !important;
    }
    .bj-pdf {
        display: inline-block;
        margin-right: 10px;
        padding: 5px;
        border: 1px solid #ccc;
        border-radius: 5px;
        background-color: #f0f0f0;
        color: #333;
        font-size: 14px;
    }
    .pdfSpan {
        display: flex;
        align-items: center;
    }
    .download-link {
        display: inline-block;
        padding-top: 5px;
        padding-right: 16px;
        color: #007bff;
        text-decoration: none;
        border-radius: 4px;
    }

    .download-link:hover {
        color: #0056b3;
    }
    .load-icon{background: url('${ctxPlugin}/static/img/shili_img.png') center center no-repeat; width: 12px; height: 12px; display: inline-block; border-radius: 50%;
        vertical-align: text-bottom;transform: translate(0px, -1px);margin-right: 2px;}
    </style>
</head>

<body>
<div class="layui-form">

    <div class="layui-tab-content" id="LAY_app">
        <div class="layui-card">
            <div class="layui-elem-quote" style="display: flex;justify-content: space-between;">
                <p>订单信息</p>
                <p>下单时间：${order.columns.place_time}</p>
            </div>
            <div class="layui-tab-content">
                <div class="layui-row">
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">订单编号：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="inWarehouseName" readonly autocomplete="off"
                                   placeholder="请输入"
                                   class="layui-input layui-bg-gray" value="${order.columns.number}">
                        </div>
                    </div>
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">订单状态：</label>
                        <div class="layui-input-block ">
                            <c:choose>
                                <c:when test="${order.columns.status eq '1'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="待审批"></c:when>
                                <c:when test="${order.columns.status eq '2'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="采购分配"></c:when>
                                <c:when test="${order.columns.status eq '3'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="分配打回"></c:when>
                                <c:when test="${order.columns.status eq '4'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="采购审批"></c:when>
                                <c:when test="${order.columns.status eq '5'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="待发货"></c:when>
                                <c:when test="${order.columns.status eq '6'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="待签收"></c:when>
                                <c:when test="${order.columns.status eq '7'}"><input type="text" disabled name="status"
                                                                                     readonly
                                                                                     class="layui-input layui-bg-gray"
                                                                                     value="已完成"></c:when>
                            </c:choose>
                        </div>
                    </div>
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">订单来源：</label>
                        <div class="layui-input-block">
                            <c:if test="${order.columns.type eq '1'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="电站下单"></c:if>
                            <c:if test="${order.columns.type eq '2'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="储备物料"></c:if>
                            <c:if test="${order.columns.type eq '3'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="平台采购"></c:if>
                            <c:if test="${order.columns.type eq '4'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="合并发货"></c:if>
                            <c:if test="${order.columns.type eq '5'}"><input type="text" disabled name="type" readonly
                                                                             class="layui-input layui-bg-gray"
                                                                             value="材料下单"></c:if>
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">入库仓库：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="inWarehouseName" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.inWarehouseName}">
                        </div>
                    </div>
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">接货人：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="personInCharge" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.person_in_charge}">
                        </div>
                    </div>
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">联系方式：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="mobile" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.mobile}">
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs8">
                        <label class="layui-form-label ">仓库地址：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="mobile" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.w_address}">
                        </div>
                    </div>
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">代理商名称：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="mobile" readonly class="layui-input layui-bg-gray"
                                   value="${order.columns.applyOrderTrader}">
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs4">
                        <label class="layui-form-label ">企企项目：</label>
                        <div class="layui-input-block ">
                            <input type="text" disabled name="qqProjectName" readonly class="layui-input layui-bg-gray" value="${order.columns.qqProjectName}">
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs12">
                        <label class="layui-form-label">订单备注：</label>
                        <div class="layui-input-block ">
                            <textarea readonly class="layui-textarea layui-bg-gray">${order.columns.remarks}</textarea>
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-inline layui-col-xs12">
                        <label class="layui-form-label">施工人员保单：</label>
                        <div class="layui-input-block img-box ml-120">
                            <div style="display: flex">
                                <div id="insuranceFilesDiv">
                                    <c:if test="${not empty order.columns.insurance_files}">
                                        <c:forEach items="${order.columns.insurance_files}" var="file" varStatus="vs">
                                            <div style="margin-top: 5px">
                                                <a style="color:#2890ac;" href="${commonStaticImgPath}${file}" download="${file}" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                <a style="color:#2890ac;cursor: pointer" target="_blank" onclick="previewUrl('${commonStaticImgPath}${file}')"    class="download-link">查看</a>
                                                <input type="hidden" class="insuranceFiles" value="${file}">
                                            </div>
                                            <c:set var="insuranceFilesCount" value="${vs.count}"/>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <%--
                <div class="layui-row">
                    <div class="layui-inline layui-col-xs12">
                        <label class="layui-form-label">安全教育登记表：</label>
                        <div class="layui-input-block img-box ml-120">
                            <div style="display: flex">
                                <div id="safetyFilesDiv">
                                    <c:if test="${not empty order.columns.safety_files}">
                                        <c:forEach items="${order.columns.safety_files}" var="file" varStatus="vs">
                                            <div style="margin-top: 5px">
                                                <a style="color:#2890ac;" href="${commonStaticImgPath}${file}" download="${file}" class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                <a style="color:#2890ac;cursor: pointer" target="_blank" onclick="previewUrl('${commonStaticImgPath}${file}')"    class="download-link">查看</a>
                                                <input type="hidden" class="safetyFiles" value="${file}">
                                            </div>
                                            <c:set var="safetyFilesCount" value="${vs.count}"/>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                --%>
                <c:if test="${order.columns.status eq '4' && not empty order.columns.warehouse_fail_reason}">
                    <div class="layui-form-item mb-5">
                        <label class="layui-form-label w-130">打回原因：</label>
                        <div class="layui-input-block ">
                                    <textarea readonly
                                              class="layui-textarea layui-bg-gray">${order.columns.warehouse_fail_reason}</textarea>
                        </div>
                    </div>
                </c:if>
            </div>
            <!-- 发货信息 -->
            <div class="layui-elem-quote">
                <p>发货信息</p>
            </div>
            <div class="layui-tab-content">
                <div class="layui-row">
                    <!-- 供应商端发货 无仓库 -->
                    <c:if test="${order.columns.deliver_id eq 'a'}">
                        <div class="layui-col-xs4">
                            <label class="layui-form-label "><i class="red">*</i>发货仓库：</label>
                            <div class="layui-input-block ">
                                <select id="warehouse" name="warehouse" disabled>
                                    <option value="">请选择</option>
                                    <c:forEach items="${warehouses}" var="warehouse">
                                        <option value="${warehouse.columns.id}" ${warehouse.columns.id eq order.columns.out_warehouse_id ? 'selected' : ''}>${warehouse.columns.name}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                    </c:if>
                    <div class="layui-col-xs4">
                        <label class="layui-form-label "><i class="red">*</i>发货方式：</label>
                        <div class="layui-input-block ">
                            <select id="deliverType" name="deliverType" lay-filter="deliverType">
                                <option value="">请选择</option>
                                <c:forEach var="method" items="${methods}">
                                    <option value="${method.columns.id}" data-type="${method.columns.type}">${method.columns.name}</option>
                                </c:forEach>
                            </select>
                        </div>
                    </div>
                    <div class="layui-col-xs4 layui-hide">
                        <label class="layui-form-label "><i class="red">*</i>物流单号：</label>
                        <div class="layui-input-block ">
                            <input class="layui-input" id="expressNo" name="expressNo"/>
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-xs4 layui-hide">
                        <label class="layui-form-label "><i class="red">*</i>司机：</label>
                        <div class="layui-input-block ">
                            <input class="layui-input" id="deliverDriver" name="deliverDriver"/>
                        </div>
                    </div>
                    <div class="layui-col-xs4 layui-hide">
                        <label class="layui-form-label "><i class="red">*</i>联系方式：</label>
                        <div class="layui-input-block ">
                            <input class="layui-input" id="deliverMobile" name="deliverMobile"/>
                        </div>
                    </div>
                    <div class="layui-col-xs4 layui-hide">
                        <label class="layui-form-label "><i class="red">*</i>车牌号：</label>
                        <div class="layui-input-block ">
                            <input class="layui-input" id="deliverCarNum" name="deliverCarNum"/>
                        </div>
                    </div>
                </div>

                <div class="layui-row">
                    <div class="layui-col-xs12 layui-form-item  mb-5">
                        <label class="layui-form-label"><i class="red">*</i>送货单：
                            <%--<br/><a href="${commonStaticImgPath}/prohibit_delete/示例图/货物签收单示例.png" style="font-size: 12px;color: red;margin-right: 5px;"><i class="load-icon"></i>下载示例图</a>--%>
                        </label>
                        <div class="layui-input-block">
                            <div class="upload-containers" id="uploaderQuali">
                                <button class="layui-btn">上传</button>
                            </div>
                            <div id="qualificationsImgsDev" class="display-flex" style="margin-top: 5px">
                                <c:if test="${not empty order.columns.delivery_voucher}">
                                    <c:forEach items="${quaimgs}" var="pdf">
                                        <div class="pdf-container">
                                            <div class="pdf-content">
                                                <div class="bj-pdf pdfSpan">
                                                    <a href="${commonStaticPdfPath.concat(pdf)}" target="_blank">${pdf}</a>
                                                    <input type="hidden" class="quaImgPicker" value="${pdf}">
                                                    <span style="margin-left: 10px" class="close-icon layui-icon layui-icon-close" onclick="delPdf(this)"></span>
                                                </div>
                                            </div>
                                        </div>
                                    </c:forEach>
<%--                                    <c:forEach var="quaim" items="${quaimgs}">--%>
<%--                                        <div class="bj-img imgSpan">--%>
<%--                                            <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploaderQuali')"></span>--%>
<%--                                            <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">--%>
<%--                                            <input type="hidden" class="quaImgPicker" value="${quaim}">--%>
<%--                                        </div>--%>
<%--                                    </c:forEach>--%>
                                </c:if>
                            </div>
<%--                            <div class="upload-container" id="uploaderQuali" >--%>
<%--                                <img src="" alt="img placeholder" >--%>
<%--                            </div>--%>
                        </div>
                    </div>
                </div>

                <div class="layui-row">
                    <div class="layui-col-xs12">
                        <label class="layui-form-label ">发货说明：</label>
                        <div class="layui-input-block ">
                            <textarea class="layui-textarea" id="deliverRemark" name="deliverRemark"></textarea>
                        </div>
                    </div>
                </div>
            </div>

            <div class="layui-elem-quote" style="display: flex;justify-content: space-between;">
                <p>物料清单</p>
                <%--<p>采购总额：<span>${total}</span>元</p>--%>
            </div>
            <div class="layui-tab-content">
                <div class="layui-row">
                    <table class="layui-table">
                        <thead>
                        <th>序号</th>
                        <th>物料代码</th>
                        <th>物料名称</th>
                        <th>物料类型</th>
                        <th>物料品牌</th>
                        <th>物料规格</th>
                        <th>发货数量</th>
                        <th>单位</th>
                        </thead>
                        <tbody id="materialTbody">
                        <c:forEach items="${details}" var="applyDetail" varStatus="vs">
                            <tr data-id="${applyDetail.columns.id}" data-materialId="${applyDetail.columns.material_id}"
                                data-applyAmount="${applyDetail.columns.apply_amount}" data-amount="${applyDetail.columns.out_amount}">
                                <td>${vs.count}</td>
                                <td>${applyDetail.columns.code}</td>
                                <td>${applyDetail.columns.material_name}</td>
                                <td>${applyDetail.columns.materialTypeName}</td>
                                <td>${applyDetail.columns.material_brand}</td>
                                <td>${applyDetail.columns.material_spec}</td>
                                <td>${applyDetail.columns.out_amount}</td>
                                <td>${applyDetail.columns.unit_name}</td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="operate-footer">
        <input type="button" onclick="doDeliver()" value="发货" class="layui-btn ">
        <c:if test="${userType ne '8'}">
            <input type="button" onclick="reject()" value="驳回" class="layui-btn ">
        </c:if>
        <button type="button" class="layui-btn layui-btn-primary " onclick="closeDiv();">取消</button>
    </div>

</div>
<div class="hide pd-10 layui-form" style="padding: 10px" id="ideaDiv">
    <div class="layui-form-item">
        <label class="layui-form-label w-130"><span class="red">*</span>出库仓库：</label>
        <div class="layui-input-block ">
            <select name="outWarehouse" lay-search>

            </select>
        </div>
    </div>
    <div class="layui-form-item">
        <label class="layui-form-label w-130">下单备注：</label>
        <div class="layui-input-block ">
            <textarea class="layui-textarea orderRemark"></textarea>
        </div>
    </div>
</div>
<div class="hide layui-tab-content" id="auditDiv">
    <label class="layui-form-label"><span class="red">*</span>打回原因：</label>
    <div class="layui-input-block ">
        <textarea id="reason" class="layui-textarea"></textarea>
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script src="${ctxPlugin}/lib/base64.js"></script>
<script type="text/javascript">
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    //初始数据
    var $form;
    var form;
    var $;
    var imgs = '';
    var myreg = /^[1][3,4,5,6,7,8,9][0-9]{9}$/;
    var quaimgsCount = '${quaimgsCount}'
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['form', 'layedit', 'laydate', 'jquery', 'layer', 'element', 'upload'], function () {
        $ = layui.jquery;
        form = layui.form;
        var element = layui.element;
        $form = $('form');

        form.verify({
            express: function (value) {
                var expressMethod = $('select[name=deliverMethodId]').find('option:selected').data('type');
                if (isBlank(value) && expressMethod === 0) {
                    return '请填写物流单号';
                }
            },
            deliverInvoice: function (value) {
                if (isBlank(value)) {
                    return '请上传接货单';
                }
            }
        });

        if (${not empty order.columns.deliver_invoice}) {
            $('#pic').show();
        }

        <c:if test="${opt eq 'view'}">
        $('input,select,textarea').prop('disabled', true);
        form.render();
        layer.photos({
            photos: '.layer-photos-demo'
            , anim: 5 //0-6的选择，指定弹出图片动画类型，默认随机（请注意，3.0之前的版本用shift参数）
        });
        </c:if>

        var upload = layui.upload;
        //执行实例
        var uploadInst = upload.render({
            elem: '#uploader' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            , size: 5 * 1024
            , number: 1
            , accept: 'file'
            , exts: 'jpg|png|gif|doc|docx|ppt|pdf|xls|xlsx|txt|mp4|mp3|avi|mov|rmvb|rm|flv|3gp|apk'
            , done: function (res) {
                if (res.code > 0) {
                    return layer.msg("上传失败！", {icon: 2});
                }
                var imgPath = res.path;
                $('#pic').attr('href', '${commonStaticImgPath}' + imgPath).html(res.filename); //图片链接（base64）
                $("#pic").removeClass("hide");
                //$("#uploader").hide();
                $("#deliverInvoice").val(imgPath);
            }
            , error: function () {
                //请求异常回调 演示失败状态
            }
        });

        form.on('select(deliverType)', function (d) {
            var $elem = $(d.elem);

            if ($elem.find('option:selected').data('type') === 0) {
                $('input[name=expressNo]').closest('.layui-col-xs4').removeClass('layui-hide');
                $('input[name=deliverDriver]').closest('.layui-col-xs4').removeClass('layui-hide').addClass('layui-hide');
                $('input[name=deliverMobile]').closest('.layui-col-xs4').removeClass('layui-hide').addClass('layui-hide');
                $('input[name=deliverCarNum]').closest('.layui-col-xs4').removeClass('layui-hide').addClass('layui-hide');
            } else {
                $('input[name=expressNo]').closest('.layui-col-xs4').removeClass('layui-hide').addClass('layui-hide');
                $('input[name=deliverDriver]').closest('.layui-col-xs4').removeClass('layui-hide');
                $('input[name=deliverMobile]').closest('.layui-col-xs4').removeClass('layui-hide');
                $('input[name=deliverCarNum]').closest('.layui-col-xs4').removeClass('layui-hide');
            }
        });

        upload.render({
            elem: '#uploaderQuali' //绑定元素
            , url: '${ctx}/common/uploadFile3' //上传接口
            , accept: 'file'
            , exts: 'jpg|png|gif|doc|docx|pdf'
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {

                });
            }
            , done: function (res) {
                //上传完毕回调
                quaimgsCount++;
                if (quaimgsCount >= 5) {
                    $("#uploaderQuali").hide();
                } else {
                    $("#uploaderQuali").show();
                }
                var path = res.path;
                addPdf(res,"qualificationsImgsDev","quaImgPicker");
                // if (path.endsWith(".pdf") || path.endsWith(".doc")   || path.endsWith(".docx")){
                //     addPdf(res,"qualificationsImgsDev","quaImgPicker");
                // }else {
                //     addImg(res.path,"quaimgs","qualificationsImgsDev","quaImgPicker");
                // }
            }
            , error: function () {
                //请求异常回调
            }
        });

    })

    var temporaryflag = true;

    function temporary() {
        if (!temporaryflag) {
            return;
        }
        temporaryflag = false;
        var deliverMethodId = $("#deliverMethodId").val();
        var expressNo = $("input[name='expressNo']").val();
        var deliverRemark = $("#deliverRemark").val();
        var deliverDriver = $("input[name='deliverDriver']").val();
        var deliverMobile = $("input[name='deliverMobile']").val();
        var deliverCarNum = $("input[name='deliverCarNum']").val();
        $.ajax({
            type: 'post',
            url: '${ctx}/material/order/doTemporary',
            data: {
                deliverMethodId: deliverMethodId,
                expressNo: expressNo,
                deliverRemark: deliverRemark,
                deliverDriver: deliverDriver,
                deliverMobile: deliverMobile,
                deliverCarNum: deliverCarNum,
                orderId: '${order.columns.id}'
            },
            dataType: 'json',
            success: function (data) {
                if (data.code === '200') {
                    layer.msg('操作成功', {icon: 1});
                    window.location.href = '${ctx}/material/order/toDeliverPage?opt=fh&id=${order.columns.id}';
                } else if (data.code === '501') {
                    layer.msg(data.errMsg, {icon: 2});
                } else {
                    layer.msg('操作失败', {icon: 2});
                }

            },
            complete: function () {
                deliverFlag = true;
            }
        });
    }

    // 发货
    var deliverFlag = true;
    function doDeliver() {
        if (!deliverFlag) {
            return;
        }
        var arr = getListData();
        var outWarehouseId;
        if (${order.columns.deliver_id eq 'a'}) {
            outWarehouseId = $('select[name=warehouse]').val();
            if (isBlank(outWarehouseId)) {
                layer.msg('请选择发货仓库');
                return;
            }
        }

        var deliverType = $('select[name=deliverType]').val();
        if (isBlank(deliverType)) {
            layer.msg('请选择发货方式');
            return;
        }
        var expressNo = $('input[name=expressNo]').val();

        var deliverMethod = $("#deliverType").find("option:selected").attr("data-type");
        if (deliverMethod === '0' && isBlank(expressNo)) {
            layer.msg("请输入物流单号");
            return;
        }
        var deliverDriver = $('input[name=deliverDriver]').val();
        var deliverMobile = $('input[name=deliverMobile]').val();
        var deliverCarNum = $('input[name=deliverCarNum]').val();
        if (deliverMethod != '0') {
            if(isBlank(deliverDriver)){
                layer.msg("请输入司机");
                return;
            }
            if(isBlank(deliverMobile)){
                layer.msg("请输入联系方式");
                return;
            } if(isBlank(deliverCarNum)){
                layer.msg("请输入车牌号");
                return;
            }
        }

        var quaimgs = "";

        $(".quaImgPicker").each(function () {
            if (isBlank(quaimgs)) {
                quaimgs = $(this).val();
            } else {
                quaimgs = quaimgs + "," + $(this).val();
            }
        });
        if(isBlank(quaimgs)){
            layer.msg("请录入送货单！");
            return;
        }

       var index= layer.load(2, {shade: [0.5,'#fff'], content:''});

        var deliverRemark = $('#deliverRemark').val();
        deliverFlag = false;
        $.ajax({
            type: 'post',
            url: '${ctx}/material/order/doDeliver',
            contentType: 'application/json',
            data: JSON.stringify({
                outWarehouseId: outWarehouseId,
                deliverMethodId: deliverType,
                expressNo: expressNo,
                deliverRemark: deliverRemark,
                // deliverInvoice: d.field.deliverInvoice,
                deliverDriver: deliverDriver,
                deliverMobile: deliverMobile,
                deliverCarNum: deliverCarNum,
                type: '1',
                deliveryVoucher:quaimgs,
                materialInfo: {
                    orderId: '${order.columns.id}',
                    details: arr
                }
            }),
            dataType: 'json',
            success: function (data) {
                afterSuccess(data);
            },
            complete: function () {
                deliverFlag = true;
                layer.close(index);
            }
        });
    }


    function printOrder() {
        var id = '${order.columns.id}';
        layer.open({
            title: '打印',
            type: 2,
            area: ['85%', '85%'],
            fixed: false,
            content: '${ctx}/material/order/printOrder?applyId=' + id,
            success: function (layero, index) {
                childWin = window[layero.find('iframe')[0]['name']];
            }
        })
    }

    var splitFlag = true;

    function splitOrder() {
        if (!splitFlag) {
            return;
        }
        var arr = getListData();
        var total = 0;
        for (var i = 0; i < arr.length; i++) {
            if (isBlank(arr[i].amount)) {
                continue;
            }
            if (!/^[1-9]\d*$/.test(arr[i].amount)) {
                layer.msg('第' + (i + 1) + '条拆单数量格式不正确');
                return;
            }
            if (arr[i].amount * 1 > arr[i].applyAmount * 1) {
                layer.msg('第' + (i + 1) + '条拆单数量不能超过发货数量');
                return;
            }
            total += arr[i].amount * 1;
        }
        if (total === 0) {
            layer.msg('请填写拆单数量');
            return;
        }

        splitFlag = false;
        $.ajax({
            type: 'post',
            url: '${ctx}/material/order/splitDeliverOrder',
            contentType: 'application/json',
            data: JSON.stringify({
                orderId: '${order.columns.id}',
                details: arr
            }),
            dataType: 'json',
            success: function (data) {
                afterSuccess(data);
            },
            complete: function () {
                splitFlag = true;
            }
        });

    }

    function reject() {
        $('#reason').val('');
        layer.open({
            type: 1,
            area: ['450px', '280px'],
            content: $("#auditDiv"),
            title: '提示',
            btn: ['确认', '取消'],
            btnAlign: 'c',
            yes: function () {
                var reason = $('#reason').val();
                $.ajax({
                    type: 'post',
                    url: '${ctx}/material/order/deliverReject',
                    contentType: 'application/json',
                    dataType: 'json',
                    data: JSON.stringify({
                        id: '${order.columns.id}',
                        reason: reason
                    }),
                    success: function (result) {
                        if (result.code === '200') {
                            layer.msg('操作成功！', {time: 1000}, function(){
                                parent.layer.closeAll();
                                parent.$('.layui-laypage-btn').click();
                            })
                        } else {
                            layer.msg('保存失败!'+result.errMsg)
                        }
                    }
                });

            }
        })
    }

    function getListData() {
        var $trs = $('#materialTbody>tr');
        var arr = [];
        for (var i = 0; i < $trs.length; i++) {
            var $tr = $trs.eq(i);
            var data = {};
            data.detailId = $tr.data('id');
            data.materialId = $tr.data('materialid');
            data.applyAmount = $tr.data('applyamount');
            data.amount = $tr.data('amount');
            arr.push(data);
        }
        return arr;
    }

    function afterSuccess(data) {
        if (data.code === '200') {
            parent.layer.msg('操作成功', {icon: 1});
            closeDiv();
            parent.searchOrder();
        }else {
            layer.msg(data.errMsg, {icon: 2});
        }
    }

    function closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function addPdf(data,div,imgPicker) {
        var html = '<div class="bj-pdf pdfSpan" ><span style="cursor: pointer;" onclick="viewPdf(\'' + data.path + '\')"  class="pdfName">' + data.filename + '</span><span class="layui-icon-close layui-icon" onclick="delPdf(this)"></span>';
        html += '<input type="hidden" class="'+imgPicker+'"  data-path="' + data.path + '" value="' + data.path + '"/></div>';
        $("#"+div).append(html);
    }

    function viewPdf(_url){
        _url = '${commonStaticImgPath}' + _url
        if (!checkUrl(_url)) {
            return false;
        }
        var base = new Base64();
        var b64Encoded =  base.encode(_url);
        if(_url.endsWith('pdf')){
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded)+'&officePreviewType=pdf');
        }else{
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded));
        }
    }

    function previewUrl(_url) {
        if (!checkUrl(_url)) {
            return false;
        }
        var base = new Base64();
        var b64Encoded = base.encode(_url);
        if(_url.endsWith('pdf')){
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded)+'&officePreviewType=pdf');
        }else{
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded));
        }
    }

    function checkUrl(url) {
        //url= 协议://(ftp的登录信息)[IP|域名](:端口号)(/或?请求参数)
        var strRegex = '^((https|http|ftp)://)'//(https或http或ftp)
            + '(([\\w_!~*\'()\\.&=+$%-]+: )?[\\w_!~*\'()\\.&=+$%-]+@)?' //ftp的user@  可有可无
            + '(([0-9]{1,3}\\.){3}[0-9]{1,3}' // IP形式的URL- 3位数字.3位数字.3位数字.3位数字
            + '|' // 允许IP和DOMAIN（域名）
            + '(localhost)|'	//匹配localhost
            + '([\\w_!~*\'()-]+\\.)*' // 域名- 至少一个[英文或数字_!~*\'()-]加上.
            + '\\w+\\.' // 一级域名 -英文或数字  加上.
            + '[a-zA-Z]{1,6})' // 顶级域名- 1-6位英文
            + '(:[0-9]{1,5})?' // 端口- :80 ,1-5位数字
            + '((/?)|' // url无参数结尾 - 斜杆或这没有
            + '(/[\\w_!~*\'()\\.;?:@&=+$,%#-]+)+/?)$';//请求参数结尾- 英文或数字和[]内的各种字符
        var re = new RegExp(strRegex, 'i');//i不区分大小写
        //将url做uri转码后再匹配，解除请求参数中的中文和空字符影响
        if (re.test(encodeURI(url))) {
            return (true);
        } else {
            return (false);
        }
    }
    function delPdf(that) {
        event.stopPropagation();
        quaimgsCount--;
        if (quaimgsCount < 5) {
            $("#uploaderQuali").show();
        }
        $(that).parent().remove();
    }



    function addImg(data,imgType,div,imgPicker) {

        var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this, \''+imgType+'\')"></span>';
        html += '<img src="${commonStaticImgPath}' + data + '" height="700" width="1200"/>';
        html += '<input type="hidden" class="'+imgPicker+'" value="' + data + '" /> </div>';
        $("#"+div).append(html);
    }

    function delImg(that,imgType) {
        if(imgType=='imgs'){
            imgsCount--;
            if (imgsCount < 1) {
                $("#uploader").show();
            }
        }else{
            quaimgsCount--;
            if (quaimgsCount < 5) {
                $("#uploaderQuali").show();
            }
        }
        $(that).parent().remove();
    }
</script>
</body>
</html>
