<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>完工信息变更</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html {
            background-color: #fff;
            padding-bottom: 50px;
        }
        .form-span {
            display: block;
            padding: 8px 0;
            margin-left: 110px;
        }

        .page-iframe {
            border: none;
            width: 100%;
            min-height: calc(100vh - 250px);
        }
        .mb-10{
            margin-bottom: 10px !important;
        }
        .pd-10{
            padding: 10px;
        }
        .idea-text{
            width: 320px; height: 100px;outline: none; padding: 3px
        }
        .msg-title{
            text-align: center;
            margin: 10px 0;
            font-size: 16px;
        }
        .title1 {
            border-left: 4px solid #1b6073;
            padding-left: 20px;
            font-size: 14px;
            margin: 10px auto;
            font-weight: 600;
            height: 34px;
            line-height: 34px;
            background-color: #f4f6f9;
            color: #666666;
        }
        .layui-input-block {
            margin-left: 110px;
        }

        .layui-form-label {
            width: 110px;
        }
        .clearfix{*zoom:1;}
        .clearfix:before,.clearfix:after{display:table; line-height:0; content:"";}
        .clearfix:after{clear:both;}

        .layui-tab-title{
            margin: 0 0 0 20px;
        }
        .layui-tab-content{
            margin: 0 0 0 20px;
        }
        .bj-img {
            margin-right: 5px;
        }
        .blank-img {
            background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
            width: 80px;
            height: 80px;
            display: inline-block;
        }
        .link-blue{ color: #1b6073; cursor: pointer;}
    </style>
</head>
<body>
<div class="layui-fluid pd-10">
    <div class="order-win layui-form">
        <button class="layui-btn" style="margin-left: 94.5%;" onclick="approvalRecord()">审批记录</button>
        <div class="layui-card-body pt-20 pb-40">
            <div class="layui-col-xs12 form-box">
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站编码：</label>
                    <div class="layui-input-block ">
                        <input type="text" autocomplete="off" disabled  name="stationCode" lay-verify="stationCode" class="layui-input" value="${customerEntry.powerStationCode}">
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站状态：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="status" class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">代理商：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="traderName" class="layui-input" value="${customerEntry.createTraderName}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">产品名称：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="projectName"  class="layui-input" value="${project.name}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">项目公司：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="projectCompanyName" class="layui-input" value="${customerEntry.projectCompanyName}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">所属资方：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="partnerName" class="layui-input" value="${customerEntry.partnerName}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">业主姓名：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="tenantName"  class="layui-input" value="${customerEntry.tenantName}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">身份证号：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="idCode" class="layui-input" value="${customerEntry.idCode}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs9">
                    <label class="layui-form-label w-130">安装地址：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="address" class="layui-input" value="${customerEntry.province}${customerEntry.city}${customerEntry.area}${customerEntry.address}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs12">
                    <label class="layui-form-label w-130">变更原因：</label>
                    <div class="layui-input-block ">
                        <textarea name="reason" id="reason" disabled class="layui-textarea">${change.reason}</textarea>
                        <%--                        <input type="text" name="reason" autocomplete="off" class="layui-input" value="${change.reason}" disabled>--%>
                    </div>
                </div>
            </div>
        </div>
        <div class="clear-both">
            <p class="layui-elem-quote" style="margin: 0px 0px 0px 10px">完工信息</p>
            <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief" id="LAY_app">
                <div class="layui-tab-content" style="padding: 0px">
                    <table class="layui-table" style="text-align: center;">
                        <thead>
                        <tr>
                            <th width="5%">序号</th>
                            <th width="15%">文件名称</th>
                            <th width="40%">变更前信息</th>
                            <th width="40%">变更后信息</th>
                        </tr>
                        </thead>
                        <tbody id="contentBody">
                        <tr id="filing_document_photo">
                            <td>1</td>
                            <td id="filing_document_photo_name">备案证</td>
                            <td id="filingDocumentPhoto" style="text-align: left">
                                <c:if test="${not empty oldChange.filingDocumentPhoto}">
                                    <c:forEach items="${fn:split(oldChange.filingDocumentPhoto,',')}" var="img">
                                        <div class="imgSpan">
                                            <a href="${commonStaticImgPath}${img}"
                                               target="_blank">${fn:substring(img,img.lastIndexOf("/")+1 ,img.length() )}</a>
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td style="text-align: left">
                                <div class="imgSpan">
                                    <c:if test="${not empty change.filingDocumentPhoto}">
                                        <c:forEach items="${fn:split(change.filingDocumentPhoto,',')}" var="img">
                                            <div class="imgSpan">
                                                <a href="${commonStaticImgPath}${img}"
                                                   target="_blank">${fn:substring(img,img.lastIndexOf("/")+1 ,img.length() )}</a>
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="kg_condition_files">
                            <td>18</td>
                            <td id="kg_condition_files_name">安全防护措施合照照片</td>
                            <td id="kgConditionFiles"  style="text-align: left">
                                <c:if test="${not empty oldChange.kgConditionFiles}">
                                    <c:forEach items="${fn:split(oldChange.kgConditionFiles,',')}" var="img">
                                        <div class="imgSpan">
                                            <a href="${commonStaticImgPath}${img}"
                                               target="_blank">${fn:substring(img,img.lastIndexOf("/")+1 ,img.length() )}</a>
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td  style="text-align: left">
                                <div class="moreDiv">
                                    <c:if test="${not empty change.kgConditionFiles}">
                                        <c:forEach items="${fn:split(change.kgConditionFiles,',')}" var="img">
                                            <div class="imgSpan">
                                                <a href="${commonStaticImgPath}${img}"
                                                   target="_blank">${fn:substring(img,img.lastIndexOf("/")+1 ,img.length() )}</a>
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr id="house_ownership" class="person hide change">
                            <td>2</td>
                            <td id="house_ownership_name">房产证明</td>
                            <td id="houseOwnership">
                                <c:if test="${not empty oldChange.houseOwnership}">
                                    <c:forEach items="${fn:split(oldChange.houseOwnership,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.houseOwnership }">
                                        <c:forEach items="${fn:split(change.houseOwnership,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>

                        <tr id="other_imgs1" class="danwei hide change">
                            <td>3</td>
                            <td id="other_imgs1_name">银行印鉴留样</td>
                            <td id="otherImgs1">
                                <c:if test="${not empty oldChange.otherImgs1}">
                                    <c:forEach items="${fn:split(oldChange.otherImgs1,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.otherImgs1 }">
                                        <c:forEach items="${fn:split(change.otherImgs1,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr id="other_imgs2" class="danwei hide change">
                            <td>4</td>
                            <td id="other_imgs2_name">签约现场照片-法定代表人/负责人签字照</td>
                            <td id="otherImgs2">
                                <c:if test="${not empty oldChange.otherImgs2}">
                                    <c:forEach items="${fn:split(oldChange.otherImgs2,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class=" moreDiv">
                                    <c:if test="${not empty change.otherImgs2}">
                                        <c:forEach items="${fn:split(change.otherImgs2,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr id="other_imgs3" class="danwei hide change">
                            <td>5</td>
                            <td id="other_imgs3_name">签约现场照片-正脸、持笔/持印、合同签署页同框</td>
                            <td id="otherImgs3">
                                <c:if test="${not empty oldChange.otherImgs3}">
                                    <c:forEach items="${fn:split(oldChange.otherImgs3,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.otherImgs3}">
                                        <c:forEach items="${fn:split(change.otherImgs3,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr id="other_imgs4" class="danwei hide change">
                            <td>6</td>
                            <td id="other_imgs4_name">签署完成照片</td>
                            <td id="otherImgs4">
                                <c:if test="${not empty oldChange.otherImgs4}">
                                    <c:forEach items="${fn:split(oldChange.otherImgs4,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.otherImgs4 }">
                                        <c:forEach items="${fn:split(change.otherImgs4,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="dzjc1_tr">
                            <td>7</td>
                            <td id="dzjc1_name">电站基础-主屋</td>
                            <td id="dzjc1">
                                <c:if test="${not empty oldChange.dzjc1}">
                                    <c:forEach items="${fn:split(oldChange.dzjc1,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.dzjc1 }">
                                        <c:forEach items="${fn:split(change.dzjc1,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="dzjc2_tr">
                            <td>8</td>
                            <td id="dzjc2_name">电站基础-副屋</td>
                            <td id="dzjc2">
                                <c:if test="${not empty oldChange.dzjc2}">
                                    <c:forEach items="${fn:split(oldChange.dzjc2,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.dzjc2}">
                                        <c:forEach items="${fn:split(change.dzjc2,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img1">
                            <td>9</td>
                            <td id="zj_img1_name">支架正面照片</td>
                            <td id="zjImg1">
                                <c:if test="${not empty oldChange.zjImg1}">
                                    <c:forEach items="${fn:split(oldChange.zjImg1,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class=" moreDiv">
                                    <c:if test="${not empty change.zjImg1 }">
                                        <c:forEach items="${fn:split(change.zjImg1,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img2">
                            <td>10</td>
                            <td id="zj_img2_name">支架侧视图</td>
                            <td id="zjImg2">
                                <c:if test="${not empty oldChange.zjImg2}">
                                    <c:forEach items="${fn:split(oldChange.zjImg2,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg2}">
                                        <c:forEach items="${fn:split(change.zjImg2,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img3">
                            <td>11</td>
                            <td id="zj_img3_name">支架北侧图</td>
                            <td id="zjImg3">
                                <c:if test="${not empty oldChange.zjImg3}">
                                    <c:forEach items="${fn:split(oldChange.zjImg3,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg3 }">
                                        <c:forEach items="${fn:split(change.zjImg3,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>

                        <tr class="change hide" id="zj_img4">
                            <td>12</td>
                            <td id="zj_img4_name">支架型号照片</td>
                            <td id="zjImg4">
                                <c:if test="${not empty oldChange.zjImg4}">
                                    <c:forEach items="${fn:split(oldChange.zjImg4,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg4 }">
                                        <c:forEach items="${fn:split(change.zjImg4,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img5">
                            <td>13</td>
                            <td id="zj_img5_name">支架型号照片</td>
                            <td id="zjImg5">
                                <c:if test="${not empty oldChange.zjImg5}">
                                    <c:forEach items="${fn:split(oldChange.zjImg5,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg5 }">
                                        <c:forEach items="${fn:split(change.zjImg5,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="component_img1">
                            <td>14</td>
                            <td id="component_img1_name">组件倾角照片</td>
                            <td id="componentImg1">
                                <c:if test="${not empty oldChange.componentImg1}">
                                    <c:forEach items="${fn:split(oldChange.componentImg1,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.componentImg1 }">
                                        <c:forEach items="${fn:split(change.componentImg1,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="component_img2">
                            <td>15</td>
                            <td id="component_img2_name">组件方位角照片</td>
                            <td id="componentImg2">
                                <c:if test="${not empty oldChange.componentImg2}">
                                    <c:forEach items="${fn:split(oldChange.componentImg2,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.componentImg2 }">
                                        <c:forEach items="${fn:split(change.componentImg2,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="size_measure_imgs">
                            <td>16</td>
                            <td id="size_measure_imgs_name">组件方位角照片</td>
                            <td id="sizeMeasureImgs">
                                <c:if test="${not empty oldChange.sizeMeasureImgs}">
                                    <c:forEach items="${fn:split(oldChange.sizeMeasureImgs,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.sizeMeasureImgs }">
                                        <c:forEach items="${fn:split(change.sizeMeasureImgs,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="fix_other_img">
                            <td>17</td>
                            <td id="fix_other_img_name">线缆下墙照片</td>
                            <td id="fixOtherImg">
                                <c:if test="${not empty oldChange.fixOtherImg}">
                                    <c:forEach items="${fn:split(oldChange.fixOtherImg,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.fixOtherImg }">
                                        <c:forEach items="${fn:split(change.fixOtherImg,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="total_imgs">
                            <td>18</td>
                            <td id="total_imgs_name">逆变器组串接入照片</td>
                            <td id="totalImgs">
                                <c:if test="${not empty oldChange.totalImgs}">
                                    <c:forEach items="${fn:split(oldChange.totalImgs,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.totalImgs}">
                                        <c:forEach items="${fn:split(change.totalImgs,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>

                        <tr class="change hide" id="bw_inner_img">
                            <td>19</td>
                            <td id="bw_inner_img_name">并网箱内部照片</td>
                            <td id="bwInnerImg">
                                <c:if test="${not empty oldChange.bwInnerImg}">
                                    <c:forEach items="${fn:split(oldChange.bwInnerImg,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.bwInnerImg }">
                                        <c:forEach items="${fn:split(change.bwInnerImg,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide"  id="dc_imgs">
                            <td>20</td>
                            <td id="dc_imgs_name">逆变器安装照片</td>
                            <td id="dcImgs">
                                <c:if test="${not empty oldChange.dcImgs}">
                                    <c:forEach items="${fn:split(oldChange.dcImgs,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.dcImgs }">
                                        <c:forEach items="${fn:split(change.dcImgs,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="nbq_zb_img">
                            <td>21</td>
                            <td id="nbq_zb_img_name">并网箱逆变器整体照片</td>
                            <td id="nbqZbImg">
                                <c:if test="${not empty oldChange.nbqZbImg}">
                                    <c:forEach items="${fn:split(oldChange.nbqZbImg,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.nbqZbImg}">
                                        <c:forEach items="${fn:split(change.nbqZbImg,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="dqsb_an_img_one">
                            <td>22</td>
                            <td id="dqsb_an_img_one_name">逆变器注册截图照片</td>
                            <td id="dqsbAnImgOne">
                                <c:if test="${not empty oldChange.dqsbAnImgOne}">
                                    <c:forEach items="${fn:split(oldChange.dqsbAnImgOne,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.dqsbAnImgOne}">
                                        <c:forEach items="${fn:split(change.dqsbAnImgOne,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="nbq_plate_img">
                            <td>23</td>
                            <td id="nbq_plate_img_name">逆变器铭牌照片</td>
                            <td id="nbqPlateImg">
                                <c:if test="${not empty oldChange.nbqPlateImg}">
                                    <c:forEach items="${fn:split(oldChange.nbqPlateImg,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.nbqPlateImg }">
                                        <c:forEach items="${fn:split(change.nbqPlateImg,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_plate_img">
                            <td>24</td>
                            <td id="zj_plate_img_name">组件铭牌照片</td>
                            <td id="zjPlateImg">
                                <c:if test="${not empty oldChange.zjPlateImg}">
                                    <c:forEach items="${fn:split(oldChange.zjPlateImg,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjPlateImg}">
                                        <c:forEach items="${fn:split(change.zjPlateImg,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="open_way_voltage_imgs">
                            <td>25</td>
                            <td id="open_way_voltage_imgs_name">开路电压图</td>
                            <td id="openWayVoltageImgs">
                                <c:if test="${not empty oldChange.openWayVoltageImgs}">
                                    <c:forEach items="${fn:split(oldChange.openWayVoltageImgs,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.openWayVoltageImgs}">
                                        <c:forEach items="${fn:split(change.openWayVoltageImgs,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img1">
                            <td>26</td>
                            <td id="jd_img1_name">组件与组件之间接地照片</td>
                            <td id="jdImg1">
                                <c:if test="${not empty oldChange.jdImg1}">
                                    <c:forEach items="${fn:split(oldChange.jdImg1,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg1 }">
                                        <c:forEach items="${fn:split(change.jdImg1,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img2">
                            <td>27</td>
                            <td id="jd_img2_name">组件与支架接地照片</td>
                            <td id="jdImg2">
                                <c:if test="${not empty oldChange.jdImg2}">
                                    <c:forEach items="${fn:split(oldChange.jdImg2,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg2 }">
                                        <c:forEach items="${fn:split(change.jdImg2,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img3">
                            <td>28</td>
                            <td id="jd_img3_name">支架与接地扁铁连接照片</td>
                            <td id="jdImg3">
                                <c:if test="${not empty oldChange.jdImg3}">
                                    <c:forEach items="${fn:split(oldChange.jdImg3,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg3 }">
                                        <c:forEach items="${fn:split(change.jdImg3,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img4">
                            <td>29</td>
                            <td id="jd_img4_name">接地扁铁下墙照片</td>
                            <td id="jdImg4">
                                <c:if test="${not empty oldChange.jdImg4}">
                                    <c:forEach items="${fn:split(oldChange.jdImg4,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg4 }">
                                        <c:forEach items="${fn:split(change.jdImg4,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img5">
                            <td>30</td>
                            <td id="jd_img5_name">支架接地电阻照片</td>
                            <td id="jdImg5">
                                <c:if test="${not empty oldChange.jdImg5}">
                                    <c:forEach items="${fn:split(oldChange.jdImg5,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg5 }">
                                        <c:forEach items="${fn:split(change.jdImg5,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img6">
                            <td>31</td>
                            <td id="jd_img6_name">电器接地电阻照片</td>
                            <td id="jdImg6">
                                <c:if test="${not empty oldChange.jdImg6}">
                                    <c:forEach items="${fn:split(oldChange.jdImg6,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg6 }">
                                        <c:forEach items="${fn:split(change.jdImg6,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="safety_warning_img2">
                            <td>31</td>
                            <td id="safety_warning_img2_name"></td>
                            <td id="safetyWarningImg2">
                                <c:if test="${not empty oldChange.safetyWarningImg2}">
                                    <c:forEach items="${fn:split(oldChange.safetyWarningImg2,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.safetyWarningImg2 }">
                                        <c:forEach items="${fn:split(change.safetyWarningImg2,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="safety_warning_img3">
                            <td>31</td>
                            <td id="safety_warning_img3_name"></td>
                            <td id="safetyWarningImg3">
                                <c:if test="${not empty oldChange.safetyWarningImg3}">
                                    <c:forEach items="${fn:split(oldChange.safetyWarningImg3,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.safetyWarningImg3 }">
                                        <c:forEach items="${fn:split(change.safetyWarningImg3,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="safety_warning_img">
                            <td>31</td>
                            <td id="safety_warning_img_name"></td>
                            <td id="safetyWarningImg">
                                <c:if test="${not empty oldChange.safetyWarningImg}">
                                    <c:forEach items="${fn:split(oldChange.safetyWarningImg,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.safetyWarningImg }">
                                        <c:forEach items="${fn:split(change.safetyWarningImg,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="safety_disclose_doc_img">
                            <td>31</td>
                            <td id="safety_disclose_doc_img_name"></td>
                            <td id="safetyDiscloseDocImg">
                                <c:if test="${not empty oldChange.safetyDiscloseDocImg}">
                                    <c:forEach items="${fn:split(oldChange.safetyDiscloseDocImg,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.safetyDiscloseDocImg }">
                                        <c:forEach items="${fn:split(change.safetyDiscloseDocImg,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img10">
                            <td>31</td>
                            <td id="zj_img10_name"></td>
                            <td id="zjImg10">
                                <c:if test="${not empty oldChange.zjImg10}">
                                    <c:forEach items="${fn:split(oldChange.zjImg10,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg10 }">
                                        <c:forEach items="${fn:split(change.zjImg10,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img11">
                            <td>31</td>
                            <td id="zj_img11_name"></td>
                            <td id="zjImg11">
                                <c:if test="${not empty oldChange.zjImg11}">
                                    <c:forEach items="${fn:split(oldChange.zjImg11,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg11 }">
                                        <c:forEach items="${fn:split(change.zjImg11,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img8">
                            <td>31</td>
                            <td id="zj_img8_name">电器接地电阻照片</td>
                            <td id="zjImg8">
                                <c:if test="${not empty oldChange.zjImg8}">
                                    <c:forEach items="${fn:split(oldChange.zjImg8,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg8 }">
                                        <c:forEach items="${fn:split(change.zjImg8,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img9">
                            <td>31</td>
                            <td id="zj_img9_name"></td>
                            <td id="zjImg9">
                                <c:if test="${not empty oldChange.zjImg9}">
                                    <c:forEach items="${fn:split(oldChange.zjImg9,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg9 }">
                                        <c:forEach items="${fn:split(change.zjImg9,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img12">
                            <td>31</td>
                            <td id="zj_img12_name"></td>
                            <td id="zjImg12">
                                <c:if test="${not empty oldChange.zjImg12}">
                                    <c:forEach items="${fn:split(oldChange.zjImg12,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg12 }">
                                        <c:forEach items="${fn:split(change.zjImg12,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img13">
                            <td>31</td>
                            <td id="zj_img13_name"></td>
                            <td id="zjImg13">
                                <c:if test="${not empty oldChange.zjImg13}">
                                    <c:forEach items="${fn:split(oldChange.zjImg13,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg13 }">
                                        <c:forEach items="${fn:split(change.zjImg13,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_img14">
                            <td>31</td>
                            <td id="zj_img14_name">电器接地电阻照片</td>
                            <td id="zjImg14">
                                <c:if test="${not empty oldChange.zjImg14}">
                                    <c:forEach items="${fn:split(oldChange.zjImg14,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjImg14 }">
                                        <c:forEach items="${fn:split(change.zjImg14,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="component_img3">
                            <td>31</td>
                            <td id="component_img3_name"></td>
                            <td id="componentImg3">
                                <c:if test="${not empty oldChange.componentImg3}">
                                    <c:forEach items="${fn:split(oldChange.componentImg3,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.componentImg3 }">
                                        <c:forEach items="${fn:split(change.componentImg3,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="component_img4">
                            <td>31</td>
                            <td id="component_img4_name"></td>
                            <td id="componentImg4">
                                <c:if test="${not empty oldChange.componentImg4}">
                                    <c:forEach items="${fn:split(oldChange.componentImg4,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.componentImg4 }">
                                        <c:forEach items="${fn:split(change.componentImg4,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="bk_img1">
                            <td>31</td>
                            <td id="bk_img1_name"> 电器接地电阻照片</td>
                            <td id="bkImg1">
                                <c:if test="${not empty oldChange.bkImg1}">
                                    <c:forEach items="${fn:split(oldChange.bkImg1,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.bkImg1 }">
                                        <c:forEach items="${fn:split(change.bkImg1,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="bk_img2">
                            <td>31</td>
                            <td id="bk_img2_name">电器接地电阻照片</td>
                            <td id="bkImg2">
                                <c:if test="${not empty oldChange.bkImg2}">
                                    <c:forEach items="${fn:split(oldChange.bkImg2,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.bkImg2 }">
                                        <c:forEach items="${fn:split(change.bkImg2,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="bk_img3">
                            <td>31</td>
                            <td id="bk_img3_name"></td>
                            <td id="bkImg3">
                                <c:if test="${not empty oldChange.bkImg3}">
                                    <c:forEach items="${fn:split(oldChange.bkImg3,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.bkImg3 }">
                                        <c:forEach items="${fn:split(change.bkImg3,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="yk_img1">
                            <td>31</td>
                            <td id="yk_img1_name"></td>
                            <td id="ykImg1">
                                <c:if test="${not empty oldChange.ykImg1}">
                                    <c:forEach items="${fn:split(oldChange.ykImg1,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.ykImg1 }">
                                        <c:forEach items="${fn:split(change.ykImg1,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="nbq_zlc_img">
                            <td>31</td>
                            <td id="nbq_zlc_img_name"></td>
                            <td id="nbqZlcImg">
                                <c:if test="${not empty oldChange.nbqZlcImg}">
                                    <c:forEach items="${fn:split(oldChange.nbqZlcImg,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.nbqZlcImg }">
                                        <c:forEach items="${fn:split(change.nbqZlcImg,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="bw_jd_img">
                            <td>31</td>
                            <td id="bw_jd_img_name"></td>
                            <td id="bwJdImg">
                                <c:if test="${not empty oldChange.bwJdImg}">
                                    <c:forEach items="${fn:split(oldChange.bwJdImg,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.bwJdImg }">
                                        <c:forEach items="${fn:split(change.bwJdImg,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img8">
                            <td>31</td>
                            <td id="jd_img8_name">电器接地电阻照片</td>
                            <td id="jdImg8">
                                <c:if test="${not empty oldChange.jdImg8}">
                                    <c:forEach items="${fn:split(oldChange.jdImg8,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg8 }">
                                        <c:forEach items="${fn:split(change.jdImg8,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img11">
                            <td>31</td>
                            <td id="jd_img11_name"></td>
                            <td id="jdImg11">
                                <c:if test="${not empty oldChange.jdImg11}">
                                    <c:forEach items="${fn:split(oldChange.jdImg11,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg11 }">
                                        <c:forEach items="${fn:split(change.jdImg11,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img9">
                            <td>31</td>
                            <td id="jd_img9_name"></td>
                            <td id="jdImg9">
                                <c:if test="${not empty oldChange.jdImg9}">
                                    <c:forEach items="${fn:split(oldChange.jdImg9,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg9 }">
                                        <c:forEach items="${fn:split(change.jdImg9,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="jd_img10">
                            <td>31</td>
                            <td id="jd_img10_name"></td>
                            <td id="jdImg10">
                                <c:if test="${not empty oldChange.jdImg10}">
                                    <c:forEach items="${fn:split(oldChange.jdImg10,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.jdImg10 }">
                                        <c:forEach items="${fn:split(change.jdImg10,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="fs_img1">
                            <td>31</td>
                            <td id="fs_img1_name"></td>
                            <td id="fsImg1">
                                <c:if test="${not empty oldChange.fsImg1}">
                                    <c:forEach items="${fn:split(oldChange.fsImg1,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.fsImg1 }">
                                        <c:forEach items="${fn:split(change.fsImg1,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="fs_img2">
                            <td>31</td>
                            <td id="fs_img2_name"></td>
                            <td id="fsImg2">
                                <c:if test="${not empty oldChange.fsImg2}">
                                    <c:forEach items="${fn:split(oldChange.fsImg2,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.fsImg2 }">
                                        <c:forEach items="${fn:split(change.fsImg2,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="fs_img3">
                            <td>31</td>
                            <td id="fs_img3_name"></td>
                            <td id="fsImg3">
                                <c:if test="${not empty oldChange.fsImg3}">
                                    <c:forEach items="${fn:split(oldChange.fsImg3,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.fsImg3 }">
                                        <c:forEach items="${fn:split(change.fsImg3,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="water_mud_clamp_imgs">
                            <td>31</td>
                            <td id="water_mud_clamp_imgs_name"></td>
                            <td id="waterMudClampImgs">
                                <c:if test="${not empty oldChange.waterMudClampImgs}">
                                    <c:forEach items="${fn:split(oldChange.waterMudClampImgs,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.waterMudClampImgs }">
                                        <c:forEach items="${fn:split(change.waterMudClampImgs,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="other_imgs5">
                            <td>31</td>
                            <td id="other_imgs5_name"></td>
                            <td id="otherImgs5">
                                <c:if test="${not empty oldChange.otherImgs5}">
                                    <c:forEach items="${fn:split(oldChange.otherImgs5,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.otherImgs5 }">
                                        <c:forEach items="${fn:split(change.otherImgs5,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="other_imgs6">
                            <td>31</td>
                            <td id="other_imgs6_name">电器接地电阻照片</td>
                            <td id="otherImgs6">
                                <c:if test="${not empty oldChange.otherImgs6}">
                                    <c:forEach items="${fn:split(oldChange.otherImgs6,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.otherImgs6 }">
                                        <c:forEach items="${fn:split(change.otherImgs6,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>
                        <tr class="change hide" id="zj_report">
                            <td>32</td>
                            <td id="zj_report_name">自检记录报告</td>
                            <td id="zjReport">
                                <c:if test="${not empty oldChange.zjReport}">
                                    <c:forEach items="${fn:split(oldChange.zjReport,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <img src="${commonStaticImgPath}${img}">
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.zjReport }">
                                        <c:forEach items="${fn:split(change.zjReport,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${img}">
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>

                        <tr class="change hide" id="supplement_video_url">
                            <td>32</td>
                            <td id="supplement_video_url_name">补充视频</td>
                            <td id="supplementVideoUrl">
                                <c:if test="${not empty oldChange.supplementVideoUrl}">
                                    <c:forEach items="${fn:split(oldChange.supplementVideoUrl,',')}" var="img">
                                        <div class="bj-img imgSpan">
                                            <video  controls="" src="${commonStaticImgPath}${img}" width="80px" height="80px"></video>
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td>
                                <div class="moreDiv">
                                    <c:if test="${not empty change.supplementVideoUrl }">
                                        <c:forEach items="${fn:split(change.supplementVideoUrl,',')}" var="img">
                                            <div class="bj-img imgSpan">
                                                <video  controls="" src="${commonStaticImgPath}${img}" width="80px" height="80px"></video>
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>

                        <tr class="change hide" id="other_files">
                            <td>33</td>
                            <td id="other_files_name">其他资料</td>
                            <td id="otherFiles" style="text-align: left">
                                <c:if test="${not empty oldChange.otherFiles}">
                                    <c:forEach items="${fn:split(oldChange.otherFiles,',')}" var="img">
                                        <div class="imgSpan">
                                            <a href="${commonStaticImgPath}${img}"
                                               target="_blank">${fn:substring(img,img.lastIndexOf("/")+1 ,img.length() )}</a>
                                        </div>
                                    </c:forEach>
                                </c:if>
                            </td>
                            <td style="text-align: left">
                                <div class="imgSpan">
                                    <c:if test="${not empty change.otherFiles }">
                                        <c:forEach items="${fn:split(change.otherFiles,',')}" var="img">
                                            <div>
                                                <a href="${commonStaticImgPath}${img}"
                                                   target="_blank">${fn:substring(img,img.lastIndexOf("/")+1 ,img.length() )}</a>
                                            </div>
                                        </c:forEach>
                                    </c:if>
                                </div>
                            </td>
                        </tr>

                        <tr class="change hide" id="complete_remark">
                            <td>32</td>
                            <td id="complete_remark_name">完工备注</td>
                            <td id="completeRemark">
                                ${oldChange.completeRemark}
                            </td>
                            <td>
                                ${change.completeRemark}
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="layui-inline layui-col-xs12">
                <label class="layui-form-label w-130">审核备注：</label>
                <div class="layui-input-block ">
                    <input type="text" name="auditRemark" class="layui-input" value="${change.remarks}" autocomplete="off">
                </div>
            </div>
        </div>
    </div>
</div>
<div class="layui-form-item text-c operate-footer">
    <button type="button" class="layui-btn" id="temp">暂存</button>
    <button type="button" class="layui-btn" id="pass">审核通过</button>
    <button type="button" class="layui-btn" id="refuse">审核驳回</button>
    <button class="layui-btn layui-btn-primary" onclick="closeSelf()">取消</button>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script>
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'jquery', 'layer','upload'], function () {
        $ = layui.$;
        layer = layui.layer;
        upload = layui.upload;

        $(function(){
            hideOrShowHtml();
            $("input[name='status']").val(getStatus('${customerEntry.status}','${customerEntry.credit}','${customerEntry.designAuditFlag}'));
        })

        var tempRep = false;
        $("#temp").click(function(){
            if(tempRep){
                return;
            }
            var id = '${change.id}';
            var auditRemark = $("input[name='auditRemark']").val();
            if (isBlank(auditRemark)) {
                layer.msg("请输入审核备注！",{icon:"2"});
                return;
            }
            tempRep = true;
            $.ajax({
                type: 'post',
                url: '${ctx}/completion/change/tempRemark',
                dataType: 'json',
                data: {
                    id: id,
                    auditRemark: auditRemark
                },
                success: function(data){
                    if (data.code == "200") {
                        top.layer.msg("暂存成功，请处理下一条数据!");
                    } else {
                        layer.msg(data.errMsg);
                    }
                },
                complete: function(){
                    tempRep = false;
                }
            });
        })

        var opeRep = false;
        $("#pass").click(function(){
            if(opeRep){
                return;
            }
            var id = '${change.id}';
            var auditRemark = $("input[name='auditRemark']").val();
            opeRep = true;
            $.ajax({
                type: 'post',
                url: '${ctx}/completion/change/pass',
                dataType: 'json',
                data: {
                    id: id,
                    auditRemark: auditRemark
                },
                success: function(data){
                    if (data.code == "200") {
                        top.layer.msg("操作成功");
                        closeSelf();
                        parent.location.reload();
                    } else {
                        layer.msg(data.errMsg);
                    }
                },
                complete: function(){
                    opeRep = false;
                }
            });
        })


        var refRep = false;
        $("#refuse").click(function(){
            if(refRep){
                return;
            }
            var id = '${change.id}';
            var auditRemark = $("input[name='auditRemark']").val();
            if (isBlank(auditRemark)) {
                layer.msg("请输入审核备注！",{icon:"2"});
                return;
            }
            refRep = true;
            $.ajax({
                type: 'post',
                url: '${ctx}/completion/change/refuse',
                dataType: 'json',
                data: {
                    id: id,
                    auditRemark: auditRemark
                },
                success: function(data){
                    if (data.code == "200") {
                        top.layer.msg("操作成功");
                        closeSelf();
                        parent.location.reload();
                    } else {
                        layer.msg(data.errMsg);
                    }
                },
                complete: function(){
                    refRep = false;
                }
            });
        })
    })

    function hideOrShowHtml() {
        let partnerId = '${customerEntry.partnerId}';
        var setData = JSON.parse('${formSet}');
        for (var i = 0; i < setData.length; i++) {
            let columnKey = setData[i].columnKey;
            if (columnKey== 'dzjc1' || columnKey== 'dzjc2') {
                if (setData[i].useFlag == '0') {//不启用
                    $("#" + columnKey + "_tr").addClass("hide");
                } else {
                    $("#" + columnKey + "_tr").removeClass("hide");
                }
            } else {
                if (setData[i].useFlag == '0') {//不启用
                    $("#" + columnKey).addClass("hide");
                } else {
                    if (columnKey.includes(partnerId)) {
                        columnKey = columnKey.substring(0, columnKey.indexOf(partnerId)-1);
                    }
                    $("#" + columnKey).removeClass("hide");
                    $("#" + columnKey+'_name').text(setData[i].columnName);

                    if (${customerEntry.tenantType eq '1'}) {//个人
                        $(".danwei").addClass("hide");
                    } else {
                        if(columnKey=='other_imgs1' || columnKey=='other_imgs2' || columnKey=='other_imgs3' || columnKey=='other_imgs4'){
                            $(".danwei").removeClass("hide");
                        }
                        if(columnKey=='house_ownership'){
                            $(".fczm").addClass("hide");
                        }
                    }
                }
            }
        }

        resetSort();
    }

    function resetSort(){
        var sort = 1;
        $("#contentBody").find("tr").each(function (index) {
            if (!$(this).hasClass("hide")) {
                $(this).find("td:first").text(sort);
                sort++;
            }
        });
    }

    function getStatus(status, credit, design_audit_flag) {
        if (status == '0') {
            //预审状态 0.暂存 1.待预审 2.预审待审批 3.预审审批中 4.预审通过 5.预审拒绝
            if (credit == '1') {
                return '待预审';
            } else if (credit == '2') {
                return '预审审批中';
            } else if (credit == '3') {
                return '预审审批中';
            } else if (credit == '4') {
                if(design_audit_flag == '3'){
                    return '自审驳回';
                }else if(design_audit_flag == 'a'){
                    return '待设计';
                }else {
                    return '待踏勘';
                }
            } else if (credit == '5') {
                return '预审拒绝';
            }
            return '暂存';
        }
        if (status == '1') {
            //设计审核状态：1.待踏勘 2.待自审 3.自审驳回 4.自审通过 5.设计审核驳回 6.设计审核通过/已完成 7.进件审核驳回
            if (design_audit_flag == '1') {
                return '待踏勘';
            } else if (design_audit_flag == '2') {
                return '待自审';
            } else if (design_audit_flag == '3') {
                return '自审驳回';
            } else if (design_audit_flag == '4') {
                return '自审通过';
            } else if (design_audit_flag == '5') {
                return '设计审核驳回';
            } else if (design_audit_flag == '6') {
                return '设计审核通过';
            } else if (design_audit_flag == '7') {
                return '进件审核驳回';
            }
            return '待审核';
        }
        if (status == '2') {
            return '审核驳回';
        }
        if (status == '3') {
            return '待下单';
        }
        if (status == '4') {
            return '待安装';
        }
        if (status == '5') {
            return '待安装验收';
        }
        if (status == 'f') {
            return '安装验收退回';
        }
        if (status == '6') {
            return '待并网';
        }
        if (status == '7') {
            return '待并网验收';
        }
        if (status == '8') {
            return '待交付';
        }
        if (status == '9') {
            return '待归档';
        }
        if (status == '10') {
            return '验收驳回';
        }
        if (status == '11') {
            return '归档驳回';
        }
        if (status == 'a') {
            return '已完成';
        }
        if (status == 'c') {
            return '待代理商确认';
        }
        if (status == 'e') {
            return '待签署合同';
        }
        if (status == 'w') {
            return '信息登记';
        }
        if (status == 'g') {
            return '设计审核';
        }
        if (status == 'AN') {
            return '待安装确认';
        }
        if (status == 'AT') {
            return '安装确认驳回';
        }
        if (status == 'BW') {
            return '待并网确认';
        }
        if (status == 'BN') {
            return '并网确认驳回';
        }
        if (status == 'h') {
            return '设计自审';
        }
        if (status == 'i') {
            return '安装自审';
        }
    }

    function closeSelf() {
        var index = parent.layer.getFrameIndex(window.name);
        parent.layer.close(index);//关闭当前页
        parent.parent.layer.closeAll();
    }


    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
    function approvalRecord(){
        layer.open({
            title: '审批记录',
            type: 2,
            area: ['35%', '100%'],
            offset: 'rt',
            content: '${ctx}/customerEntry/approvalRecordPage?entryId=${customerEntry.id}'
        })
    }
</script>
</body>
</html>

