<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>服务评价</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/commentstyle.css" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/mobile.css" />
    <script type="text/javascript" src="${ctxPlugin}/static/js/jquery-3.3.1.min.js"></script>
</head>

<body>
<div style="height:20px;"></div>
<div class="suggcontent">
    <ul class="fuwpj">
        <li>
            <span><input type="hidden" value="1" >1、是否及时上门服务</span>
            <i></i>
        </li>
        <li>
            <span><input type="hidden" value="2">2、出示上岗证，穿工作服，戴安全帽</span>
            <i></i>
        </li>
        <li>
            <span><input type="hidden" value="3">3、服务完成清洁现场</span>
            <i></i>
        </li>
        <li>
            <span><input type="hidden" value="4">4、服务完成指导用户运维电站</span>
            <i></i>
        </li>
        <li>
            <span><input type="hidden" value="5">5、服务人员服务态度满意</span>
            <i></i>
        </li>
        <li>
            <span><input type="hidden" value="6">6、服务是否专业</span>
            <i></i>
        </li>
    </ul>
    <div style="height:65px;"></div>
    <div class="shoufei">
        <div>
            <label>是否收费：</label>
            <c:if test="${empty  comment.columns.if_charge || comment.columns.if_charge eq 2}">
            <input type="radio" name="sex"  value="2"  checked="checked"/>否&nbsp;&nbsp;
            </c:if>
            <c:if test="${ comment.columns.if_charge eq 1}">
            <input type="radio" name="sex"  value="1" checked="checked"/>是
            </c:if>
        </div>
        <div class="jineiner">
            <input type="text" class="jinetext" id="money" disabled <c:if test="${empty  comment.columns.if_charge || comment.columns.if_charge eq 2}">value=""</c:if> value="${comment.columns.charge_money}">
            <span>元</span>
        </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script type="text/javascript">
    var superviseId = '${comment.columns.supervise_id}';
    $(function () {
        var sup = $("input[type=hidden]");
        sup.each(function () {
            if (superviseId.indexOf($(this).val())!=-1) {
                $(this).parent().parent().find(" i").toggleClass("active");

            }
        });

    })

    window.addEventListener('pagehide', function(e) {
        var $body = $(document.body);
        $body.children().remove();
        // 要等到回调函数完成，用户按返回才执行script标签的代码
        setTimeout(function() {
            $body.append("<script type='text/javascript'>window.location.reload();<\/script>");
        });
    });

    var phoneWidth = parseInt(window.screen.width);
    var phoneScale = phoneWidth / 750;
    var ua = navigator.userAgent;
    if(/Android (\d+\.\d+)/.test(ua)) {
        var version = parseFloat(RegExp.$1);
        if(version > 2.3) {
            document.write('<meta name="viewport" content="width=750, minimum-scale =' + phoneScale + ', maximum-scale =' + phoneScale + ', target-densitydpi=device-dpi">');
        } else {
            document.write('<meta name="viewport" content="width=750, target-densitydpi=device-dpi">');
        }
    } else {
        document.write('<meta name="viewport" content="width=750, user-scalable=no, target-densitydpi=device-dpi">');
    }


</script>
</body>
</html>