<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html {
            background-color: #fff;
            padding-bottom: 50px;
        }
        .form-span {
            display: inline-block;
            padding: 8px 0;
        }

        .page-iframe {
            border: none;
            width: 100%;
            min-height: calc(100vh - 250px);
        }
        .mb-10{
            margin-bottom: 10px !important;
        }
        .pd-10{
            padding: 10px;
        }
        .idea-text{
            width: 320px; height: 100px;outline: none; padding: 3px
        }
        .msg-title{
            text-align: center;
            margin: 10px 0;
            font-size: 16px;
        }
        .title1 {
            border-left: 4px solid #1b6073;
            padding-left: 20px;
            font-size: 14px;
            margin: 10px auto;
            font-weight: 600;
            height: 34px;
            line-height: 34px;
            background-color: #f4f6f9;
            color: #666666;
        }
        .layui-input-block {
            margin-left: 110px;
        }

        .layui-form-label {
            width: 110px;
        }
        .layui-form-longwid {
            width: 260px;
        }
        .clearfix{*zoom:1;}
        .clearfix:before,.clearfix:after{display:table; line-height:0; content:"";}
        .clearfix:after{clear:both;}

        .layui-tab-title{
            margin: 0 0 0 20px;
        }
        .layui-tab-content{
            margin: 0 0 0 20px;
        }
        /* .bj-img {
             margin-right: 0px;
         }*/
        .blank-img {
            background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
            width: 80px;
            height: 80px;
            display: inline-block;
        }

        input[type="radio"]:disabled, textarea:disabled, .layui-disabled {
            background-color: #ffffff;
        }

        .layui-select-title .layui-disabled{
            background-color: #eee !important;
        }

        .download-link {
            display: inline-block;
            padding: 8px 16px;
            color: #007bff;
            text-decoration: none;
            border-radius: 4px;
        }

        .download-link:hover {
            color: #0056b3;
        }

        .layui-form-item .layui-input-inline {
            float: left;
            width: 300px;
            margin-right: 10px;
        }
    </style>
</head>
<body>
<div class="layui-form">
    <div class="layui-card">
        <div class="layui-card-body layui-col-xs12" id="LAY_app">
            <div class="layui-card">
                <blockquote class="layui-elem-quote">项目信息</blockquote>
                <div class="layui-card-body">
                    <div class="layui-row layui-col-space12 layui-form-item">

                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>代理商：</label>
                            <div class="layui-input-block">
                                <input type="text" disabled class="layui-input " value="${entry.traderName}">
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>项目公司：</label>
                            <div class="layui-input-block">
                                <input type="text" disabled class="layui-input " value="${entry.projectCompanyName}">
                            </div>
                        </div>
                    </div>
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>电站状态：</label>
                            <div class="layui-input-block">
                                <input type="text" disabled class="layui-input "
                                <c:choose>
                                <c:when test="${entry.status eq '0'}">
                                       <c:if test="${entry.credit eq '0'}">value="暂存"</c:if>
                                       <c:if test="${entry.credit eq '1'}">value="待预审"</c:if>
                                       <c:if test="${entry.credit eq '2'}">value="预审待审批"</c:if>
                                       <c:if test="${entry.credit eq '3'}">value="预审审批中"</c:if>
                                       <c:if test="${entry.credit eq '4' && entry.designAuditFlag eq '3'}">value="自审驳回"</c:if>
                                       <c:if test="${entry.credit eq '4' && entry.designAuditFlag eq 'a'}">value="待设计"</c:if>
                                       <c:if test="${entry.credit eq '4' && entry.designAuditFlag ne '3' && entry.designAuditFlag ne 'a'}">value="待踏勘"</c:if>
                                       <c:if test="${entry.credit eq '5'}">value="预审拒绝"</c:if>
                                </c:when>
                                <c:when test="${entry.status eq '1'}">
                                       <c:if test="${entry.designAuditFlag eq '1'}">value="待踏勘"</c:if>
                                       <c:if test="${entry.designAuditFlag eq 'a'}">value="待设计"</c:if>
                                       <c:if test="${entry.designAuditFlag eq '2'}">value="待自审"</c:if>
                                       <c:if test="${entry.designAuditFlag eq '3'}">value="自审驳回"</c:if>
                                       <c:if test="${entry.designAuditFlag eq '4'}">value="自审通过"</c:if>
                                       <c:if test="${entry.designAuditFlag eq '5'}">value="设计审核驳回"</c:if>
                                       <c:if test="${entry.designAuditFlag eq '6'}">value="设计审核通过"</c:if>
                                       <c:if test="${entry.designAuditFlag eq '7'}">value="进件审核驳回"</c:if>
                                       <c:if test="${entry.designAuditFlag eq '8'}">value="进件审核中"</c:if>
                                       <c:if test="${entry.designAuditFlag eq '9'}">value="进件审核通过"</c:if>
                                </c:when>
                                <c:when test="${entry.status eq '2'}">
                                       value="审核驳回"
                                </c:when>
                                </c:choose>
                                >
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>保险购买情况：</label>
                            <div class="layui-input-block">
                                <input type="text" id="insuranceFlag" name="insuranceFlag" disabled class="layui-input"
                                       <c:if test="${entry.insuranceFlag eq '1'}">value="控制投放及续保"</c:if>
                                       <c:if test="${entry.insuranceFlag eq '2'}">value="控制投放"</c:if>
                                       <c:if test="${entry.insuranceFlag eq '3'}">value="其他"</c:if>>
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>预计投放日：</label>
                            <div class="layui-input-block">
                                <input type="text" disabled class="layui-input " value="<fmt:formatDate value="${entry.leaseDate}" pattern="yyyy-MM-dd"/>">
                            </div>
                        </div>
                    </div>
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>业务员：</label>
                            <div class="layui-input-block">
                                <input type="text" disabled class="layui-input " value="${entry.creator}">
                            </div>
                        </div>
                        <div class="layui-col-lg3 layui-col-sm3">
                            <label class="layui-form-label"><i class="mark">*</i>创建时间：</label>
                            <div class="layui-input-block">
                                <input type="text" disabled class="layui-input " value="<fmt:formatDate value="${entry.createTime}" pattern="yyyy-MM-dd HH:mm:ss"/>">
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <blockquote class="layui-elem-quote">产品信息</blockquote>
            <div class="layui-form-item layui-row" >
                <div class="layui-col-sm3 layui-col-md3">
                    <label class="layui-form-label">备案类型：</label>
                    <span class="form-span">
                    <c:choose>
                        <c:when test="${entry.filingType eq '1'}">
                            农户备案
                        </c:when>
                        <c:when test="${entry.filingType eq '2'}">
                            项目公司备案
                        </c:when>
                    </c:choose>
                </span>
                </div>
                <div class="layui-col-sm3 layui-col-md3">
                    <label class="layui-form-label">项目公司：</label>
                    <span class="form-span"> ${entry.projectCompanyName}</span>
                </div>
                <div class="layui-col-sm3 layui-col-md3">
                    <label class="layui-form-label">业务属性：</label>
                    <span class="form-span">
                    <c:choose>
                        <c:when test="${entry.productLine eq '1'}">
                            纯租25年业务
                        </c:when>
                        <c:when test="${entry.productLine eq '2'}">
                            经营性租赁
                        </c:when>
                        <c:when test="${entry.productLine eq '3'}">
                            融资租赁
                        </c:when>
                        <c:when test="${entry.productLine eq '4'}">
                            光伏贷
                        </c:when>
                        <c:when test="${entry.productLine eq '5'}">
                            全款
                        </c:when>
                        <c:when test="${entry.productLine eq '6'}">
                            其他
                        </c:when>
                        <c:otherwise>
                            ${entry.productLine}
                        </c:otherwise>
                    </c:choose>
                </span>
                </div>
                <div class="layui-col-sm12 layui-col-md12">
                    <table class="layui-table" id="projectTab">
                        <colgroup>
                            <col width="25%">
                            <col width="25%">
                            <col width="25%">
                            <col width="25%">
                        </colgroup>
                        <thead>
                        <tr style="background: white">
                            <th style="text-align: center">序号</th>
                            <th style="text-align: center">产品编号</th>
                            <th style="text-align: center">产品名称</th>
                            <th style="text-align: center">屋顶类型</th>
                        </tr>
                        </thead>
                        <tbody id="projectList">
                        <c:forEach items="${entryProject}" varStatus="vs" var="project">
                            <c:if test="${not empty project.columns.id}">
                            <tr style="text-align: center" data-id="${project.columns.id}" class="projectTr" >
                                <td>${vs.count}</td>
                                <td>${project.columns.code}</td>
                                <td>${project.columns.name}</td>
                                <td>${project.columns.roof_type}</td>
                            </tr>
                            </c:if>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="layui-card jibenxinxi ">
                <blockquote class="layui-elem-quote">业主信息</blockquote>
                <div class="layui-card-body ">
                    <c:if test="${empty entry.tenantType || ('1' eq entry.tenantType)}">
                        <div class="layui-row layui-col-space12 layui-form-item">

                            <c:if test="${info.columns.tenant_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><i class="mark">*</i>业主姓名：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="tenantName" class="layui-input" disabled value="${entry.tenantName}">
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.gender.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><i class="mark">*</i>性别：</label>
                                    <div class="layui-input-block">
                                        <input type="radio" name="gender" disabled title="男"
                                               value="MALE" ${entry.gender eq 'MALE' ? 'checked' : ''}/>
                                        <input type="radio" name="gender" disabled title="女"
                                               value="FEMALE" ${entry.gender eq 'FEMALE' ? 'checked' : ''}/>
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.age.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <div>
                                        <label class="layui-form-label"><i class="mark">*</i>年龄：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="age" id="age" class="layui-input" value="${entry.age}" disabled>
                                        </div>
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.mobile.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                    <div>
                                        <label class="layui-form-label"><i class="mark">*</i>联系电话：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="mobile"
                                                   disabled class="layui-input" value="${entry.mobile}">
                                        </div>
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.id_code.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><i class="mark">*</i>身份证号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="idCode" disabled class="layui-input" value="${entry.idCode}">
                                    </div>
                                </div>
                            </c:if>
                        <c:if test="${entry.tenantType eq '1'}">
                            <c:if test="${info.columns.birthday_date.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">出生日期：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="birthdayDate" name="birthdayDate" disabled class="layui-input" value="<fmt:formatDate value="${entry.birthdayDate}" pattern="yyyy-MM-dd"/>">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.ic_validity_begin.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">身份证生效日：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="icValidityBegin" name="icValidityBegin" disabled class="layui-input" value="<fmt:formatDate value="${entry.icValidityBegin}" pattern="yyyy-MM-dd"/>">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.ic_validity_end.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">身份证到期日：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="icValidityEnd" name="icValidityEnd" disabled class="layui-input" value="<fmt:formatDate value="${entry.icValidityEnd}" pattern="yyyy-MM-dd"/>">
                                    </div>
                                </div>
                            </c:if>
                        </c:if>

                            <div class="layui-row layui-col-space12 layui-form-item">
                                <c:if test="${info.columns.id_card_front.status eq '1'}">
                                    <div class="layui-col-lg4 layui-col-sm4">
                                        <label class="layui-form-label"><i class="mark">*</i>身份证：</label>
                                        <div class="layui-input-block img-box">
                                            <div>
                                                <div id="imgsDiv1">
                                                    <c:if test="${not empty entry.idCardFront}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${entry.idCardFront}" height="700" width="1200"/>
                                                            <input type="hidden" class="idCardFront" value="${entry.idCardFront}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                   <div class="upload-container <c:if test="${not empty entry.idCardFront}">hide</c:if>" id="uploader1">
                                                        <img src="" alt="img placeholder" id="imgsAdd1">
                                                    </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                            </div>
                                            <div>
                                                <div id="imgsDiv2">
                                                    <c:if test="${not empty entry.idCardBack}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${entry.idCardBack}" height="700" width="1200"/>
                                                            <input type="hidden" class="idCardBack" value="${entry.idCardBack}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                   <div class="upload-container <c:if test="${not empty entry.idCardBack}">hide</c:if>" id="uploader2">
                                                        <img src="" alt="img placeholder" id="imgsAdd2">
                                                    </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                            </div>
                                        </div>
                                    </div>
                                </c:if>

                                <c:if test="${info.columns.residence_booklet.status eq '1'}">
                                    <div class="layui-col-lg4 layui-col-sm4">
                                        <label class="layui-form-label w-120"><c:if test="${info.columns.residence_booklet.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>户口本复印件：</label>
                                        <div class="layui-input-block img-box ml-120">
                                            <div>
                                                <div id="imgsDiv3">
                                                    <c:if test="${not empty entry.residenceBooklet}">
                                                        <c:forEach var="quaim" items="${entry.residenceBooklet.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                                                                <input type="hidden" class="residenceBooklet" value="${quaim}"/>
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                  <div class="upload-container <c:if test="${not empty entry.residenceBooklet}">hide</c:if>" id="uploader3">
                                                        <img src="" alt="img placeholder" id="imgsAdd3">
                                                    </div>
                                            </div>
                                        </div>
                                    </div>
                                </c:if>


                            </div>
                            <div class="layui-row layui-col-space12 layui-form-item">
                                <div class="layui-col-lg11 layui-col-sm11">
                                    <label class="layui-form-label">房产证明：</label>
                                    <div class="layui-input-block img-box">
                                        <div>
                                            <div>
                                                <c:if test="${not empty surveyRecord.houseOwnership}">
                                                    <c:forEach items="${surveyRecord.houseOwnership}" var="img">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${img}" height="700" width="1200"/>
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${not empty surveyRecord.houseOwnership}">hide</c:if>" id="uploader4">
                                                <img src="" alt="img placeholder" id="imgsAdd4">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="layui-row layui-col-space12 layui-form-item">
                                <c:if test="${info.columns.bank_card.status eq '1'}">
                                    <div class="layui-col-lg4 layui-col-sm4">
                                        <label class="layui-form-label"><c:if test="${info.columns.bank_card.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行卡照片：</label>
                                        <div class="layui-input-block img-box">
                                            <div>
                                                <div id="imgsDiv4">
                                                    <c:if test="${not empty entry.bankCard}">
                                                        <div class="bj-img imgSpan">
                                                            <img src="${commonStaticImgPath}${entry.bankCard}" height="700" width="1200"/>
                                                            <input type="hidden" class="bankCard" value="${entry.bankCard}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                    <div class="upload-container <c:if test="${not empty entry.bankCard}">hide</c:if>" id="uploader4">
                                                        <img src="" alt="img placeholder" id="imgsAdd4">
                                                    </div>
                                            </div>
                                        </div>
                                    </div>
                                </c:if>
                                <c:if test="${info.columns.credit_certificate.status eq '1'}">
                                    <div class="layui-col-lg8 layui-col-sm8">
                                        <label class="layui-form-label"><c:if test="${info.columns.credit_certificate.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>信誉凭证：</label>
                                        <div class="layui-input-block img-box">
                                            <div style="display: flex">
                                                <div id="imgsDiv5">
                                                    <c:if test="${not empty orgFiles.creditCertificate}">
                                                        <c:forEach var="quaim" items="${orgFiles.creditCertificate.split(',')}" varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                                                                <input type="hidden" class="creditCertificate" value="${quaim}"/>
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty orgFiles.creditCertificate}">hide</c:if>">
                                                    <img src="" alt="img placeholder" id="imgsAdd5">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </c:if>
                            </div>
                            <div class="layui-row layui-col-space12 layui-form-item">
                                <c:if test="${info.columns.exigence_name.status eq '1'}">
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label"><c:if test="${info.columns.exigence_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>紧急联系人：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="exigenceName" id="exigenceName" lay-verify="required" disabled
                                                   autocomplete="off" class="layui-input " value="${entry.exigenceName}">
                                        </div>
                                    </div>
                                </c:if>
                                <c:if test="${info.columns.exigence_phone.status eq '1'}">
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label"><c:if test="${info.columns.exigence_phone.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>联系方式：</label>
                                        <div class="layui-input-block">
                                            <input type="text" name="exigencePhone" id="exigencePhone" lay-verify="required" disabled
                                                   autocomplete="off" class="layui-input " value="${entry.exigencePhone}">
                                        </div>
                                    </div>
                                </c:if>
                            </div>
                            <c:if test="${info.columns.bank_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行账户名：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bankName" id="bankName" disabled class="layui-input" value="${entry.bankName}">
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.bank_code.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bank_code.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>银行账户：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bankCode" id="bankCode" disabled class="layui-input" value="${entry.bankCode}">
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.tss_bank_num_name.status eq '1'}">
                                <div class="layui-row layui-col-space12 layui-form-item"></div>
                                <div class="layui-col-lg6 layui-col-sm6">
                                    <label class="layui-form-label"><c:if test="${info.columns.tss_bank_num_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>开户行：</label>
                                    <div class="layui-input-block">
                                        <select name="tssBankNum" id="tssBankNum" lay-verify="required" disabled>
                                            <option value="${entry.tssBankNum}" selected>${entry.tssBankNumName}</option>
                                        </select>
                                    </div>
                                </div>
                            </c:if>
                            <div class="layui-row layui-col-space12 layui-form-item">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">划转方式：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="repaymentMethod" id="repaymentMethod" disabled class="layui-input"
                                               <c:if test="${surveyRecord.repaymentMethod eq '1'}">value="二类卡"</c:if>
                                               <c:if test="${surveyRecord.repaymentMethod eq '2'}">value="光E宝"</c:if>
                                               <c:if test="${surveyRecord.repaymentMethod eq '0'}">value="其他"</c:if>
                                               lay-data="${surveyRecord.repaymentMethod}" >
                                    </div>
                                </div>
                                <c:if test="${surveyRecord.repaymentMethod ne '0'}">
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label">账号名称：</label>
                                        <div class="layui-input-block">
                                            <input type="text" disabled class="layui-input" value="${card.name}">
                                        </div>
                                    </div>
                                    <c:if test="${surveyRecord.repaymentMethod ne '0'}">
                                        <div class="layui-col-lg3 layui-col-sm3">
                                            <label class="layui-form-label">二类卡号：</label>
                                            <div class="layui-input-block">
                                                <input type="text" disabled class="layui-input" value="${card.accountCode}">
                                            </div>
                                        </div>
                                    </c:if>
                                    <div class="layui-col-lg3 layui-col-sm3">
                                        <label class="layui-form-label">联行号：</label>
                                        <div class="layui-input-block">
                                            <input type="text" disabled class="layui-input" value="${card.openBankNumber}">
                                        </div>
                                    </div>
                                </c:if>
                            </div>

                        </div>
                    </c:if>
                    <%--单位信息--%>
                    <c:if test="${entry.tenantType eq '2'}">

                        <c:if test="${info.columns.tenant_name.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>单位名称：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="tenantNameAnother" disabled class="layui-input" value="${entry.tenantName}">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info.columns.regno.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>信用代码：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="regno" id="regno" disabled class="layui-input layui-bg-gray" value="${entry.regno}">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info.columns.mobile.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                <div>
                                    <label class="layui-form-label"><i class="mark">*</i>联系方式：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="mobileAnother" disabled class="layui-input layui-bg-gray"  value="${entry.mobile}">
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info.columns.corp.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                <div>
                                    <label class="layui-form-label"><i class="mark">*</i>负责人姓名：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="corp" id="corp" disabled class="layui-input"  value="${entry.corp}">
                                    </div>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info.columns.id_code.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>身份证号：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="idCodeAnother" disabled class="layui-input" value="${entry.idCode}">
                                </div>
                            </div>
                        </c:if>

                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.id_card_front.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label w-120"><i class="mark">*</i>负责人身份证：</label>
                                    <div class="layui-input-block img-box ml-120">
                                        <div>
                                            <div id="imgsDiv33">
                                                <c:if test="${not empty entry.idCardFront}">
                                                    <div class="bj-img imgSpan">
                                                            <%--  <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader33')"></span>--%>
                                                        <img src="${commonStaticImgPath}${entry.idCardFront}" height="700" width="1200"/>
                                                        <input type="hidden" class="idCardFrontAnother" value="${entry.idCardFront}"/>
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${not empty entry.idCardFront}">hide</c:if>" id="uploader33">
                                                <img src="" alt="img placeholder" id="imgsAdd33">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div id="imgsDiv34">
                                                <c:if test="${not empty entry.idCardBack}">
                                                    <div class="bj-img imgSpan">
                                                            <%--  <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader34')"></span>--%>
                                                        <img src="${commonStaticImgPath}${entry.idCardBack}" height="700" width="1200"/>
                                                        <input type="hidden" class="idCardBackAnother" value="${entry.idCardBack}"/>
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${not empty entry.idCardBack}">hide</c:if>" id="uploader34">
                                                <img src="" alt="img placeholder" id="imgsAdd34">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>

                            <c:if test="${info.columns.regno_url.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label"><i class="mark">*</i>营业执照：</label>
                                    <div class="layui-input-block img-box">
                                        <div>
                                            <div>
                                                <div id="imgsDiv35">
                                                    <c:if test="${not empty tenant and not empty tenant.regnoUrl}">
                                                        <div class="bj-img imgSpan">
                                                                <%--<span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader35')"></span>--%>
                                                            <img src="${commonStaticImgPath}${tenant.regnoUrl}" height="700" width="1200"/>
                                                            <input type="hidden" class="regnoUrl" value="${tenant.regnoUrl}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty tenant and not empty tenant.regnoUrl}">hide</c:if>" id="uploader35">
                                                    <img src="" alt="img placeholder" id="imgsAdd35">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </div>
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.exigence_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.exigence_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>紧急联系人：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="exigenceName" id="exigenceName" lay-verify="required" disabled
                                               autocomplete="off" class="layui-input " value="${entry.exigenceName}">
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.exigence_phone.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.exigence_phone.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>联系方式：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="exigencePhone" id="exigencePhone" lay-verify="required" disabled
                                               autocomplete="off" class="layui-input " value="${entry.exigencePhone}">
                                    </div>
                                </div>
                            </c:if>
                        </div>
                    </c:if>
                </div>

            </div>

            <c:if test="${entry.age >= 65}">
                <div class="layui-card">
                    <blockquote class="layui-elem-quote">补充信息</blockquote>
                    <div class="layui-card-body ">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <c:if test="${info.columns.bp_name.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_name.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>共签人名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpName" id="bpName" disabled lay-verify="required" class="layui-input " value="${entry.bpName}" >
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_id_card.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_id_card.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>证件号码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpIdCard" id="bpIdCard" disabled lay-verify="required" class="layui-input " value="${entry.bpIdCard}" >
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_mobile.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_mobile.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>手机号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpMobile" id="bpMobile" disabled lay-verify="required" class="layui-input " value="${entry.bpMobile}" >
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_relation.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_relation.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>共签人关系：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="bpRelation" id="bpRelation" disabled lay-verify="required" class="layui-input " value="${entry.bpRelation}" >
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_card_front.status eq '1' || info.columns.bp_card_back.status eq  '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label"><c:if test="${info.columns.bp_card_front.mustFillFlag eq '1' ||  info.columns.bp_card_back.mustFillFlag eq '1' }"><i class="mark">*</i></c:if>身份证：</label>
                                    <div class="layui-input-block img-box">
                                        <c:if test="${info.columns.bp_card_front.status eq '1'}">
                                            <div>
                                                <div id="imgsDiv30">
                                                    <c:if test="${not empty entry.bpCardFront}">
                                                        <div class="bj-img imgSpan">
                                                                <%--<span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader30')"></span>--%>
                                                            <img src="${commonStaticImgPath}${entry.bpCardFront}" height="700" width="1200"/>
                                                            <input type="hidden" class="bpCardFront" value="${entry.bpCardFront}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty entry.bpCardFront}">hide</c:if>" id="uploader30">
                                                    <img src="" alt="img placeholder" id="imgsAdd30">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                            </div>
                                        </c:if>
                                        <c:if test="${info.columns.bp_card_back.status eq '1'}">
                                            <div>
                                                <div id="imgsDiv31">
                                                    <c:if test="${not empty entry.bpCardBack}">
                                                        <div class="bj-img imgSpan">
                                                                <%--<span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader31')"></span>--%>
                                                            <img src="${commonStaticImgPath}${entry.bpCardBack}" height="700" width="1200"/>
                                                            <input type="hidden" class="bpCardBack" value="${entry.bpCardBack}"/>
                                                        </div>
                                                    </c:if>
                                                </div>
                                                <div class="upload-container <c:if test="${not empty entry.bpCardBack}">hide</c:if>" id="uploader31">
                                                    <img src="" alt="img placeholder" id="imgsAdd31">
                                                </div>
                                                <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                            </div>
                                        </c:if>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info.columns.bp_file.status eq '1'}">
                                <div class="layui-col-lg4 layui-col-sm4">
                                    <label class="layui-form-label w-120"><c:if test="${info.columns.bp_file.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>子女证明材料：</label>
                                    <div class="layui-input-block img-box ml-120">
                                        <div>
                                            <div id="imgsDiv32">
                                                <c:if test="${not empty entry.bpFile}">
                                                    <c:forEach var="quaim" items="${entry.bpFile.split(',')}" varStatus="vs">
                                                        <div class="bj-img imgSpan">
                                                                <%--                          <span class="layui-icon-close layui-icon" onclick="delImg(this,'uploader32')"></span>--%>
                                                            <img src="${commonStaticImgPath}${quaim}" height="700" width="1200"/>
                                                            <input type="hidden" class="bpFile" value="${quaim}"/>
                                                        </div>
                                                    </c:forEach>
                                                </c:if>
                                            </div>
                                            <div class="upload-container <c:if test="${not empty entry.bpFile}">hide</c:if>" id="uploader32">
                                                <img src="" alt="img placeholder" id="imgsAdd32">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </c:if>
                        </div>
                    </div>
                </div>
            </c:if>

            <div class="layui-card jibenxinxi ">
                <blockquote class="layui-elem-quote">勘测基本信息</blockquote>
                <div class="layui-card-body ">
                    <c:if test="${info2.columns.box_group_set.status eq '1'}">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <div class="layui-col-lg12 layui-col-sm12">
                                <label class="layui-form-label"><i class="mark">*</i>并网方式：</label>
                                <div class="layui-input-block">

                                    <input type="radio" name="mergeType" title="单户并网" lay-filter="mergeTypeFilter" disabled value="0" <c:if test="${empty recordBox || '0' eq recordBox.columns.type}">checked</c:if>/>
                                    <input type="radio" name="mergeType" title="一户多站" lay-filter="mergeTypeFilter" disabled value="1" <c:if test="${'1' eq recordBox.columns.type}">checked</c:if>/>
                                    <input type="radio" name="mergeType" title="整村汇流" lay-filter="mergeTypeFilter" disabled value="2" <c:if test="${'2' eq recordBox.columns.type}">checked</c:if>/>
                                </div>
                            </div>

                            <div id="boxDiv" class="<c:if test="${empty recordBox || '0' eq recordBox.columns.type}">hide</c:if>">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">本组电站个数：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="boxTotalCount" class="layui-input layui-bg-gray" disabled value="${recordBox.columns.total_count}">
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">汇流组编号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="groupNumber" class="layui-input layui-bg-gray" disabled value="${recordBox.columns.group_number}">
                                        <input hidden id="boxGroupId" value="${recordBox.columns.box_group_id}">
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">汇流组名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" id="groupName" class="layui-input layui-bg-gray" disabled value="${recordBox.columns.group_name}">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                    </c:if>
                    <div class="layui-row layui-col-space12 layui-form-item">
                        <c:if test="${info.columns.pca_address.status eq '1'}">
                            <div class="layui-col-lg9 layui-col-sm9">
                                <label class="layui-form-label"><c:if test="${info.columns.pca_address.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>安装地址：</label>
                                <div class="layui-input-block">
                                    <input type="text" class="layui-input" value="${entry.province}${entry.city}${entry.area}${entry.address}" disabled>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">风压：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="windPressure" id="windPressure"  value="${entry.windPressure}" disabled
                                           autocomplete="off" class="layui-input ">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">kN/㎡</span>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">雪压：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="snowPressure" id="snowPressure" value="${entry.snowPressure}"  disabled
                                           autocomplete="off" class="layui-input ">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">kN/㎡</span>
                                </div>
                            </div>
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label">风雪压等级：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="pressureLevel" id="pressureLevel" value="${entry.pressureLevel}"  disabled
                                           autocomplete="off" class="layui-input">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.seal_roof.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.seal_roof.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>是否封屋顶：</label>
                                <div class="layui-input-block">
                                    <input type="text" class="layui-input" value="${'1' eq surveyRecord.sealRoof ?'是':'否'}" disabled>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.angle_azimuth.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3" style="position:relative;">
                                <div class="layui-inline">
                                    <label class="layui-form-label"><c:if test="${info2.columns.angle_azimuth.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>方位角：</label>
                                    <div class="layui-inline" style="width: 100px;">
                                        <select name="azimuth" id="azimuth" lay-verify="required" disabled>
                                            <option value="">请选择</option>
                                            <c:forEach items="${angleAzimuthList}" var="angleAzimuth" >
                                                <option value="${angleAzimuth.columns.dict_key}" <c:if test="${surveyRecord.azimuth eq angleAzimuth.columns.dict_key}">selected</c:if>>${angleAzimuth.columns.dict_value}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                    <c:if test="${partner.id ne '03'}">
                                        <div class="layui-inline" style="width: 90px">
                                            <input type="text" name="angle" class="layui-input" maxlength="2" oninput="value=value.replace(/[^\d]/g,'')" value="${surveyRecord.angle}" disabled/>
                                            <span class="pos-a h-32 lh-32 layui-span-unit">度</span>
                                        </div>
                                    </c:if>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.completion_year.status eq '1' || info2.columns.completion_year_03.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label w-120"><c:if test="${info2.columns.completion_year.mustFillFlag eq '1' || info2.columns.completion_year_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>
                                    <c:choose>
                                        <c:when test="${info2.columns.completion_year.status eq '1'}">
                                            房屋建成年份：
                                        </c:when>
                                        <c:when test="${info2.columns.completion_year_03.status eq '1'}">
                                            建筑年限：
                                        </c:when>
                                    </c:choose>
                                </label>
                                <div class="layui-input-block ml-120">
                                    <input type="text" name="completionYear" id="completionYear"  class="layui-input " value="${surveyRecord.completionYear}" disabled>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.building_height.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.building_height.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>建筑高度：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="buildingHeight" id="buildingHeight"  class="layui-input" value="${surveyRecord.buildingHeight}" disabled/>
                                    <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                </div>
                            </div>
                        </c:if>
<%--                        <c:if test="${info2.columns.dip_angle.status eq '1' || info2.columns.dip_angle_03.status eq '1'}">--%>
<%--                            <div class="layui-col-lg3 layui-col-sm3">--%>
<%--                                <label class="layui-form-label"><c:if test="${info2.columns.dip_angle.mustFillFlag eq '1' || info2.columns.dip_angle_03.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>--%>
<%--                                    <c:choose>--%>
<%--                                        <c:when test="${info2.columns.dip_angle.status eq '1'}">--%>
<%--                                            组件倾角：--%>
<%--                                        </c:when>--%>
<%--                                        <c:when test="${info2.columns.dip_angle_03.status eq '1'}">--%>
<%--                                            倾角：--%>
<%--                                        </c:when>--%>
<%--                                    </c:choose>--%>
<%--                                </label>--%>
<%--                                <div class="layui-input-block">--%>
<%--                                    <input type="text" name="dipAngle" id="dipAngle" disabled class="layui-input" value="${surveyRecord.dipAngle}">--%>
<%--                                    <span class="pos-a h-32 lh-32 layui-span-unit">度</span>--%>
<%--                                </div>--%>
<%--                            </div>--%>
<%--                        </c:if>--%>
                        <c:if test="${info2.columns.ew_length.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.ew_length.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>东西长：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="ewLength" id="ewLength"  class="layui-input" value="${surveyRecord.ewLength}" disabled>
                                    <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.ns_wide.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.ns_wide.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>南北宽：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="nsWide" id="nsWide"  class="layui-input" value="${surveyRecord.nsWide}" disabled>
                                    <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.longitude.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.longitude.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>经度：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="longitude" id="longitude"  class="layui-input" value="${entry.longitude}" disabled>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.latitude.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.latitude.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>纬度：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="latitude" id="latitude"  class="layui-input" value="${entry.latitude}" disabled>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${surveyRecord.roofType eq '斜屋顶'}">
                            <c:if test="${info2.columns.slope_gradient.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info2.columns.slope_gradient.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>屋面坡度：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="slopeGradient" id="slopeGradient"  class="layui-input" value="${surveyRecord.slopeGradient}" disabled>
                                        <span class="pos-a h-32 lh-32 layui-span-unit">度</span>
                                    </div>
                                </div>
                            </c:if>
                            <c:if test="${info2.columns.purline_interval.status eq '1'}">
                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label"><c:if test="${info2.columns.purline_interval.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>檩条间距：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="purlineInterval" id="purlineInterval"  class="layui-input" value="${surveyRecord.purlineInterval}" disabled>
                                        <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                    </div>
                                </div>
                            </c:if>
                        </c:if>
                        <c:if test="${info2.columns.waterproof.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label w-120"><c:if test="${info2.columns.waterproof.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>屋顶防水情况：</label>
                                <div class="layui-input-block ml-120">
                                    <input type="text" class="layui-input" value="${'1' eq surveyRecord.waterproof ?'一般':'良好'}" disabled>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.source_pollution.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label w-120"><c:if test="${info2.columns.source_pollution.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>是否有污染源：</label>
                                <div class="layui-input-block ml-120">
                                    <input type="text" name="sourcePollution" id="sourcePollution" class="layui-input" value="${'1' eq surveyRecord.sourcePollution ?'有':'没有'}" disabled>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.ops_condition.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label" style="width: 140px"><c:if test="${info2.columns.ops_condition.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>是否具备运维空间：</label>
                                <div class="layui-input-block" style="margin-left: 140px">
                                    <input type="text" name="opsCondition" id="opsCondition" class="layui-input" value="${'1' eq surveyRecord.opsCondition ?'具备':'不具备'}" disabled>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.voltage_classes.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label w-120"><c:if test="${info2.columns.voltage_classes.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>并网电压等级：</label>
                                <div class="layui-input-block ml-120">
                                    <input type="text" name="voltageClasses" id="voltageClasses" disabled  class="layui-input" value="<fmt:formatNumber value="${surveyRecord.voltageClasses}"></fmt:formatNumber>">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">V</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.transformer_capacity.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.transformer_capacity.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>变压器容量：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="transformerCapacity" id="transformerCapacity" disabled  class="layui-input" value="${surveyRecord.transformerCapacity}">
                                    <span class="pos-a h-32 lh-32 layui-span-unit">kVA</span>
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.restrict_flag.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label" style="width: 210px"><c:if test="${info2.columns.restrict_flag.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>是否符合变压器容量限制要求：</label>
                                <div class="layui-input-block" style="margin-left: 210px">
                                    <input type="text" name="restrictFlag" id="restrictFlag" disabled  class="layui-input" value="${'1' eq surveyRecord.restrictFlag?'符合':'不符合'}">
                                </div>
                            </div>
                        </c:if>
                        <c:if test="${info2.columns.distance.status eq '1'}">
                            <div class="layui-col-lg3 layui-col-sm3">
                                <label class="layui-form-label"><c:if test="${info2.columns.distance.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>并网距离：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="distance" id="distance" placeholder=""
                                           autocomplete="off" class="layui-input " value="${surveyRecord.distance}" disabled>
                                    <span class="pos-a h-32 lh-32 layui-span-unit">米</span>
                                </div>
                            </div>
                        </c:if>

                        <c:if test="${info2.columns.remarks.status eq '1'}">
                            <div class="layui-col-xs12">
                                <label class="layui-form-label" id="changeDescribe">备注：</label>
                                <div class="layui-input-block">
                                    <textarea name="remarks" id="remarks" placeholder="" class="layui-textarea" readonly>${entry.remarks}</textarea>
                                </div>
                            </div>
                        </c:if>
                    </div>
                </div>
                <blockquote class="layui-elem-quote">勘测反馈信息</blockquote>
                <div class="layui-tab layui-tab-brief custom-tab" id="surveyImgTab" lay-filter="docDemoTabBriefSurvey">
                    <ul class="layui-tab-title" id="surveyImgUl">
                        <c:forEach items="${entryProject}" var="entryProjectSur" varStatus="vs">
                            <li class=" <c:if test="${vs.index eq 0}">layui-this</c:if>" id="${entryProjectSur.columns.code}">
                                <c:choose>
                                    <c:when test="${not empty entryProjectSur.columns.roof_type}">
                                        ${entryProjectSur.columns.roof_type}
                                    </c:when>
                                    <c:otherwise>
                                        ${entryProjectSur.columns.name}
                                    </c:otherwise>
                                </c:choose>
                            </li>
                        </c:forEach>
                    </ul>
                    <c:forEach items="${entrySurveys}" var="entrySurvey" varStatus="vs">
                        <div class="layui-tab-content  surveyTabContent <c:if test="${vs.index ne 0}">layui-hide</c:if>" id="surveyImgDiv${vs.index}">
                            <c:set var="indexNum" value="1"/>
                            <table class="layui-table" style="margin: 0 10px 0 0;">
                                <c:if test="${info2.columns.dip_angle.status eq '1' || info2.columns.dip_angle_03.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}
                                            <c:choose>
                                                <c:when test="${info2.columns.dip_angle.status eq '1'}">
                                                    组件倾角：
                                                </c:when>
                                                <c:when test="${info2.columns.dip_angle_03.status eq '1'}">
                                                    倾角：
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div class="layui-input-block">
                                                        <input type="text" name="dipAngle" id="dipAngle" class="layui-input dipAngle" disabled
                                                               value="${entrySurvey.dipAngle}">
                                                        <span class="pos-a h-32 lh-32 layui-span-unit">度</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fly_imgs.status eq '1' || info2.columns.fly_imgs_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、
                                            <c:choose>
                                                <c:when test="${info2.columns.fly_imgs.status eq '1'}">
                                                    无人机航拍图
                                                </c:when>
                                                <c:when test="${info2.columns.fly_imgs_04.status eq '1'}">
                                                    屋顶高空俯视照片
                                                </c:when>
                                            </c:choose>
                                        </td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="flyImgsDiv">
                                                        <c:if test="${not empty entrySurvey.flyImgs}">
                                                            <c:forEach var="quaim" items="${entrySurvey.flyImgs.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="flyImgs" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.flyImgs}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_one.status eq '1' || info2.columns.roof_photo_one_03.status eq '1'}">
                                    <tr style="height: 100px">
                                        <c:choose>
                                            <c:when test="${info2.columns.roof_photo_one.status eq '1'}">
                                                <td width="15%">${indexNum}、整体照片</td>
                                            </c:when>
                                            <c:when test="${info2.columns.roof_photo_one_03.status eq '1'}">
                                                <td width="15%">${indexNum}、房屋屋顶照片</td>
                                            </c:when>
                                        </c:choose>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoOneDiv">
                                                        <c:if test="${not empty entrySurvey.roofPhotoOne}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoOne.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoOne" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.roofPhotoOne}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_two.status eq '1' || info2.columns.roof_photo_two_03.status eq '1' || info2.columns.roof_photo_two_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <c:choose>
                                            <c:when test="${info2.columns.roof_photo_two.status eq '1'}">
                                                <td width="15%">${indexNum}、东南角照片</td>
                                            </c:when>
                                            <c:when test="${info2.columns.roof_photo_two_03.status eq '1'}">
                                                <td width="15%">${indexNum}、房屋屋顶东侧图片</td>
                                            </c:when>
                                            <c:when test="${info2.columns.roof_photo_two_04.status eq '1'}">
                                                <td width="15%">${indexNum}、屋顶东南照片</td>
                                            </c:when>
                                        </c:choose>
                                        <td width="80%">

                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoTwoDiv">
                                                        <c:if test="${not empty entrySurvey.roofPhotoTwo}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoTwo.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoTwo" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.roofPhotoTwo}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>

                                </c:if>

                                <c:if test="${info2.columns.roof_photo_four.status eq '1' || info2.columns.roof_photo_four_03.status eq '1' || info2.columns.roof_photo_four_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <c:choose>
                                            <c:when test="${info2.columns.roof_photo_four.status eq '1'}">
                                                <td width="15%">${indexNum}、正南照片</td>
                                            </c:when>
                                            <c:when test="${info2.columns.roof_photo_four_03.status eq '1'}">
                                                <td width="15%">${indexNum}、房屋屋顶南侧图片</td>
                                            </c:when>
                                            <c:when test="${info2.columns.roof_photo_four_04.status eq '1'}">
                                                <td width="15%">${indexNum}、屋顶正南照片</td>
                                            </c:when>
                                        </c:choose>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoFourDiv">
                                                        <c:if test="${not empty entrySurvey.roofPhotoFour}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoFour.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoFour" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.roofPhotoFour}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_three.status eq '1' || info2.columns.roof_photo_three_03.status eq '1' || info2.columns.roof_photo_three_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <c:choose>
                                            <c:when test="${info2.columns.roof_photo_three.status eq '1'}">
                                                <td width="15%">${indexNum}、西南角照片</td>
                                            </c:when>
                                            <c:when test="${info2.columns.roof_photo_three_03.status eq '1'}">
                                                <td width="15%">${indexNum}、房屋屋顶西侧图片</td>
                                            </c:when>
                                            <c:when test="${info2.columns.roof_photo_three_04.status eq '1'}">
                                                <td width="15%">${indexNum}、屋顶西南照片</td>
                                            </c:when>
                                        </c:choose>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoThreeDiv">
                                                        <c:if test="${not empty entrySurvey.roofPhotoThree}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoThree.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoThree"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.roofPhotoThree}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img3.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋屋顶东南侧照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg3Div">
                                                        <c:if test="${not empty entrySurvey.fwImg3}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg3.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg3" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.fwImg3}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img4.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋屋顶西南侧照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg4Div">
                                                        <c:if test="${not empty entrySurvey.fwImg4}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg4.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg4" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.fwImg4}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img5.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、遮阴物与房屋距离、高度</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg5Div">
                                                        <c:if test="${not empty entrySurvey.fwImg5}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg5.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg5" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.fwImg5}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.roof_photo_five.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、细节照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoFiveDiv">
                                                        <c:if test="${not empty entrySurvey.roofPhotoFive}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoFive.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoFive" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.roofPhotoFive}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_interior.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、内部环境照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoInteriorDiv">
                                                        <c:if test="${not empty entrySurvey.roofPhotoInterior}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoInterior.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoInterior"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.roofPhotoInterior}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.roof_photo_facade.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、内部结构照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="roofPhotoFacadeDiv">
                                                        <c:if test="${not empty entrySurvey.roofPhotoFacade}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.roofPhotoFacade.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="roofPhotoFacade"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.roofPhotoFacade}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.detail_supplement_one.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、逆变器、配电箱预安装位置照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="detailSupplementOneDiv">
                                                        <c:if test="${not empty entrySurvey.detailSupplementOne}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.detailSupplementOne.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="detailSupplementOne"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.detailSupplementOne}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.house_supplement_one.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、其他障碍物照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="houseSupplementOneDiv">
                                                        <c:if test="${not empty entrySurvey.houseSupplementOne}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.houseSupplementOne.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="houseSupplementOne"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.houseSupplementOne}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>


                                <c:if test="${info2.columns.house_outline_photo.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋轮廓照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="houseOutlinePhotoDiv">
                                                        <c:if test="${not empty entrySurvey.houseOutlinePhoto}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.houseOutlinePhoto.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="houseOutlinePhoto"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.houseOutlinePhoto}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.survey_video.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、踏勘补充证明视频</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div>
                                                        <c:if test="${not empty entrySurvey.surveyVideo}">
                                                            <c:forEach var="quaim" items="${entrySurvey.surveyVideo.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <video controls
                                                                           src="${commonStaticImgPath}${quaim}"
                                                                           height="80px" width="80px"></video>
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.house_ownership.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、<c:if test="${info2.columns.house_ownership.mustFillFlag eq '1'}"><i class="mark">*</i></c:if>房产证图片(1-8张)</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="houseOwnershipDiv">
                                                        <c:if test="${not empty entrySurvey.houseOwnership}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.houseOwnership.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="houseOwnership"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.houseOwnership}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.survey_files.status eq '1' || info2.columns.survey_files_03.status eq '1' || info2.columns.survey_files_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <c:choose>
                                            <c:when test="${info2.columns.survey_files.status eq '1'}">
                                                <td width="15%">${indexNum}、踏勘记录表</td>
                                            </c:when>
                                            <c:when test="${info2.columns.survey_files_03.status eq '1'}">
                                                <td width="15%">${indexNum}、户用勘察记录表（附平面草图）</td>
                                            </c:when>
                                            <c:when test="${info2.columns.survey_files_04.status eq '1'}">
                                                <td width="15%">${indexNum}、现场勘测表</td>
                                            </c:when>
                                        </c:choose>
                                        <td width="80%">
                                            <div class="layui-input-inline img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:choose>
                                                        <c:when test="${not empty entrySurvey.surveyFiles}">
                                                            <c:forEach items="${entrySurvey.surveyFiles}" var="file"
                                                                       varStatus="vs">
                                                                <div <c:if test="${vs.count eq 0}">style="margin-top: 5px"</c:if>>
                                                                    <a href="${commonStaticImgPath}${file}" download="${file}"
                                                                       class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                                    <a onclick="previewUrl('${commonStaticImgPath}${file}')"
                                                                       class="download-link">查看</a>
                                                                </div>
                                                            </c:forEach>
                                                        </c:when>
                                                    </c:choose>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img1.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋整体图</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg1Div">
                                                        <c:if test="${not empty entrySurvey.fwImg1}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg1.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg1" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.fwImg1}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.vr_roof_one.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋整体图（VR全景）</td>
                                        <td width="80%">
                                            <div style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:if test="${not empty entrySurvey.vrRoofOne}">
                                                        <c:forEach var="quaim"  items="${entrySurvey.vrRoofOne.split(',')}"  varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                                                <input type="hidden" class="vrRoofOne"  value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty entrySurvey.vrRoofOne}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.vr_roof_two.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋整体俯视图（无人机）</td>
                                        <td width="80%">
                                            <div style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:if test="${not empty entrySurvey.vrRoofTwo}">
                                                        <c:forEach var="quaim"  items="${entrySurvey.vrRoofTwo.split(',')}"  varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                                                <input type="hidden" class="vrRoofTwo"  value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty entrySurvey.vrRoofTwo}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.vr_roof_three.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋内部结构图（VR）</td>
                                        <td width="80%">
                                            <div  style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:if test="${not empty entrySurvey.vrRoofThree}">
                                                        <c:forEach var="quaim"  items="${entrySurvey.vrRoofThree.split(',')}"  varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                                                <input type="hidden" class="vrRoofThree"  value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty entrySurvey.vrRoofThree}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.fw_img2.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、房屋内部结构图</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="fwImg2Div">
                                                        <c:if test="${not empty entrySurvey.fwImg2}">
                                                            <c:forEach var="quaim"  items="${entrySurvey.fwImg2.split(',')}"  varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"  width="1200">
                                                                    <input type="hidden" class="fwImg2" value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.fwImg2}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                                <c:if test="${info2.columns.vr_roof_four.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、 入户全景照片（VR）</td>
                                        <td width="80%">
                                            <div  style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <c:if test="${not empty entrySurvey.vrRoofFour}">
                                                        <c:forEach var="quaim"  items="${entrySurvey.vrRoofFour.split(',')}"  varStatus="vs">
                                                            <div class="bj-img imgSpan">
                                                                <img src="${commonStaticImgPath}${quaim}" height="700" width="1200">
                                                                <input type="hidden" class="vrRoofFour"  value="${quaim}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                    <c:if test="${empty entrySurvey.vrRoofFour}">
                                                        <i class="blank-img"></i>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>

                                <c:if test="${info2.columns.vr_roof_four_04.status eq '1'}">
                                    <tr style="height: 100px">
                                        <td width="15%">${indexNum}、入户全景照片</td>
                                        <td width="80%">
                                            <div class="layui-input-block img-box" style="margin-left: 20px;">
                                                <div style="display: flex;flex-wrap: wrap;">
                                                    <div id="vrRoofFourDiv">
                                                        <c:if test="${not empty entrySurvey.vrRoofFour}">
                                                            <c:forEach var="quaim"
                                                                       items="${entrySurvey.vrRoofFour.split(',')}"
                                                                       varStatus="vs">
                                                                <div class="bj-img imgSpan">
                                                                    <img src="${commonStaticImgPath}${quaim}" height="700"
                                                                         width="1200">
                                                                    <input type="hidden" class="vrRoofFour"
                                                                           value="${quaim}">
                                                                </div>
                                                            </c:forEach>
                                                        </c:if>
                                                        <c:if test="${empty entrySurvey.vrRoofFour}">
                                                            <i class="blank-img"></i>
                                                        </c:if>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                        <c:set var="indexNum" value="${indexNum+1}"/>
                                    </tr>
                                </c:if>
                            </table>
                        </div>
                    </c:forEach>
                </div>
            </div>
            <div class="layui-card">
                <blockquote class="layui-elem-quote">方案信息</blockquote>
                <div class="layui-card-body">
                    <div class="layui-tab layui-tab-brief custom-tab" id="designInfoTab" lay-filter="docDemoTabBriefDesign">
                        <ul class="layui-tab-title" id="designInfoUl">
                            <c:forEach items="${entryProject}" var="entryProject" varStatus="vs">
                                <li class=" <c:if test="${vs.index eq 0}">layui-this</c:if>" id="${entryProject.columns.code}">
                                    <c:choose>
                                        <c:when test="${not empty entryProject.columns.roof_type}">
                                            ${entryProject.columns.roof_type}
                                        </c:when>
                                        <c:otherwise>
                                            ${entryProject.columns.name}
                                        </c:otherwise>
                                    </c:choose>
                                </li>
                            </c:forEach>
                        </ul>
                        <c:forEach items="${entryDesigns}" var="entryDesign" varStatus="vs">
                            <div class="layui-tab-content designTabContent <c:if test="${vs.index ne 0}">layui-hide</c:if>" id="designImgDiv${vs.index}">

                                <div class="${entry.schemeType eq '2' ? 'layui-hide' : ''}" id="showSchemeId">
                                    <div class="layui-row planLie" data-scheme-type-name="${entryDesign.schemeTypeName}"
                                         data-plan-id="${entryDesign.schemeId}">
                                        <div class="planbiao">
                                            <div class="layui-col-lg3 layui-col-sm3">
                                                <label class="layui-form-label"><i
                                                        class="mark">*</i>方案类型：</label>
                                                <div class="layui-input-block">
                                                    <select lay-filter="planType" name="planType" class="planType"
                                                            lay-search>
                                                        <option value="">请选择</option>
                                                        <c:forEach items="${insta}" var="ins">
                                                            <option value="${ins.columns.id}"
                                                                    <c:if test="${fn:contains(entryDesign.schemeTypeId,ins.columns.id)}">selected</c:if>>${ins.columns.name}</option>
                                                        </c:forEach>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="layui-col-lg3 layui-col-sm3 ">
                                                <label class="layui-form-label"><i
                                                        class="mark">*</i>方案名称：</label>
                                                <div class="layui-input-block pos-r">
                                                    <select lay-filter="planName" name="planName" class="planName"
                                                            lay-search>
                                                        <option value="${entryDesign.schemeName}"
                                                                selected>${entryDesign.schemeName}</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="layui-col-lg3 layui-col-sm3 ">
                                                <label class="layui-form-label"><i
                                                        class="mark">*</i>参考图纸：</label>
                                                <div class="layui-input-block pos-r view-attachment">
                                                    <c:if test="${not empty composeOneHr and not empty entryDesign.projectId}">
                                                        <c:forEach items="${composeOneHr}" var="composeOne">
                                                            <c:if test="${composeOne.columns.projectId eq entryDesign.projectId}">
                                                                <a class="h-32 lh-32 ml-5 layui-span-unit" target="_blank"

                                                                   onclick="previewUrl('${commonStaticImgPath}${composeOne.columns.attach}')"
                                                                   style="color:#2890ac;"
                                                                >查看</a>
                                                            </c:if>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                            </div>
                                            <div class="layui-col-lg3 layui-col-sm3" style="text-align: center">
                                                <input type="hidden" class="planId" value="${entryDesign.schemeId}">
                                                <input type="hidden" class="planCode"
                                                       value="
                                         <c:forEach items="${composeOneHr}" var="composeOne">
                                        <c:if test="${composeOne.columns.projectId eq entryDesign.projectId}">${composeOne.columns.code} </c:if>"
                                                </c:forEach> >
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div id="zuhefangan"
                                     class="zuhefangan ${entry.schemeType eq '1' ? 'layui-hide' : ''}">
                                    <c:if test="${entry.schemeType eq '2'}">
                                        <c:forEach varStatus="vs" items="${compose}" var="item">
                                            <c:if test="${item.columns.projectId eq entryDesign.projectId}">
                                                <div class="layui-row planLie"
                                                     data-scheme-type-name="${item.columns.plan_type}"
                                                     data-plan-id="${item.columns.plan_type_id}">
                                                    <div class="planbiao">
                                                        <div class="layui-col-lg3 layui-col-sm3">
                                                            <label class="layui-form-label"><i class="mark">*</i>方案类型：</label>
                                                            <div class="layui-input-block">
                                                                <select lay-filter="planType" name="planType"
                                                                        class="planType" lay-search>
                                                                    <option value="">请选择</option>
                                                                    <c:forEach items="${insta}" var="ins">
                                                                        <option value="${ins.columns.id}"
                                                                                <c:if test="${item.columns.plan_type eq ins.columns.name}">selected</c:if>>${ins.columns.name}</option>
                                                                    </c:forEach>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="layui-col-lg3 layui-col-sm3 ">
                                                            <label class="layui-form-label"><i class="mark">*</i>方案名称：</label>
                                                            <div class="layui-input-block pos-r">
                                                                <select lay-filter="planName" name="planName"
                                                                        class="planName" lay-search>
                                                                    <option value="${item.columns.name}"
                                                                            selected>${item.columns.name}</option>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="layui-col-lg3 layui-col-sm3 ">
                                                            <label class="layui-form-label"><i class="mark">*</i>参考图纸：</label>
                                                            <div class="layui-input-block pos-r view-attachment">
                                                                <a class="h-32 lh-32 ml-5 layui-span-unit"
                                                                   target="_blank"
                                                                        <c:if test="${not empty item.columns.attach}">
                                                                            onclick="previewUrl('${commonStaticImgPath}${item.columns.attach}')"
                                                                            style="color:#2890ac;"
                                                                        </c:if>
                                                                >查看</a>
                                                            </div>
                                                        </div>
                                                        <div class="layui-col-lg3 layui-col-sm3"
                                                             style="text-align: center">
                                                            <input type="hidden" class="planId"
                                                                   value="${item.columns.plan_id}">
                                                            <input type="hidden" class="planCode"
                                                                   value="${item.columns.code}">
                                                            <button type="button"
                                                                    class="layui-btn savePlan ${vs.index+1 ne compose.size() && compose.size() ne '1' ? 'layui-hide' : ''}"
                                                                    onclick="savePlan(this)">
                                                                新增方案
                                                            </button>
                                                            <button type="button"
                                                                    class="layui-btn layui-btn-primary deletePlan ${vs.index+1 eq compose.size() || compose.size() eq '1' ? 'layui-hide' : ''}"
                                                                    onclick="deletePlan(this)">删除
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </c:if>
                                        </c:forEach>
                                    </c:if>
                                    <c:if test="${empty compose}">
                                        <div class="layui-row planLie">
                                            <div class="planbiao">
                                                <div class="layui-col-lg3 layui-col-sm3">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>方案类型：</label>
                                                    <div class="layui-input-block">
                                                        <select lay-filter="planType" name="planType"
                                                                class="planType" lay-search>
                                                            <option value="">请选择</option>
                                                            <c:forEach items="${insta}" var="ins">
                                                                <option value="${ins.columns.id}">${ins.columns.name}</option>
                                                            </c:forEach>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3 ">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>方案名称：</label>
                                                    <div class="layui-input-block pos-r">
                                                        <select lay-filter="planName" name="planName"
                                                                class="planName" lay-search>
                                                            <option value="">请选择</option>

                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3 ">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>参考图纸：</label>
                                                    <div class="layui-input-block pos-r view-attachment">
                                                        <span class="h-32 lh-32 ml-5 layui-span-unit">查看</span>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3" style="text-align: center">
                                                    <input type="hidden" class="planId">
                                                    <input type="hidden" class="planCode">
                                                    <button type="button" class="layui-btn savePlan"
                                                            onclick="savePlan(this)">
                                                        新增方案
                                                    </button>
                                                    <button type="button"
                                                            class="layui-btn layui-btn-primary deletePlan layui-hide"
                                                            onclick="deletePlan(this)">删除
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </c:if>
                                </div>
                                <div class="layui-row">
                                    <div class="layui-col-lg9 layui-col-sm9 ">
                                        <label class="layui-form-label"><i class="mark">*</i>
                                            <c:choose>
                                                <c:when test="${info2.columns.design_drawings.status eq '1'}">
                                                    设计图纸：
                                                </c:when>
                                                <c:when test="${info2.columns.design_drawings_03.status eq '1'}">
                                                    设计CAD文件：
                                                </c:when>
                                            </c:choose>
                                        </label>
                                        <div class="layui-input-block img-box ml-120">
                                            <div style="display: flex">
                                                <div id="attachFilesDiv">
                                                    <div class="attachFilesUploader"
                                                            <c:choose>
                                                                <c:when test="${info2.columns.design_drawings.status eq '1'}">
                                                                    <c:if test="${fn:length(fn:split(entryDesign.designDrawings,',')) >= 4 }">style="display: none"</c:if>
                                                                </c:when>
                                                            </c:choose>>
                                                <span style="color:blue;cursor: pointer"
                                                      id="attachFiles">上传</span>
                                                    </div>
                                                    <c:set var="attachFilesCount" value="${fn:length(fn:split(entryDesign.designDrawings,','))}"/>
                                                    <c:if test="${not empty entryDesign.designDrawings}">
                                                        <c:forEach items="${entryDesign.designDrawings}" var="file"
                                                                   varStatus="vs">
                                                            <div style="margin-top: 5px">
                                                        <span style="color: red"
                                                              class="layui-icon-close layui-icon"
                                                              onclick="delImg(this,'attachFilesUploader')"></span>
                                                                <a style="color:#2890ac;" target="_blank"
                                                                   onclick="previewUrl('${commonStaticImgPath}${file}')"
                                                                   class="download-link">${fns:substringAfterLast(file, '/')}</a>
                                                                <input type="hidden" class="attachFiles"
                                                                       value="${file}">
                                                            </div>
                                                        </c:forEach>
                                                    </c:if>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="layui-input-block pos-r"
                                             style="display: flex; align-items: center">
                                    <span style="color:#B0B0BEFF;cursor: pointer">
                                        <c:choose>
                                            <c:when test="${info2.columns.design_drawings.status eq '1'}">
                                                可上传1-4个附件，格式：pdf，要包含组件排布图、组件走线图、支架侧视图、支架后视图
                                            </c:when>
                                            <c:when test="${info2.columns.design_drawings_03.status eq '1'}">
                                                可上传1-6个附件，格式：pdf，dwg
                                            </c:when>
                                        </c:choose>
                                    </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm3 ">
                                    <label class="layui-form-label">设计容量：</label>
                                    <div class="layui-input-block pos-r">
                                        <input class="layui-input layui-bg-gray" name="designCapacity"
                                               value="${entryDesign.designCapacity / 1000}" disabled>
                                        <span class="pos-a h-32 lh-32 layui-span-unit">kW</span>
                                    </div>
                                </div>
                                <c:if test="${info2.columns.component3.status eq '1'}">
                                    <div class="assembly">
                                        <c:set var="assemblyFlag" value="true" />
                                        <c:if test="${not empty assemblyList}">
                                            <c:forEach var="assembly" items="${assemblyList}" varStatus="vs">
                                                <c:if test="${assembly.columns.project_id eq entryDesign.projectId}">
                                                    <c:set var="assemblyFlag" value="false" />
                                                    <div class="layui-row assemblyDiv">
                                                        <div class="layui-col-lg5 layui-col-sm7">
                                                            <label class="layui-form-label"><i
                                                                    class="mark">*</i>组件：</label>
                                                            <div class="layui-input-block">
                                                                <div class="layui-inline layui-form-longwid">
                                                                    <select lay-filter="assembly" name="assembly"
                                                                            class="assembly">
                                                                            <%--                            <option value="">请选择</option>--%>
                                                                        <c:forEach varStatus=""
                                                                                   items="${sysAssemblyList}"
                                                                                   var="sysAssembly">
                                                                            <c:if test="${sysAssembly.columns.projectId eq entryDesign.projectId }">
                                                                            <option value="${sysAssembly.columns.id}"
                                                                                    data-power="${sysAssembly.columns.model}" ${sysAssembly.columns.id eq assembly.columns.item_id ? 'selected' : ''}>${sysAssembly.columns.model}</option>
                                                                            </c:if>
                                                                        </c:forEach>
                                                                    </select>
                                                                    <span class="pos-a h-32 lh-32 layui-span-unit"
                                                                          style="right: 30px">Wp</span>
                                                                </div>
                                                                <span class="layui-inline">X </span>
                                                                <div class="layui-inline">
                                                                    <input type="text" class="layui-input"
                                                                           style="width: 85px;"
                                                                           placeholder="数量" name="optionVal"
                                                                           value="${assembly.columns.num}">
                                                                </div>
                                                                    <%--                                    <i class="layui-icon layui-icon-add-circle" style="float: right;position: absolute;right: 0px;top: 3px;color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>--%>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </c:if>
                                            </c:forEach>
                                        </c:if>
                                        <c:if test="${empty assemblyList or assemblyFlag}">
                                            <div class="layui-row assemblyDiv">
                                                <div class="layui-col-lg5 layui-col-sm7">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>组件：</label>
                                                    <div class="layui-input-block">
                                                        <div class="layui-inline  layui-form-longwid">
                                                            <select lay-filter="assembly" name="assembly"
                                                                    class="assembly">
                                                                    <%--                          <option value="">请选择</option>--%>
                                                                <c:forEach varStatus="" items="${sysAssemblyList}"
                                                                           var="sysAssembly">
                                                                    <c:if test="${sysAssembly.columns.projectId eq entryDesign.projectId }">
                                                                    <option value="${sysAssembly.columns.id}" data-power="${sysAssembly.columns.model}">${sysAssembly.columns.model}</option>
                                                                    </c:if>
                                                                </c:forEach>
                                                            </select>
                                                            <span class="pos-a h-32 lh-32 layui-span-unit"
                                                                  style="right: 30px">Wp</span>
                                                        </div>
                                                        <span class="layui-inline">X </span>
                                                        <div class="layui-inline">
                                                            <input type="text" class="layui-input"
                                                                   style="width: 85px;"
                                                                   placeholder="数量" name="optionVal">
                                                        </div>
                                                            <%--                                    <i class="layui-icon layui-icon-add-circle" style="float: right;position: absolute;right: 0px;top: 3px;color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>--%>
                                                    </div>
                                                </div>
                                            </div>
                                        </c:if>
                                    </div>
                                </c:if>
                                    <%-- 组件规格 --%>
                                <c:if test="${info2.columns.component3_model.status eq '1'}">
                                    <div class="assembly">
                                        <c:set var="assemblyFlag" value="true" />
                                        <c:if test="${not empty assemblyList}">
                                            <c:forEach var="assembly" items="${assemblyList}" varStatus="vs">
                                                <c:if test="${assembly.columns.project_id eq entryDesign.projectId}">
                                                    <c:set var="assemblyFlag" value="false" />
                                                    <div class="layui-row assemblyDiv">
                                                        <div class="layui-col-lg5 layui-col-sm7">
                                                            <label class="layui-form-label"><i
                                                                    class="mark">*</i>组件：</label>
                                                            <div class="layui-input-block">
                                                                <div class="layui-inline layui-form-longwid">
                                                                    <select lay-filter="assembly" name="assembly"
                                                                            class="assembly">
                                                                            <%--                            <option value="">请选择</option>--%>
                                                                        <c:forEach varStatus=""
                                                                                   items="${sysAssemblyList}"
                                                                                   var="sysAssembly">
                                                                            <c:if test="${sysAssembly.columns.projectId eq entryDesign.projectId }">
                                                                            <option value="${sysAssembly.columns.id}" data-id="${sysAssembly.columns.projectId}"
                                                                                    data-power="${sysAssembly.columns.model}" ${sysAssembly.columns.id eq assembly.columns.item_id ? 'selected' : ''}>${sysAssembly.columns.material_model}|${sysAssembly.columns.model}</option>
                                                                            </c:if>
                                                                        </c:forEach>
                                                                    </select>
                                                                    <span class="pos-a h-32 lh-32 layui-span-unit"
                                                                          style="right: 30px">Wp</span>
                                                                </div>
                                                                <span class="layui-inline">X </span>
                                                                <div class="layui-inline">
                                                                    <input type="text" class="layui-input"
                                                                           style="width: 85px;"
                                                                           placeholder="数量" name="optionVal"
                                                                           value="${assembly.columns.num}">
                                                                </div>
                                                                    <%--                                    <i class="layui-icon layui-icon-add-circle" style="float: right;position: absolute;right: 0px;top: 3px;color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>--%>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </c:if>
                                            </c:forEach>
                                        </c:if>
                                        <c:if test="${empty assemblyList or assemblyFlag}">
                                            <div class="layui-row assemblyDiv">
                                                <div class="layui-col-lg5 layui-col-sm7">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>组件：</label>
                                                    <div class="layui-input-block">
                                                        <div class="layui-inline  layui-form-longwid">
                                                            <select lay-filter="assembly" name="assembly"
                                                                    class="assembly">
                                                                    <%--                          <option value="">请选择</option>--%>
                                                                <c:forEach varStatus="" items="${sysAssemblyList}"
                                                                           var="sysAssembly">
                                                                    <c:if test="${sysAssembly.columns.projectId eq entryDesign.projectId }">
                                                                    <option  value="${sysAssembly.columns.id}" data-power="${sysAssembly.columns.model}" >${sysAssembly.columns.material_model}|${sysAssembly.columns.model}</option>
                                                                </c:if>
                                                                </c:forEach>
                                                            </select>
                                                            <span class="pos-a h-32 lh-32 layui-span-unit"
                                                                  style="right: 30px">Wp</span>
                                                        </div>
                                                        <span class="layui-inline">X </span>
                                                        <div class="layui-inline">
                                                            <input type="text" class="layui-input"
                                                                   style="width: 85px;"
                                                                   placeholder="数量" name="optionVal">
                                                        </div>
                                                            <%--                                    <i class="layui-icon layui-icon-add-circle" style="float: right;position: absolute;right: 0px;top: 3px;color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>--%>
                                                    </div>
                                                </div>
                                            </div>
                                        </c:if>
                                    </div>
                                </c:if>

                                <c:if test="${info2.columns.component1.status eq '1'}">
                                    <div class="inverter">
                                        <c:set var="inverterFlag" value="true" />
                                        <c:set var="inverterCount" value="0" />
                                        <c:if test="${not empty inverterList}">
                                            <c:forEach var="inverter" items="${inverterList}" varStatus="vs">
                                                <c:if test="${inverter.columns.project_id eq entryDesign.projectId}">
                                                    <c:set var="inverterFlag" value="false" />
                                                    <c:set var="inverterCount" value="${inverterCount+1}" />
                                                    <div class="layui-row inverterDiv">
                                                        <div class="layui-col-lg5 layui-col-sm7">
                                                            <label class="layui-form-label"><i class="mark">*</i>逆变器：</label>
                                                            <div class="layui-input-block">
                                                                <div class="layui-inline  layui-form-longwid">
                                                                    <select lay-filter="inverter" name="inverter"
                                                                            class="inverter" lay-search>
                                                                        <option value="">请选择</option>
                                                                        <c:forEach varStatus=""
                                                                                   items="${sysInverterList}"
                                                                                   var="sysInverter">
                                                                            <option value="${sysInverter.columns.id}" ${sysInverter.columns.id eq inverter.columns.item_id ? 'selected' : ''}>${sysInverter.columns.model}</option>
                                                                        </c:forEach>
                                                                    </select>
                                                                </div>
                                                                <span class="layui-inline">X </span>
                                                                <div class="layui-inline">
                                                                    <input type="text" class="layui-input"
                                                                           style="width: 85px;"
                                                                           placeholder="数量" name="optionVal"
                                                                           value="${inverter.columns.num}">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="layui-col-lg3 layui-col-sm3">
                                                            <i class="layui-icon layui-icon-add-circle ${vs.index+1 ne inverterCount && inverterCount ne '1' ? 'layui-hide' : ''}"
                                                               style="color: #1b6073;font-size: 25px;"
                                                               onclick="add2(this)"></i>
                                                            <i class="layui-icon layui-icon-delete ${inverterCount eq '1' ? 'layui-hide' : ''}"
                                                               style="color: #1b6073;font-size: 25px;"
                                                               onclick="delete2(this)"></i>
                                                        </div>
                                                    </div>
                                                </c:if>
                                            </c:forEach>
                                        </c:if>
                                        <c:if test="${empty inverterList or inverterFlag}">
                                            <div class="layui-row inverterDiv">
                                                <div class="layui-col-lg5 layui-col-sm7">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>逆变器：</label>
                                                    <div class="layui-input-block">
                                                        <div class="layui-inline layui-form-longwid">
                                                            <select lay-filter="inverter" name="inverter"
                                                                    class="inverter" lay-search>
                                                                <option value="">请选择</option>
                                                                <c:forEach varStatus="" items="${sysInverterList}"
                                                                           var="sysInverter">
                                                                    <option value="${sysInverter.columns.id}" ${sysInverter.columns.id eq inverter.columns.item_id ? 'selected' : ''}>${sysInverter.columns.model}</option>
                                                                </c:forEach>
                                                            </select>
                                                        </div>
                                                        <span class="layui-inline">X </span>
                                                        <div class="layui-inline">
                                                            <input type="text" class="layui-input"
                                                                   style="width: 85px;"
                                                                   placeholder="数量" name="optionVal">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3">
                                                    <i class="layui-icon layui-icon-add-circle"
                                                       style="color: #1b6073;font-size: 25px;"
                                                       onclick="add2(this)"></i>
                                                    <i class="layui-icon layui-icon-delete layui-hide"
                                                       style="color: #1b6073;font-size: 25px;"
                                                       onclick="delete2(this)"></i>
                                                </div>
                                            </div>
                                        </c:if>
                                    </div>
                                </c:if>
                                <c:if test="${info2.columns.component1_model.status eq '1'}">
                                    <div class="inverter">
                                        <c:set var="inverterFlag" value="true" />
                                        <c:set var="inverterCount" value="0" />
                                        <c:if test="${not empty inverterList}">
                                            <c:forEach var="inverter" items="${inverterList}" varStatus="vs">
                                                <c:if test="${inverter.columns.project_id eq entryDesign.projectId}">
                                                    <c:set var="inverterFlag" value="false" />
                                                    <c:set var="inverterCount" value="${inverterCount+1}" />
                                                    <div class="layui-row inverterDiv">
                                                        <div class="layui-col-lg5 layui-col-sm7">
                                                            <label class="layui-form-label"><i class="mark">*</i>逆变器：</label>
                                                            <div class="layui-input-block">
                                                                <div class="layui-inline  layui-form-longwid">
                                                                    <select lay-filter="inverter" name="inverter"
                                                                            class="inverter" lay-search>
                                                                        <option value="">请选择</option>
                                                                        <c:forEach varStatus=""
                                                                                   items="${sysInverterList}"
                                                                                   var="sysInverter">
                                                                            <option value="${sysInverter.columns.id}" ${sysInverter.columns.id eq inverter.columns.item_id ? 'selected' : ''}>${sysInverter.columns.material_model}|${sysInverter.columns.model}</option>
                                                                        </c:forEach>
                                                                    </select>
                                                                </div>
                                                                <span class="layui-inline">X </span>
                                                                <div class="layui-inline">
                                                                    <input type="text" class="layui-input"
                                                                           style="width: 85px;"
                                                                           placeholder="数量" name="optionVal"
                                                                           value="${inverter.columns.num}">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="layui-col-lg3 layui-col-sm3">
                                                            <i class="layui-icon layui-icon-add-circle ${vs.index+1 ne inverterCount && inverterCount ne '1' ? 'layui-hide' : ''}"
                                                               style="color: #1b6073;font-size: 25px;"
                                                               onclick="add2(this)"></i>
                                                            <i class="layui-icon layui-icon-delete ${inverterCount eq '1' ? 'layui-hide' : ''}"
                                                               style="color: #1b6073;font-size: 25px;"
                                                               onclick="delete2(this)"></i>
                                                        </div>
                                                    </div>
                                                </c:if>
                                            </c:forEach>
                                        </c:if>
                                        <c:if test="${empty inverterList or inverterFlag }">
                                            <div class="layui-row inverterDiv">
                                                <div class="layui-col-lg5 layui-col-sm7">
                                                    <label class="layui-form-label"><i
                                                            class="mark">*</i>逆变器：</label>
                                                    <div class="layui-input-block">
                                                        <div class="layui-inline layui-form-longwid">
                                                            <select lay-filter="inverter" name="inverter"
                                                                    class="inverter" lay-search>
                                                                <option value="">请选择</option>
                                                                <c:forEach varStatus="" items="${sysInverterList}"
                                                                           var="sysInverter">
                                                                    <option value="${sysInverter.columns.id}" ${sysInverter.columns.id eq inverter.columns.item_id ? 'selected' : ''}>${sysInverter.columns.material_model}|${sysInverter.columns.model}</option>
                                                                </c:forEach>
                                                            </select>
                                                        </div>
                                                        <span class="layui-inline">X </span>
                                                        <div class="layui-inline">
                                                            <input type="text" class="layui-input"
                                                                   style="width: 85px;"
                                                                   placeholder="数量" name="optionVal">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3">
                                                    <i class="layui-icon layui-icon-add-circle"
                                                       style="color: #1b6073;font-size: 25px;"
                                                       onclick="add2(this)"></i>
                                                    <i class="layui-icon layui-icon-delete layui-hide"
                                                       style="color: #1b6073;font-size: 25px;"
                                                       onclick="delete2(this)"></i>
                                                </div>
                                            </div>
                                        </c:if>
                                    </div>
                                </c:if>
                                <c:if test="${info2.columns.component2.status eq '1'}">
                                    <div class="grid-connection">
                                        <c:set var="gridConnectionFlag" value="true" />
                                        <c:set var="gridConnectionCount" value="0" />
                                        <c:if test="${not empty gridConnectionList}">
                                            <c:forEach var="gridConnection" items="${gridConnectionList}"
                                                       varStatus="vs">
                                                <c:if test="${gridConnection.columns.project_id eq entryDesign.projectId}">
                                                    <c:set var="gridConnectionFlag" value="false" />
                                                    <c:set var="gridConnectionCount" value="${gridConnectionCount+1}" />
                                                    <div class="layui-row connectionDiv">
                                                        <div class="layui-col-lg5 layui-col-sm7">
                                                            <label class="layui-form-label">并网箱：</label>
                                                            <div class="layui-input-block">
                                                                <div class="layui-inline layui-form-longwid">
                                                                    <select lay-filter="grid-connection"
                                                                            name="gridConnection"
                                                                            class="grid-connection" lay-search>
                                                                        <option value="">请选择</option>
                                                                        <c:forEach varStatus=""
                                                                                   items="${sysGridConnectionList}"
                                                                                   var="sysGridConnection">
                                                                            <option value="${sysGridConnection.columns.id}" ${sysGridConnection.columns.id eq gridConnection.columns.item_id ? 'selected' : ''}>${sysGridConnection.columns.model}</option>
                                                                        </c:forEach>
                                                                    </select>
                                                                </div>
                                                                <span class="layui-inline">X </span>
                                                                <div class="layui-inline">
                                                                    <input type="text" class="layui-input"
                                                                           style="width: 85px;" placeholder="数量"
                                                                           name="optionVal"
                                                                           value="${gridConnection.columns.num}">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="layui-col-lg3 layui-col-sm3">
                                                            <i class="layui-icon layui-icon-add-circle ${vs.index+1 ne gridConnectionCount && gridConnectionCount ne '1' ? 'layui-hide' : ''}"
                                                               style="color: #1b6073;font-size: 25px;"
                                                               onclick="add3(this)"></i>
                                                            <i class="layui-icon layui-icon-delete ${gridConnectionCount eq '1' ? 'layui-hide' : ''}"
                                                               style="color: #1b6073;font-size: 25px;"
                                                               onclick="delete3(this)"></i>
                                                        </div>
                                                    </div>
                                                </c:if>
                                            </c:forEach>
                                        </c:if>
                                        <c:if test="${empty gridConnectionList or gridConnectionFlag}">
                                            <div class="layui-row connectionDiv">
                                                <div class="layui-col-lg5 layui-col-sm7">
                                                    <label class="layui-form-label">并网箱：</label>
                                                    <div class="layui-input-block">
                                                        <div class="layui-inline layui-form-longwid">
                                                            <select lay-filter="grid-connection"
                                                                    name="gridConnection"
                                                                    class="grid-connection" lay-search>
                                                                <option value="">请选择</option>
                                                                <c:forEach varStatus=""
                                                                           items="${sysGridConnectionList}"
                                                                           var="sysGridConnection">
                                                                    <option value="${sysGridConnection.columns.id}" ${sysGridConnection.columns.id eq gridConnection.columns.item_id ? 'selected' : ''}>${sysGridConnection.columns.model}</option>
                                                                </c:forEach>
                                                            </select>
                                                        </div>
                                                        <span class="layui-inline">X </span>
                                                        <div class="layui-inline">
                                                            <input type="text" class="layui-input"
                                                                   style="width: 85px;"
                                                                   placeholder="数量" name="optionVal">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3">
                                                    <i class="layui-icon layui-icon-add-circle"
                                                       style="color: #1b6073;font-size: 25px;"
                                                       onclick="add3(this)"></i>
                                                    <i class="layui-icon layui-icon-delete layui-hide"
                                                       style="color: #1b6073;font-size: 25px;"
                                                       onclick="delete3(this)"></i>
                                                </div>
                                            </div>
                                        </c:if>
                                    </div>
                                </c:if>
                                <c:if test="${info2.columns.component4.status eq '1'}">
                                    <div class="grid-support">
                                        <c:set var="gridSupportFlag" value="true" />
                                        <c:set var="gridSupportCount" value="0" />
                                        <c:if test="${not empty gridSupportList}">
                                            <c:forEach var="gridSupport" items="${gridSupportList}" varStatus="vs">
                                                <c:if test="${gridSupport.columns.project_id eq entryDesign.projectId}">
                                                    <c:set var="gridSupportFlag" value="false" />
                                                    <c:set var="gridSupportCount" value="${gridSupportCount+1}" />
                                                    <div class="layui-row supportDiv">
                                                        <div class="layui-col-lg5 layui-col-sm7">
                                                            <label class="layui-form-label">支架：</label>
                                                            <div class="layui-input-block">
                                                                <div class="layui-inline layui-form-longwid">
                                                                    <select lay-filter="grid-support" name="gridSupport"
                                                                            class="gridSupport" lay-search>
                                                                        <option value="">请选择</option>
                                                                        <c:forEach varStatus=""
                                                                                   items="${sysGridSupportList}"
                                                                                   var="sysGridSupport">
                                                                            <option value="${sysGridSupport.columns.id}" ${sysGridSupport.columns.id eq gridSupport.columns.item_id ? 'selected' : ''}>${sysGridSupport.columns.model}</option>
                                                                        </c:forEach>
                                                                    </select>
                                                                </div>
                                                                <span class="layui-inline">X </span>
                                                                <div class="layui-inline">
                                                                    <input type="text" class="layui-input"
                                                                           style="width: 85px;" placeholder="数量"
                                                                           name="optionVal"
                                                                           value="${gridSupport.columns.num}">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="layui-col-lg3 layui-col-sm3">
                                                            <i class="layui-icon layui-icon-add-circle ${vs.index+1 ne gridSupportCount && gridSupportCount ne '1' ? 'layui-hide' : ''}"
                                                               style="color: #1b6073;font-size: 25px;"
                                                               onclick="add4(this)"></i>
                                                            <i class="layui-icon layui-icon-delete ${gridSupportCount eq '1' ? 'layui-hide' : ''}"
                                                               style="color: #1b6073;font-size: 25px;"
                                                               onclick="delete4(this)"></i>
                                                        </div>
                                                    </div>
                                                </c:if>
                                            </c:forEach>
                                        </c:if>
                                        <c:if test="${empty gridSupportList or gridConnectionFlag}">
                                            <div class="layui-row supportDiv">
                                                <div class="layui-col-lg5 layui-col-sm7">
                                                    <label class="layui-form-label">支架：</label>
                                                    <div class="layui-input-block">
                                                        <div class="layui-inline layui-form-longwid">
                                                            <select lay-filter="grid-support" name="gridSupport"
                                                                    class="gridSupport" lay-search>
                                                                <option value="">请选择</option>
                                                                <c:forEach varStatus=""
                                                                           items="${sysGridSupportList}"
                                                                           var="sysGridSupport">
                                                                    <option value="${sysGridSupport.columns.id}"
                                                                            }>${sysGridSupport.columns.model}</option>
                                                                </c:forEach>
                                                            </select>
                                                        </div>
                                                        <span class="layui-inline">X </span>
                                                        <div class="layui-inline">
                                                            <input type="text" class="layui-input"
                                                                   style="width: 85px;"
                                                                   placeholder="数量" name="optionVal">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="layui-col-lg3 layui-col-sm3">
                                                    <i class="layui-icon layui-icon-add-circle"
                                                       style="color: #1b6073;font-size: 25px;"
                                                       onclick="add4(this)"></i>
                                                    <i class="layui-icon layui-icon-delete layui-hide"
                                                       style="color: #1b6073;font-size: 25px;"
                                                       onclick="delete4(this)"></i>
                                                </div>
                                            </div>
                                        </c:if>
                                    </div>
                                </c:if>
                            </div>
                        </c:forEach>
                    </div>
                </div>
                <div class="layui-col-xs12" style="padding-bottom: 90px">
                    <label class="layui-form-label">方案备注：</label>
                    <div class="layui-input-block">
                                    <textarea name="schemeRemarks" id="schemeRemarks" placeholder=""
                                              class="layui-textarea" lay-verify="required">${entry.schemeRemarks}</textarea>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="operate-footer">
        <input type="button" class="layui-btn tempSave" value="暂存">
        <input type="button" class="layui-btn layui-bg-red Failed" value="驳回勘测">
        <input type="button" class="layui-btn toExamine" value="提交审核">
        <input type="button" class="layui-btn layui-btn-primary" value="取消" onclick="cancel()">
    </div>
</div>


<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script src="${ctxPlugin}/lib/base64.js"></script>
<script>
    //图片查看效果
    var viewer = new Viewer(document.getElementById('LAY_app'));
    var imgsCount = 0;
    var serviceType = '${order.serviceType}';
    var reg = /^(?:[1-9]\d*|0)(?:\.\d+)?$/;
    var number = /^[1-9]\d*$/;//非0正整数正则
    var plan_html = "<option value=''>请选择</option>";
    var plan_type_html = "<option value=''>请选择</option>";
    var currentPlanTypeHtml = '';
    var assemblyOptionHtml = '';// 组件下拉选html
    var inverterOptionHtml = '';// 逆变器下拉选html
    var gridConnectionOptionHtml = '';// 并网箱下拉选html
    var supportOptionHtml = '';// 支架下拉选html
    var partnerId = '${partnerId}';
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'layedit', 'laydate', 'jquery', 'upload', 'layer'], function () {
        $ = layui.$
            , element = layui.element
            , form = layui.form
            , layer = layui.layer
            , laydate = layui.laydate;
        var upload = layui.upload;

        element.on('tab(docDemoTabBriefSurvey)', function (data) {
            console.log(data);
            $('.surveyTabContent').eq(data.index).removeClass('layui-hide').siblings('.surveyTabContent').addClass('layui-hide');
        });
        element.on('tab(docDemoTabBriefDesign)', function (data) {
            console.log(data);
            $('.designTabContent').eq(data.index).removeClass('layui-hide').siblings('.designTabContent').addClass('layui-hide');
        });
        // 设计图纸
        upload.render({
            elem: '.attachFilesUploader',
            url: '${ctx}/common/uploadFile3',
            accept: 'file',
            exts: 'pdf|jpg|png|jpeg|doc|docx|xls|xlsx',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount =  $(this.item).parent().parent("div").find(".attachFiles").length;
                if (${info2.columns.design_drawings.status eq '1'}){
                    if ((imgCount + 1) >= 4) {
                        $(this.item).hide();
                    }
                }
                if (${info2.columns.design_drawings_03.status eq '1'}){
                    if ((imgCount + 1) >= 6) {
                        $(this.item).hide();
                    }
                }
                let html = '<div style="margin-top: 5px"><span style="color:red;" class="layui-icon-close layui-icon" onclick="delImg(this,\'attachFilesUploader\')"></span>';
                html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';
                html += '<input type="hidden" class="attachFiles" value="' + path + '"/> </div>';
                $(this.item).parent().append(html);
            },
            error: function () {
                //请求异常回调
            }
        });
        // 组件排布图
        upload.render({
            elem: '#zjpbImgUploader',
            url: '${ctx}/common/uploadFile3',
            accept: 'file',
            exts: 'jpg|png|gif|doc|docx|ppt|pdf|xls|xlsx',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#zjpbImgDiv").find(".zjpbImg").length;
                if ((imgCount + 1) >= 6) {
                    $("#zjpbImgUploader").hide();
                }
                let html = '<div style="margin-top: 5px"><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'zjpbImgUploader\')"></span>';
                html += '<a style="color:#2890ac;"  target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + path + "\'" + ')"    class="download-link">' + name + '</a>';
                html += '<input type="hidden" class="zjpbImg" value="' + path + '"/> </div>';
                $("#zjpbImgDiv").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        // 组件接线图
        upload.render({
            elem: '#zjzxImgUploader',
            url: '${ctx}/common/uploadFile3',
            accept: 'file',
            exts: 'jpg|png|gif|doc|docx|ppt|pdf|xls|xlsx',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#zjzxImgDiv").find(".zjzxImg").length;
                if ((imgCount + 1) >= 6) {
                    $("#zjzxImgUploader").hide();
                }
                let html = '<div style="margin-top: 5px"><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'zjzxImgUploader\')"></span>';
                html += '<a style="color:#2890ac;"  target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + path + "\'" + ')"    class="download-link">' + name + '</a>';
                html += '<input type="hidden" class="zjzxImg" value="' + path + '"/> </div>';
                $("#zjzxImgDiv").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });
        // 组件支架图
        upload.render({
            elem: '#zjcsImgUploader',
            url: '${ctx}/common/uploadFile3',
            accept: 'file',
            exts: 'jpg|png|gif|doc|docx|ppt|pdf|xls|xlsx',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#zjcsImgDiv").find(".zjcsImg").length;
                if ((imgCount + 1) >= 6) {
                    $("#zjcsImgUploader").hide();
                }
                let html = '<div style="margin-top: 5px"><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'zjcsImgUploader\')"></span>';
                html += '<a style="color:#2890ac;"  target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + path + "\'" + ')"    class="download-link">' + name + '</a>';
                html += '<input type="hidden" class="zjcsImg" value="' + path + '"/> </div>';
                $("#zjcsImgDiv").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });
        // 一次接线图/电气图
        upload.render({
            elem: '#zjhsImgUploader',
            url: '${ctx}/common/uploadFile3',
            accept: 'file',
            exts: 'jpg|png|gif|doc|docx|ppt|pdf|xls|xlsx',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#zjhsImgDiv").find(".zjhsImg").length;
                if ((imgCount + 1) >= 6) {
                    $("#zjhsImgUploader").hide();
                }
                let html = '<div style="margin-top: 5px"><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'zjhsImgUploader\')"></span>';
                html += '<a style="color:#2890ac;"  target="_blank" onclick="previewUrl(' + "\'" + '${commonStaticImgPath}' + path + "\'" + ')"    class="download-link">' + name + '</a>';
                html += '<input type="hidden" class="zjhsImg" value="' + path + '"/> </div>';
                $("#zjhsImgDiv").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });
        initInverter(partnerId);
        initElectricSelect();
        if(${empty compose && empty composeOne}){
            initSchemeData();
        }
        //执行实例
        form.render(null, 'component-form-element');
        //自定义验证规则
        form.verify({
            title: function (value) {
                if (value.length < 5) {
                    return '标题至少得5个字符啊';
                }
            }
            , pass: [
                /^[\S]{6,12}$/
                , '密码必须6到12位，且不能出现空格'
            ]
            , recevierMobile: [/^((0\d{2,3}-\d{7,8})|([1][3,4,5,7,8,8,9][0-9]{9}))$/
                , '请输入正确格式的联系电话！'
            ]
            , content: function (value) {
                layedit.sync(editIndex);
            }
        });

        form.on('radio(schemeType)', function (data) {
            var type = data.value;
            if ('1' === type) {
                //标准
                $("#showSchemeId").removeClass("layui-hide");
                $("#zuhefangan").addClass("layui-hide");
            } else {
                $("#zuhefangan").removeClass("layui-hide");
                $("#showSchemeId").addClass("layui-hide");
            }
        });
        form.on('select(planType)', function (data) {

            var value = $(data.elem).find("option:selected").val();
            if (isBlank(value)) {
                return
            }
            var that_ = $(this);

            //获取当前类型下的方案名称
            $.ajax({
                url: "${ctx}/planManage/findPlanByAssembly",
                type: "POST",
                data: {
                    planType: value
                }
                , success: function (result) {
                    that_.parents(".planbiao").find(".planName").empty();

                    var length = result.length;
                    var plan_name_html = "<option value=''>请选择</option>";
                    for (var i = 0; i < length; i++) {
                        plan_name_html += "<option value='" + result[i].columns.id + "' title='" + result[i].columns.assembly_count + "' date='" + result[i].columns.code + "' data-attach='"+result[i].columns.attach+"' data-attach2='"+result[i].columns.attach2+"'>" + result[i].columns.name + "</option>";
                    }
                    that_.parents(".planbiao").find(".planName").append(plan_name_html);
                    form.render('select');

                }
            })
        })
        form.on('select(planName)', function (data) {
            var value = $(data.elem).find("option:selected").text();
            if (isBlank(value)) {
                return
            }
            //名称已选，获取块数
            var num = $(data.elem).find("option:selected").attr("title");
            var code = $(data.elem).find("option:selected").attr("date");
            var id = data.value;
            $(this).parents(".planbiao").find(".planId").val(id);
            $(this).parents(".planbiao").find(".componentNum").val(num);
            $(this).parents(".planbiao").find(".yuanshiNum").val(num);
            $(this).parents(".planbiao").find(".planCode").val(code);
            var attach = $(data.elem).find("option:selected").data('attach');
            var attach2 = $(data.elem).find("option:selected").data('attach2');
            var viewAttachHtml = '';
            if (!isBlank(attach)) {
                viewAttachHtml += '<a class="h-32 lh-32 ml-5 layui-span-unit"  target="_blank" onclick="previewUrl('+"\'"+'${commonStaticImgPath}'+attach+'\''+')"  href="#"  style="color:#2890ac;">查看</a>';
            }
            if (!isBlank(attach2)) {
                viewAttachHtml += '<a class="h-32 lh-32 ml-5 layui-span-unit"  target="_blank" onclick="previewUrl('+"\'"+'${commonStaticImgPath}'+attach2+'\''+')" href="#" style="color:#2890ac;">查看</a>';
            }
            $(this).closest('.layui-row').find('.view-attachment').empty().append(viewAttachHtml);
        })


        //驳回勘测
        var saveFlag = false;
        $(".Failed").click(function () {
            if (saveFlag) {
                return;
            }

            //验证不必填项的值格式

            var schemeRemarks = $("#schemeRemarks").val();
            var id = "${entry.id}";

            if (isBlank(schemeRemarks)) {
                layer.msg("请输入方案备注!", {icon: 2});
                return false;
            }
            saveFlag = true;
            $.ajax({
                url: "${ctx}/customerEntry/backToSurvey",
                type: "POST",
                data: {
                    id: id,
                    remark: schemeRemarks
                }
                , success: function (result) {

                    if (result.code === "202") {
                        layer.msg("必填信息为空", {icon: 2});
                    }
                    if (result.code === "505") {
                        layer.msg("保存失败", {icon: 2});
                    }
                    if (result.code === '200') {
                        var index = parent.layer.getFrameIndex(window.name);
                        layer.msg("保存成功", {icon: 1, time: 1000}, function () {
                            parent.layer.close(index);
                            parent.searchOrder(); //刷新父页面
                        })
                    } else {
                        layer.msg("保存失败", {icon: 2});
                    }
                    saveFlag = false;
                }, error: function () {
                    layer.msg("保存失败", {icon: 2});
                    saveFlag = false;
                }
            })
        })

        //暂存
        var tempSaveFlag = false;
        $(".tempSave").click(function () {
            if (tempSaveFlag) {
                return;
            }
            var id = "${entry.id}";
            var schemeRemarks = $("#schemeRemarks").val();//方案备注
            // 方案信息
            var schemeType = $("input[name=schemeType]:checked").val();//匹配方式
            var checkFlag = true;
            var projectList = [];
            var composePlanLists = [];
            var addEntryReqDesignDetails = [];
            var electricArray = [];
            var projectTrs =$("#projectTab").find("tbody").find('tr');
            projectTrs.each(function (index) {
                let projectId =$(this).attr('data-id');
                let projectCode = $(this).find("td").eq(1).text();
                let projectName = $(this).find("td").eq(2).text();
                let roofType = $(this).find("td").eq(3).text();
                let project = {
                    projectId: projectId,
                    projectName: projectName,
                    projectCode: projectCode,
                    roofType: roofType
                }
                projectList.push(project);
                let designInfoTab = $("#designInfoTab").find("#designImgDiv"+index);
                var schemeId = "";
                var schemeTypeId = '';
                if (schemeType === '2') {
                    // 组合方案
                    var componentPlanFlag = false;
                    designInfoTab.find('#zuhefangan').find('.layui-row').each(function (index, that) {

                        var planType = $(that).find('.planType').find("option:selected").text();
                        var planTypeId = $(that).find('select[name=planType]').val();
                        var planId = $(that).find(".planId").val();
                        var name = $(that).find(".planName").find("option:selected").text();
                        var code = $(that).find(".planCode").val();
                        var componentPlan = {
                            projectId: projectId,
                            planTypeId: planTypeId,
                            planType: planType,
                            planId: planId,
                            name: name,
                            code: code
                        }
                        composePlanLists.push(componentPlan);
                    });
                    if (componentPlanFlag) {
                        return;
                    }
                } else {
                    // 标准方案
                    schemeId = designInfoTab.find('#showSchemeId').find('.planId').val();
                    schemeTypeId = designInfoTab.find('#showSchemeId').find('select[name=planType]').val();
                }

                // 设计图纸
                let attachFiles = "";
                designInfoTab.find(".attachFiles").each(function () {
                    if (isBlank(attachFiles)) {
                        attachFiles = $(this).val();
                    } else {
                        attachFiles = attachFiles + "," + $(this).val();
                    }
                });
                var designDrawings = attachFiles;
                addEntryReqDesignDetails.push({
                    projectId: projectId,
                    schemeId: schemeId,
                    schemeTypeId: schemeTypeId,
                    designDrawings: designDrawings
                });
                // 电器材料

                // 组件
                var assemblyFlag = false;
                designInfoTab.find('.assembly').find('.layui-row').each(function (index, that) {
                    var itemId = $(that).find('select[name=assembly]').val();
                    var itemType = '3';
                    var num = $(that).find('input[name=optionVal]').val();
                    var item = {
                        projectId: projectId,
                        itemId: itemId,
                        itemType: itemType,
                        num: num
                    }
                    if (!isBlank(itemId)) {
                        electricArray.push(item);
                    }

                });
                if (assemblyFlag) {
                    return;
                }
                // 逆变器
                var inverterFlag = false;
                designInfoTab.find('.inverter').find('.layui-row').each(function (index, that) {
                    var itemId = $(that).find('select[name=inverter]').val();
                    var itemType = '1';
                    var num = $(that).find('input[name=optionVal]').val();
                    var item = {
                        projectId: projectId,
                        itemId: itemId,
                        itemType: itemType,
                        num: num
                    }
                    if (!isBlank(itemId)) {
                        electricArray.push(item);
                    }

                });
                if (inverterFlag) {
                    return;
                }
                // 并网箱
                var gridConnectionFlag = false;
                designInfoTab.find('.grid-connection').find('.layui-row').each(function (index, that) {
                    var itemId = $(that).find('select[name=gridConnection]').val();
                    if (!isBlank(itemId)) {
                        var itemType = '2';
                        var num = $(that).find('input[name=optionVal]').val();
                        var item = {
                            projectId: projectId,
                            itemId: itemId,
                            itemType: itemType,
                            num: num
                        }
                        electricArray.push(item);
                    }
                });
                // 支架
                designInfoTab.find('.grid-support').find('.layui-row').each(function (index, that) {
                    var itemId = $(that).find('select[name=gridSupport]').val();
                    if (!isBlank(itemId)) {
                        var itemType = '4';
                        var num = $(that).find('input[name=optionVal]').val();
                        var item = {
                            projectId: projectId,
                            itemId: itemId,
                            itemType: itemType,
                            num: num
                        }
                        electricArray.push(item);
                    }
                });
            })
            if(!checkFlag){
                return ;
            }
            var data = {
                id: id,
                type: '0',//0.暂存 1.提交审核
                schemeType: schemeType,
                addEntryReqDesignDetails: addEntryReqDesignDetails,
                projectList:projectList,
                itemList: electricArray,
                schemeRemarks: schemeRemarks,
            }
            var index= layer.load(2, {shade: [0.5,'#fff'], content:''});
            tempSaveFlag = true;
            $.ajax({
                url: "${ctx}/customerEntry/designCustomerEntry",
                type: "POST",
                contentType: "application/json;charsetset=UTF-8",
                data: JSON.stringify(data)
                , success: function (result) {
                    console.log(result);
                    if (result.code === '200') {
                        var index = parent.layer.getFrameIndex(window.name);
                        layer.msg("保存成功", {icon: 1, time: 1000}, function () {
                            parent.layer.close(index);
                            parent.searchOrder(); //刷新父页面
                        })
                    } else {
                        tempSaveFlag = false
                        if(isBlank(result.errMsg)){
                            layer.msg("操作失败！请联系管理员！", {icon: 2});
                        }else{
                            layer.msg("操作失败，"+result.errMsg, {icon: 2});
                        }

                    }
                }, complete: function () {
                    layer.close(index);
                }, error: function () {
                    layer.msg("保存失败s", {icon: 2});
                    tempSaveFlag = false
                }
            })
        })

        //提交审核
        var examineFlag = false;
        $(".toExamine").click(function () {
            if (examineFlag) {
                return;
            }
            //验证不必填项的值格式
            var id = "${entry.id}";
            var schemeRemarks = $("#schemeRemarks").val();//方案备注
            // 方案信息
            var schemeType = $("input[name=schemeType]:checked").val();//匹配方式
            var checkFlag = true;
            var projectList = [];
            var composePlanLists = [];
            var addEntryReqDesignDetails = [];
            var electricArray = [];
            var projectTrs =$("#projectTab").find("tbody").find('tr');
            projectTrs.each(function (index) {
                let projectId =$(this).attr('data-id');
                let projectCode = $(this).find("td").eq(1).text();
                let projectName = $(this).find("td").eq(2).text();
                let roofType = $(this).find("td").eq(3).text();
                let project = {
                    projectId: projectId,
                    projectName: projectName,
                    projectCode: projectCode,
                    roofType: roofType
                }
                projectList.push(project);

                let designInfoTab = $("#designInfoTab").find("#designImgDiv"+index);
                var schemeId = "";
                var schemeTypeId = '';
                if (schemeType === '2') {
                    // 组合方案
                    var componentPlanFlag = false;
                    designInfoTab.find('#zuhefangan').find('.layui-row').each(function (index, that) {

                        var planType = $(that).find('.planType').find("option:selected").text();
                        var planTypeId = $(that).find('select[name=planType]').val();
                        if (isBlank(planTypeId)) {
                            layer.msg(roofType+'请选择第' + (index + 1) + '行方案类型');
                            componentPlanFlag = true;
                            return false;
                        }
                        var planId = $(that).find(".planId").val();
                        if (isBlank(planId)) {
                            layer.msg(roofType+'请选择第' + (index + 1) + '行方案名称');
                            componentPlanFlag = true;
                            return false;
                        }
                        var name = $(that).find(".planName").find("option:selected").text();
                        var code = $(that).find(".planCode").val();
                        var componentPlan = {
                            projectId: projectId,
                            planTypeId: planTypeId,
                            planType: planType,
                            planId: planId,
                            name: name,
                            code: code
                        }
                        composePlanLists.push(componentPlan);
                    });
                    if (componentPlanFlag) {
                        checkFlag  =false;
                        return checkFlag;
                    }
                } else {
                    // 标准方案
                    schemeId = designInfoTab.find('#showSchemeId').find('.planId').val();
                    if (isBlank(schemeId)) {
                        layer.msg(roofType+'请选择方案类型', {icon: 2});
                        checkFlag  =false;
                        return checkFlag;
                    }
                    schemeTypeId = designInfoTab.find('#showSchemeId').find('select[name=planType]').val();
                    if (isBlank(schemeTypeId)) {
                        layer.msg(roofType+'请选择方案名称', {icon: 2});
                        checkFlag  =false;
                        return checkFlag;
                    }
                }
                // 设计图纸
                let attachFiles = "";
                designInfoTab.find(".attachFiles").each(function () {
                    if (isBlank(attachFiles)) {
                        attachFiles = $(this).val();
                    } else {
                        attachFiles = attachFiles + "," + $(this).val();
                    }
                });
                var designDrawings = attachFiles;
                if (isBlank(designDrawings)) {
                    layer.msg(roofType+'请上传设计图纸', {icon: 2});
                    checkFlag  =false;
                    return checkFlag;
                }
                addEntryReqDesignDetails.push({
                    projectId: projectId,
                    schemeId: schemeId,
                    schemeTypeId: schemeTypeId,
                    designDrawings: designDrawings
                });
                // 电器材料
                // 组件
                var assemblyFlag = false;
                designInfoTab.find('.assembly').find('.layui-row').each(function (index, that) {
                    var itemId = $(that).find('select[name=assembly]').val();
                    if (isBlank(itemId)) {
                        layer.msg(roofType+'请选择第' + (index + 1) + '个组件');
                        assemblyFlag = true;
                        checkFlag  =false;
                        return checkFlag;
                    }
                    var itemType = '3';
                    var num = $(that).find('input[name=optionVal]').val();
                    if (isBlank(num)) {
                        layer.msg(roofType+'请输入第' + (index + 1) + '个组件的数量');
                        assemblyFlag = true;
                        checkFlag  =false;
                        return checkFlag;
                    }
                    if (!number.test(num)) {
                        layer.msg(roofType+'第' + (index + 1) + '个组件的数量格式不正确');
                        assemblyFlag = true;
                        checkFlag  =false;
                        return checkFlag;
                    }
                    var item = {
                        projectId: projectId,
                        itemId: itemId,
                        itemType: itemType,
                        num: num
                    }
                    electricArray.push(item);
                });
                if (assemblyFlag) {
                    return;
                }
                // 逆变器
                var inverterFlag = false;
                designInfoTab.find('.inverter').find('.layui-row').each(function (index, that) {
                    var itemId = $(that).find('select[name=inverter]').val();
                    if (isBlank(itemId)) {
                        layer.msg(roofType+'请选择第' + (index + 1) + '个逆变器');
                        inverterFlag = true;
                        return false;
                    }
                    var itemType = '1';
                    var num = $(that).find('input[name=optionVal]').val();
                    if (isBlank(num)) {
                        layer.msg(roofType+'请输入第' + (index + 1) + '个逆变器的数量');
                        inverterFlag = true;
                        return false;
                    }
                    if (!number.test(num)) {
                        layer.msg(roofType+'第' + (index + 1) + '个逆变器的数量格式不正确');
                        inverterFlag = true;
                        return false;
                    }
                    var item = {
                        projectId: projectId,
                        itemId: itemId,
                        itemType: itemType,
                        num: num
                    }
                    electricArray.push(item);
                });
                if (inverterFlag) {
                    checkFlag  =false;
                    return checkFlag;
                }
                // 并网箱
                var gridConnectionFlag = false;
                designInfoTab.find('.grid-connection').find('.layui-row').each(function (index, that) {
                    var itemId = $(that).find('select[name=gridConnection]').val();
                    if (!isBlank(itemId)) {
                        var itemType = '2';
                        var num = $(that).find('input[name=optionVal]').val();
                        if (isBlank(num)) {
                            layer.msg(roofType+'请输入第' + (index + 1) + '个并网箱的数量');
                            gridConnectionFlag = true;
                            return false;
                        }
                        if (!number.test(num)) {
                            layer.msg(roofType+'第' + (index + 1) + '个并网箱的数量格式不正确');
                            gridConnectionFlag = true;
                            return false;
                        }
                        var item = {
                            projectId: projectId,
                            itemId: itemId,
                            itemType: itemType,
                            num: num
                        }
                        electricArray.push(item);
                    }
                });
                if (gridConnectionFlag) {
                    checkFlag  =false;
                    return checkFlag;
                }
                // 支架
                var gridSupportFlag = false;
                designInfoTab.find('.grid-support').find('.layui-row').each(function (index, that) {
                    var itemId = $(that).find('select[name=gridSupport]').val();
                    if (!isBlank(itemId)) {
                        var itemType = '4';
                        var num = $(that).find('input[name=optionVal]').val();
                        if (isBlank(num)) {
                            layer.msg(roofType+'请输入第' + (index + 1) + '个支架的数量');
                            gridSupportFlag = true;
                            return false;
                        }
                        if (!number.test(num)) {
                            layer.msg(roofType+'第' + (index + 1) + '个支架的数量格式不正确');
                            gridSupportFlag = true;
                            return false;
                        }
                        var item = {
                            projectId: projectId,
                            itemId: itemId,
                            itemType: itemType,
                            num: num
                        }
                        electricArray.push(item);
                    }
                });
                if (gridSupportFlag) {
                    checkFlag  =false;
                    return checkFlag;
                }
            })
            if(!checkFlag){
                return ;
            }

            var data = {
                id: id,
                type: '1',
                schemeType: schemeType,
                addEntryReqDesignDetails: addEntryReqDesignDetails,
                projectList:projectList,
                itemList: electricArray,
                schemeRemarks: schemeRemarks
            }
            var index= layer.load(2, {shade: [0.5,'#fff'], content:''});
            examineFlag = true;
            $.ajax({
                url: "${ctx}/customerEntry/designCustomerEntry",
                type: "POST",
                contentType: "application/json;charsetset=UTF-8",
                data: JSON.stringify(data)
                , success: function (result) {
                    console.log(result);
                    if (result.code === '200') {
                        var index = parent.layer.getFrameIndex(window.name);
                        layer.msg("保存成功", {icon: 1, time: 1000}, function () {
                            parent.layer.close(index);
                            parent.searchOrder(); //刷新父页面
                        })
                    } else {
                        examineFlag = false
                        if(isBlank(result.errMsg)){
                            layer.msg("操作失败！请联系管理员！", {icon: 2});
                        }else{
                            layer.msg("操作失败，"+result.errMsg, {icon: 2});
                        }

                    }
                }, complete: function () {
                    layer.close(index);
                }, error: function () {
                    layer.msg("保存失败s", {icon: 2});
                    examineFlag = false
                }
            })
        })



        if ("2" === ${entry.schemeType} && !isBlank(${entry.componentSpec})) {
            $.ajax({
                url: "${ctx}/planManage/findPlanByAssembly",
                type: "POST",
                data: {
                    assembly: "${entry.componentSpec}",
                    projectId: "${entry.projectId}"
                }
                , success: function (result) {
                    var length = result.length;
                    for (var i = 0; i < length; i++) {
                        plan_type_html += "<option value='" + result[i].columns.id + "' title='" + result[i].columns.assembly_count + "' date='" + result[i].columns.code + "'>" + result[i].columns.plan_type + "</option>";
                    }

                }
            })
        }

        //重新计算组件块数
        function componentNum() {
            var numco = 0;
            $(".componentNum").each(function () {
                if (!isBlank($(this).val())) {
                    numco = numco + parseInt($(this).val());
                }
            });
            $("#componentCount").val(parseInt(numco));
        }

        // 组件数量输入框值改变事件
        $(document).on('change', '.assembly input[name=optionVal]', function () {
            if (isBlank($(this).val())) {
                return;
            }
            statisticsCapacity($(this));
        });

        // 组件下拉选切换事件
        form.on('select(assembly)', function (data) {
            if (isBlank(data.value)) {
                return;
            }
            statisticsCapacity($(this));
        });

        // 统计设计容量
        function statisticsCapacity(el) {
            var capacity = 0;
            el.parents('.assembly').find('.layui-row').each(function (index, that) {
                var value = $(that).find('select[name=assembly]').val();
                if (isBlank(value)) {

                    return;
                }
                var power = $(that).find('select[name=assembly] option:selected').data('power');
                // console.log(power);
                var num = $(that).find('input[name=optionVal]').val();
                if (isBlank(that)) {

                    return;
                }
                if (!number.test(num)) {
                    return;
                }
                capacity = capacity + parseInt(power) * parseInt(num) / 1000;
            });
            el.parents('.designTabContent').find('input[name=designCapacity]').val(capacity);
        }

        // 验证手机号
        function isPhoneNo(phone) {
            var tel = /(^1\d{10}$)|(^(\d{3,4}\-)?\d{5,9}$)/;
            return tel.test($.trim(phone));
        }
    });


    function electric_plan(numco) {
        var va = $("#componentSpec").val();
        $.ajax({
            url: "${ctx}/planManage/findElectricPlan",
            type: "POST",
            data: {
                assembly: va,
                assemblyNum: numco
            }
            , success: function (result) {
                console.log(result)
                if (isBlank(result)) {
                    $("#cageOne").val('');
                    $("#cageTwo").val('');
                    $("#cageThree").val('');
                    $("#inverterOne").val('');
                    $("#inverterTwo").val('');
                    $("#inverterThree").val('');
                    //  layer.msg("暂无电气配置信息",{icon:2})
                    form.render('select');
                    return
                }
                if (result.code === '2004') {
                    layer.msg("请求参数为空", {icon: 2})
                    return
                }
                $("#cageOne").val(result.columns.box1);
                $("#cageTwo").val(result.columns.box2);
                $("#cageThree").val(result.columns.box3);
                $("#inverterOne").val(result.columns.inverter1);
                $("#inverterTwo").val(result.columns.inverter2);
                $("#inverterThree").val(result.columns.inverter3);

                form.render('select');
            }
        })
    }

    function deletePlan(that) {
        $(that).closest(".layui-row").remove();
        var numco = 0;
        $(".componentNum").each(function () {
            if (!isBlank($(this).val())) {
                numco = numco + parseInt($(this).val());
            }
        });
        $("#componentCount").val(parseInt(numco));
        electric_plan(numco);
    }

    function savePlan(that) {
        var planType = $(that).parents(".planbiao").find(".planType").val();
        var planName = $(that).parents(".planbiao").find(".planName").val();

        if (isBlank(planType)) {
            layer.msg("请选择方案类型", {icon: 2});
            return;
        }
        if (isBlank(planName)) {
            layer.msg("请选择方案名称", {icon: 2});
            return;
        }

        $(that).hide();
        $(that).next().removeClass("layui-hide").show();

        var html = '';
        html += '<div class="layui-row addplan">';
        html += '<div class="planbiao">';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += ' <label class="layui-form-label"><i class="mark">*</i>方案类型：</label>';
        html += '<div class="layui-input-block">';
        html += '<select lay-filter="planType" name="planType" class="planType" lay-search>';
        <c:forEach items="${insta}" var="ins">
        html += '<option value="${ins.columns.id}">${ins.columns.name}</option>';
        </c:forEach>

        html += '</select>';
        html += '</div> </div>';
        html += '<div class="layui-col-lg3 layui-col-sm3 " >';
        html += '<label class="layui-form-label"><i class="mark">*</i>方案名称：</label>';
        html += '<div class="layui-input-block pos-r">';
        html += '<select  lay-filter="planName" name="planName" class="planName" lay-search>';
        html += '<option value="">请选择</option>';
        html += '</select>';
        html += '</div> </div>';
        html += ' <div class="layui-col-lg3 layui-col-sm3 " >';
        html += '<label class="layui-form-label"><i class="mark">*</i>参考图纸：</label>';
        html += '<div class="layui-input-block pos-r view-attachment">';
        html += '<span class="h-32 lh-32 layui-span-unit" >查看</span>';
        html += '</div> </div>';
        html += '<div class="layui-col-lg3 layui-col-sm3" style="text-align: center" >';
        html += '<input type="hidden" class="planId">';
        html += '<input type="hidden" class="planCode">';
        html += '<button type="button" class="layui-btn savePlan" onclick="savePlan(this)">新增方案</button>';
        html += '<button type="button" class="layui-btn layui-btn-primary deletePlan layui-hide" onclick="deletePlan(this)">删除</button>';
        html += '</div> </div></div>';
        $(that).parents(".planLie").append(html);
        form.render('select');
    }

    // 新增组件
    function add1(that) {
        $(that).addClass('layui-hide');
        $(that).next().removeClass('layui-hide');
        var html = '';
        html += '<div class="layui-row assemblyDiv">';
        html += '<div class="layui-col-lg5 layui-col-sm7">';
        html += '<label class="layui-form-label"><i class="mark">*</i>组件：</label>';
        html += '<div class="layui-input-block">';
        html += '<div class="layui-inline">';
        html += '<select lay-filter="assembly" name="assembly" class="assembly" lay-search>';
        html += assemblyOptionHtml;
        html += '</select>';
        html += '<span class="pos-a h-32 lh-32 layui-span-unit" style="right: 30px">W</span>';
        html += '</div>';
        html += '<span class="layui-inline">X </span>';
        html += '<div class="layui-inline">';
        html += '<input type="text" class="layui-input" style="width: 85px;" placeholder="数量" name="optionVal">';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += '<i class="layui-icon layui-icon-add-circle" style="color: #1b6073;font-size: 25px;" onclick="add1(this)"></i>';
        html += '<i class="layui-icon layui-icon-delete" style="color: #1b6073;font-size: 25px;" onclick="delete1(this)"></i>';
        html += '</div>';
        html += '</div>';
        $(that).closest('.assembly').append(html);
        form.render('select');
    }

    // 新增逆变器
    function add2(that) {
        $(that).addClass('layui-hide');
        $(that).next().removeClass('layui-hide');
        var html = '';
        html += '<div class="layui-row inverterDiv">';
        html += '<div class="layui-col-lg5 layui-col-sm7">';
        html += '<label class="layui-form-label"><i class="mark">*</i>逆变器：</label>';
        html += '<div class="layui-input-block">';
        html += '<div class="layui-inline layui-form-longwid">';
        html += '<select lay-filter="inverter" name="inverter" class="inverter" lay-search>';
        html += inverterOptionHtml;
        html += '</select>';
        html += '</div>';
        html += '<span class="layui-inline">X </span>';
        html += '<div class="layui-inline">';
        html += '<input type="text" class="layui-input" style="width: 85px;" placeholder="数量" name="optionVal">';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += '<i class="layui-icon layui-icon-add-circle" style="color: #1b6073;font-size: 25px;" onclick="add2(this)"></i>';
        html += '<i class="layui-icon layui-icon-delete" style="color: #1b6073;font-size: 25px;" onclick="delete2(this)"></i>';
        html += '</div>';
        html += '</div>';
        $(that).closest('.inverter').append(html);
        form.render('select');
    }

    // 新增并网箱
    function add3(that) {
        $(that).addClass('layui-hide');
        $(that).next().removeClass('layui-hide');
        var html = '';
        html += '<div class="layui-row connectionDiv">';
        html += '<div class="layui-col-lg5 layui-col-sm7">';
        html += '<label class="layui-form-label">并网箱：</label>';
        html += '<div class="layui-input-block">';
        html += '<div class="layui-inline layui-form-longwid">';
        html += '<select lay-filter="grid-connection" name="gridConnection" class="grid-connection" lay-search>';
        html += gridConnectionOptionHtml;
        html += '</select>';
        html += '</div>';
        html += '<span class="layui-inline">X </span>';
        html += '<div class="layui-inline">';
        html += '<input type="text" class="layui-input" style="width: 85px;" placeholder="数量" name="optionVal">';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += '<i class="layui-icon layui-icon-add-circle" style="color: #1b6073;font-size: 25px;" onclick="add3(this)"></i>';
        html += '<i class="layui-icon layui-icon-delete" style="color: #1b6073;font-size: 25px;" onclick="delete3(this)"></i>';
        html += '</div>';
        html += '</div>';
        $(that).closest('.grid-connection').append(html);
        form.render('select');
    }

    function add4(that) {
        $(that).addClass('layui-hide');
        $(that).next().removeClass('layui-hide');
        var html = '';
        html += '<div class="layui-row supportDiv">';
        html += '<div class="layui-col-lg5 layui-col-sm7">';
        html += '<label class="layui-form-label">支架：</label>';
        html += '<div class="layui-input-block">';
        html += '<div class="layui-inline layui-form-longwid">';
        html += '<select lay-filter="grid-support" name="gridSupport" class="gridSupport" lay-search>';
        html += supportOptionHtml;
        html += '</select>';
        html += '</div>';
        html += '<span class="layui-inline">X </span>';
        html += '<div class="layui-inline">';
        html += '<input type="text" class="layui-input" style="width: 85px;" placeholder="数量" name="optionVal">';
        html += '</div>';
        html += '</div>';
        html += '</div>';
        html += '<div class="layui-col-lg3 layui-col-sm3">';
        html += '<i class="layui-icon layui-icon-add-circle" style="color: #1b6073;font-size: 25px;" onclick="add4(this)"></i>';
        html += '<i class="layui-icon layui-icon-delete " style="color: #1b6073;font-size: 25px;" onclick="delete4(this)"></i>';
        html += '</div>';
        html += '</div>';
        $(that).closest('.grid-support').append(html);
        form.render('select');
    }

    // 删除组件、逆变器、并网箱
    function delete1(that) {
        if (!$(that).parents(".assemblyDiv").next().hasClass("assemblyDiv")) {
            $(that).parents(".assemblyDiv").prev().find(".layui-icon-add-circle").removeClass("layui-hide");
        }
        $(that).closest(".layui-row").remove();
        if ($('.assembly').find('.layui-row').length < 2) {
            $('.assembly').find(".layui-icon-add-circle").removeClass("layui-hide");
            $('.assembly').find(".layui-icon-delete").addClass("layui-hide");
        }

    }

    function delete2(that) {
        if (!$(that).parents(".inverterDiv").next().hasClass("inverterDiv")) {
            $(that).parents(".inverterDiv").prev().find(".layui-icon-add-circle").removeClass("layui-hide");
        }

        let length = $(that).closest('.inverter').find('.inverterDiv').length;
        console.log(length)
        if (length < 3) {
            $(that).closest('.inverter').find(".layui-icon-add-circle").removeClass("layui-hide");
            $(that).closest('.inverter').find(".layui-icon-delete").addClass("layui-hide");
        }
        $(that).closest(".layui-row").remove();
    }

    function delete3(that) {
        if (!$(that).parents(".connectionDiv").next().hasClass("connectionDiv")) {
            $(that).parents(".connectionDiv").prev().find(".layui-icon-add-circle").removeClass("layui-hide");
        }
        $(that).closest(".layui-row").remove();
        if ($('.grid-connection').find('.layui-row').length < 2) {
            $('.grid-connection').find(".layui-icon-add-circle").removeClass("layui-hide");
            $('.grid-connection').find(".layui-icon-delete").addClass("layui-hide");
        }

    }

    function delete4(that) {
        if (!$(that).parents(".supportDiv").next().hasClass("supportDiv")) {
            $(that).parents(".supportDiv").prev().find(".layui-icon-add-circle").removeClass("layui-hide");
        }
        $(that).closest(".layui-row").remove();
        if ($('.grid-support').find('.layui-row').length < 2) {
            $('.grid-support').find(".layui-icon-add-circle").removeClass("layui-hide");
            $('.grid-support').find(".layui-icon-delete").addClass("layui-hide");
        }

    }
    function initInverter(partnerId){
        $.get('${ctx}/planManage/findInverterSet?partnerId='+partnerId, function (result) {
            if (result.code === '200') {
                var electricArray = result.data;
                inverterOptionHtml += '<option value="">请选择</option>';
                for (var i = 0; i < electricArray.length; i++) {
                    var electric = electricArray[i];
                    var id = electric.columns.id;
                    var model = electric.columns.model;
                    var material_model = electric.columns.material_model;
                    if (${info2.columns.component1_model.status eq '1'}){
                        inverterOptionHtml += '<option value="' + id + '">' + (material_model+'|'+model) + '</option>';
                    }else {
                        inverterOptionHtml += '<option value="' + id + '">' + (model) + '</option>';
                    }
                }
            }
        });
    }
    // 初始化电器材料下拉选
    function initElectricSelect() {
        $.get('${ctx}/planManage/findAllElectric', function(result){
            if (result.code === '200') {
                var electricArray = result.data;
                assemblyOptionHtml += '<option value="">请选择</option>';
                // inverterOptionHtml += '<option value="">请选择</option>';
                gridConnectionOptionHtml += '<option value="">请选择</option>';
                supportOptionHtml += '<option value="">请选择</option>';
                for (var i = 0; i < electricArray.length; i++) {
                    var electric = electricArray[i];
                    var type = electric.columns.type;
                    var id = electric.columns.id;
                    var model = electric.columns.model;
                    <%--var material_model = electric.columns.material_model;--%>
                    <%--if (type === '1') {--%>
                    <%--    if (${info2.columns.component1_model.status eq '1'}){--%>
                    <%--        inverterOptionHtml += '<option value="'+id+'">'+(material_model+'|'+model)+'</option>';--%>
                    <%--    }else{--%>
                    <%--        inverterOptionHtml += '<option value="' + id + '">' + (model) + '</option>';--%>
                    <%--    }--%>
                    <%--} else --%>
                    if (type === '2') {
                        gridConnectionOptionHtml += '<option value="'+id+'">'+model+'</option>';
                    }else if (type === '4') {
                        supportOptionHtml += '<option value="'+id+'">'+model+'</option>';
                    } else {
                        assemblyOptionHtml += '<option value="'+id+'" data-power="'+model+'">'+model+'</option>';
                    }
                }
            }
        });

    }

    // 初始化方案类型下拉选
    function initSchemeTypeSelectData(selectedId, optionData) {
        var html = '<option>请选择</option>';
        for (var j = 0; j < optionData.length; j++) {
            var data = optionData[j];
            var selectedFlag = data.name === selectedId ? 'selected' : '';
            html += '<option value="' + data.id + '" ' + selectedFlag + '>' + data.name + '</option>';
        }
        return html;
    }

    // 初始化方案数据，下拉选回显
    function initSchemeData() {
        var schemeType = '${entry.schemeType}';
        // var planTypeData = [];
        // var projectId = $('select[name=projectId]').val();
        // if (isBlank(projectId)) {
        //     return;
        // }
        // console.log(projectId);
        // var planTypeId = $('select[name=projectId]').find('option:selected').data('key');
        // var planTypeName = $('select[name=projectId]').find('option:selected').data('type');
        // console.log(planTypeId);
        // console.log(planTypeName);
        // var planTypeIdArray = planTypeId.split(',');
        // var planTypeNameArray = planTypeName.split(',');
        // for (let i = 0; i < planTypeIdArray.length; i++) {
        //     var data = {
        //         id: planTypeIdArray[i],
        //         name: planTypeNameArray[i]
        //     }
        //     planTypeData.push(data);
        // }
        var $rowNode;
        if (schemeType === '1') {
            // 标准方案
            $rowNode = $('#showSchemeId').find('.layui-row');
            // $('#zuhefangan').find('.layui-row').each(function (index, that) {
            //     var html = initSchemeTypeSelectData('', planTypeData);
            //     $(that).find('select[name=planType]').empty().append(html);
            // });
        } else {
            // 组合方案
            $rowNode = $('#zuhefangan').find('.layui-row');
            // $('#showSchemeId').find('.layui-row').each(function (index, that) {
            //     var html = initSchemeTypeSelectData('', planTypeData);
            //     $(that).find('select[name=planType]').empty().append(html);
            // });
        }
        $($rowNode).each(function (index, that) {
            var selectedPlanTypeName = $(that).data('scheme-type-name');
            var selectedPlanId = $(that).data('plan-id');
            if ('1' == '${entry.schemeType}') {
                selectedPlanTypeName = $(that).find(".planType").find("option:selected").val();
            }
            if (!isBlank(selectedPlanTypeName)) {
                $.ajax({
                    url: "${ctx}/planManage/findPlanByAssembly",
                    type: "POST",
                    data: {
                        planType: selectedPlanTypeName
                    }
                    , success: function (result) {
                        $(that).find(".planName").empty();
                        var plan_name_html = "<option value=''>请选择</option>";
                        var viewAttachHtml = '';
                        for (var k = 0; k < result.length; k++) {

                            var selectedFlag = result[k].columns.id === selectedPlanId ? 'selected' : '';
                            if (result[k].columns.id === selectedPlanId) {
                                if (!isBlank(result[k].columns.attach)) {
                                    viewAttachHtml += '<a class="h-32 lh-32 ml-5 layui-span-unit"  target="_blank" onclick="previewUrl('+"\'"+'${commonStaticImgPath}'+result[k].columns.attach+'\''+')"    href="#" style="color:#2890ac;">查看</a>';
                                }
                                if (!isBlank(result[k].columns.attach2)) {
                                    viewAttachHtml += '<a class="h-32 lh-32 ml-5 layui-span-unit"  target="_blank" onclick="previewUrl('+"\'"+'${commonStaticImgPath}'+result[k].columns.attach2+'\''+')"     href="#" style="color:#2890ac;">查看</a>';
                                }
                            }
                            plan_name_html += "<option value='" + result[k].columns.id + "' title='" + result[k].columns.assembly_count + "' date='" + result[k].columns.code + "' " + selectedFlag + ">" + result[k].columns.name + "</option>";
                        }
                        $(that).find('.planId').val(selectedPlanId)
                        $(that).find(".planName").append(plan_name_html);
                        $(that).closest('.layui-row').find('.view-attachment').empty().append(viewAttachHtml);
                        form.render('select');
                        var code = $(that).find(".planName").find("option:selected").attr("date");
                        $(that).find(".planCode").val(code);
                    }
                })
            }
        });
        form.render('select');
    }


    function addImg(data, id, imgsDiv, classimg,count) {
        var imgCount=$("#" + imgsDiv).find(".imgSpan").length;
        if((imgCount+1)>=count){
            $("#" + id).hide();
        }
        var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this,\'' + id + '\')"></span>';
        html += '<img src="${commonStaticImgPath}' + data + '" height="700" width="1200"/>';
        html += '<input type="hidden" class="' + classimg + '" value="' + data + '"/> </div>';
        $("#" + imgsDiv).append(html);
        //图片查看效果
        viewer.update();
    }
    function delImg(that, id) {
        $(that).parent().parent().find("."+id).show();
        $(that).parent().remove();
    }
    function isBlank(val) {
        if (val == null || val === '' || val === undefined) {
            return true;
        }
        return false;
    }
    function previewUrl(_url) {
        if (!checkUrl(_url)) {
            return false;
        }
        var base = new Base64();
        var b64Encoded = base.encode(_url);
        if(_url.endsWith('pdf')){
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded)+'&officePreviewType=pdf');
        }else{
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded));
        }
    }

    function checkUrl(url) {
        //url= 协议://(ftp的登录信息)[IP|域名](:端口号)(/或?请求参数)
        var strRegex = '^((https|http|ftp)://)'//(https或http或ftp)
            + '(([\\w_!~*\'()\\.&=+$%-]+: )?[\\w_!~*\'()\\.&=+$%-]+@)?' //ftp的user@  可有可无
            + '(([0-9]{1,3}\\.){3}[0-9]{1,3}' // IP形式的URL- 3位数字.3位数字.3位数字.3位数字
            + '|' // 允许IP和DOMAIN（域名）
            + '(localhost)|'	//匹配localhost
            + '([\\w_!~*\'()-]+\\.)*' // 域名- 至少一个[英文或数字_!~*\'()-]加上.
            + '\\w+\\.' // 一级域名 -英文或数字  加上.
            + '[a-zA-Z]{1,6})' // 顶级域名- 1-6位英文
            + '(:[0-9]{1,5})?' // 端口- :80 ,1-5位数字
            + '((/?)|' // url无参数结尾 - 斜杆或这没有
            + '(/[\\w_!~*\'()\\.;?:@&=+$,%#-]+)+/?)$';//请求参数结尾- 英文或数字和[]内的各种字符
        var re = new RegExp(strRegex, 'i');//i不区分大小写
        //将url做uri转码后再匹配，解除请求参数中的中文和空字符影响
        if (re.test(encodeURI(url))) {
            return (true);
        } else {
            return (false);
        }
    }
    // 关闭弹框
    function cancel() {
        var index = parent.layer.getFrameIndex(window.name);//先得到当前iframe层的索引
        parent.layer.close(index); //再执行关闭
    }


</script>
</body>
</html>
