<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <style>
        html {
            background-color: #fff;
            padding-bottom: 50px;
        }

        td, th {
            text-align: center !important;
        }
    </style>
</head>

<body>
<div class="aaa" id="LAY_app">
    <div class="layui-form">
        <div class="layui-card">
            <div class="layui-tab-content">
                <div class="layui-row">
                    <table class="layui-table">
                        <thead>
                        <th>序号</th>
                        <th>物料代码</th>
                        <th>物料名称</th>
                        <th>物料类型</th>
                        <th>物料品牌</th>
                        <th>物料规格</th>
                        <th>出库数量</th>
                        <th>出库时间</th>
                        </thead>
                        <tbody id="materialTbody">
                        <c:forEach items="${details}" var="detail" varStatus="vs">
                            <tr data-id="${detail.columns.id}">
                                <td>${vs.count}</td>
                                <td>${detail.columns.code}</td>
                                <td>${detail.columns.material_name}</td>
                                <td>${detail.columns.typeName}</td>
                                <td>${detail.columns.material_brand}</td>
                                <td>${detail.columns.material_specs}</td>
                                <td>${detail.columns.num}</td>
                                <td><fmt:formatDate value="${detail.columns.create_time}" pattern="yyyy-MM-dd HH:mm:ss"/></td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script type="text/javascript">
    var viewer = new Viewer(document.getElementById('LAY_app'));
    //初始数据
    var $form;
    var form;
    var $;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['form', 'layedit', 'laydate', 'jquery', 'layer'], function () {
        $ = layui.jquery;
        form = layui.form;
        $form = $('form');
    })
</script>
</body>
</html>
