<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css" media="all">
</head>
<body>
   <div class="layui-fluid">

       <div class="layui-card">
           <div class="layui-card-body">
               <table class="layui-hide" lay-skin="row" id="test" lay-filter="test"></table>
               <script type="text/html" id="toolbarDemo">
                <%--   <div class="layui-btn-container">
                       <sfTags:pagePermission authFlag="JXSGL_JXSGL_JXSGL_EXPORT_B" html='<button class="layui-btn layui-btn-sm" id="exportBtn" lay-event="exports"><i class="layui-icon layui-icon-export"></i>导出 </button>'/>
                   </div>--%>
               </script>
           </div>
       </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/data.js"></script>
<script type="text/javascript">
    var saveMark = false;
    //初始数据
    var $form;
    var form;
    var upload;
    var $;
    var table;
    var laydate;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laypage','laydate','form','excel'], function(){
        $ = layui.$
            ,form = layui.form
            ,tableExt = layui.tableExt;
        laydate = layui.laydate;
        table = layui.table;
        //代理商信息列表
        var detail='${fns:flowableAddPermission("01")}';
        tableExt.render({
            elem: '#test'
            , height: 'full-130'
            , id: 'test'
            , defaultToolbar: false
            , url: '${ctx}/customer/customerEntryRent/ajaxEntryRentHis?entryId=${entryId}'
            , layout: ['count', 'prev', 'page', 'next', 'limit', 'refresh', 'skip']
            , page: true
            , toolbar:"#toolbarDemo"
            , method:"post"
            , limits: [20, 50, 100]
            , limit: 20
            , cols: [[
                {field: 'number', minWidth: 50, title: '序号', align: 'center', type: 'numbers', fixed: 'left'}
               /* , {field: 'contacts', minWidth: 150, title: '租金期数', align: 'center',exportable:true }*/
                , {field: 'pay_cycle', minWidth: 180, title: '支付周期', align: 'center',exportable:true,templet: function (d) {
                        if(d.pay_cycle=='1'){
                            return '按月支付';
                        }else if(d.pay_cycle=='2'){
                            return '按季支付';
                        }else if(d.pay_cycle=='3'){
                            return '按年支付';
                        }else{
                            return "";
                        }
                    }}
                , {field: 'current_payable', title: '租金金额（元）', minWidth: 200, align: 'center',exportable:true }
                ,{field:'project_company_name', title: '项目公司',align: 'center',minWidth: 150,exportable:true}
                ,{field:'pay_time', title: '支付日期',align: 'center',minWidth: 150,exportable:true}
            ],
            ]
        });

    });


</script>
</body>
</html>
