<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base" />
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/formSelects-v4.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css" media="all">
    <title>预审查询</title>
    <style type="text/css">
        html{ background: #FFF}
        .form-span {
            display: inline-block;
            padding: 8px 0;
            line-height: 17px;
        }
        .layui-form-label {
            width: 132px;
            padding-left: 20px;
        }
    </style>
</head>
<body>
<div class="">
    <div class="layui-card">
        <div class="layui-col-xs12 mt-30">
            <label class="layui-form-label">预审结果：</label>
            <span class="form-span">
                    <c:choose>
                        <%--预审结果:NEW-预审待审批 APPROVING-预审审批中 APPROVED-预审通过 REJECT-预审拒绝--%>
                        <c:when test="${resultMap.result == 'NEW'}">预审待审批</c:when>
                        <c:when test="${resultMap.result == 'APPROVING'}">预审审批中</c:when>
                        <c:when test="${resultMap.result == 'APPROVED'}">预审通过</c:when>
                        <c:when test="${resultMap.result == 'REJECT'}">预审拒绝</c:when>
                        <c:otherwise>预审中</c:otherwise>
                    </c:choose>
                </span>
        </div>

        <div class="layui-col-xs12 mt-30">
            <label class="layui-form-label">结果描述：</label>
            <div class="layui-input-block">
                <div class="layui-col-xs10">
                    <textarea class="layui-textarea" disabled>${resultMap.reason}</textarea>
                </div>

            </div>
        </div>
    </div>
</div>
<div class="layui-form-item text-c operate-footer">
    <button class="layui-btn layui-btn-primary" onclick="closeSelf()">关闭</button>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/lib/formSelects-v4.js"></script>
<script>
    layui.use([ 'form', 'table' ], function() {
        var $ = layui.$;
        form = layui.form;

        if(${'200' ne code}){
            layer.msg('${msg}', {time: 2500}, function(){
                closeSelf();
            });
        }

    });

    window.closeSelf = function () {
        var index = parent.layer.getFrameIndex(window.name);
        if(!isBlank(${entry.credit})){
            parent.table.reload('test');
        }
        parent.layer.close(index);//关闭当前页
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
</script>
</body>
</html>
