<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base" />
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/formSelects-v4.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css" media="all">
    <title>新增结算方案</title>
    <style type="text/css">
        html{ background: #FFF}
        .form-span {
            display: inline-block;
            padding: 8px 0;
            line-height: 17px;
        }
        .layui-form-label {
            width: 132px;
            padding-left: 20px;
        }
        .clearfix{*zoom:1;}
        .clearfix:before,.clearfix:after{display:table; line-height:0; content:"";}
        .clearfix:after{clear:both;}
    </style>
</head>
<body>
<div class="">
    <div class="layui-card clearfix">
            <div class="layui-col-xs5 mt-30 clearfix">
                <label class="layui-form-label">进件状态：</label>
                <span class="form-span">
                    <c:choose>
                        <%--//进件状态(NW:未审批;AP:审批中;RJ:拒绝;QY:签约;PR:审批通过;LS-已完成放款;LF-放款失败;)--%>
                        <c:when test="${application.projectStatus == 'NW'}">未审批</c:when>
                        <c:when test="${application.projectStatus == 'AP'}">审批中</c:when>
                        <c:when test="${application.projectStatus == 'RJ'}">拒绝</c:when>
                        <c:when test="${application.projectStatus == 'QY'}">签约</c:when>
                        <c:when test="${application.projectStatus == 'PR'}">审批通过</c:when>
                        <c:when test="${application.projectStatus == 'LS'}">已完成放款</c:when>
                        <c:when test="${application.projectStatus == 'LF'}">放款失败</c:when>
                        <c:otherwise>未申请</c:otherwise>
                    </c:choose>
                </span>
            </div>
           <%-- <div class="layui-col-xs5 mt-30 clearfix" >
                <label class="layui-form-label">二级账号：</label>
                <span class="form-span">${application.secBankAcc}</span>
            </div>--%>

        <div class="layui-col-xs5 mt-30 clearfix" >
            <label class="layui-form-label">放款请求合同编号：</label>
            <span class="form-span">${application.reqContNumber}</span>
        </div>
            <div class="layui-col-xs12 mt-10">
                <label class="layui-form-label">进件详情：</label>
                <div class="layui-input-block">
                    <div class="layui-col-xs10">
                        <textarea class="layui-textarea" disabled>${application.projectStatusDetails}</textarea>
                    </div>

                </div>

            </div>

            <div class="layui-col-xs12 mt-10">
                <label class="layui-form-label">退回原因：</label>

                    <div class="layui-input-block" >
                        <div class="layui-col-xs10">
                            <textarea class="layui-textarea" disabled>
                                <c:if test="${application.projectStatus == 'RJ'}">
                                    ${application.returnReason}
                                </c:if>
                            </textarea>
                        </div>
                    </div>
            </div>

    </div>
</div>
<%--<div style="height:50px;"></div>--%>
<div class="layui-form-item text-c operate-footer">
    <button class="layui-btn layui-btn-primary" onclick="closeSelf()">取消</button>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/lib/formSelects-v4.js"></script>
<script>
    layui.use([ 'form', 'table' ], function() {
        var $ = layui.$;
        form = layui.form;

    });

    window.closeSelf = function () {
        var index = parent.layer.getFrameIndex(window.name);
        parent.table.reload('test');
        parent.layer.close(index);//关闭当前页
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }
</script>
</body>
</html>