<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base"/>
    <meta charset="utf-8">
    <title>添加充值明细</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <%--<link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">--%>
    <style>
        .wd-140 {
            width: 140px !important;
        }

        .wd-260 {
            width: 260px !important;
        }

        .center {
            text-align: center !important;
        }

        .mark {
            color: #ff5151 !important;
        }
        .layui-form-select dl {
            max-height: 220px!important;
        }
    </style>
</head>
<body>

<div class="layui-form layui-card mb-0 pr-30" lay-filter="layuiadmin-form-useradmin" id="layuiadmin-form-useradmin"
     style="padding: 20px 0 0 0;">
    <div class="layui-card-body over">
    <div class="layui-form-item">
        <label class="layui-form-label wd-140"><i class="mark">*</i>收款方式：</label>
        <div class="layui-input-inline wd-260">
            <select name="paymentType" lay-verify="required" disabled>
                <option value="">请选择</option>
                <option value="0">支付宝</option>
                <option value="1">微信</option>
                <option value="2" selected>线下支付</option>
            </select>
        </div>
    </div>
    <div class="layui-form-item">
        <label class="layui-form-label wd-140"><i class="mark">*</i>收款时间：</label>
        <div class="layui-input-inline wd-260">
            <input type="text" name="payTime" class="layui-input" id="test5" lay-verify="required" readonly>
        </div>
    </div>
    <div class="layui-form-item">
        <label class="layui-form-label wd-140"><i class="mark">*</i>充值金额：</label>
        <div class="layui-input-inline wd-260">
            <input type="text" name="paymentAmount" lay-verify="required|price" maxlength="50" autocomplete="off" class="layui-input">
        </div>
    </div>
    <div class="layui-form-item">
        <label class="layui-form-label wd-140">备注：</label>
        <div class="layui-input-inline wd-260">
            <input type="text" name="marks" maxlength="50" autocomplete="off" class="layui-input">
        </div>
    </div>
    <div class="layui-form-item layui-hide ">
        <input type="button" lay-submit lay-filter="sureSubmit" id="sureSubmit" value="确认">
    </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script>
    layui.use(['form', 'table','laydate'], function () {
        var $ = layui.$;
        form = layui.form;
        laydate = layui.laydate;

        laydate.render({
            elem: '#test5'
            ,type: 'datetime'
            ,trigger: 'click'
        });

        form.verify({
            price: [
                /(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/
                ,'费用格式不正确'
            ]
        });
    });
</script>
</body>
</html>