<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base" />
    <meta charset="utf-8">
    <title>layuiAdmin 网站用户</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
    <title>添加品类</title>
    <style>
    </style>
</head>
<body>

<form class="layui-form  layui-card mb-0 pr-30">
    <div class="layui-form-item layui-card-body  mb-0" id="addChart">
        <div class="layui-col-xs12 mb-10 mt-10">
            <label class="layui-form-label">品牌名称：</label>
            <div class="layui-input-block">
                <input type="tel" name="Category" class="layui-input" value="${name}">
            </div>
        </div>
        <div class="layui-col-xs12 mb-10">
            <label class="layui-form-label">排序：</label>
            <div class="layui-input-block">
                <input type="text" name="sort" class="layui-input" value="${sort}">
            </div>
        </div>
        <div class="layui-form-item layui-hide ">
            <input type="button" lay-submit lay-filter="LAY-user-front-submit" id="LAY-user-front-submit" value="确认">
        </div>
    </div>
</form>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/ueditor/1.4.3/third-party/jquery-1.10.2.js"></script>
<script>
    layui.use(['form','table'], function(){
        var $ = layui.$;
        form = layui.form;
        form.verify({
            loginNameRule:[/^[0-9A-Za-z]{6,20}$/,'登录名只能是6-20位数字字母组合'],
            passwordRule: [/^[0-9A-Za-z]{6,20}$/,'登录名只能是6-20位数字字母组合'],
        });
    });
</script>
</body>
</html>