<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css" media="all">
    <style>
        .layui-card-body{
            height:309px;
            padding-left:30px;
            overflow-y:auto;
        }
        .layui-col-xs3{
            overflow: hidden;
        }
    </style>
</head>
<body>
<div class="layui-form">
    <div class="layui-card">
        <div class="layui-form-item layui-card-body" pane="">
            <div><input type="checkbox" class="category w-100" lay-skin="primary" name="name" value="all" lay-filter="all" title="全选"></div>
            <br>
            <c:forEach items="${category}" var="categoryList">
                <div class="layui-col-xs3 mb-10">
                    <input type="checkbox" class="category w-100 category" lay-skin="primary" name="name" value="${categoryList.columns.name}" title="${categoryList.columns.name}">
                </div>
            </c:forEach>
            <input type="text" hidden value="${serviceType}" name="service_type">
            <input type="text" hidden value="${siteId}" name="siteId">
        </div>
        <div class="layui-form-item layui-hide  mb-20">
            <input type="button" lay-submit lay-filter="LAY-user-front-addCategory" id="LAY-user-front-addCategory" value="确认">
        </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/data.js"></script>
<script type="text/javascript">
    //初始数据
    var $form;
    var form;
    var upload;
    var $;
    layui.use(['form', 'table', 'upload', 'jquery'], function () {
        $ = layui.jquery;
        form = layui.form;
        upload = layui.upload;
        $form = $('form');

        function isBlank(val) {
            if (val == null || val == '' || val == undefined) {
                return true;
            }
            return false;
        }

        form.on("checkbox(all)",function(data){
            var a = data.elem.checked;
            if(a){
                 $(".category").prop("checked", true);
                form.render('checkbox');
            }else{
                $(".category").prop("checked", false);
                form.render('checkbox');
            }
        })


    })
</script>
</body>
</html>
